/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2023-08-24 22:16:16 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=886 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=754 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=495 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("5", "20230824_irishpassport_starter_wp63", "58f843d7af49382b6473_20230824221530", "22", "2023-08-24 22:16:16", "kevinmcmillan", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-08-24 22:15:30\";s:7:\"Version\";s:7:\"1.5.5.1\";s:9:\"VersionWP\";s:3:\"6.3\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";i:5;s:4:\"Name\";s:35:\"20230824_irishpassport_starter_wp63\";s:4:\"Hash\";s:35:\"58f843d7af49382b6473_20230824221530\";s:8:\"NameHash\";s:71:\"20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:81:\"20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.5\";s:6:\"WPUser\";s:13:\"kevinmcmillan\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:83:\"20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:69:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:496;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:3829;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Size\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-08-24 22:15:30\";s:7:\"Version\";s:7:\"1.5.5.1\";s:9:\"VersionWP\";s:3:\"6.3\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:35:\"20230824_irishpassport_starter_wp63\";s:4:\"Hash\";s:35:\"58f843d7af49382b6473_20230824221530\";s:8:\"NameHash\";s:71:\"20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:89:\"20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:83:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:84:\"20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:19:\"sameNameTableExists\";b:0;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:186:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/backups-dup-lite/tmp/20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:78:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-admin\";i:1;s:81:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes\";i:2;s:90:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:69:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series\";i:1;s:69:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series\";i:2;s:80:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content\";i:3;s:88:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/uploads\";i:4;s:88:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/plugins\";i:5;s:91:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/mu-plugins\";i:6;s:87:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:101:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Irish Passport", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "Full Site Editing Exercise", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "9", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:94:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:2:{i:1;s:25:\"duplicator/duplicator.php\";i:2;s:25:\"duplicator/duplicator.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "5", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("46", "db_version", "55853", "yes");
INSERT INTO `wp_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("49", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("50", "default_link_category", "0", "yes");
INSERT INTO `wp_options` VALUES("51", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("75", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("76", "widget_categories", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("77", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "uninstall_plugins", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("80", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("81", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("82", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("86", "site_icon", "208", "yes");
INSERT INTO `wp_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("91", "admin_email_lifespan", "1701930246", "yes");
INSERT INTO `wp_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("97", "auto_update_core_major", "enabled", "yes");
INSERT INTO `wp_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("99", "initial_db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("100", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("101", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("102", "user_count", "3", "no");
INSERT INTO `wp_options` VALUES("103", "widget_block", "a:13:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:154:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Posts</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:227:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Comments</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:146:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Archives</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:150:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Categories</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}i:8;a:1:{s:7:\"content\";s:159:\"<!-- wp:search {\"label\":\"Search\",\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"buttonUseIcon\":true,\"align\":\"center\"} /-->\";}i:9;a:1:{s:7:\"content\";s:75:\"<!-- wp:heading -->\n<h2 class=\"wp-block-heading\"></h2>\n<!-- /wp:heading -->\";}i:10;a:1:{s:7:\"content\";s:116:\"<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"align\":\"center\"} /-->\";}i:11;a:1:{s:7:\"content\";s:60:\"<!-- wp:search {\"label\":\"Search\",\"buttonText\":\"Search\"} /-->\";}i:17;a:1:{s:7:\"content\";s:102:\"<!-- wp:generateblocks/grid {\"uniqueId\":\"e94b0a38\",\"columns\":0,\"isDynamic\":true,\"blockVersion\":3} /-->\";}i:21;a:1:{s:7:\"content\";s:398:\"<!-- wp:generateblocks/image {\"uniqueId\":\"9fff54e2\",\"mediaId\":199,\"sizeSlug\":\"full\"} -->\n<figure class=\"gb-block-image gb-block-image-9fff54e2\"><img class=\"gb-image gb-image-9fff54e2\" src=\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/cropped-generator-1-2-2.png\" alt=\"\" title=\"cropped-generator-1-2-2.png\"/></figure>\n<!-- /wp:generateblocks/image -->\";}i:22;a:1:{s:7:\"content\";s:521:\"<!-- wp:group {\"backgroundColor\":\"base-3\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group has-base-3-background-color has-background\"><!-- wp:image {\"id\":199,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/cropped-generator-1-2-2.png\" alt=\"\" class=\"wp-image-199\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "sidebars_widgets", "a:9:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}s:7:\"top-bar\";a:1:{i:0;s:8:\"block-17\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("105", "cron", "a:6:{i:1692915846;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1692944646;a:5:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1692944659;a:4:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1693004752;a:1:{s:30:\"wp_delete_temp_updater_backups\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1693117446;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("106", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("112", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("113", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("114", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("115", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("116", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("117", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("118", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("119", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("121", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("122", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:21:\"HTTPS request failed.\";}}", "yes");
INSERT INTO `wp_options` VALUES("126", "theme_mods_twentytwentythree", "a:4:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1692915176;s:4:\"data\";a:8:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}s:7:\"top-bar\";a:1:{i:0;s:8:\"block-17\";}}}s:19:\"wp_classic_sidebars\";a:6:{s:12:\"blog-sidebar\";a:11:{s:4:\"name\";s:7:\"Sidebar\";s:2:\"id\";s:12:\"blog-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:12:\"shop-sidebar\";a:11:{s:4:\"name\";s:12:\"Shop Sidebar\";s:2:\"id\";s:12:\"shop-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-one-widgets\";a:11:{s:4:\"name\";s:10:\"Footer One\";s:2:\"id\";s:18:\"footer-one-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-two-widgets\";a:11:{s:4:\"name\";s:10:\"Footer Two\";s:2:\"id\";s:18:\"footer-two-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:20:\"footer-three-widgets\";a:11:{s:4:\"name\";s:12:\"Footer Three\";s:2:\"id\";s:20:\"footer-three-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:19:\"footer-four-widgets\";a:11:{s:4:\"name\";s:11:\"Footer Four\";s:2:\"id\";s:19:\"footer-four-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}s:18:\"nav_menu_locations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("152", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("155", "current_theme", "Twenty Twenty-Three", "yes");
INSERT INTO `wp_options` VALUES("156", "theme_mods_generatepress", "a:5:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:6;}s:18:\"custom_css_post_id\";i:118;s:11:\"custom_logo\";i:199;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686810943;s:4:\"data\";a:11:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:6:\"header\";a:0:{}s:8:\"footer-1\";a:0:{}s:8:\"footer-2\";a:0:{}s:8:\"footer-3\";a:0:{}s:8:\"footer-4\";a:0:{}s:8:\"footer-5\";a:0:{}s:10:\"footer-bar\";a:0:{}s:7:\"top-bar\";a:1:{i:0;s:8:\"block-17\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("157", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("160", "generate_db_version", "3.3.0", "yes");
INSERT INTO `wp_options` VALUES("165", "generateblocks_dynamic_css_posts", "a:1:{i:46;b:1;}", "yes");
INSERT INTO `wp_options` VALUES("166", "generateblocks_dynamic_css_time", "1686511724", "yes");
INSERT INTO `wp_options` VALUES("168", "recently_activated", "a:1:{s:41:\"create-block-theme/create-block-theme.php\";i:1692915253;}", "yes");
INSERT INTO `wp_options` VALUES("169", "generateblocks_version", "1.7.3", "yes");
INSERT INTO `wp_options` VALUES("172", "mwai_rating_date", "1687946086", "no");
INSERT INTO `wp_options` VALUES("178", "mwai_options", "a:51:{s:18:\"module_suggestions\";b:1;s:18:\"module_woocommerce\";b:1;s:12:\"module_forms\";b:0;s:13:\"module_blocks\";b:0;s:17:\"module_playground\";b:1;s:24:\"module_generator_content\";b:1;s:23:\"module_generator_images\";b:1;s:17:\"module_moderation\";b:0;s:17:\"module_statistics\";b:0;s:16:\"module_finetunes\";b:0;s:17:\"module_embeddings\";b:0;s:12:\"module_audio\";b:0;s:14:\"shortcode_chat\";b:1;s:21:\"shortcode_chat_params\";a:36:{s:2:\"id\";s:0:\"\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:7:\"ai_name\";s:4:\"AI: \";s:9:\"user_name\";s:6:\"User: \";s:10:\"guest_name\";s:7:\"Guest: \";s:8:\"sys_name\";s:8:\"System: \";s:14:\"start_sentence\";s:23:\"Hi! How can I help you?\";s:9:\"text_send\";s:4:\"Send\";s:10:\"text_clear\";s:5:\"Clear\";s:22:\"text_input_placeholder\";s:20:\"Type your message...\";s:20:\"text_input_maxlength\";s:3:\"512\";s:15:\"text_compliance\";s:0:\"\";s:12:\"max_messages\";i:15;s:5:\"style\";s:7:\"chatgpt\";s:7:\"themeId\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:9:\"icon_text\";s:0:\"\";s:8:\"icon_alt\";s:17:\"AI Chatbot Avatar\";s:13:\"icon_position\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:11:\"copy_button\";b:0;s:12:\"local_memory\";b:1;s:19:\"casually_fine_tuned\";b:0;s:13:\"content_aware\";b:0;s:16:\"embeddings_index\";s:0:\"\";s:13:\"prompt_ending\";N;s:17:\"completion_ending\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:10:\"max_tokens\";i:1024;s:11:\"max_results\";i:1;s:7:\"api_key\";N;s:7:\"service\";s:6:\"openai\";}s:30:\"shortcode_chat_params_override\";b:0;s:19:\"shortcode_chat_html\";b:1;s:25:\"shortcode_chat_formatting\";b:1;s:21:\"shortcode_chat_legacy\";b:0;s:21:\"shortcode_chat_stream\";b:0;s:25:\"shortcode_chat_typewriter\";b:0;s:18:\"speech_recognition\";b:0;s:16:\"speech_synthesis\";b:0;s:26:\"shortcode_chat_discussions\";b:0;s:25:\"shortcode_chat_moderation\";b:0;s:34:\"shortcode_chat_syntax_highlighting\";b:0;s:21:\"shortcode_chat_inject\";b:0;s:21:\"shortcode_chat_styles\";a:0:{}s:6:\"limits\";a:4:{s:7:\"enabled\";b:1;s:6:\"guests\";a:5:{s:7:\"credits\";i:3;s:10:\"creditType\";s:7:\"queries\";s:9:\"timeFrame\";s:3:\"day\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";}s:5:\"users\";a:6:{s:7:\"credits\";i:10;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";s:12:\"ignoredUsers\";s:20:\"administrator,editor\";}s:6:\"system\";a:6:{s:7:\"credits\";i:20;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:50:\"Our chatbot went to sleep. Please try again later.\";s:12:\"ignoredUsers\";s:0:\"\";}}s:13:\"openai_apikey\";s:51:\"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\";s:14:\"openai_service\";s:6:\"openai\";s:12:\"openai_usage\";a:0:{}s:13:\"openai_models\";a:10:{i:0;a:10:{s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:4:\"name\";s:5:\"turbo\";s:6:\"family\";s:5:\"turbo\";s:5:\"price\";d:0.002;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:4096;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:1;a:11:{s:5:\"model\";s:5:\"gpt-4\";s:4:\"name\";s:5:\"gpt-4\";s:6:\"family\";s:4:\"gpt4\";s:5:\"price\";d:0.03;s:10:\"priceRules\";s:13:\"completion_x2\";s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:8192;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:2;a:11:{s:5:\"model\";s:9:\"gpt-4-32k\";s:4:\"name\";s:9:\"gpt-4-32k\";s:6:\"family\";s:8:\"gpt4-32k\";s:5:\"price\";d:0.06;s:10:\"priceRules\";s:13:\"completion_x2\";s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:32768;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:3;a:10:{s:5:\"model\";s:16:\"text-davinci-003\";s:4:\"name\";s:11:\"davinci-003\";s:6:\"family\";s:7:\"davinci\";s:5:\"price\";d:0.02;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.12;}s:4:\"tags\";a:3:{i:0;s:4:\"core\";i:1;s:4:\"chat\";i:2;s:8:\"finetune\";}}i:4;a:10:{s:5:\"model\";s:14:\"text-curie-001\";s:4:\"name\";s:9:\"curie-001\";s:6:\"family\";s:5:\"curie\";s:5:\"price\";d:0.002;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.012;}s:4:\"tags\";a:3:{i:0;s:4:\"core\";i:1;s:4:\"chat\";i:2;s:8:\"finetune\";}}i:5;a:10:{s:5:\"model\";s:16:\"text-babbage-001\";s:4:\"name\";s:11:\"babbage-001\";s:6:\"family\";s:7:\"babbage\";s:5:\"price\";d:0.0005;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.0024;}s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"finetune\";}}i:6;a:10:{s:5:\"model\";s:12:\"text-ada-001\";s:4:\"name\";s:7:\"ada-001\";s:6:\"family\";s:3:\"ada\";s:5:\"price\";d:0.0004;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.0016;}s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"finetune\";}}i:7;a:8:{s:5:\"model\";s:6:\"dall-e\";s:4:\"name\";s:6:\"dall-e\";s:6:\"family\";s:6:\"dall-e\";s:4:\"type\";s:5:\"image\";s:4:\"unit\";i:1;s:7:\"options\";a:3:{i:0;a:2:{s:6:\"option\";s:9:\"1024x1024\";s:5:\"price\";d:0.02;}i:1;a:2:{s:6:\"option\";s:7:\"512x512\";s:5:\"price\";d:0.018;}i:2;a:2:{s:6:\"option\";s:7:\"256x256\";s:5:\"price\";d:0.016;}}s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:5:\"image\";}}i:8;a:9:{s:5:\"model\";s:22:\"text-embedding-ada-002\";s:4:\"name\";s:7:\"ada-002\";s:6:\"family\";s:3:\"ada\";s:5:\"price\";d:0.0004;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:4:\"mode\";s:9:\"embedding\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:9:\"embedding\";}}i:9;a:9:{s:5:\"model\";s:9:\"whisper-1\";s:4:\"name\";s:9:\"whisper-1\";s:6:\"family\";s:7:\"whisper\";s:5:\"price\";d:1.0E-5;s:4:\"type\";s:6:\"second\";s:4:\"unit\";i:1;s:4:\"mode\";s:14:\"speech-to-text\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:5:\"audio\";}}}s:21:\"openai_azure_endpoint\";s:0:\"\";s:19:\"openai_azure_apikey\";s:0:\"\";s:24:\"openai_azure_deployments\";a:0:{}s:16:\"openai_finetunes\";a:0:{}s:24:\"openai_finetunes_deleted\";a:0:{}s:8:\"pinecone\";a:5:{s:6:\"apikey\";b:0;s:6:\"server\";s:12:\"us-east1-gcp\";s:9:\"namespace\";s:4:\"mwai\";s:7:\"indexes\";a:0:{}s:5:\"index\";N;}s:10:\"embeddings\";a:8:{s:14:\"rewriteContent\";b:1;s:13:\"rewritePrompt\";s:401:\"Rewrite the content concisely in {LANGUAGE}, maintaining the same style and information. The revised text should be under 800 words, with paragraphs ranging from 160-280 words each. Omit non-textual elements and avoid unnecessary repetition. Conclude with a statement directing readers to find more information at {URL}. If you cannot meet these requirements, please leave a blank response.\n\n{CONTENT}\";s:13:\"forceRecreate\";b:0;s:9:\"maxSelect\";i:1;s:8:\"minScore\";i:75;s:9:\"syncPosts\";b:0;s:13:\"syncPostTypes\";a:3:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:7:\"product\";}s:14:\"syncPostStatus\";a:1:{i:0;s:7:\"publish\";}}s:12:\"extra_models\";s:0:\"\";s:10:\"debug_mode\";b:1;s:18:\"resolve_shortcodes\";b:0;s:18:\"dynamic_max_tokens\";b:1;s:18:\"context_max_tokens\";i:1024;s:16:\"assistants_model\";s:13:\"gpt-3.5-turbo\";s:12:\"banned_words\";a:0:{}s:10:\"banned_ips\";a:0:{}s:9:\"languages\";a:8:{s:2:\"en\";s:7:\"English\";s:2:\"de\";s:6:\"German\";s:2:\"fr\";s:6:\"French\";s:2:\"es\";s:7:\"Spanish\";s:2:\"it\";s:7:\"Italian\";s:2:\"zh\";s:7:\"Chinese\";s:2:\"ja\";s:8:\"Japanese\";s:2:\"pt\";s:10:\"Portuguese\";}s:29:\"shortcode_chat_default_params\";a:36:{s:2:\"id\";s:0:\"\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:7:\"ai_name\";s:4:\"AI: \";s:9:\"user_name\";s:6:\"User: \";s:10:\"guest_name\";s:7:\"Guest: \";s:8:\"sys_name\";s:8:\"System: \";s:14:\"start_sentence\";s:23:\"Hi! How can I help you?\";s:9:\"text_send\";s:4:\"Send\";s:10:\"text_clear\";s:5:\"Clear\";s:22:\"text_input_placeholder\";s:20:\"Type your message...\";s:20:\"text_input_maxlength\";s:3:\"512\";s:15:\"text_compliance\";s:0:\"\";s:12:\"max_messages\";i:15;s:5:\"style\";s:7:\"chatgpt\";s:7:\"themeId\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:9:\"icon_text\";s:0:\"\";s:8:\"icon_alt\";s:17:\"AI Chatbot Avatar\";s:13:\"icon_position\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:11:\"copy_button\";b:0;s:12:\"local_memory\";b:1;s:19:\"casually_fine_tuned\";b:0;s:13:\"content_aware\";b:0;s:16:\"embeddings_index\";s:0:\"\";s:13:\"prompt_ending\";N;s:17:\"completion_ending\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:10:\"max_tokens\";i:1024;s:11:\"max_results\";i:1;s:7:\"api_key\";N;s:7:\"service\";s:6:\"openai\";}s:16:\"chatbot_defaults\";a:34:{s:6:\"aiName\";s:4:\"AI: \";s:8:\"userName\";s:6:\"User: \";s:9:\"guestName\";s:7:\"Guest: \";s:8:\"textSend\";s:4:\"Send\";s:9:\"textClear\";s:5:\"Clear\";s:20:\"textInputPlaceholder\";s:20:\"Type your message...\";s:18:\"textInputMaxLength\";i:512;s:14:\"textCompliance\";s:0:\"\";s:13:\"startSentence\";s:23:\"Hi! How can I help you?\";s:12:\"maxSentences\";i:15;s:7:\"themeId\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:8:\"iconText\";s:0:\"\";s:7:\"iconAlt\";s:17:\"AI Chatbot Avatar\";s:12:\"iconPosition\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:10:\"copyButton\";b:0;s:11:\"localMemory\";b:1;s:5:\"botId\";N;s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:12:\"contentAware\";b:0;s:15:\"embeddingsIndex\";s:0:\"\";s:17:\"casuallyFineTuned\";b:0;s:12:\"promptEnding\";N;s:16:\"completionEnding\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:9:\"maxTokens\";i:1024;s:10:\"maxResults\";i:1;s:6:\"apiKey\";N;s:7:\"service\";s:6:\"openai\";}s:14:\"default_limits\";a:4:{s:7:\"enabled\";b:1;s:6:\"guests\";a:5:{s:7:\"credits\";i:3;s:10:\"creditType\";s:7:\"queries\";s:9:\"timeFrame\";s:3:\"day\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";}s:5:\"users\";a:6:{s:7:\"credits\";i:10;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";s:12:\"ignoredUsers\";s:20:\"administrator,editor\";}s:6:\"system\";a:6:{s:7:\"credits\";i:20;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:50:\"Our chatbot went to sleep. Please try again later.\";s:12:\"ignoredUsers\";s:0:\"\";}}}", "no");
INSERT INTO `wp_options` VALUES("183", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("188", "duplicate_post_show_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("189", "duplicate_post_copytitle", "1", "yes");
INSERT INTO `wp_options` VALUES("190", "duplicate_post_copydate", "0", "yes");
INSERT INTO `wp_options` VALUES("191", "duplicate_post_copystatus", "0", "yes");
INSERT INTO `wp_options` VALUES("192", "duplicate_post_copyslug", "0", "yes");
INSERT INTO `wp_options` VALUES("193", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("194", "duplicate_post_copycontent", "1", "yes");
INSERT INTO `wp_options` VALUES("195", "duplicate_post_copythumbnail", "1", "yes");
INSERT INTO `wp_options` VALUES("196", "duplicate_post_copytemplate", "1", "yes");
INSERT INTO `wp_options` VALUES("197", "duplicate_post_copyformat", "1", "yes");
INSERT INTO `wp_options` VALUES("198", "duplicate_post_copyauthor", "0", "yes");
INSERT INTO `wp_options` VALUES("199", "duplicate_post_copypassword", "0", "yes");
INSERT INTO `wp_options` VALUES("200", "duplicate_post_copyattachments", "0", "yes");
INSERT INTO `wp_options` VALUES("201", "duplicate_post_copychildren", "0", "yes");
INSERT INTO `wp_options` VALUES("202", "duplicate_post_copycomments", "0", "yes");
INSERT INTO `wp_options` VALUES("203", "duplicate_post_copymenuorder", "1", "yes");
INSERT INTO `wp_options` VALUES("204", "duplicate_post_taxonomies_blacklist", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("205", "duplicate_post_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("206", "duplicate_post_types_enabled", "a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}", "yes");
INSERT INTO `wp_options` VALUES("207", "duplicate_post_show_original_column", "0", "yes");
INSERT INTO `wp_options` VALUES("208", "duplicate_post_show_original_in_post_states", "0", "yes");
INSERT INTO `wp_options` VALUES("209", "duplicate_post_show_original_meta_box", "0", "yes");
INSERT INTO `wp_options` VALUES("210", "duplicate_post_show_link", "a:3:{s:9:\"new_draft\";s:1:\"1\";s:5:\"clone\";s:1:\"1\";s:17:\"rewrite_republish\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("211", "duplicate_post_show_link_in", "a:4:{s:3:\"row\";s:1:\"1\";s:8:\"adminbar\";s:1:\"1\";s:9:\"submitbox\";s:1:\"1\";s:11:\"bulkactions\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("212", "duplicate_post_version", "4.5", "yes");
INSERT INTO `wp_options` VALUES("221", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("253", "fs_active_plugins", "O:8:\"stdClass\":0:{}", "yes");
INSERT INTO `wp_options` VALUES("254", "fs_debug_mode", "", "yes");
INSERT INTO `wp_options` VALUES("255", "fs_accounts", "a:6:{s:21:\"id_slug_type_path_map\";a:1:{i:1010;a:3:{s:4:\"slug\";s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";}}s:11:\"plugin_data\";a:1:{s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";a:16:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1686414151;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:1;s:16:\"sdk_last_version\";N;s:11:\"sdk_version\";s:5:\"2.5.6\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";N;s:14:\"plugin_version\";s:6:\"2.25.2\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";N;s:4:\"host\";s:14:\"localhost:8888\";s:9:\"server_ip\";s:3:\"::1\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1686414151;s:7:\"version\";s:6:\"2.25.2\";}s:15:\"prev_is_premium\";b:0;s:12:\"is_anonymous\";a:3:{s:2:\"is\";b:1;s:9:\"timestamp\";i:1686414160;s:7:\"version\";s:6:\"2.25.2\";}}}s:13:\"file_slug_map\";a:1:{s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";}s:7:\"plugins\";a:1:{s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";O:9:\"FS_Plugin\":24:{s:2:\"id\";s:4:\"1010\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;s:10:\"public_key\";s:32:\"pk_ec1c7da603c0772f1bfe276efb715\";s:10:\"secret_key\";N;s:16:\"parent_plugin_id\";N;s:5:\"title\";s:28:\"WP Sheet Editor - Post Types\";s:4:\"slug\";s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";s:12:\"premium_slug\";s:23:\"wp-sheet-editor-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";s:7:\"version\";s:6:\"2.25.2\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:17:\"opt_in_moderation\";N;}}s:9:\"unique_id\";s:32:\"a90b2ee68ebebfc63fd5236736434634\";s:13:\"admin_notices\";a:1:{s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("256", "fs_api_cache", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("259", "vg_sheet_editor", "a:9:{s:8:\"last_tab\";N;s:13:\"be_post_types\";a:1:{i:0;s:4:\"post\";}s:17:\"be_posts_per_page\";i:20;s:23:\"be_load_items_on_scroll\";i:1;s:19:\"be_fix_columns_left\";i:2;s:22:\"be_posts_per_page_save\";i:4;s:26:\"be_timeout_between_batches\";i:6;s:23:\"be_disable_post_actions\";i:0;s:30:\"be_disable_full_screen_mode_on\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("260", "vgse_can_edit_cpt_free", "1", "yes");
INSERT INTO `wp_options` VALUES("261", "vgse_columns_visibility", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("262", "vgse_columns_visibility_migrated", "1", "yes");
INSERT INTO `wp_options` VALUES("263", "vgse_welcome_redirect", "no", "yes");
INSERT INTO `wp_options` VALUES("264", "vgse_hide_whats_new_2.25.2", "yes", "yes");
INSERT INTO `wp_options` VALUES("265", "vgse_disable_quick_setup", "1", "yes");
INSERT INTO `wp_options` VALUES("268", "vgse_hide_extensions_popup", "1", "yes");
INSERT INTO `wp_options` VALUES("272", "vgse_editions_counter", "53", "yes");
INSERT INTO `wp_options` VALUES("273", "vgse_processed_counter", "16", "yes");
INSERT INTO `wp_options` VALUES("288", "generate_header_helper", "current", "yes");
INSERT INTO `wp_options` VALUES("289", "generate_spacing_settings", "a:2:{s:10:\"header_top\";i:20;s:13:\"header_bottom\";i:20;}", "yes");
INSERT INTO `wp_options` VALUES("322", "site_logo", "447", "yes");
INSERT INTO `wp_options` VALUES("380", "duplicator_version_plugin", "1.5.5.1", "yes");
INSERT INTO `wp_options` VALUES("382", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("383", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("385", "duplicator_activated", "a:1:{s:4:\"lite\";i:1686511904;}", "yes");
INSERT INTO `wp_options` VALUES("387", "duplicator_pro_exe_safe_mode", "0", "yes");
INSERT INTO `wp_options` VALUES("388", "duplicator_activate_plugins_after_installation", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("425", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("430", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("431", "new_admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("455", "theme_mods_twentytwenty", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686602896;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("504", "generate_dynamic_css_output", "body{background-color:var(--base-2);color:var(--contrast);}a{color:var(--accent);}a{text-decoration:underline;}.entry-title a, .site-branding a, a.button, .wp-block-button__link, .main-navigation a{text-decoration:none;}a:hover, a:focus, a:active{color:var(--contrast);}.wp-block-group__inner-container{max-width:1200px;margin-left:auto;margin-right:auto;}:root{--contrast:#222222;--contrast-2:#575760;--contrast-3:#b2b2be;--base:#f0f0f0;--base-2:#f7f8f9;--base-3:#ffffff;--accent:#1e73be;}:root .has-contrast-color{color:var(--contrast);}:root .has-contrast-background-color{background-color:var(--contrast);}:root .has-contrast-2-color{color:var(--contrast-2);}:root .has-contrast-2-background-color{background-color:var(--contrast-2);}:root .has-contrast-3-color{color:var(--contrast-3);}:root .has-contrast-3-background-color{background-color:var(--contrast-3);}:root .has-base-color{color:var(--base);}:root .has-base-background-color{background-color:var(--base);}:root .has-base-2-color{color:var(--base-2);}:root .has-base-2-background-color{background-color:var(--base-2);}:root .has-base-3-color{color:var(--base-3);}:root .has-base-3-background-color{background-color:var(--base-3);}:root .has-accent-color{color:var(--accent);}:root .has-accent-background-color{background-color:var(--accent);}.top-bar{background-color:#636363;color:#ffffff;}.top-bar a{color:#ffffff;}.top-bar a:hover{color:#303030;}.site-header{background-color:var(--base-3);}.main-title a,.main-title a:hover{color:var(--contrast);}.site-description{color:var(--contrast-2);}.mobile-menu-control-wrapper .menu-toggle,.mobile-menu-control-wrapper .menu-toggle:hover,.mobile-menu-control-wrapper .menu-toggle:focus,.has-inline-mobile-toggle #site-navigation.toggled{background-color:rgba(0, 0, 0, 0.02);}.main-navigation,.main-navigation ul ul{background-color:var(--base-3);}.main-navigation .main-nav ul li a, .main-navigation .menu-toggle, .main-navigation .menu-bar-items{color:var(--contrast);}.main-navigation .main-nav ul li:not([class*=\"current-menu-\"]):hover > a, .main-navigation .main-nav ul li:not([class*=\"current-menu-\"]):focus > a, .main-navigation .main-nav ul li.sfHover:not([class*=\"current-menu-\"]) > a, .main-navigation .menu-bar-item:hover > a, .main-navigation .menu-bar-item.sfHover > a{color:var(--accent);}button.menu-toggle:hover,button.menu-toggle:focus{color:var(--contrast);}.main-navigation .main-nav ul li[class*=\"current-menu-\"] > a{color:var(--accent);}.navigation-search input[type=\"search\"],.navigation-search input[type=\"search\"]:active, .navigation-search input[type=\"search\"]:focus, .main-navigation .main-nav ul li.search-item.active > a, .main-navigation .menu-bar-items .search-item.active > a{color:var(--accent);}.main-navigation ul ul{background-color:var(--base);}.separate-containers .inside-article, .separate-containers .comments-area, .separate-containers .page-header, .one-container .container, .separate-containers .paging-navigation, .inside-page-header{background-color:var(--base-3);}.entry-title a{color:var(--contrast);}.entry-title a:hover{color:var(--contrast-2);}.entry-meta{color:var(--contrast-2);}.sidebar .widget{background-color:var(--base-3);}.footer-widgets{background-color:var(--base-3);}.site-info{background-color:var(--base-3);}input[type=\"text\"],input[type=\"email\"],input[type=\"url\"],input[type=\"password\"],input[type=\"search\"],input[type=\"tel\"],input[type=\"number\"],textarea,select{color:var(--contrast);background-color:var(--base-2);border-color:var(--base);}input[type=\"text\"]:focus,input[type=\"email\"]:focus,input[type=\"url\"]:focus,input[type=\"password\"]:focus,input[type=\"search\"]:focus,input[type=\"tel\"]:focus,input[type=\"number\"]:focus,textarea:focus,select:focus{color:var(--contrast);background-color:var(--base-2);border-color:var(--contrast-3);}button,html input[type=\"button\"],input[type=\"reset\"],input[type=\"submit\"],a.button,a.wp-block-button__link:not(.has-background){color:#ffffff;background-color:#55555e;}button:hover,html input[type=\"button\"]:hover,input[type=\"reset\"]:hover,input[type=\"submit\"]:hover,a.button:hover,button:focus,html input[type=\"button\"]:focus,input[type=\"reset\"]:focus,input[type=\"submit\"]:focus,a.button:focus,a.wp-block-button__link:not(.has-background):active,a.wp-block-button__link:not(.has-background):focus,a.wp-block-button__link:not(.has-background):hover{color:#ffffff;background-color:#3f4047;}a.generate-back-to-top{background-color:rgba( 0,0,0,0.4 );color:#ffffff;}a.generate-back-to-top:hover,a.generate-back-to-top:focus{background-color:rgba( 0,0,0,0.6 );color:#ffffff;}:root{--gp-search-modal-bg-color:var(--base-3);--gp-search-modal-text-color:var(--contrast);--gp-search-modal-overlay-bg-color:rgba(0,0,0,0.2);}@media (max-width:768px){.main-navigation .menu-bar-item:hover > a, .main-navigation .menu-bar-item.sfHover > a{background:none;color:var(--contrast);}}.nav-below-header .main-navigation .inside-navigation.grid-container, .nav-above-header .main-navigation .inside-navigation.grid-container{padding:0px 20px 0px 20px;}.site-main .wp-block-group__inner-container{padding:40px;}.separate-containers .paging-navigation{padding-top:20px;padding-bottom:20px;}.entry-content .alignwide, body:not(.no-sidebar) .entry-content .alignfull{margin-left:-40px;width:calc(100% + 80px);max-width:calc(100% + 80px);}.rtl .menu-item-has-children .dropdown-menu-toggle{padding-left:20px;}.rtl .main-navigation .main-nav ul li.menu-item-has-children > a{padding-right:20px;}@media (max-width:768px){.separate-containers .inside-article, .separate-containers .comments-area, .separate-containers .page-header, .separate-containers .paging-navigation, .one-container .site-content, .inside-page-header{padding:30px;}.site-main .wp-block-group__inner-container{padding:30px;}.inside-top-bar{padding-right:30px;padding-left:30px;}.inside-header{padding-right:30px;padding-left:30px;}.widget-area .widget{padding-top:30px;padding-right:30px;padding-bottom:30px;padding-left:30px;}.footer-widgets-container{padding-top:30px;padding-right:30px;padding-bottom:30px;padding-left:30px;}.inside-site-info{padding-right:30px;padding-left:30px;}.entry-content .alignwide, body:not(.no-sidebar) .entry-content .alignfull{margin-left:-30px;width:calc(100% + 60px);max-width:calc(100% + 60px);}.one-container .site-main .paging-navigation{margin-bottom:20px;}}", "yes");
INSERT INTO `wp_options` VALUES("505", "generate_dynamic_css_cached_version", "3.3.0", "yes");
INSERT INTO `wp_options` VALUES("511", "theme_mods_neve", "a:10:{i:0;b:0;s:30:\"neve_auto_migrated_to_new_skin\";b:1;s:19:\"neve_ran_migrations\";b:1;s:22:\"neve_migrated_builders\";b:1;s:13:\"neve_new_skin\";s:3:\"new\";s:24:\"neve_migrated_hfg_colors\";b:1;s:18:\"nav_menu_locations\";a:0:{}s:13:\"ti_prev_theme\";s:17:\"twentytwentythree\";s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686811047;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("512", "neve_install", "1686810989", "yes");
INSERT INTO `wp_options` VALUES("517", "neve_user_check_time", "1686810989", "yes");
INSERT INTO `wp_options` VALUES("518", "neve_new_user", "yes", "yes");
INSERT INTO `wp_options` VALUES("542", "duplicator_notifications", "a:4:{s:6:\"update\";i:1692902168;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("551", "theme_mods_irishpassport", "a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:6:{s:12:\"blog-sidebar\";a:11:{s:4:\"name\";s:7:\"Sidebar\";s:2:\"id\";s:12:\"blog-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:12:\"shop-sidebar\";a:11:{s:4:\"name\";s:12:\"Shop Sidebar\";s:2:\"id\";s:12:\"shop-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-one-widgets\";a:11:{s:4:\"name\";s:10:\"Footer One\";s:2:\"id\";s:18:\"footer-one-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-two-widgets\";a:11:{s:4:\"name\";s:10:\"Footer Two\";s:2:\"id\";s:18:\"footer-two-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:20:\"footer-three-widgets\";a:11:{s:4:\"name\";s:12:\"Footer Three\";s:2:\"id\";s:20:\"footer-three-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:19:\"footer-four-widgets\";a:11:{s:4:\"name\";s:11:\"Footer Four\";s:2:\"id\";s:19:\"footer-four-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1692914490;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("658", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("661", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:15:\"kevinmc@shaw.ca\";s:7:\"version\";s:3:\"6.3\";s:9:\"timestamp\";i:1691688635;}", "no");
INSERT INTO `wp_options` VALUES("672", "can_compress_scripts", "1", "yes");
INSERT INTO `wp_options` VALUES("736", "theme_mods_irishpassport-ducky-saved", "a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:6:{s:12:\"blog-sidebar\";a:11:{s:4:\"name\";s:7:\"Sidebar\";s:2:\"id\";s:12:\"blog-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:12:\"shop-sidebar\";a:11:{s:4:\"name\";s:12:\"Shop Sidebar\";s:2:\"id\";s:12:\"shop-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-one-widgets\";a:11:{s:4:\"name\";s:10:\"Footer One\";s:2:\"id\";s:18:\"footer-one-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-two-widgets\";a:11:{s:4:\"name\";s:10:\"Footer Two\";s:2:\"id\";s:18:\"footer-two-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:20:\"footer-three-widgets\";a:11:{s:4:\"name\";s:12:\"Footer Three\";s:2:\"id\";s:20:\"footer-three-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:19:\"footer-four-widgets\";a:11:{s:4:\"name\";s:11:\"Footer Four\";s:2:\"id\";s:19:\"footer-four-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1691795317;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("791", "duplicator_migration_data", "{\n    \"time\": 1692815634,\n    \"installType\": -1,\n    \"restoreBackupMode\": false,\n    \"recoveryMode\": false,\n    \"archivePath\": \"\\/Applications\\/MAMP\\/htdocs\\/VIDEOS\\/irish-passport-video-solution-series\\/20230811_the_duck_starter_site_wp63_0a22024817784d731752_20230811231408_archive.zip\",\n    \"packageHash\": \"0a22024-11231408\",\n    \"installerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/VIDEOS\\/irish-passport-video-solution-series\\/installer.php\",\n    \"installerBootLog\": \"\\/Applications\\/MAMP\\/htdocs\\/VIDEOS\\/irish-passport-video-solution-series\\/dup-installer-bootlog__d9f74db-11231408.txt\",\n    \"installerLog\": \"\\/Applications\\/MAMP\\/htdocs\\/VIDEOS\\/irish-passport-video-solution-series\\/dup-installer\\/dup-installer-log__d9f74db-11231408.txt\",\n    \"dupInstallerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/VIDEOS\\/irish-passport-video-solution-series\\/dup-installer\",\n    \"origFileFolderPath\": \"\\/Applications\\/MAMP\\/htdocs\\/VIDEOS\\/irish-passport-video-solution-series\\/dup-installer\\/original_files_0a22024-11231408\",\n    \"safeMode\": 0,\n    \"cleanInstallerFiles\": true\n}", "no");
INSERT INTO `wp_options` VALUES("792", "_transient_wp_core_block_css_files", "a:496:{i:0;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/archives/editor-rtl.css\";i:1;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/archives/editor-rtl.min.css\";i:2;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/archives/editor.css\";i:3;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/archives/editor.min.css\";i:4;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/archives/style-rtl.css\";i:5;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/archives/style-rtl.min.css\";i:6;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/archives/style.css\";i:7;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/archives/style.min.css\";i:8;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/editor-rtl.css\";i:9;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/editor-rtl.min.css\";i:10;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/editor.css\";i:11;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/editor.min.css\";i:12;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/style-rtl.css\";i:13;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/style-rtl.min.css\";i:14;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/style.css\";i:15;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/style.min.css\";i:16;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/theme-rtl.css\";i:17;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/theme-rtl.min.css\";i:18;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/theme.css\";i:19;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/audio/theme.min.css\";i:20;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/avatar/editor-rtl.css\";i:21;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/avatar/editor-rtl.min.css\";i:22;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/avatar/editor.css\";i:23;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/avatar/editor.min.css\";i:24;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/avatar/style-rtl.css\";i:25;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/avatar/style-rtl.min.css\";i:26;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/avatar/style.css\";i:27;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/avatar/style.min.css\";i:28;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/block/editor-rtl.css\";i:29;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/block/editor-rtl.min.css\";i:30;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/block/editor.css\";i:31;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/block/editor.min.css\";i:32;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/button/editor-rtl.css\";i:33;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/button/editor-rtl.min.css\";i:34;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/button/editor.css\";i:35;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/button/editor.min.css\";i:36;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/button/style-rtl.css\";i:37;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/button/style-rtl.min.css\";i:38;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/button/style.css\";i:39;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/button/style.min.css\";i:40;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/buttons/editor-rtl.css\";i:41;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/buttons/editor-rtl.min.css\";i:42;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/buttons/editor.css\";i:43;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/buttons/editor.min.css\";i:44;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/buttons/style-rtl.css\";i:45;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/buttons/style-rtl.min.css\";i:46;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/buttons/style.css\";i:47;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/buttons/style.min.css\";i:48;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/calendar/style-rtl.css\";i:49;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/calendar/style-rtl.min.css\";i:50;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/calendar/style.css\";i:51;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/calendar/style.min.css\";i:52;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/categories/editor-rtl.css\";i:53;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/categories/editor-rtl.min.css\";i:54;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/categories/editor.css\";i:55;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/categories/editor.min.css\";i:56;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/categories/style-rtl.css\";i:57;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/categories/style-rtl.min.css\";i:58;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/categories/style.css\";i:59;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/categories/style.min.css\";i:60;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/editor-rtl.css\";i:61;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/editor-rtl.min.css\";i:62;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/editor.css\";i:63;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/editor.min.css\";i:64;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/style-rtl.css\";i:65;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/style-rtl.min.css\";i:66;s:103:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/style.css\";i:67;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/style.min.css\";i:68;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/theme-rtl.css\";i:69;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/theme-rtl.min.css\";i:70;s:103:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/theme.css\";i:71;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/code/theme.min.css\";i:72;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/columns/editor-rtl.css\";i:73;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/columns/editor-rtl.min.css\";i:74;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/columns/editor.css\";i:75;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/columns/editor.min.css\";i:76;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/columns/style-rtl.css\";i:77;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/columns/style-rtl.min.css\";i:78;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/columns/style.css\";i:79;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/columns/style.min.css\";i:80;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comment-content/style-rtl.css\";i:81;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comment-content/style-rtl.min.css\";i:82;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comment-content/style.css\";i:83;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comment-content/style.min.css\";i:84;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comment-template/style-rtl.css\";i:85;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comment-template/style-rtl.min.css\";i:86;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comment-template/style.css\";i:87;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comment-template/style.min.css\";i:88;s:131:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination-numbers/editor-rtl.css\";i:89;s:135:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination-numbers/editor-rtl.min.css\";i:90;s:127:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination-numbers/editor.css\";i:91;s:131:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination-numbers/editor.min.css\";i:92;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination/editor-rtl.css\";i:93;s:127:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination/editor-rtl.min.css\";i:94;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination/editor.css\";i:95;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination/editor.min.css\";i:96;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination/style-rtl.css\";i:97;s:126:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination/style-rtl.min.css\";i:98;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination/style.css\";i:99;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-pagination/style.min.css\";i:100;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-title/editor-rtl.css\";i:101;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-title/editor-rtl.min.css\";i:102;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-title/editor.css\";i:103;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments-title/editor.min.css\";i:104;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments/editor-rtl.css\";i:105;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments/editor-rtl.min.css\";i:106;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments/editor.css\";i:107;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments/editor.min.css\";i:108;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments/style-rtl.css\";i:109;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments/style-rtl.min.css\";i:110;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments/style.css\";i:111;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/comments/style.min.css\";i:112;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/cover/editor-rtl.css\";i:113;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/cover/editor-rtl.min.css\";i:114;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/cover/editor.css\";i:115;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/cover/editor.min.css\";i:116;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/cover/style-rtl.css\";i:117;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/cover/style-rtl.min.css\";i:118;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/cover/style.css\";i:119;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/cover/style.min.css\";i:120;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/details/editor-rtl.css\";i:121;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/details/editor-rtl.min.css\";i:122;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/details/editor.css\";i:123;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/details/editor.min.css\";i:124;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/details/style-rtl.css\";i:125;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/details/style-rtl.min.css\";i:126;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/details/style.css\";i:127;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/details/style.min.css\";i:128;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/editor-rtl.css\";i:129;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/editor-rtl.min.css\";i:130;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/editor.css\";i:131;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/editor.min.css\";i:132;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/style-rtl.css\";i:133;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/style-rtl.min.css\";i:134;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/style.css\";i:135;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/style.min.css\";i:136;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/theme-rtl.css\";i:137;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/theme-rtl.min.css\";i:138;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/theme.css\";i:139;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/embed/theme.min.css\";i:140;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/file/editor-rtl.css\";i:141;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/file/editor-rtl.min.css\";i:142;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/file/editor.css\";i:143;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/file/editor.min.css\";i:144;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/file/style-rtl.css\";i:145;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/file/style-rtl.min.css\";i:146;s:103:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/file/style.css\";i:147;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/file/style.min.css\";i:148;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/footnotes/style-rtl.css\";i:149;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/footnotes/style-rtl.min.css\";i:150;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/footnotes/style.css\";i:151;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/footnotes/style.min.css\";i:152;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/freeform/editor-rtl.css\";i:153;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/freeform/editor-rtl.min.css\";i:154;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/freeform/editor.css\";i:155;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/freeform/editor.min.css\";i:156;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/editor-rtl.css\";i:157;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/editor-rtl.min.css\";i:158;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/editor.css\";i:159;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/editor.min.css\";i:160;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/style-rtl.css\";i:161;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/style-rtl.min.css\";i:162;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/style.css\";i:163;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/style.min.css\";i:164;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/theme-rtl.css\";i:165;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/theme-rtl.min.css\";i:166;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/theme.css\";i:167;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/gallery/theme.min.css\";i:168;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/editor-rtl.css\";i:169;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/editor-rtl.min.css\";i:170;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/editor.css\";i:171;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/editor.min.css\";i:172;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/style-rtl.css\";i:173;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/style-rtl.min.css\";i:174;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/style.css\";i:175;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/style.min.css\";i:176;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/theme-rtl.css\";i:177;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/theme-rtl.min.css\";i:178;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/theme.css\";i:179;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/group/theme.min.css\";i:180;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/heading/style-rtl.css\";i:181;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/heading/style-rtl.min.css\";i:182;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/heading/style.css\";i:183;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/heading/style.min.css\";i:184;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/html/editor-rtl.css\";i:185;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/html/editor-rtl.min.css\";i:186;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/html/editor.css\";i:187;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/html/editor.min.css\";i:188;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/editor-rtl.css\";i:189;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/editor-rtl.min.css\";i:190;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/editor.css\";i:191;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/editor.min.css\";i:192;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/style-rtl.css\";i:193;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/style-rtl.min.css\";i:194;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/style.css\";i:195;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/style.min.css\";i:196;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/theme-rtl.css\";i:197;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/theme-rtl.min.css\";i:198;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/theme.css\";i:199;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/image/theme.min.css\";i:200;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-comments/style-rtl.css\";i:201;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-comments/style-rtl.min.css\";i:202;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-comments/style.css\";i:203;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-comments/style.min.css\";i:204;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-posts/editor-rtl.css\";i:205;s:120:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-posts/editor-rtl.min.css\";i:206;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-posts/editor.css\";i:207;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-posts/editor.min.css\";i:208;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-posts/style-rtl.css\";i:209;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-posts/style-rtl.min.css\";i:210;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-posts/style.css\";i:211;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/latest-posts/style.min.css\";i:212;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/list/style-rtl.css\";i:213;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/list/style-rtl.min.css\";i:214;s:103:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/list/style.css\";i:215;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/list/style.min.css\";i:216;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/media-text/editor-rtl.css\";i:217;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/media-text/editor-rtl.min.css\";i:218;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/media-text/editor.css\";i:219;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/media-text/editor.min.css\";i:220;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/media-text/style-rtl.css\";i:221;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/media-text/style-rtl.min.css\";i:222;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/media-text/style.css\";i:223;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/media-text/style.min.css\";i:224;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/more/editor-rtl.css\";i:225;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/more/editor-rtl.min.css\";i:226;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/more/editor.css\";i:227;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/more/editor.min.css\";i:228;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-link/editor-rtl.css\";i:229;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-link/editor-rtl.min.css\";i:230;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-link/editor.css\";i:231;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-link/editor.min.css\";i:232;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-link/style-rtl.css\";i:233;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-link/style-rtl.min.css\";i:234;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-link/style.css\";i:235;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-link/style.min.css\";i:236;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-submenu/editor-rtl.css\";i:237;s:126:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-submenu/editor-rtl.min.css\";i:238;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-submenu/editor.css\";i:239;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation-submenu/editor.min.css\";i:240;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation/editor-rtl.css\";i:241;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation/editor-rtl.min.css\";i:242;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation/editor.css\";i:243;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation/editor.min.css\";i:244;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation/style-rtl.css\";i:245;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation/style-rtl.min.css\";i:246;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation/style.css\";i:247;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/navigation/style.min.css\";i:248;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/nextpage/editor-rtl.css\";i:249;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/nextpage/editor-rtl.min.css\";i:250;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/nextpage/editor.css\";i:251;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/nextpage/editor.min.css\";i:252;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/page-list/editor-rtl.css\";i:253;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/page-list/editor-rtl.min.css\";i:254;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/page-list/editor.css\";i:255;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/page-list/editor.min.css\";i:256;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/page-list/style-rtl.css\";i:257;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/page-list/style-rtl.min.css\";i:258;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/page-list/style.css\";i:259;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/page-list/style.min.css\";i:260;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/paragraph/editor-rtl.css\";i:261;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/paragraph/editor-rtl.min.css\";i:262;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/paragraph/editor.css\";i:263;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/paragraph/editor.min.css\";i:264;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/paragraph/style-rtl.css\";i:265;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/paragraph/style-rtl.min.css\";i:266;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/paragraph/style.css\";i:267;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/paragraph/style.min.css\";i:268;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-author/style-rtl.css\";i:269;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-author/style-rtl.min.css\";i:270;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-author/style.css\";i:271;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-author/style.min.css\";i:272;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-comments-form/editor-rtl.css\";i:273;s:126:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-comments-form/editor-rtl.min.css\";i:274;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-comments-form/editor.css\";i:275;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-comments-form/editor.min.css\";i:276;s:121:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-comments-form/style-rtl.css\";i:277;s:125:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-comments-form/style-rtl.min.css\";i:278;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-comments-form/style.css\";i:279;s:121:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-comments-form/style.min.css\";i:280;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-date/style-rtl.css\";i:281;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-date/style-rtl.min.css\";i:282;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-date/style.css\";i:283;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-date/style.min.css\";i:284;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-excerpt/editor-rtl.css\";i:285;s:120:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-excerpt/editor-rtl.min.css\";i:286;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-excerpt/editor.css\";i:287;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-excerpt/editor.min.css\";i:288;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-excerpt/style-rtl.css\";i:289;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-excerpt/style-rtl.min.css\";i:290;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-excerpt/style.css\";i:291;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-excerpt/style.min.css\";i:292;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-featured-image/editor-rtl.css\";i:293;s:127:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-featured-image/editor-rtl.min.css\";i:294;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-featured-image/editor.css\";i:295;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-featured-image/editor.min.css\";i:296;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-featured-image/style-rtl.css\";i:297;s:126:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-featured-image/style-rtl.min.css\";i:298;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-featured-image/style.css\";i:299;s:122:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-featured-image/style.min.css\";i:300;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-navigation-link/style-rtl.css\";i:301;s:127:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-navigation-link/style-rtl.min.css\";i:302;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-navigation-link/style.css\";i:303;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-navigation-link/style.min.css\";i:304;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-template/editor-rtl.css\";i:305;s:121:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-template/editor-rtl.min.css\";i:306;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-template/editor.css\";i:307;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-template/editor.min.css\";i:308;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-template/style-rtl.css\";i:309;s:120:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-template/style-rtl.min.css\";i:310;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-template/style.css\";i:311;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-template/style.min.css\";i:312;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-terms/style-rtl.css\";i:313;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-terms/style-rtl.min.css\";i:314;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-terms/style.css\";i:315;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-terms/style.min.css\";i:316;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-title/style-rtl.css\";i:317;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-title/style-rtl.min.css\";i:318;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-title/style.css\";i:319;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/post-title/style.min.css\";i:320;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/preformatted/style-rtl.css\";i:321;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/preformatted/style-rtl.min.css\";i:322;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/preformatted/style.css\";i:323;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/preformatted/style.min.css\";i:324;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/editor-rtl.css\";i:325;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/editor-rtl.min.css\";i:326;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/editor.css\";i:327;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/editor.min.css\";i:328;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/style-rtl.css\";i:329;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/style-rtl.min.css\";i:330;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/style.css\";i:331;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/style.min.css\";i:332;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/theme-rtl.css\";i:333;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/theme-rtl.min.css\";i:334;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/theme.css\";i:335;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/pullquote/theme.min.css\";i:336;s:128:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination-numbers/editor-rtl.css\";i:337;s:132:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination-numbers/editor-rtl.min.css\";i:338;s:124:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination-numbers/editor.css\";i:339;s:128:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination-numbers/editor.min.css\";i:340;s:120:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination/editor-rtl.css\";i:341;s:124:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination/editor-rtl.min.css\";i:342;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination/editor.css\";i:343;s:120:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination/editor.min.css\";i:344;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination/style-rtl.css\";i:345;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination/style-rtl.min.css\";i:346;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination/style.css\";i:347;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-pagination/style.min.css\";i:348;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-title/style-rtl.css\";i:349;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-title/style-rtl.min.css\";i:350;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-title/style.css\";i:351;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query-title/style.min.css\";i:352;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query/editor-rtl.css\";i:353;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query/editor-rtl.min.css\";i:354;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query/editor.css\";i:355;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/query/editor.min.css\";i:356;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/quote/style-rtl.css\";i:357;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/quote/style-rtl.min.css\";i:358;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/quote/style.css\";i:359;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/quote/style.min.css\";i:360;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/quote/theme-rtl.css\";i:361;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/quote/theme-rtl.min.css\";i:362;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/quote/theme.css\";i:363;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/quote/theme.min.css\";i:364;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/read-more/style-rtl.css\";i:365;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/read-more/style-rtl.min.css\";i:366;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/read-more/style.css\";i:367;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/read-more/style.min.css\";i:368;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/rss/editor-rtl.css\";i:369;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/rss/editor-rtl.min.css\";i:370;s:103:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/rss/editor.css\";i:371;s:107:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/rss/editor.min.css\";i:372;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/rss/style-rtl.css\";i:373;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/rss/style-rtl.min.css\";i:374;s:102:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/rss/style.css\";i:375;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/rss/style.min.css\";i:376;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/editor-rtl.css\";i:377;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/editor-rtl.min.css\";i:378;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/editor.css\";i:379;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/editor.min.css\";i:380;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/style-rtl.css\";i:381;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/style-rtl.min.css\";i:382;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/style.css\";i:383;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/style.min.css\";i:384;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/theme-rtl.css\";i:385;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/theme-rtl.min.css\";i:386;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/theme.css\";i:387;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/search/theme.min.css\";i:388;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/editor-rtl.css\";i:389;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/editor-rtl.min.css\";i:390;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/editor.css\";i:391;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/editor.min.css\";i:392;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/style-rtl.css\";i:393;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/style-rtl.min.css\";i:394;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/style.css\";i:395;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/style.min.css\";i:396;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/theme-rtl.css\";i:397;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/theme-rtl.min.css\";i:398;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/theme.css\";i:399;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/separator/theme.min.css\";i:400;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/shortcode/editor-rtl.css\";i:401;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/shortcode/editor-rtl.min.css\";i:402;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/shortcode/editor.css\";i:403;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/shortcode/editor.min.css\";i:404;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-logo/editor-rtl.css\";i:405;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-logo/editor-rtl.min.css\";i:406;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-logo/editor.css\";i:407;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-logo/editor.min.css\";i:408;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-logo/style-rtl.css\";i:409;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-logo/style-rtl.min.css\";i:410;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-logo/style.css\";i:411;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-logo/style.min.css\";i:412;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-tagline/editor-rtl.css\";i:413;s:120:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-tagline/editor-rtl.min.css\";i:414;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-tagline/editor.css\";i:415;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-tagline/editor.min.css\";i:416;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-title/editor-rtl.css\";i:417;s:118:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-title/editor-rtl.min.css\";i:418;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-title/editor.css\";i:419;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-title/editor.min.css\";i:420;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-title/style-rtl.css\";i:421;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-title/style-rtl.min.css\";i:422;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-title/style.css\";i:423;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/site-title/style.min.css\";i:424;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-link/editor-rtl.css\";i:425;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-link/editor-rtl.min.css\";i:426;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-link/editor.css\";i:427;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-link/editor.min.css\";i:428;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-links/editor-rtl.css\";i:429;s:120:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-links/editor-rtl.min.css\";i:430;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-links/editor.css\";i:431;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-links/editor.min.css\";i:432;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-links/style-rtl.css\";i:433;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-links/style-rtl.min.css\";i:434;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-links/style.css\";i:435;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/social-links/style.min.css\";i:436;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/spacer/editor-rtl.css\";i:437;s:114:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/spacer/editor-rtl.min.css\";i:438;s:106:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/spacer/editor.css\";i:439;s:110:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/spacer/editor.min.css\";i:440;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/spacer/style-rtl.css\";i:441;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/spacer/style-rtl.min.css\";i:442;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/spacer/style.css\";i:443;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/spacer/style.min.css\";i:444;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/editor-rtl.css\";i:445;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/editor-rtl.min.css\";i:446;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/editor.css\";i:447;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/editor.min.css\";i:448;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/style-rtl.css\";i:449;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/style-rtl.min.css\";i:450;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/style.css\";i:451;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/style.min.css\";i:452;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/theme-rtl.css\";i:453;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/theme-rtl.min.css\";i:454;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/theme.css\";i:455;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/table/theme.min.css\";i:456;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/tag-cloud/style-rtl.css\";i:457;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/tag-cloud/style-rtl.min.css\";i:458;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/tag-cloud/style.css\";i:459;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/tag-cloud/style.min.css\";i:460;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/template-part/editor-rtl.css\";i:461;s:121:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/template-part/editor-rtl.min.css\";i:462;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/template-part/editor.css\";i:463;s:117:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/template-part/editor.min.css\";i:464;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/template-part/theme-rtl.css\";i:465;s:120:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/template-part/theme-rtl.min.css\";i:466;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/template-part/theme.css\";i:467;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/template-part/theme.min.css\";i:468;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/term-description/style-rtl.css\";i:469;s:123:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/term-description/style-rtl.min.css\";i:470;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/term-description/style.css\";i:471;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/term-description/style.min.css\";i:472;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/text-columns/editor-rtl.css\";i:473;s:120:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/text-columns/editor-rtl.min.css\";i:474;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/text-columns/editor.css\";i:475;s:116:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/text-columns/editor.min.css\";i:476;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/text-columns/style-rtl.css\";i:477;s:119:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/text-columns/style-rtl.min.css\";i:478;s:111:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/text-columns/style.css\";i:479;s:115:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/text-columns/style.min.css\";i:480;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/verse/style-rtl.css\";i:481;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/verse/style-rtl.min.css\";i:482;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/verse/style.css\";i:483;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/verse/style.min.css\";i:484;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/editor-rtl.css\";i:485;s:113:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/editor-rtl.min.css\";i:486;s:105:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/editor.css\";i:487;s:109:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/editor.min.css\";i:488;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/style-rtl.css\";i:489;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/style-rtl.min.css\";i:490;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/style.css\";i:491;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/style.min.css\";i:492;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/theme-rtl.css\";i:493;s:112:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/theme-rtl.min.css\";i:494;s:104:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/theme.css\";i:495;s:108:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes/blocks/video/theme.min.css\";}", "yes");
INSERT INTO `wp_options` VALUES("794", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:57:\"https://downloads.wordpress.org/release/wordpress-6.3.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:57:\"https://downloads.wordpress.org/release/wordpress-6.3.zip\";s:10:\"no_content\";s:68:\"https://downloads.wordpress.org/release/wordpress-6.3-no-content.zip\";s:11:\"new_bundled\";s:69:\"https://downloads.wordpress.org/release/wordpress-6.3-new-bundled.zip\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:3:\"6.3\";s:7:\"version\";s:3:\"6.3\";s:11:\"php_version\";s:5:\"7.0.0\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1692915140;s:15:\"version_checked\";s:3:\"6.3\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("800", "_site_transient_timeout_php_check_ce267f3653936506950ae9448202043a", "1693420438", "no");
INSERT INTO `wp_options` VALUES("801", "_site_transient_php_check_ce267f3653936506950ae9448202043a", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:3:\"7.0\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("802", "_transient_health-check-site-status-result", "{\"good\":16,\"recommended\":6,\"critical\":1}", "yes");
INSERT INTO `wp_options` VALUES("817", "_site_transient_timeout_browser_3b8d399b56fb9df5592b051fde36c903", "1693463770", "no");
INSERT INTO `wp_options` VALUES("818", "_site_transient_browser_3b8d399b56fb9df5592b051fde36c903", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"115.0.0.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("819", "_site_transient_timeout_community-events-d41d8cd98f00b204e9800998ecf8427e", "1692958318", "no");
INSERT INTO `wp_options` VALUES("820", "_site_transient_community-events-d41d8cd98f00b204e9800998ecf8427e", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";b:0;}s:6:\"events\";a:3:{i:0;a:10:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:36:\"Vancouver WordPress - Social Hangout\";s:3:\"url\";s:72:\"https://www.meetup.com/vancouver-wordpress-meetup-group/events/295211665\";s:6:\"meetup\";s:36:\"The Vancouver WordPress Meetup Group\";s:10:\"meetup_url\";s:56:\"https://www.meetup.com/vancouver-wordpress-meetup-group/\";s:4:\"date\";s:19:\"2023-08-23 18:00:00\";s:8:\"end_date\";s:19:\"2023-08-23 20:00:00\";s:20:\"start_unix_timestamp\";i:1692838800;s:18:\"end_unix_timestamp\";i:1692846000;s:8:\"location\";a:4:{s:8:\"location\";s:21:\"Vancouver, BC, Canada\";s:7:\"country\";s:2:\"ca\";s:8:\"latitude\";d:49.279728;s:9:\"longitude\";d:-123.11562;}}i:1;a:10:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:44:\"WordCamp Vancouver, British Columbia, Canada\";s:3:\"url\";s:36:\"https://vancouver.wordcamp.org/2023/\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2023-09-23 08:00:00\";s:8:\"end_date\";s:19:\"2023-09-23 08:00:00\";s:20:\"start_unix_timestamp\";i:1695481200;s:18:\"end_unix_timestamp\";i:1695481200;s:8:\"location\";a:4:{s:8:\"location\";s:35:\"Vancouver, British Columbia, Canada\";s:7:\"country\";s:2:\"CA\";s:8:\"latitude\";d:49.2829261;s:9:\"longitude\";d:-123.1203896;}}i:2;a:10:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:23:\"WordCamp Vancouver 2023\";s:3:\"url\";s:72:\"https://www.meetup.com/vancouver-wordpress-meetup-group/events/294398267\";s:6:\"meetup\";s:36:\"The Vancouver WordPress Meetup Group\";s:10:\"meetup_url\";s:56:\"https://www.meetup.com/vancouver-wordpress-meetup-group/\";s:4:\"date\";s:19:\"2023-09-23 09:00:00\";s:8:\"end_date\";s:19:\"2023-09-23 17:00:00\";s:20:\"start_unix_timestamp\";i:1695484800;s:18:\"end_unix_timestamp\";i:1695513600;s:8:\"location\";a:4:{s:8:\"location\";s:22:\"Vancouver,, BC, Canada\";s:7:\"country\";s:2:\"ca\";s:8:\"latitude\";d:49.282364;s:9:\"longitude\";d:-123.12135;}}}}", "no");
INSERT INTO `wp_options` VALUES("849", "_site_transient_timeout_available_translations", "1692924273", "no");
INSERT INTO `wp_options` VALUES("850", "_site_transient_available_translations", "a:131:{s:2:\"af\";a:8:{s:8:\"language\";s:2:\"af\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-05-13 15:59:22\";s:12:\"english_name\";s:9:\"Afrikaans\";s:11:\"native_name\";s:9:\"Afrikaans\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/af.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"af\";i:2;s:3:\"afr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Gaan voort\";}}s:2:\"am\";a:8:{s:8:\"language\";s:2:\"am\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2022-09-29 20:43:49\";s:12:\"english_name\";s:7:\"Amharic\";s:11:\"native_name\";s:12:\"አማርኛ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.0.5/am.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"am\";i:2;s:3:\"amh\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"ቀጥል\";}}s:3:\"arg\";a:8:{s:8:\"language\";s:3:\"arg\";s:7:\"version\";s:8:\"6.2-beta\";s:7:\"updated\";s:19:\"2022-09-22 16:46:56\";s:12:\"english_name\";s:9:\"Aragonese\";s:11:\"native_name\";s:9:\"Aragonés\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/6.2-beta/arg.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"an\";i:2;s:3:\"arg\";i:3;s:3:\"arg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continar\";}}s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-06-18 08:25:23\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"متابعة\";}}s:3:\"ary\";a:8:{s:8:\"language\";s:3:\"ary\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2017-01-26 15:42:35\";s:12:\"english_name\";s:15:\"Moroccan Arabic\";s:11:\"native_name\";s:31:\"العربية المغربية\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.22/ary.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:3;s:3:\"ary\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"as\";a:8:{s:8:\"language\";s:2:\"as\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-05 08:49:59\";s:12:\"english_name\";s:8:\"Assamese\";s:11:\"native_name\";s:21:\"অসমীয়া\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/as.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"as\";i:2;s:3:\"asm\";i:3;s:3:\"asm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-06 00:09:27\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:3:\"azb\";a:8:{s:8:\"language\";s:3:\"azb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-12 20:34:31\";s:12:\"english_name\";s:17:\"South Azerbaijani\";s:11:\"native_name\";s:29:\"گؤنئی آذربایجان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/azb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:3;s:3:\"azb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:3:\"bel\";a:8:{s:8:\"language\";s:3:\"bel\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2019-10-29 07:54:22\";s:12:\"english_name\";s:10:\"Belarusian\";s:11:\"native_name\";s:29:\"Беларуская мова\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.9.23/bel.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"be\";i:2;s:3:\"bel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Працягнуць\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-06-23 11:21:55\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Напред\";}}s:5:\"bn_BD\";a:8:{s:8:\"language\";s:5:\"bn_BD\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-24 08:33:35\";s:12:\"english_name\";s:20:\"Bengali (Bangladesh)\";s:11:\"native_name\";s:15:\"বাংলা\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/bn_BD.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"bn\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:28:\"চালিয়ে যান\";}}s:2:\"bo\";a:8:{s:8:\"language\";s:2:\"bo\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2020-10-30 03:24:38\";s:12:\"english_name\";s:7:\"Tibetan\";s:11:\"native_name\";s:21:\"བོད་ཡིག\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/bo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bo\";i:2;s:3:\"tib\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:33:\"མུ་མཐུད་དུ།\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 20:45:53\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-15 13:01:35\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:3:\"ceb\";a:8:{s:8:\"language\";s:3:\"ceb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-02 17:25:51\";s:12:\"english_name\";s:7:\"Cebuano\";s:11:\"native_name\";s:7:\"Cebuano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/ceb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"ceb\";i:3;s:3:\"ceb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Padayun\";}}s:5:\"cs_CZ\";a:8:{s:8:\"language\";s:5:\"cs_CZ\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-21 11:59:07\";s:12:\"english_name\";s:5:\"Czech\";s:11:\"native_name\";s:9:\"Čeština\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/cs_CZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cs\";i:2;s:3:\"ces\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Pokračovat\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-05 14:06:30\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-19 15:27:26\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsæt\";}}s:5:\"de_CH\";a:8:{s:8:\"language\";s:5:\"de_CH\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 09:49:50\";s:12:\"english_name\";s:20:\"German (Switzerland)\";s:11:\"native_name\";s:17:\"Deutsch (Schweiz)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/de_CH.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:14:\"de_CH_informal\";a:8:{s:8:\"language\";s:14:\"de_CH_informal\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 09:52:35\";s:12:\"english_name\";s:30:\"German (Switzerland, Informal)\";s:11:\"native_name\";s:21:\"Deutsch (Schweiz, Du)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/6.3/de_CH_informal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:12:\"de_DE_formal\";a:8:{s:8:\"language\";s:12:\"de_DE_formal\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-20 15:13:11\";s:12:\"english_name\";s:15:\"German (Formal)\";s:11:\"native_name\";s:13:\"Deutsch (Sie)\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/translation/core/6.3/de_DE_formal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-20 15:19:10\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_AT\";a:8:{s:8:\"language\";s:5:\"de_AT\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-18 08:19:14\";s:12:\"english_name\";s:16:\"German (Austria)\";s:11:\"native_name\";s:21:\"Deutsch (Österreich)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/de_AT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:3:\"dsb\";a:8:{s:8:\"language\";s:3:\"dsb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-07-16 12:13:09\";s:12:\"english_name\";s:13:\"Lower Sorbian\";s:11:\"native_name\";s:16:\"Dolnoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/dsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"dsb\";i:3;s:3:\"dsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Dalej\";}}s:3:\"dzo\";a:8:{s:8:\"language\";s:3:\"dzo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-06-29 08:59:03\";s:12:\"english_name\";s:8:\"Dzongkha\";s:11:\"native_name\";s:18:\"རྫོང་ཁ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/dzo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"dz\";i:2;s:3:\"dzo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"el\";a:8:{s:8:\"language\";s:2:\"el\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-23 09:21:40\";s:12:\"english_name\";s:5:\"Greek\";s:11:\"native_name\";s:16:\"Ελληνικά\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/el.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"el\";i:2;s:3:\"ell\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Συνέχεια\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 16:08:07\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_ZA\";a:8:{s:8:\"language\";s:5:\"en_ZA\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-13 12:52:17\";s:12:\"english_name\";s:22:\"English (South Africa)\";s:11:\"native_name\";s:22:\"English (South Africa)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/en_ZA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 07:13:00\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 07:25:21\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_NZ\";a:8:{s:8:\"language\";s:5:\"en_NZ\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-18 06:22:52\";s:12:\"english_name\";s:21:\"English (New Zealand)\";s:11:\"native_name\";s:21:\"English (New Zealand)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/en_NZ.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"eo\";a:8:{s:8:\"language\";s:2:\"eo\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-05-17 04:31:21\";s:12:\"english_name\";s:9:\"Esperanto\";s:11:\"native_name\";s:9:\"Esperanto\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/eo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eo\";i:2;s:3:\"epo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Daŭrigi\";}}s:5:\"es_VE\";a:8:{s:8:\"language\";s:5:\"es_VE\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-04 16:53:05\";s:12:\"english_name\";s:19:\"Spanish (Venezuela)\";s:11:\"native_name\";s:21:\"Español de Venezuela\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_VE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_MX\";a:8:{s:8:\"language\";s:5:\"es_MX\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-09 16:14:38\";s:12:\"english_name\";s:16:\"Spanish (Mexico)\";s:11:\"native_name\";s:19:\"Español de México\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_MX.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CO\";a:8:{s:8:\"language\";s:5:\"es_CO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-14 22:16:37\";s:12:\"english_name\";s:18:\"Spanish (Colombia)\";s:11:\"native_name\";s:20:\"Español de Colombia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_CO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_EC\";a:8:{s:8:\"language\";s:5:\"es_EC\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-21 13:32:10\";s:12:\"english_name\";s:17:\"Spanish (Ecuador)\";s:11:\"native_name\";s:19:\"Español de Ecuador\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_EC.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_DO\";a:8:{s:8:\"language\";s:5:\"es_DO\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2021-10-08 14:32:50\";s:12:\"english_name\";s:28:\"Spanish (Dominican Republic)\";s:11:\"native_name\";s:33:\"Español de República Dominicana\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.7/es_DO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2021-10-04 20:53:18\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.7/es_PE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-06-14 16:02:22\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/es_CL.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_UY\";a:8:{s:8:\"language\";s:5:\"es_UY\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-31 18:33:26\";s:12:\"english_name\";s:17:\"Spanish (Uruguay)\";s:11:\"native_name\";s:19:\"Español de Uruguay\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/es_UY.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PR\";a:8:{s:8:\"language\";s:5:\"es_PR\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-04-29 15:36:59\";s:12:\"english_name\";s:21:\"Spanish (Puerto Rico)\";s:11:\"native_name\";s:23:\"Español de Puerto Rico\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.4.13/es_PR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_GT\";a:8:{s:8:\"language\";s:5:\"es_GT\";s:7:\"version\";s:6:\"5.2.18\";s:7:\"updated\";s:19:\"2019-03-02 06:35:01\";s:12:\"english_name\";s:19:\"Spanish (Guatemala)\";s:11:\"native_name\";s:21:\"Español de Guatemala\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.2.18/es_GT.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CR\";a:8:{s:8:\"language\";s:5:\"es_CR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-17 17:10:36\";s:12:\"english_name\";s:20:\"Spanish (Costa Rica)\";s:11:\"native_name\";s:22:\"Español de Costa Rica\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_CR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-13 17:52:55\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_ES.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_AR\";a:8:{s:8:\"language\";s:5:\"es_AR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-11 02:48:56\";s:12:\"english_name\";s:19:\"Spanish (Argentina)\";s:11:\"native_name\";s:21:\"Español de Argentina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_AR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"et\";a:8:{s:8:\"language\";s:2:\"et\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2020-08-12 08:38:59\";s:12:\"english_name\";s:8:\"Estonian\";s:11:\"native_name\";s:5:\"Eesti\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/et.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"et\";i:2;s:3:\"est\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Jätka\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-05-24 16:21:45\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_AF\";a:8:{s:8:\"language\";s:5:\"fa_AF\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-07-02 10:08:01\";s:12:\"english_name\";s:21:\"Persian (Afghanistan)\";s:11:\"native_name\";s:31:\"(فارسی (افغانستان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/fa_AF.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-21 15:50:53\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 16:30:48\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_CA\";a:8:{s:8:\"language\";s:5:\"fr_CA\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 17:08:26\";s:12:\"english_name\";s:15:\"French (Canada)\";s:11:\"native_name\";s:19:\"Français du Canada\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/fr_CA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-23 07:18:56\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_BE\";a:8:{s:8:\"language\";s:5:\"fr_BE\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-02-22 13:54:46\";s:12:\"english_name\";s:16:\"French (Belgium)\";s:11:\"native_name\";s:21:\"Français de Belgique\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/fr_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:3:\"fur\";a:8:{s:8:\"language\";s:3:\"fur\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2023-04-30 13:56:46\";s:12:\"english_name\";s:8:\"Friulian\";s:11:\"native_name\";s:8:\"Friulian\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.22/fur.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"fur\";i:3;s:3:\"fur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"fy\";a:8:{s:8:\"language\";s:2:\"fy\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-12-25 12:53:23\";s:12:\"english_name\";s:7:\"Frisian\";s:11:\"native_name\";s:5:\"Frysk\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/fy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fy\";i:2;s:3:\"fry\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Trochgean\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-08-23 17:41:37\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-22 18:15:33\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"gu\";a:8:{s:8:\"language\";s:2:\"gu\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-09 07:20:47\";s:12:\"english_name\";s:8:\"Gujarati\";s:11:\"native_name\";s:21:\"ગુજરાતી\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/gu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gu\";i:2;s:3:\"guj\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ચાલુ રાખો\";}}s:3:\"haz\";a:8:{s:8:\"language\";s:3:\"haz\";s:7:\"version\";s:6:\"4.4.30\";s:7:\"updated\";s:19:\"2015-12-05 00:59:09\";s:12:\"english_name\";s:8:\"Hazaragi\";s:11:\"native_name\";s:15:\"هزاره گی\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.4.30/haz.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"haz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-28 22:06:16\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"המשך\";}}s:5:\"hi_IN\";a:8:{s:8:\"language\";s:5:\"hi_IN\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-17 18:41:36\";s:12:\"english_name\";s:5:\"Hindi\";s:11:\"native_name\";s:18:\"हिन्दी\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/hi_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hi\";i:2;s:3:\"hin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"जारी रखें\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 07:55:29\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:3:\"hsb\";a:8:{s:8:\"language\";s:3:\"hsb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 17:37:32\";s:12:\"english_name\";s:13:\"Upper Sorbian\";s:11:\"native_name\";s:17:\"Hornjoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/hsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"hsb\";i:3;s:3:\"hsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:4:\"Dale\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-22 09:25:05\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Folytatás\";}}s:2:\"hy\";a:8:{s:8:\"language\";s:2:\"hy\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-03 16:21:10\";s:12:\"english_name\";s:8:\"Armenian\";s:11:\"native_name\";s:14:\"Հայերեն\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/hy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hy\";i:2;s:3:\"hye\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Շարունակել\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-18 14:34:17\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"is_IS\";a:8:{s:8:\"language\";s:5:\"is_IS\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2018-12-11 10:40:02\";s:12:\"english_name\";s:9:\"Icelandic\";s:11:\"native_name\";s:9:\"Íslenska\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.23/is_IS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"is\";i:2;s:3:\"isl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Áfram\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-24 17:16:15\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-07 01:15:00\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"次へ\";}}s:5:\"jv_ID\";a:8:{s:8:\"language\";s:5:\"jv_ID\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2019-02-16 23:58:56\";s:12:\"english_name\";s:8:\"Javanese\";s:11:\"native_name\";s:9:\"Basa Jawa\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.23/jv_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"jv\";i:2;s:3:\"jav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Nerusaké\";}}s:5:\"ka_GE\";a:8:{s:8:\"language\";s:5:\"ka_GE\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2023-05-19 07:40:56\";s:12:\"english_name\";s:8:\"Georgian\";s:11:\"native_name\";s:21:\"ქართული\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.5/ka_GE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ka\";i:2;s:3:\"kat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"გაგრძელება\";}}s:3:\"kab\";a:8:{s:8:\"language\";s:3:\"kab\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-05 11:40:39\";s:12:\"english_name\";s:6:\"Kabyle\";s:11:\"native_name\";s:9:\"Taqbaylit\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/kab.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"kab\";i:3;s:3:\"kab\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Kemmel\";}}s:2:\"kk\";a:8:{s:8:\"language\";s:2:\"kk\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2018-07-10 11:35:44\";s:12:\"english_name\";s:6:\"Kazakh\";s:11:\"native_name\";s:19:\"Қазақ тілі\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.23/kk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kk\";i:2;s:3:\"kaz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Жалғастыру\";}}s:2:\"km\";a:8:{s:8:\"language\";s:2:\"km\";s:7:\"version\";s:6:\"5.2.18\";s:7:\"updated\";s:19:\"2019-06-10 16:18:28\";s:12:\"english_name\";s:5:\"Khmer\";s:11:\"native_name\";s:27:\"ភាសាខ្មែរ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.2.18/km.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"km\";i:2;s:3:\"khm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"បន្ត\";}}s:2:\"kn\";a:8:{s:8:\"language\";s:2:\"kn\";s:7:\"version\";s:5:\"6.1.3\";s:7:\"updated\";s:19:\"2022-10-20 17:15:28\";s:12:\"english_name\";s:7:\"Kannada\";s:11:\"native_name\";s:15:\"ಕನ್ನಡ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.1.3/kn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kn\";i:2;s:3:\"kan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"ಮುಂದುವರಿಸು\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-04 06:07:20\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:3:\"ckb\";a:8:{s:8:\"language\";s:3:\"ckb\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-09 00:11:15\";s:12:\"english_name\";s:16:\"Kurdish (Sorani)\";s:11:\"native_name\";s:13:\"كوردی‎\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/6.3/ckb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ku\";i:3;s:3:\"ckb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"به‌رده‌وام به‌\";}}s:3:\"kir\";a:8:{s:8:\"language\";s:3:\"kir\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-18 17:02:03\";s:12:\"english_name\";s:6:\"Kyrgyz\";s:11:\"native_name\";s:16:\"Кыргызча\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/6.3/kir.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ky\";i:2;s:3:\"kir\";i:3;s:3:\"kir\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Улантуу\";}}s:2:\"lo\";a:8:{s:8:\"language\";s:2:\"lo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 09:59:23\";s:12:\"english_name\";s:3:\"Lao\";s:11:\"native_name\";s:21:\"ພາສາລາວ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/lo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lo\";i:2;s:3:\"lao\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"ຕໍ່​ໄປ\";}}s:5:\"lt_LT\";a:8:{s:8:\"language\";s:5:\"lt_LT\";s:7:\"version\";s:5:\"6.1.3\";s:7:\"updated\";s:19:\"2022-11-24 03:51:58\";s:12:\"english_name\";s:10:\"Lithuanian\";s:11:\"native_name\";s:15:\"Lietuvių kalba\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.1.3/lt_LT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lt\";i:2;s:3:\"lit\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Tęsti\";}}s:2:\"lv\";a:8:{s:8:\"language\";s:2:\"lv\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 18:51:09\";s:12:\"english_name\";s:7:\"Latvian\";s:11:\"native_name\";s:16:\"Latviešu valoda\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/lv.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lv\";i:2;s:3:\"lav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Turpināt\";}}s:5:\"mk_MK\";a:8:{s:8:\"language\";s:5:\"mk_MK\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2022-10-01 09:23:52\";s:12:\"english_name\";s:10:\"Macedonian\";s:11:\"native_name\";s:31:\"Македонски јазик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.5/mk_MK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mk\";i:2;s:3:\"mkd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Продолжи\";}}s:5:\"ml_IN\";a:8:{s:8:\"language\";s:5:\"ml_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:43:32\";s:12:\"english_name\";s:9:\"Malayalam\";s:11:\"native_name\";s:18:\"മലയാളം\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ml_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ml\";i:2;s:3:\"mal\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"തുടരുക\";}}s:2:\"mn\";a:8:{s:8:\"language\";s:2:\"mn\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 01:58:55\";s:12:\"english_name\";s:9:\"Mongolian\";s:11:\"native_name\";s:12:\"Монгол\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/mn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mn\";i:2;s:3:\"mon\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"mr\";a:8:{s:8:\"language\";s:2:\"mr\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2019-11-22 15:32:08\";s:12:\"english_name\";s:7:\"Marathi\";s:11:\"native_name\";s:15:\"मराठी\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.23/mr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mr\";i:2;s:3:\"mar\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"सुरु ठेवा\";}}s:5:\"ms_MY\";a:8:{s:8:\"language\";s:5:\"ms_MY\";s:7:\"version\";s:6:\"5.5.12\";s:7:\"updated\";s:19:\"2022-03-11 13:52:22\";s:12:\"english_name\";s:5:\"Malay\";s:11:\"native_name\";s:13:\"Bahasa Melayu\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.5.12/ms_MY.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ms\";i:2;s:3:\"msa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Teruskan\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:6:\"4.2.35\";s:7:\"updated\";s:19:\"2017-12-26 11:57:10\";s:12:\"english_name\";s:17:\"Myanmar (Burmese)\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.35/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ဆောင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-19 21:47:18\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"ne_NP\";a:8:{s:8:\"language\";s:5:\"ne_NP\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-02 04:53:35\";s:12:\"english_name\";s:6:\"Nepali\";s:11:\"native_name\";s:18:\"नेपाली\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/ne_NP.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ne\";i:2;s:3:\"nep\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:43:\"जारी राख्नुहोस्\";}}s:5:\"nl_BE\";a:8:{s:8:\"language\";s:5:\"nl_BE\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-11 10:41:58\";s:12:\"english_name\";s:15:\"Dutch (Belgium)\";s:11:\"native_name\";s:20:\"Nederlands (België)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/nl_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:12:\"nl_NL_formal\";a:8:{s:8:\"language\";s:12:\"nl_NL_formal\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-17 07:09:13\";s:12:\"english_name\";s:14:\"Dutch (Formal)\";s:11:\"native_name\";s:20:\"Nederlands (Formeel)\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/translation/core/6.3/nl_NL_formal.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-21 08:48:39\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nn_NO\";a:8:{s:8:\"language\";s:5:\"nn_NO\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-18 10:59:16\";s:12:\"english_name\";s:19:\"Norwegian (Nynorsk)\";s:11:\"native_name\";s:13:\"Norsk nynorsk\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/nn_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nn\";i:2;s:3:\"nno\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Hald fram\";}}s:3:\"oci\";a:8:{s:8:\"language\";s:3:\"oci\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2017-08-25 10:03:08\";s:12:\"english_name\";s:7:\"Occitan\";s:11:\"native_name\";s:7:\"Occitan\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.22/oci.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"oc\";i:2;s:3:\"oci\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Contunhar\";}}s:5:\"pa_IN\";a:8:{s:8:\"language\";s:5:\"pa_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-16 05:19:43\";s:12:\"english_name\";s:15:\"Panjabi (India)\";s:11:\"native_name\";s:18:\"ਪੰਜਾਬੀ\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/pa_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pa\";i:2;s:3:\"pan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ਜਾਰੀ ਰੱਖੋ\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-02 09:00:40\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:2:\"ps\";a:8:{s:8:\"language\";s:2:\"ps\";s:7:\"version\";s:6:\"4.3.31\";s:7:\"updated\";s:19:\"2015-12-02 21:41:29\";s:12:\"english_name\";s:6:\"Pashto\";s:11:\"native_name\";s:8:\"پښتو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.3.31/ps.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ps\";i:2;s:3:\"pus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"دوام ورکړه\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 16:56:03\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:10:\"pt_PT_ao90\";a:8:{s:8:\"language\";s:10:\"pt_PT_ao90\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-23 18:57:54\";s:12:\"english_name\";s:27:\"Portuguese (Portugal, AO90)\";s:11:\"native_name\";s:17:\"Português (AO90)\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/6.3/pt_PT_ao90.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-23 18:55:37\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_AO\";a:8:{s:8:\"language\";s:5:\"pt_AO\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-21 12:17:05\";s:12:\"english_name\";s:19:\"Portuguese (Angola)\";s:11:\"native_name\";s:20:\"Português de Angola\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/pt_AO.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:3:\"rhg\";a:8:{s:8:\"language\";s:3:\"rhg\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-16 13:03:18\";s:12:\"english_name\";s:8:\"Rohingya\";s:11:\"native_name\";s:8:\"Ruáinga\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/rhg.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"rhg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ro_RO\";a:8:{s:8:\"language\";s:5:\"ro_RO\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-24 15:51:54\";s:12:\"english_name\";s:8:\"Romanian\";s:11:\"native_name\";s:8:\"Română\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/ro_RO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ro\";i:2;s:3:\"ron\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuă\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-20 14:55:02\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:3:\"sah\";a:8:{s:8:\"language\";s:3:\"sah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-21 02:06:41\";s:12:\"english_name\";s:5:\"Sakha\";s:11:\"native_name\";s:14:\"Сахалыы\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/sah.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"sah\";i:3;s:3:\"sah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Салҕаа\";}}s:3:\"snd\";a:8:{s:8:\"language\";s:3:\"snd\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-07-07 01:53:37\";s:12:\"english_name\";s:6:\"Sindhi\";s:11:\"native_name\";s:8:\"سنڌي\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/5.4.13/snd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"sd\";i:2;s:3:\"snd\";i:3;s:3:\"snd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"اڳتي هلو\";}}s:5:\"si_LK\";a:8:{s:8:\"language\";s:5:\"si_LK\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 06:00:52\";s:12:\"english_name\";s:7:\"Sinhala\";s:11:\"native_name\";s:15:\"සිංහල\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/si_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"si\";i:2;s:3:\"sin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:44:\"දිගටම කරගෙන යන්න\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-17 07:24:11\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:3:\"skr\";a:8:{s:8:\"language\";s:3:\"skr\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-13 11:41:50\";s:12:\"english_name\";s:7:\"Saraiki\";s:11:\"native_name\";s:14:\"سرائیکی\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/6.3/skr.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"skr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"جاری رکھو\";}}s:5:\"sl_SI\";a:8:{s:8:\"language\";s:5:\"sl_SI\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 12:29:02\";s:12:\"english_name\";s:9:\"Slovenian\";s:11:\"native_name\";s:13:\"Slovenščina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/sl_SI.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sl\";i:2;s:3:\"slv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Nadaljuj\";}}s:2:\"sq\";a:8:{s:8:\"language\";s:2:\"sq\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-19 10:40:17\";s:12:\"english_name\";s:8:\"Albanian\";s:11:\"native_name\";s:5:\"Shqip\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/sq.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sq\";i:2;s:3:\"sqi\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Vazhdo\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2021-08-01 21:21:06\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.7/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-11 16:00:32\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:2:\"sw\";a:8:{s:8:\"language\";s:2:\"sw\";s:7:\"version\";s:6:\"5.3.15\";s:7:\"updated\";s:19:\"2019-10-13 15:35:35\";s:12:\"english_name\";s:7:\"Swahili\";s:11:\"native_name\";s:9:\"Kiswahili\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.3.15/sw.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sw\";i:2;s:3:\"swa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Endelea\";}}s:3:\"szl\";a:8:{s:8:\"language\";s:3:\"szl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-24 19:58:14\";s:12:\"english_name\";s:8:\"Silesian\";s:11:\"native_name\";s:17:\"Ślōnskŏ gŏdka\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/szl.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"szl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:13:\"Kōntynuować\";}}s:5:\"ta_IN\";a:8:{s:8:\"language\";s:5:\"ta_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:22:47\";s:12:\"english_name\";s:5:\"Tamil\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ta_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"தொடரவும்\";}}s:5:\"ta_LK\";a:8:{s:8:\"language\";s:5:\"ta_LK\";s:7:\"version\";s:6:\"4.2.35\";s:7:\"updated\";s:19:\"2015-12-03 01:07:44\";s:12:\"english_name\";s:17:\"Tamil (Sri Lanka)\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.35/ta_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"தொடர்க\";}}s:2:\"te\";a:8:{s:8:\"language\";s:2:\"te\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:47:39\";s:12:\"english_name\";s:6:\"Telugu\";s:11:\"native_name\";s:18:\"తెలుగు\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/te.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"te\";i:2;s:3:\"tel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"కొనసాగించు\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2022-06-08 04:30:30\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.8.7/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:2:\"tl\";a:8:{s:8:\"language\";s:2:\"tl\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2017-09-30 09:04:29\";s:12:\"english_name\";s:7:\"Tagalog\";s:11:\"native_name\";s:7:\"Tagalog\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.22/tl.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tl\";i:2;s:3:\"tgl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Magpatuloy\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-19 20:18:40\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"tt_RU\";a:8:{s:8:\"language\";s:5:\"tt_RU\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-20 20:20:50\";s:12:\"english_name\";s:5:\"Tatar\";s:11:\"native_name\";s:19:\"Татар теле\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/tt_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tt\";i:2;s:3:\"tat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"дәвам итү\";}}s:3:\"tah\";a:8:{s:8:\"language\";s:3:\"tah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-06 18:39:39\";s:12:\"english_name\";s:8:\"Tahitian\";s:11:\"native_name\";s:10:\"Reo Tahiti\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/tah.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ty\";i:2;s:3:\"tah\";i:3;s:3:\"tah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ug_CN\";a:8:{s:8:\"language\";s:5:\"ug_CN\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2021-07-03 18:41:33\";s:12:\"english_name\";s:6:\"Uighur\";s:11:\"native_name\";s:16:\"ئۇيغۇرچە\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.23/ug_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ug\";i:2;s:3:\"uig\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:26:\"داۋاملاشتۇرۇش\";}}s:2:\"uk\";a:8:{s:8:\"language\";s:2:\"uk\";s:7:\"version\";s:5:\"6.1.3\";s:7:\"updated\";s:19:\"2023-03-04 10:46:30\";s:12:\"english_name\";s:9:\"Ukrainian\";s:11:\"native_name\";s:20:\"Українська\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.1.3/uk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uk\";i:2;s:3:\"ukr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продовжити\";}}s:2:\"ur\";a:8:{s:8:\"language\";s:2:\"ur\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-04-09 11:17:33\";s:12:\"english_name\";s:4:\"Urdu\";s:11:\"native_name\";s:8:\"اردو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4.13/ur.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ur\";i:2;s:3:\"urd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"جاری رکھیں\";}}s:5:\"uz_UZ\";a:8:{s:8:\"language\";s:5:\"uz_UZ\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-02-28 12:02:22\";s:12:\"english_name\";s:5:\"Uzbek\";s:11:\"native_name\";s:11:\"O‘zbekcha\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/uz_UZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uz\";i:2;s:3:\"uzb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Davom etish\";}}s:2:\"vi\";a:8:{s:8:\"language\";s:2:\"vi\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-15 15:30:50\";s:12:\"english_name\";s:10:\"Vietnamese\";s:11:\"native_name\";s:14:\"Tiếng Việt\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/vi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"vi\";i:2;s:3:\"vie\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Tiếp tục\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 18:38:05\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_HK\";a:8:{s:8:\"language\";s:5:\"zh_HK\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-07-15 15:25:03\";s:12:\"english_name\";s:19:\"Chinese (Hong Kong)\";s:11:\"native_name\";s:12:\"香港中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/zh_HK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-17 14:06:22\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}}", "no");
INSERT INTO `wp_options` VALUES("855", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1692956721", "no");
INSERT INTO `wp_options` VALUES("856", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"The latest news about WordPress and the WordPress community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Aug 2023 14:54:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.4-alpha-56453\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:64:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"WP20 – A Heartfelt Thanks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/news/2023/08/wp20-a-heartfelt-thanks/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Aug 2023 14:54:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:6:\"Events\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"WP20\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15471\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:484:\"Earlier this year, WordPressers around the globe united to celebrate 20 years of community and innovation. There were parties, blogs, videos, and social media posts aplenty. And, of course, the trending hashtag, “#WP20”.\n\nThroughout April and May, community members reflected on their journeys - what brought them to WordPress and its personal meaning. The stories, tweets, and videos were inspiring, nostalgic, and even humorous at times. There was swag, and the cakes were epic.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:68:\"https://wordpress.org/news/files/2023/08/wp20-celebrate-animated.mp4\";s:6:\"length\";s:7:\"2964981\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Dan Soschin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:38192:\"\n<figure class=\"wp-block-video\"><video autoplay controls loop muted src=\"https://wordpress.org/news/files/2023/08/wp20-celebrate-animated.mp4\" playsinline></video></figure>\n\n\n\n<p>Earlier this year, WordPressers around the globe united to celebrate 20 years of community and innovation. There were parties, blogs, videos, and social media posts aplenty. And, of course, the trending hashtag, “#WP20”.</p>\n\n\n\n<p>Throughout April and May, community members reflected on their journeys &#8211; what brought them to WordPress and its personal meaning. The stories, tweets, and videos were inspiring, nostalgic, and even humorous at times. There was swag, and the cakes were epic.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Let’s take a look!</h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-3 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"en\" dir=\"ltr\">On WordPress turning 20, and the Audrey Scholars program: <a href=\"https://t.co/Etwh8H6xh4\">https://t.co/Etwh8H6xh4</a></p>&mdash; Matt Mullenweg (@photomatt) <a href=\"https://twitter.com/photomatt/status/1662582800451776512?ref_src=twsrc%5Etfw\">May 27, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"en\" dir=\"ltr\">WordPress celebrates 20 years tomorrow. It&#39;s grown from a comment on a blog post to a web spanning phenomenon. Thanks to an outstanding community and the freedoms of Open Source. Happy Birthday, WordPress! <a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://twitter.com/hashtag/WordPress?src=hash&amp;ref_src=twsrc%5Etfw\">#WordPress</a> <a href=\"https://t.co/fght4XMJXb\">pic.twitter.com/fght4XMJXb</a></p>&mdash; Mike Little (@mikelittlezed1) <a href=\"https://twitter.com/mikelittlezed1/status/1662013891856027649?ref_src=twsrc%5Etfw\">May 26, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"en\" dir=\"ltr\">Look at this cute <a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> cake from <a href=\"https://twitter.com/RicksBakery?ref_src=twsrc%5Etfw\">@RicksBakery</a>! <a href=\"https://t.co/f88H3usR5R\">pic.twitter.com/f88H3usR5R</a></p>&mdash; Josepha Haden Chomphosy (@JosephaHaden) <a href=\"https://twitter.com/JosephaHaden/status/1662562362979676162?ref_src=twsrc%5Etfw\">May 27, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"es\" dir=\"ltr\">Tenemos regalitos para los que vengáis esta tarde a la Meetup.<a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/PSPsbWluv7\">pic.twitter.com/PSPsbWluv7</a></p>&mdash; Meetup WordPress Torrelodones (@WPTorrelodones) <a href=\"https://twitter.com/WPTorrelodones/status/1671918091398258688?ref_src=twsrc%5Etfw\">June 22, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"en\" dir=\"ltr\">So <a href=\"https://twitter.com/WordPress?ref_src=twsrc%5Etfw\">@WordPress</a> is turning 20 years old today! <a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> <br><br>Happy birthday to WordPress and its entire community! from me and <a href=\"https://twitter.com/MariekeRakt?ref_src=twsrc%5Etfw\">@MariekeRakt</a> <a href=\"https://t.co/9N9T0SnsdL\">pic.twitter.com/9N9T0SnsdL</a></p>&mdash; Joost de Valk (@jdevalk) <a href=\"https://twitter.com/jdevalk/status/1662398779360702465?ref_src=twsrc%5Etfw\">May 27, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"en\" dir=\"ltr\">Happy 20th birthday, <a href=\"https://twitter.com/WordPress?ref_src=twsrc%5Etfw\">@WordPress</a>! Our Cebu meetup was a success! <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2728.png\" alt=\"✨\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f382.png\" alt=\"🎂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /><br><br>…and our community is growing. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4af.png\" alt=\"💯\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> Thanks to <a href=\"https://twitter.com/hashtag/enspaceCebu?src=hash&amp;ref_src=twsrc%5Etfw\">#enspaceCebu</a> for hosting our party! <a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://twitter.com/hashtag/WordPressCebu?src=hash&amp;ref_src=twsrc%5Etfw\">#WordPressCebu</a> <a href=\"https://twitter.com/hashtag/WPCebu?src=hash&amp;ref_src=twsrc%5Etfw\">#WPCebu</a> <a href=\"https://t.co/TUFoKjuoxq\">pic.twitter.com/TUFoKjuoxq</a></p>&mdash; Cebu WordPress Meetup (@WPCebu) <a href=\"https://twitter.com/WPCebu/status/1664957630241189888?ref_src=twsrc%5Etfw\">June 3, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"en\" dir=\"ltr\">I&#39;m sure you&#39;ve seen by now, but today is WordPress&#39; 20th birthday! Thank you to <a href=\"https://twitter.com/photomatt?ref_src=twsrc%5Etfw\">@photomatt</a> and <a href=\"https://twitter.com/mikelittlezed1?ref_src=twsrc%5Etfw\">@mikelittlezed1</a> for following through with a seemingly wild idea. I don&#39;t think anyone could have predicted we&#39;d end up where we are today. Happy birthday <a href=\"https://twitter.com/WordPress?ref_src=twsrc%5Etfw\">@WordPress</a>! <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f389.png\" alt=\"🎉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f973.png\" alt=\"🥳\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/tAZRlYThuS\">pic.twitter.com/tAZRlYThuS</a></p>&mdash; Jon Desrosiers (@desrosj) <a href=\"https://twitter.com/desrosj/status/1662616708064985088?ref_src=twsrc%5Etfw\">May 28, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"de\" dir=\"ltr\">Hier ist der Recap vom letzten Zürcher <a href=\"https://twitter.com/hashtag/WordPress?src=hash&amp;ref_src=twsrc%5Etfw\">#WordPress</a> <a href=\"https://twitter.com/hashtag/Meetup?src=hash&amp;ref_src=twsrc%5Etfw\">#Meetup</a> im <a href=\"https://twitter.com/westhive?ref_src=twsrc%5Etfw\">@westhive</a> inkl. Audioaufzeichnungen und Slides der Präsentationen, sowie ein paar visuellen Eindrücken des Abends. <a href=\"https://twitter.com/hashtag/BBQ?src=hash&amp;ref_src=twsrc%5Etfw\">#BBQ</a> <a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/IycEcb4DQL\">https://t.co/IycEcb4DQL</a></p>&mdash; WordPress Zürich (@wpzurich) <a href=\"https://twitter.com/wpzurich/status/1674695261694701568?ref_src=twsrc%5Etfw\">June 30, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"qme\" dir=\"ltr\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f973.png\" alt=\"🥳\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f973.png\" alt=\"🥳\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f973.png\" alt=\"🥳\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /><a href=\"https://twitter.com/hashtag/WCEU?src=hash&amp;ref_src=twsrc%5Etfw\">#WCEU</a> <a href=\"https://twitter.com/hashtag/WCEU2023?src=hash&amp;ref_src=twsrc%5Etfw\">#WCEU2023</a> <a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/Uodqd2OotM\">pic.twitter.com/Uodqd2OotM</a></p>&mdash; Osom Studio WordPress &amp; WooCommerce Agency (@OSOM_STUDIO) <a href=\"https://twitter.com/OSOM_STUDIO/status/1667524236406145024?ref_src=twsrc%5Etfw\">June 10, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n\n\n\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"en\" dir=\"ltr\">Celebrating <a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> at <a href=\"https://twitter.com/hashtag/WCEU?src=hash&amp;ref_src=twsrc%5Etfw\">#WCEU</a> with <a href=\"https://twitter.com/photomatt?ref_src=twsrc%5Etfw\">@photomatt</a> <a href=\"https://twitter.com/JosephaHaden?ref_src=twsrc%5Etfw\">@JosephaHaden</a> <a href=\"https://twitter.com/matias_ventura?ref_src=twsrc%5Etfw\">@matias_ventura</a> <a href=\"https://t.co/9LM9HnEfYn\">pic.twitter.com/9LM9HnEfYn</a></p>&mdash; Felix Arntz (@felixarntz) <a href=\"https://twitter.com/felixarntz/status/1667536517705736193?ref_src=twsrc%5Etfw\">June 10, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n</div>\n</div>\n\n\n\n<p>Want to see more tweets? <a href=\"https://wp20.wordpress.net/live/\">Check out the tweet wall here.</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">Bits &amp; Bytes</h2>\n\n\n\n<ul>\n<li><a href=\"https://wp20.wordpress.net\">Official website for WP20</a></li>\n\n\n\n<li>The #WP20 hashtag was used at least 18,000 times between March 1 and June 8, 2023 on social peaking on May 27 with at least 2,700+ metions</li>\n\n\n\n<li>165+ meetups took place to celebrate WP20</li>\n\n\n\n<li>At least 4,661 people attended a meetup across six continents</li>\n\n\n\n<li>100+ kits of swag were shipped to meetup organizers</li>\n</ul>\n\n\n\n<p>Want more social media for WordPress? Check out the official accounts here:</p>\n\n\n\n<ul>\n<li><a href=\"https://twitter.com/WordPress\">Twitter</a></li>\n\n\n\n<li><a href=\"https://www.instagram.com/wordpress/\">Instagram</a></li>\n\n\n\n<li><a href=\"https://www.facebook.com/WordPress/\">Facebook</a></li>\n\n\n\n<li><a href=\"https://www.linkedin.com/company/wordpress\">LinkedIn</a></li>\n\n\n\n<li><a href=\"https://www.youtube.com/wordpress\">YouTube</a></li>\n\n\n\n<li><a href=\"https://www.pinterest.com/WordPress/\">Pinterest</a></li>\n\n\n\n<li><a href=\"https://www.tumblr.com/wordpress\">Tumblr</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Snapshots from WP20 Celebrations</h2>\n\n\n\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped wp-block-gallery-4 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" fetchpriority=\"high\" width=\"1024\" height=\"768\" data-id=\"15527\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Fz4aD6_XwAICdz-.jpeg?resize=1024%2C768&#038;ssl=1\" alt=\"\" class=\"wp-image-15527\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Fz4aD6_XwAICdz-.jpeg?resize=1024%2C768&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/Fz4aD6_XwAICdz-.jpeg?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/Fz4aD6_XwAICdz-.jpeg?resize=768%2C576&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/Fz4aD6_XwAICdz-.jpeg?w=1200&amp;ssl=1 1200w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" width=\"769\" height=\"1024\" data-id=\"15518\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxhuvvbacaagn6c.webp?resize=769%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15518\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxhuvvbacaagn6c.webp?resize=769%2C1024&amp;ssl=1 769w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxhuvvbacaagn6c.webp?resize=225%2C300&amp;ssl=1 225w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxhuvvbacaagn6c.webp?resize=768%2C1023&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxhuvvbacaagn6c.webp?resize=1154%2C1536&amp;ssl=1 1154w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxhuvvbacaagn6c.webp?w=1538&amp;ssl=1 1538w\" sizes=\"(max-width: 769px) 100vw, 769px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" width=\"768\" height=\"1024\" data-id=\"15523\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxhspnlaqainz1f.webp?resize=768%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15523\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxhspnlaqainz1f.webp?resize=768%2C1024&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxhspnlaqainz1f.webp?resize=225%2C300&amp;ssl=1 225w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxhspnlaqainz1f.webp?resize=1152%2C1536&amp;ssl=1 1152w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxhspnlaqainz1f.webp?w=1536&amp;ssl=1 1536w\" sizes=\"(max-width: 768px) 100vw, 768px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"768\" data-id=\"15516\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxjpa3oamaaetri.webp?resize=1024%2C768&#038;ssl=1\" alt=\"\" class=\"wp-image-15516\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxjpa3oamaaetri.webp?w=1024&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxjpa3oamaaetri.webp?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxjpa3oamaaetri.webp?resize=768%2C576&amp;ssl=1 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"828\" height=\"1024\" data-id=\"15517\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxjparaaqaa1iji.webp?resize=828%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15517\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxjparaaqaa1iji.webp?w=828&amp;ssl=1 828w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxjparaaqaa1iji.webp?resize=243%2C300&amp;ssl=1 243w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxjparaaqaa1iji.webp?resize=768%2C950&amp;ssl=1 768w\" sizes=\"(max-width: 828px) 100vw, 828px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"768\" data-id=\"15522\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxj2btqaaaakewo.webp?resize=1024%2C768&#038;ssl=1\" alt=\"\" class=\"wp-image-15522\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxj2btqaaaakewo.webp?resize=1024%2C768&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxj2btqaaaakewo.webp?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxj2btqaaaakewo.webp?resize=768%2C576&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxj2btqaaaakewo.webp?resize=1536%2C1152&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxj2btqaaaakewo.webp?w=2048&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"768\" height=\"1024\" data-id=\"15524\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxkqdpmxwaa9zvr.webp?resize=768%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15524\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxkqdpmxwaa9zvr-scaled.webp?resize=768%2C1024&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkqdpmxwaa9zvr-scaled.webp?resize=225%2C300&amp;ssl=1 225w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkqdpmxwaa9zvr-scaled.webp?resize=1152%2C1536&amp;ssl=1 1152w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkqdpmxwaa9zvr-scaled.webp?resize=1536%2C2048&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkqdpmxwaa9zvr-scaled.webp?w=1920&amp;ssl=1 1920w\" sizes=\"(max-width: 768px) 100vw, 768px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"768\" data-id=\"15519\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwyami0ja.webp?resize=1024%2C768&#038;ssl=1\" alt=\"\" class=\"wp-image-15519\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwyami0ja.webp?resize=1024%2C768&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwyami0ja.webp?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwyami0ja.webp?resize=768%2C576&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwyami0ja.webp?w=1280&amp;ssl=1 1280w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"941\" data-id=\"15525\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwcaativc.webp?resize=1024%2C941&#038;ssl=1\" alt=\"\" class=\"wp-image-15525\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwcaativc.webp?resize=1024%2C941&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwcaativc.webp?resize=300%2C276&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwcaativc.webp?resize=768%2C706&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwcaativc.webp?resize=1536%2C1411&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwcaativc.webp?w=2047&amp;ssl=1 2047w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"768\" data-id=\"15520\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxoi01sxgamyqi7.webp?resize=1024%2C768&#038;ssl=1\" alt=\"\" class=\"wp-image-15520\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxoi01sxgamyqi7.webp?resize=1024%2C768&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxoi01sxgamyqi7.webp?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxoi01sxgamyqi7.webp?resize=768%2C576&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxoi01sxgamyqi7.webp?w=1280&amp;ssl=1 1280w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"851\" data-id=\"15521\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxoukosaeaaa-sk.webp?resize=1024%2C851&#038;ssl=1\" alt=\"\" class=\"wp-image-15521\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxoukosaeaaa-sk.webp?resize=1024%2C851&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxoukosaeaaa-sk.webp?resize=300%2C249&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxoukosaeaaa-sk.webp?resize=768%2C638&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxoukosaeaaa-sk.webp?resize=1536%2C1276&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxoukosaeaaa-sk.webp?w=2048&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"769\" data-id=\"15526\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxm7nexxsaa5vec.webp?resize=1024%2C769&#038;ssl=1\" alt=\"\" class=\"wp-image-15526\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxm7nexxsaa5vec-scaled.webp?resize=1024%2C769&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxm7nexxsaa5vec-scaled.webp?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxm7nexxsaa5vec-scaled.webp?resize=768%2C577&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxm7nexxsaa5vec-scaled.webp?resize=1536%2C1154&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/07/fxm7nexxsaa5vec-scaled.webp?resize=2048%2C1538&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n</figure>\n\n\n\n<h2 class=\"wp-block-heading\">Props</h2>\n\n\n\n<p>WP20 celebrations, swag, websites, social media, graphics, and so much more could not have happened without the wonderful contributions of so many. Beyond the organizers of the 165+ events, there were many people working behind the scenes to ensure WordPress got the recognition it deserved. Thank you to everyone who worked behind the scenes to organize the meetups, create swag, and to spread the word. Some of these hardworking folks include: <a href=\"https://profiles.wordpress.org/nomadskateboarding/\">Mark Andrew</a>, <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a>, <a href=\"https://profiles.wordpress.org/tinobarreiro/\">Tino Barreiro</a>, <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a>, <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a>, <a href=\"https://profiles.wordpress.org/mysweetcate/\">Cate DeRosia</a>, <a href=\"https://profiles.wordpress.org/triforcepower/\">Em DeRosia</a>, <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a>, <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a>, <a href=\"https://profiles.wordpress.org/ngreennc/\">Nyasha Green</a>, <a href=\"https://profiles.wordpress.org/nickhamze/\">Nick Hamze</a>, <a href=\"https://profiles.wordpress.org/meaganhanes/\">Meagan Hanes</a>, <a href=\"https://profiles.wordpress.org/kellychoffman/\">Kelly Hoffman</a>, <a href=\"https://profiles.wordpress.org/pablohoneyhoney/\">Pablo Honey</a>, <a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a>, <a href=\"https://profiles.wordpress.org/markoserb/\">Marko Ivanovic</a>, <a href=\"https://profiles.wordpress.org/angelasjin/\">Angela Jin</a>, Winston Koone, Megan Marcel, <a href=\"https://profiles.wordpress.org/ninianepress/\">Jenni McKinnon</a>, <a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a>, <a href=\"https://profiles.wordpress.org/sereedmedia/\">Se Reed</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a>, <a href=\"https://profiles.wordpress.org/fcoveram/\">Francisco Vera</a>, Andrew Wikel, and <a href=\"https://profiles.wordpress.org/adamwood/\">Adam Wood</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Some More Fun</h2>\n\n\n\n<p>A WordPress event is not complete without a Wapuu, and not only was there one, but there was a whole campaign to color it in! Thanks to <a href=\"https://profiles.wordpress.org/triforcepower/\">Em DeRosia</a> for creating the commemorative Wapuu!</p>\n\n\n\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped wp-block-gallery-6 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"737\" height=\"1024\" data-id=\"15532\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Fs33fvqWcAAKRbx.png?resize=737%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15532\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Fs33fvqWcAAKRbx.png?resize=737%2C1024&amp;ssl=1 737w, https://i0.wp.com/wordpress.org/news/files/2023/07/Fs33fvqWcAAKRbx.png?resize=216%2C300&amp;ssl=1 216w, https://i0.wp.com/wordpress.org/news/files/2023/07/Fs33fvqWcAAKRbx.png?resize=768%2C1067&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/Fs33fvqWcAAKRbx.png?w=864&amp;ssl=1 864w\" sizes=\"(max-width: 737px) 100vw, 737px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"737\" height=\"1024\" data-id=\"15528\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FrU8oOFaQAEZLPY.jpeg?resize=737%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15528\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FrU8oOFaQAEZLPY.jpeg?resize=737%2C1024&amp;ssl=1 737w, https://i0.wp.com/wordpress.org/news/files/2023/07/FrU8oOFaQAEZLPY.jpeg?resize=216%2C300&amp;ssl=1 216w, https://i0.wp.com/wordpress.org/news/files/2023/07/FrU8oOFaQAEZLPY.jpeg?resize=768%2C1067&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/FrU8oOFaQAEZLPY.jpeg?w=864&amp;ssl=1 864w\" sizes=\"(max-width: 737px) 100vw, 737px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"722\" height=\"956\" data-id=\"15531\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Ft8DCn9WcA08xYZ.jpeg?resize=722%2C956&#038;ssl=1\" alt=\"\" class=\"wp-image-15531\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Ft8DCn9WcA08xYZ.jpeg?w=722&amp;ssl=1 722w, https://i0.wp.com/wordpress.org/news/files/2023/07/Ft8DCn9WcA08xYZ.jpeg?resize=227%2C300&amp;ssl=1 227w\" sizes=\"(max-width: 722px) 100vw, 722px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"832\" height=\"1024\" data-id=\"15534\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FtyXUDZXgAA1G1K.jpeg?resize=832%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15534\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FtyXUDZXgAA1G1K.jpeg?resize=832%2C1024&amp;ssl=1 832w, https://i0.wp.com/wordpress.org/news/files/2023/07/FtyXUDZXgAA1G1K.jpeg?resize=244%2C300&amp;ssl=1 244w, https://i0.wp.com/wordpress.org/news/files/2023/07/FtyXUDZXgAA1G1K.jpeg?resize=768%2C945&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/FtyXUDZXgAA1G1K.jpeg?w=975&amp;ssl=1 975w\" sizes=\"(max-width: 832px) 100vw, 832px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"819\" height=\"1024\" data-id=\"15533\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FuvXFqHWAAY7Yob.jpeg?resize=819%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15533\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FuvXFqHWAAY7Yob.jpeg?resize=819%2C1024&amp;ssl=1 819w, https://i0.wp.com/wordpress.org/news/files/2023/07/FuvXFqHWAAY7Yob.jpeg?resize=240%2C300&amp;ssl=1 240w, https://i0.wp.com/wordpress.org/news/files/2023/07/FuvXFqHWAAY7Yob.jpeg?resize=768%2C960&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/FuvXFqHWAAY7Yob.jpeg?w=960&amp;ssl=1 960w\" sizes=\"(max-width: 819px) 100vw, 819px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"829\" data-id=\"15530\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FxHdOAdXwAE_4w9.jpeg?resize=1024%2C829&#038;ssl=1\" alt=\"\" class=\"wp-image-15530\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FxHdOAdXwAE_4w9.jpeg?resize=1024%2C829&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/FxHdOAdXwAE_4w9.jpeg?resize=300%2C243&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/FxHdOAdXwAE_4w9.jpeg?resize=768%2C622&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/FxHdOAdXwAE_4w9.jpeg?w=1121&amp;ssl=1 1121w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"712\" data-id=\"15535\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FtsDGoiaUAA91ug.jpeg?resize=1024%2C712&#038;ssl=1\" alt=\"\" class=\"wp-image-15535\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FtsDGoiaUAA91ug.jpeg?resize=1024%2C712&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/FtsDGoiaUAA91ug.jpeg?resize=300%2C209&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/FtsDGoiaUAA91ug.jpeg?resize=768%2C534&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/FtsDGoiaUAA91ug.jpeg?w=1200&amp;ssl=1 1200w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"709\" height=\"1024\" data-id=\"15536\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FtxoedaacAYaIeq.jpeg?resize=709%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15536\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FtxoedaacAYaIeq.jpeg?resize=709%2C1024&amp;ssl=1 709w, https://i0.wp.com/wordpress.org/news/files/2023/07/FtxoedaacAYaIeq.jpeg?resize=208%2C300&amp;ssl=1 208w, https://i0.wp.com/wordpress.org/news/files/2023/07/FtxoedaacAYaIeq.jpeg?resize=768%2C1109&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/FtxoedaacAYaIeq.jpeg?w=831&amp;ssl=1 831w\" sizes=\"(max-width: 709px) 100vw, 709px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"737\" height=\"1024\" data-id=\"15529\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FxIvqkGWIAEPKt8.jpeg?resize=737%2C1024&#038;ssl=1\" alt=\"\" class=\"wp-image-15529\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FxIvqkGWIAEPKt8.jpeg?resize=737%2C1024&amp;ssl=1 737w, https://i0.wp.com/wordpress.org/news/files/2023/07/FxIvqkGWIAEPKt8.jpeg?resize=216%2C300&amp;ssl=1 216w, https://i0.wp.com/wordpress.org/news/files/2023/07/FxIvqkGWIAEPKt8.jpeg?resize=768%2C1066&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/FxIvqkGWIAEPKt8.jpeg?w=970&amp;ssl=1 970w\" sizes=\"(max-width: 737px) 100vw, 737px\" data-recalc-dims=\"1\" /></figure>\n</figure>\n\n\n\n<p>The Marketing team ran an interactive campaign, <a href=\"https://make.wordpress.org/marketing/2023/05/02/20-days-to-celebrate-20-years-of-wordpress-from-blogs-to-blocks/\"><em>From Blogs to Blocks</em></a>, a series of prompts across 20 days for WordPress enthusiasts to celebrate all-things WordPress.</p>\n\n\n\n<p>Additional campaigns took place on social media and included prompting folks to share their favorite WordPress memory and most cherished WordPress swag item, to highlight the 21 contributing teams, and even to share a birthday greeting.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-rich is-provider-twitter wp-block-embed-twitter\"><div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\" data-width=\"500\" data-dnt=\"true\"><p lang=\"en\" dir=\"ltr\">My fav <a href=\"https://twitter.com/hashtag/WordPress?src=hash&amp;ref_src=twsrc%5Etfw\">#WordPress</a> swag, which I use daily! This was the speaker swag from <a href=\"https://twitter.com/hashtag/WCBos?src=hash&amp;ref_src=twsrc%5Etfw\">#WCBos</a> 2019. <a href=\"https://twitter.com/melchoyce?ref_src=twsrc%5Etfw\">@melchoyce</a>, I think you designed this stunning logo? <a href=\"https://twitter.com/hashtag/WP20?src=hash&amp;ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/1sEIEMGzM9\">https://t.co/1sEIEMGzM9</a> <a href=\"https://t.co/F0ufF9msqP\">pic.twitter.com/F0ufF9msqP</a></p>&mdash; Angela Jin (@AngelaSJin) <a href=\"https://twitter.com/AngelaSJin/status/1650832707683864578?ref_src=twsrc%5Etfw\">April 25, 2023</a></blockquote><script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>\n</div></figure>\n\n\n\n<p>We had lots of digital goodies too! From 3D desktop wallpaper, to selfie-props for the celebrations, and more. <a href=\"https://wp20.wordpress.net/swag/\">You can download them here</a>.</p>\n\n\n\n<div class=\"wp-block-jetpack-tiled-gallery aligncenter is-style-rectangular\"><div class=\"tiled-gallery__gallery\"><div class=\"tiled-gallery__row\"><div class=\"tiled-gallery__col\" style=\"flex-basis:37.05595%\"><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-selfie-glasses-1024x576.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-selfie-glasses-1024x576.png?strip=info&#038;w=900&#038;ssl=1 900w,https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-selfie-glasses-1024x576.png?strip=info&#038;w=1200&#038;ssl=1 1200w,https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-selfie-glasses-1024x576.png?strip=info&#038;w=1500&#038;ssl=1 1500w,https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-selfie-glasses-1024x576.png?strip=info&#038;w=1600&#038;ssl=1 1600w\" alt=\"\" data-height=\"900\" data-id=\"15830\" data-link=\"https://wordpress.org/news/?attachment_id=15830\" data-url=\"https://wordpress.org/news/files/2023/08/wp20-selfie-glasses-1024x576.png\" data-width=\"1600\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-selfie-glasses-1024x576.png?ssl=1\" data-amp-layout=\"responsive\" /></figure><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-celebrate-desktop.jpg?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-celebrate-desktop.jpg?strip=info&#038;w=825&#038;ssl=1 825w\" alt=\"\" data-height=\"600\" data-id=\"15829\" data-link=\"https://wordpress.org/news/?attachment_id=15829\" data-url=\"https://wordpress.org/news/files/2023/08/wp20-celebrate-desktop.jpg\" data-width=\"825\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-celebrate-desktop.jpg?ssl=1\" data-amp-layout=\"responsive\" /></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:62.94405%\"><figure class=\"tiled-gallery__item\"><img decoding=\"async\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2023/08/wp20-logo-blueberry3x-1024x783.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i1.wp.com/wordpress.org/news/files/2023/08/wp20-logo-blueberry3x-1024x783.png?strip=info&#038;w=900&#038;ssl=1 900w,https://i1.wp.com/wordpress.org/news/files/2023/08/wp20-logo-blueberry3x-1024x783.png?strip=info&#038;w=1200&#038;ssl=1 1200w,https://i1.wp.com/wordpress.org/news/files/2023/08/wp20-logo-blueberry3x-1024x783.png?strip=info&#038;w=1490&#038;ssl=1 1490w\" alt=\"WP20\" data-height=\"1140\" data-id=\"15854\" data-link=\"https://wordpress.org/news/?attachment_id=15854\" data-url=\"https://wordpress.org/news/files/2023/08/wp20-logo-blueberry3x-1024x783.png\" data-width=\"1490\" src=\"https://i1.wp.com/wordpress.org/news/files/2023/08/wp20-logo-blueberry3x-1024x783.png?ssl=1\" data-amp-layout=\"responsive\" /></figure></div></div></div></div>\n\n\n\n<h2 class=\"wp-block-heading\">Got Swag? Need Swag?</h2>\n\n\n\n<p>It&#8217;s not too late to order your WP20 commemorative items. <a href=\"https://mercantile.wordpress.org/product-category/wp20/\">Find shirts, stickers, and more, while supplies last</a>!</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>See you in five years for the 25th!</strong></h2>\n\n\n\n<p>Sign up here to stay in the &#8220;know&#8221;!</p>\n\n\n	<div class=\"wp-block-jetpack-subscriptions__supports-newline wp-block-jetpack-subscriptions\">\n		<div class=\"jetpack_subscription_widget\">\n			<div class=\"wp-block-jetpack-subscriptions__container\">\n				<form\n					action=\"#\"\n					method=\"post\"\n					accept-charset=\"utf-8\"\n					data-blog=\"14607090\"\n					data-post_access_level=\"everybody\"\n					id=\"subscribe-blog-1\"\n				>\n					<p id=\"subscribe-email\">\n						<label id=\"jetpack-subscribe-label\"\n							class=\"screen-reader-text\"\n							for=\"subscribe-field-1\">\n							Type your email…						</label>\n						<input type=\"email\" name=\"email\" required=\"required\"\n															class=\"no-border-radius  required\"\n																						style=\"font-size: 16px;padding: 15px 23px 15px 23px;border-radius: 0px;border-width: 1px;\"\n														value=\"\"\n							id=\"subscribe-field-1\"\n							placeholder=\"Type your email…\"\n						/>\n					</p>\n\n					<p id=\"subscribe-submit\"\n											>\n						<input type=\"hidden\" name=\"action\" value=\"subscribe\"/>\n						<input type=\"hidden\" name=\"blog_id\" value=\"14607090\"/>\n						<input type=\"hidden\" name=\"source\" value=\"https://wordpress.org/news/feed/\"/>\n						<input type=\"hidden\" name=\"sub-type\" value=\"subscribe-block\"/>\n						<input type=\"hidden\" name=\"redirect_fragment\" value=\"subscribe-blog-1\"/>\n												<button type=\"submit\"\n															class=\"wp-block-button__link no-border-radius\"\n																						style=\"font-size: 16px;padding: 15px 23px 15px 23px;margin: 0px; margin-left: 10px;border-radius: 0px;border-width: 1px;\"\n														name=\"jetpack_subscriptions_widget\"\n						>\n							Subscribe						</button>\n					</p>\n				</form>\n\n							</div>\n		</div>\n	</div>\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15471\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"WordPress 6.3 “Lionel”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://wordpress.org/news/2023/08/lionel/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Aug 2023 20:03:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15718\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:196:\"WordPress 6.3 \"Lionel\" is here! Named after Lionel Hampton, the prolific jazz musician and bandleader, this release was made possible by over 650 contributors. Download WordPress 6.3 Lionel today.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matias Ventura\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:71359:\"\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=1024%2C683&#038;ssl=1\" alt=\"\" class=\"wp-image-15794\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=1024%2C683&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=1536%2C1024&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=2048%2C1365&amp;ssl=1 2048w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?w=3000&amp;ssl=1 3000w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Say hello to WordPress 6.3 “Lionel,” named after <a href=\"https://en.wikipedia.org/wiki/Lionel_Hampton\">Lionel Hampton</a>, the celebrated American jazz artist. A prolific jazz vibraphonist, pianist, and percussionist, Hampton gained notoriety working in harmony with greats from <a href=\"https://en.wikipedia.org/wiki/Charles_Mingus\">Charles Mingus</a> to <a href=\"https://en.wikipedia.org/wiki/Quincy_Jones\">Quincy Jones</a> and as bandleader of the eponymous Lionel Hampton Orchestra. His artistry and charitable work have been recognized with a Grammy, a star on the Hollywood Walk of Fame, and the National Medal of Arts.</p>\n\n\n\n<p>Be sure to turn up the volume of the <a href=\"https://www.youtube.com/channel/UCpfWWFslWSapwL_q16AboSg/featured\">musical stylings</a> of Lionel Hampton as you discover all “Lionel” has to offer.</p>\n\n\n\n<p>With “Lionel” you can create beautiful and compelling websites more efficiently than ever. Whether you want to build an entire site without coding or are a developer looking to customize every detail, WordPress 6.3 has something to pique your interest. As you unpack and explore this latest release, you will discover updated functions and navigation designed to help you work and create with less effort, design tools that give you more control over layout, and added functionality enriching the site-building experience.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-large-font-size\">\n<p class=\"has-extra-large-font-size\">&#8220;Lionel&#8221; marks a major chapter in the evolution of WordPress as a tool for expression. It’s the culmination of years of work from hundreds of contributors, bringing a more powerful and cohesive editing experience for crafting websites with blocks. It continues the quest of making web publishing approachable for everyone—so it’s also just a new beginning!</p>\n<cite>Matías Ventura, WordPress 6.3 Release Lead</cite></blockquote>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpress.org/wordpress-6.3.zip\">Download WordPress 6.3 &#8220;Lionel&#8221; today</a></div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s inside</h2>\n\n\n\n<p>This momentous release opens new possibilities for the creative expression of designers, creators, and builders. Powerful tools and refined controls give users confidence and allow them to easily manage their sites.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Do everything in the Site Editor</h3>\n\n\n\n<p>WordPress 6.3 brings your content, templates, and patterns together in the Site Editor for the first time. Add pages, browse style variations, create synced patterns, and enjoy fine-tuned control over navigation menus. Spend less time switching across different site areas—so you can focus on what matters most. Creation to completion, all in one place.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image titled: &quot;Do everything in the Site Editor&quot;\" class=\"wp-image-15808\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Do everything in the Site Editor</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Preview Block themes</h3>\n\n\n\n<p>Experience block themes before you switch and preview the Site Editor, with options to customize directly before committing to a new theme.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image about previewing block themes titled Previewing Themes depicting &quot;Previewing: Organizer&quot;\" class=\"wp-image-15769\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Preview a new block theme before you switch and commit</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Create and sync patterns</h3>\n\n\n\n<p>Arrange blocks and save them to the ‘My Patterns’ section for use throughout your site. You can even specify whether to sync your patterns (previously referred to as “Reusable blocks”) so that one change applies to all parts of your site. Or, utilize patterns as a starting point with the ability to customize each instance.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image showing the new My Patterns section in the CMS.\" class=\"wp-image-15768\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>My patterns: All your patterns in one place</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Work faster with the Command Palette</h3>\n\n\n\n<p>Switch to a specific template or open your editor preferences with a new tool that helps you quickly access expanded functionality. With simple keyboard shortcuts (⌘+k on Mac or Ctrl+k on Windows), clicking the sidebar search icon in Site View, or clicking the Title Bar, get where you need to go and do what you need to do in seconds.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image depicting the new Command Palette\" class=\"wp-image-15763\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Get to know the new Command Palette </em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Sharpen your designs with new tools</h3>\n\n\n\n<p>New design controls bring more versatility for fine-tuning, starting with the ability to customize your captions from the Styles interface without coding. You can manage your duotone filters in Styles for supported blocks and pick from the options provided by your theme or disable them entirely. The Cover block gets added settings for text color, layout controls, and border options, making this powerful block even more handy.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image representing the new design tools in the Site Editor\" class=\"wp-image-15764\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>New design tools</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Track design changes with Style revisions</h3>\n\n\n\n<p>With a new audit trail, you can now see how your site looked at a specific time. Visualize these revisions in a timeline and access a one-click option to restore prior styles.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image titled &quot;Style Revisions&quot;\" class=\"wp-image-15770\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Style revisions: See your style revision history </em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Annotate with the Footnotes block</h3>\n\n\n\n<p>Footnotes add convenient annotations throughout your content. Now you can add and link footnotes for any paragraph.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image depicting the new Footnotes Block\" class=\"wp-image-15766\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Add footnotes effortlessly with the new Footnotes Block</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Show or hide content with the Details block</h3>\n\n\n\n<p>Use the Details block to avoid spoiling a surprise, create an interactive Q&amp;A section, or hide a long paragraph under a heading.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image depicting the new Details Block\" class=\"wp-image-15765\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Display or hide content with the new Details Block</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Performance gets a boost</h3>\n\n\n\n<p>WordPress 6.3 has <a href=\"https://make.wordpress.org/core/2023/08/07/wordpress-6-3-performance-improvements/\">170+ performance updates</a>, including defer and async support for the Scripts API and fetchpriority support for images. These improvements, along with block template resolution, image lazy-loading, and the emoji loader, can dramatically improve your website’s perceived load time.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Accessibility remains a core focus</h3>\n\n\n\n<p>Incorporating more than 50 accessibility improvements across the platform, WordPress 6.3 is more accessible than ever. Improved labeling, optimized tab and arrow-key navigation, revised heading hierarchy, and new controls in the admin image editor allow those using assistive technologies to navigate more easily.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Other highlights</h3>\n\n\n\n<h4 class=\"wp-block-heading\">Set aspect ratio on images</h4>\n\n\n\n<p>Specify your aspect ratios and ensure design integrity, especially when using images in patterns.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Build your site distraction-free</h4>\n\n\n\n<p>Distraction-free designing is now available in the Site Editor.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Rediscover the Top Toolbar</h4>\n\n\n\n<p>A revamped Top Toolbar offers parent selectors for nested blocks, options when selecting multiple blocks, and an interface embedded into the title bar with new functionality in mind.</p>\n\n\n\n<h4 class=\"wp-block-heading\">List View improvements</h4>\n\n\n\n<p>Drag and drop to every content layer and delete any block you would like in the updated List View.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Build templates with Patterns</h4>\n\n\n\n<p>Create unique patterns to jumpstart template creation with a new modal enabling access to pattern selection.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Changes in PHP support</h4>\n\n\n\n<p>Support for PHP 5 is discontinued. The&nbsp;new minimum supported version&nbsp;of PHP is 7.0.0.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Failed update safeguards</h4>\n\n\n\n<p>WordPress will now auto-restore the previously installed version of plugins or themes if something goes wrong during a failed manual update.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\">Learn more about WordPress and 6.3</h2>\n\n\n\n<p>Explore <a href=\"https://learn.wordpress.org/tutorials/\">Learn WordPress</a> for quick how-to videos, <a href=\"https://learn.wordpress.org/social-learning/\">online workshops</a>, and other resources to level up your knowledge of the latest features in WordPress.&nbsp;</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a> for detailed developer notes to help you build with WordPress and get the most out of the latest release. Read the <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-3/\">6.3 release notes</a> for additional technical details about this release, including feature recaps, installation information, file changes, fixes, and updates.</p>\n\n\n\n<p>Read and subscribe to the <a href=\"https://developer.wordpress.org/news/\">Developer Blog</a> for even more helpful WordPress content.&nbsp;</p>\n\n\n\n<p>To accompany this release, a new <a href=\"https://wordpress.org/download/releases/6-3/\">web experience</a> has been created to provide a more visual way of getting acquainted with the many improvements and new features of WordPress 6.3. </p>\n\n\n\n<p>Seeing WordPress 6.3 in action doesn&#8217;t stop there! Be sure to watch this brief <a href=\"https://www.youtube.com/watch?v=6JhJcOLySLY\">overview video</a> to get a taste of the many things &#8220;Lionel&#8221; has to offer.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/6JhJcOLySLY?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress is a global software platform</h2>\n\n\n\n<p><a href=\"https://translate.wordpress.org/stats/\">61 locales have translated 90 percent</a> or more of WordPress 6.3 into their language. Community translators are working hard to ensure more translations are on their way. Thank you, gracias, ありがとう, धन्यवाद, and ευχαριστώ to everyone who helps to make WordPress available in 200 languages.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"Contributing-to-WordPress\">Contributing to WordPress</h2>\n\n\n\n<p>WordPress believes in democratizing publishing and <a href=\"https://opensource.org/osd-annotated\">the freedoms that come with open source</a>. Supporting this idea is a large community of people collaborating to strengthen the software. A big thank you to everyone who makes WordPress.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-large-font-size\">\n<p class=\"has-extra-large-font-size\">Our community of contributors has always been what makes WordPress wonderful. You are what makes sure our project continues to thrive, and our software remains secure, usable, and impactful. Thank you so much for joining together to make the web (and the world) a better place!</p>\n<cite>Josepha Haden Chomphosy, Executive Director, WordPress.org</cite></blockquote>\n\n\n\n<p>WordPress 6.3 arrives thanks to more than 650 contributors&#8217; collective passion and effort in at least 52 countries. This release also includes over 205 first-time contributors!&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">The 6.3 release squad</h3>\n\n\n\n<p>The 6.3 release was led from start to launch by an active set of contributors from across many disciplines. Over several weeks, they kept the release on track and moving forward by connecting ideas, resolving issues, and removing roadblocks.</p>\n\n\n\n<ul>\n<li>Release Lead: <a href=\"https://profiles.wordpress.org/matveb/\">Matías Ventura</a></li>\n\n\n\n<li>Release Coordinators: <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a>, <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a></li>\n\n\n\n<li>Core Tech Leads: <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a></li>\n\n\n\n<li>Editor Tech Leads:&nbsp; <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a>, <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon Dodd</a></li>\n\n\n\n<li>Core Triage Leads: <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Kabir Chaion</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Glecker</a></li>\n\n\n\n<li>Editor Triage Leads: <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a>, <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/firoz2456/\">Firoz Sabaliya</a>, <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a></li>\n\n\n\n<li>Documentation Leads: <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a>, <a href=\"https://profiles.wordpress.org/stevenlinx/\">Steven Lin</a>, <a href=\"https://profiles.wordpress.org/leonnugraha/\">Leonardus Nugraha</a>, <a href=\"https://profiles.wordpress.org/611shabnam/\">Mushrit Shabnam</a></li>\n\n\n\n<li>Marketing &amp; Communications Leads: <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a>, <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a></li>\n\n\n\n<li>Test Leads: <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a>, <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a>, <a href=\"https://profiles.wordpress.org/chrismalone617/\">Chris Malone</a>, <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a></li>\n\n\n\n<li>Design Leads: <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a></li>\n\n\n\n<li>Performance Leads: <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">6.3 contributors</h3>\n\n\n\n<p>Complimenting the release squad is a diverse group of contributors whose global collaboration delivered hundreds of enhancements and fixes, ensuring a stable release for all—a testament to the power and capability of the WordPress community.&nbsp;</p>\n\n\n\n<p class=\"is-style-wporg-props-long alignfull\"><a href=\"https://profiles.wordpress.org/zgrkaralar/\">&#214;zg&#252;r KARALAR</a> · <a href=\"https://profiles.wordpress.org/6adminit/\">6adminit</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/abhi3315/\">abhi3315</a> · <a href=\"https://profiles.wordpress.org/softwortech/\">Abhishek Sharma</a> · <a href=\"https://profiles.wordpress.org/ababir/\">Abir</a> · <a href=\"https://profiles.wordpress.org/abitofmind/\">abitofmind</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/awarner20/\">Adam W. Warner</a> · <a href=\"https://profiles.wordpress.org/adarshposimyth/\">Adarsh Akshat</a> · <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a> · <a href=\"https://profiles.wordpress.org/adi3890/\">Aditya Jain</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/ahsannayem/\">Ahsan Chowdhury</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/akmelias/\">akmelias</a> · <a href=\"https://profiles.wordpress.org/wpfy/\">Akramul Hasan</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/xavortm/\">Alex Dimitrov</a> · <a href=\"https://profiles.wordpress.org/cawa-93/\">Alex Kozack</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">Alex Stine</a> · <a href=\"https://profiles.wordpress.org/alexandrelara/\">Alexandre Lara</a> · <a href=\"https://profiles.wordpress.org/allancole/\">allancole</a> · <a href=\"https://profiles.wordpress.org/mrfoxtalbot/\">Alvaro G&#243;mez</a> · <a href=\"https://profiles.wordpress.org/alvitazwar052/\">Alvi Tazwar</a> · <a href=\"https://profiles.wordpress.org/akrocks/\">Amaan Khan</a> · <a href=\"https://profiles.wordpress.org/amansurov/\">amansurov</a> · <a href=\"https://profiles.wordpress.org/amin7/\">amin</a> · <a href=\"https://profiles.wordpress.org/sabreuse/\">Amy Hendrix (sabreuse)</a> · <a href=\"https://profiles.wordpress.org/anatoliyav/\">Anatoliy</a> · <a href=\"https://profiles.wordpress.org/anatolikkk/\">Anatoliy Dovgun</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey \"Rarst\" Savchenko</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André Maneiro</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/andizer/\">Andy Meerwaldt</a> · <a href=\"https://profiles.wordpress.org/apeatling/\">Andy Peatling</a> · <a href=\"https://profiles.wordpress.org/anilvaza/\">Anil Vaza</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a> · <a href=\"https://profiles.wordpress.org/reputeinfosystems/\">Ankur Chotai</a> · <a href=\"https://profiles.wordpress.org/annashopina/\">Anna</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/annebovelett/\">Anne-Mieke Bovelett</a> · <a href=\"https://profiles.wordpress.org/annziel/\">annziel</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/atimmer/\">Anton Timmermans</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/antonyagrios/\">Antony Agrios</a> · <a href=\"https://profiles.wordpress.org/anver/\">anver</a> · <a href=\"https://profiles.wordpress.org/anveshika/\">Anveshika Srivastava</a> · <a href=\"https://profiles.wordpress.org/arafatjamil01/\">Arafat Jamil</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/artemiosans/\">Artemio Morales</a> · <a href=\"https://profiles.wordpress.org/arthur791004/\">Arthur Chu</a> · <a href=\"https://profiles.wordpress.org/ideag/\">Arunas Liuiza</a> · <a href=\"https://profiles.wordpress.org/iamasadpolash/\">Asad Polash</a> · <a href=\"https://profiles.wordpress.org/mrasharirfan/\">Ashar Irfan</a> · <a href=\"https://profiles.wordpress.org/ashikurwp/\">Ashikur Rahman</a> · <a href=\"https://profiles.wordpress.org/nant82/\">Atanas Antonov</a> · <a href=\"https://profiles.wordpress.org/aurooba/\">Aurooba Ahmed</a> · <a href=\"https://profiles.wordpress.org/filosofo/\">Austin Matzko</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/azizantoun/\">azizantoun</a> · <a href=\"https://profiles.wordpress.org/aznadesign/\">Aznadesign</a> · <a href=\"https://profiles.wordpress.org/bangank36/\">bangank36</a> · <a href=\"https://profiles.wordpress.org/bartkalisz/\">bartkalisz</a> · <a href=\"https://profiles.wordpress.org/empireoflight/\">Ben Dunkle</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/benlk/\">Ben Keith</a> · <a href=\"https://profiles.wordpress.org/benjgrolleau/\">Benjamin Grolleau</a> · <a href=\"https://profiles.wordpress.org/benjibee/\">benjibee</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> · <a href=\"https://profiles.wordpress.org/albatross10/\">Bhavik Kalpesh</a> · <a href=\"https://profiles.wordpress.org/bhrugesh12/\">Bhrugesh Bavishi</a> · <a href=\"https://profiles.wordpress.org/bijayyadav/\">Bijay Yadav</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/bitnissen/\">bitnissen</a> · <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/bor0/\">Boro Sitnikovski</a> · <a href=\"https://profiles.wordpress.org/wpe_bdurette/\">Brandon DuRette</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/bpayton/\">Brandon Payton</a> · <a href=\"https://profiles.wordpress.org/brasofilo/\">brasofilo</a> · <a href=\"https://profiles.wordpress.org/bgoewert/\">Brennan Goewert</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a> · <a href=\"https://profiles.wordpress.org/bacoords/\">Brian Coords</a> · <a href=\"https://profiles.wordpress.org/fischfood/\">Brian Fischer</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/bridgetwillard/\">Bridget Willard</a> · <a href=\"https://profiles.wordpress.org/bronsonquick/\">Bronson Quick</a> · <a href=\"https://profiles.wordpress.org/brookemk/\">Brooke</a> · <a href=\"https://profiles.wordpress.org/brookedot/\">Brooke.</a> · <a href=\"https://profiles.wordpress.org/caraffande/\">caraffande</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/cathibosco1/\">Cathi Bosco</a> · <a href=\"https://profiles.wordpress.org/ceer/\">ceer</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/chiragrathod103/\">Chirag Rathod</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/mrflannagan/\">Chris Flannagan</a> · <a href=\"https://profiles.wordpress.org/clubkert/\">Chris Lubkert</a> · <a href=\"https://profiles.wordpress.org/chrismalone617/\">Chris Malone</a> · <a href=\"https://profiles.wordpress.org/chriscct7/\">chriscct7</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/ckoerner/\">ckoerner</a> · <a href=\"https://profiles.wordpress.org/codeamp/\">Code Amp</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/corentingautier/\">corentingautier</a> · <a href=\"https://profiles.wordpress.org/courane01/\">Courtney Robertson</a> · <a href=\"https://profiles.wordpress.org/crixu/\">Crixu</a> · <a href=\"https://profiles.wordpress.org/crs1138/\">crs1138</a> · <a href=\"https://profiles.wordpress.org/crstauf/\">crstauf</a> · <a href=\"https://profiles.wordpress.org/cshark/\">cshark</a> · <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a> · <a href=\"https://profiles.wordpress.org/dbernar1/\">Dan Bernardic</a> · <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a> · <a href=\"https://profiles.wordpress.org/danyk4/\">danyk4</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/darshitrajyaguru97/\">Darshit Rajyaguru</a> · <a href=\"https://profiles.wordpress.org/drw158/\">Dave Whitley</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/davidmusnik/\">davidmusnik</a> · <a href=\"https://profiles.wordpress.org/davidwebca/\">davidwebca</a> · <a href=\"https://profiles.wordpress.org/dsas/\">Dean Sas</a> · <a href=\"https://profiles.wordpress.org/deepakvijayan/\">Deepak Vijayan</a> · <a href=\"https://profiles.wordpress.org/denis-de-bernardy/\">Denis de Bernardy</a> · <a href=\"https://profiles.wordpress.org/dingo_d/\">Denis Žoljom</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/dennysdionigi/\">Dennys Dionigi</a> · <a href=\"https://profiles.wordpress.org/densityapps/\">densityapps</a> · <a href=\"https://profiles.wordpress.org/sccr410/\">Derek Ashauer</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">Derek Blank</a> · <a href=\"https://profiles.wordpress.org/shagors/\">devshagor</a> · <a href=\"https://profiles.wordpress.org/dharm1025/\">Dharmesh Patel</a> · <a href=\"https://profiles.wordpress.org/dhrumilk/\">Dhrumil Kumbhani</a> · <a href=\"https://profiles.wordpress.org/dhruvishah2203/\">Dhruvi Shah</a> · <a href=\"https://profiles.wordpress.org/digtek/\">DigTek</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dimijazz/\">dimijazz</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/doems/\">doems</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a> · <a href=\"https://profiles.wordpress.org/dsar/\">dsar</a> · <a href=\"https://profiles.wordpress.org/dustyreagan/\">dustyreagan</a> · <a href=\"https://profiles.wordpress.org/ebai4/\">ebai4</a> · <a href=\"https://profiles.wordpress.org/ecorica/\">ecorica</a> · <a href=\"https://profiles.wordpress.org/beckej/\">Ed Beck</a> · <a href=\"https://profiles.wordpress.org/eduwass/\">eduwass</a> · <a href=\"https://profiles.wordpress.org/wpnook/\">Edward</a> · <a href=\"https://profiles.wordpress.org/worldomonation/\">Edwin Takahashi</a> · <a href=\"https://profiles.wordpress.org/ehsanakhgari/\">ehsanakhgari</a> · <a href=\"https://profiles.wordpress.org/ehtis/\">Ehtisham S.</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a> · <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a> · <a href=\"https://profiles.wordpress.org/emirpprime/\">emirpprime</a> · <a href=\"https://profiles.wordpress.org/nrqsnchz/\">Enrique S&#225;nchez</a> · <a href=\"https://profiles.wordpress.org/eric7186/\">eric.7186</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/ernest35/\">Ernest Behinov</a> · <a href=\"https://profiles.wordpress.org/estelaris/\">Estela Rueda</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian K&#228;gy</a> · <a href=\"https://profiles.wordpress.org/gaambo/\">Fabian Todt</a> · <a href=\"https://profiles.wordpress.org/faisalahammad/\">Faisal Ahammad</a> · <a href=\"https://profiles.wordpress.org/falgunihdesai/\">Falguni Desai</a> · <a href=\"https://profiles.wordpress.org/iamfarhan09/\">Farhan Ahmed</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/firoz2456/\">Firoz Sabaliya</a> · <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a> · <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a> · <a href=\"https://profiles.wordpress.org/frank-klein/\">Frank Klein</a> · <a href=\"https://profiles.wordpress.org/franrosa/\">franrosa</a> · <a href=\"https://profiles.wordpress.org/gaeldenysiak/\">gaeldenysiak</a> · <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a> · <a href=\"https://profiles.wordpress.org/ecgan/\">Gan Eng Chin (a11n)</a> · <a href=\"https://profiles.wordpress.org/voldemortensen/\">Garth Mortensen</a> · <a href=\"https://profiles.wordpress.org/garyc40/\">Gary Cao</a> · <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/soulseekah/\">Gennady Kovshenin</a> · <a href=\"https://profiles.wordpress.org/wtower/\">George</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gilles66/\">gilles66</a> · <a href=\"https://profiles.wordpress.org/mokagio/\">Gio Lodi</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/grandslambert/\">GrandSlambert</a> · <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Zi&#243;łkowski</a> · <a href=\"https://profiles.wordpress.org/gudmdharalds/\">Gudmundur Haraldsson</a> · <a href=\"https://profiles.wordpress.org/guillaumeturpin/\">Guillaume TURPIN</a> · <a href=\"https://profiles.wordpress.org/gvgvgvijayan/\">gvgvgvijayan</a> · <a href=\"https://profiles.wordpress.org/hrdelwar/\">Habibur Rahman Delwar</a> · <a href=\"https://profiles.wordpress.org/hztyfoon/\">Hanzala Taifun</a> · <a href=\"https://profiles.wordpress.org/thakkarhardik/\">Hardik Thakkar</a> · <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh S</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/harshgajipara/\">Harsh Gajipara</a> · <a href=\"https://profiles.wordpress.org/hasanmisbah/\">Hasan Misbah</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a> · <a href=\"https://profiles.wordpress.org/heiko_mamerow/\">Heiko Mamerow</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/helgatheviking/\">HelgaTheViking</a> · <a href=\"https://profiles.wordpress.org/luehrsen/\">Hendrik Luehrsen</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/panchalhimani711/\">Himani Panchal</a> · <a href=\"https://profiles.wordpress.org/hbhalodia/\">Hit Bhalodia</a> · <a href=\"https://profiles.wordpress.org/hrrarya/\">Hridoy Mozumder</a> · <a href=\"https://profiles.wordpress.org/hugobaeta/\">Hugo Baeta</a> · <a href=\"https://profiles.wordpress.org/hugod/\">hugod</a> · <a href=\"https://profiles.wordpress.org/hberberoglu/\">Huseyin Berberoglu</a> · <a href=\"https://profiles.wordpress.org/huzaifaalmesbah/\">Huzaifa Al Mesbah</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/polevaultweb/\">Iain Poulson</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/ibrahimmonir/\">Ibrahim Khalil</a> · <a href=\"https://profiles.wordpress.org/shuvoaftab/\">Ibrahim Sharif</a> · <a href=\"https://profiles.wordpress.org/ignatggeorgiev/\">Ignat Georgiev</a> · <a href=\"https://profiles.wordpress.org/imanish003/\">imanish003</a> · <a href=\"https://profiles.wordpress.org/intoxination/\">intoxination</a> · <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/jacknotman/\">jacknotman</a> · <a href=\"https://profiles.wordpress.org/jahidcse/\">Jahid Hasan</a> · <a href=\"https://profiles.wordpress.org/jakariaistauk/\">Jakaria Istauk</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/james-roberts/\">James Roberts</a> · <a href=\"https://profiles.wordpress.org/james0r/\">james0r</a> · <a href=\"https://profiles.wordpress.org/janboddez/\">Jan Boddez</a> · <a href=\"https://profiles.wordpress.org/jane/\">jane</a> · <a href=\"https://profiles.wordpress.org/jankyz/\">jankyz</a> · <a href=\"https://profiles.wordpress.org/janpaulkleijn/\">janpaulkleijn</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">Jarda Snajdr</a> · <a href=\"https://profiles.wordpress.org/pbking/\">Jason Crist</a> · <a href=\"https://profiles.wordpress.org/jsnjohnston/\">Jason Johnston</a> · <a href=\"https://profiles.wordpress.org/madtownlems/\">Jason LeMahieu (MadtownLems)</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/jbcouton/\">jbcouton</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffmora/\">jeffmora</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeffrey Paul</a> · <a href=\"https://profiles.wordpress.org/jenmylo/\">Jen</a> · <a href=\"https://profiles.wordpress.org/jenilk/\">Jenil Kanani</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeroenrotty/\">Jeroen Rotty</a> · <a href=\"https://profiles.wordpress.org/jeryj/\">Jerry Jones</a> · <a href=\"https://profiles.wordpress.org/jhnstn/\">jhnstn</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/bitmachina/\">John Hooks</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/jomonthomaslobo1/\">Jomon Thomas Lobo</a> · <a href=\"https://profiles.wordpress.org/akbigdog/\">Jon Bourne</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a> · <a href=\"https://profiles.wordpress.org/n2erjo00/\">Joni Erkkil&#228;</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a> · <a href=\"https://profiles.wordpress.org/jordesign/\">jordesign</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/josklever/\">Jos Klever</a> · <a href=\"https://profiles.wordpress.org/josepmoran/\">Josep Mor&#225;n</a> · <a href=\"https://profiles.wordpress.org/dunhakdis/\">Joseph G.</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha</a> · <a href=\"https://profiles.wordpress.org/jhabdas/\">Josh Habdas</a> · <a href=\"https://profiles.wordpress.org/shelob9/\">Josh Pollock</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jqz/\">jqz</a> · <a href=\"https://profiles.wordpress.org/juanfra/\">Juan Aldasoro</a> · <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juzar/\">Juzar</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/trepmal/\">Kailey (trepmal)</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/leprincenoir/\">Kantari Samy</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/karolmanijak/\">Karol Manijak</a> · <a href=\"https://profiles.wordpress.org/thekt12/\">Karthik Thayyil</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn P.</a> · <a href=\"https://profiles.wordpress.org/kamplugins/\">Kausar Al Mamun</a> · <a href=\"https://profiles.wordpress.org/kausaralm/\">Kausar Alam</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/kenwins/\">kenwins</a> · <a href=\"https://profiles.wordpress.org/kevinb/\">Kevin Behrens</a> · <a href=\"https://profiles.wordpress.org/khoipro/\">Khoi Pro</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a> · <a href=\"https://profiles.wordpress.org/koenschipper/\">koenschipper</a> · <a href=\"https://profiles.wordpress.org/xkon/\">Konstantinos Xenos</a> · <a href=\"https://profiles.wordpress.org/krishneup/\">Krishna Neupane</a> · <a href=\"https://profiles.wordpress.org/krunal265/\">Krunal Bhimajiyani</a> · <a href=\"https://profiles.wordpress.org/krupajnanda/\">Krupa Nanda</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kutsu/\">kutsu</a> · <a href=\"https://profiles.wordpress.org/kzeni/\">KZeni</a> · <a href=\"https://profiles.wordpress.org/leamcaleese/\">L&#233;a McAleese</a> · <a href=\"https://profiles.wordpress.org/lgadzhev/\">Lachezar Gadzhev</a> · <a href=\"https://profiles.wordpress.org/lanacodes/\">Lana Codes</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/wplmillet/\">Laurent MILLET</a> · <a href=\"https://profiles.wordpress.org/laurentmagnin/\">laurentmagnin</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/leonnugraha/\">Leonardus Nugraha</a> · <a href=\"https://profiles.wordpress.org/lessbloat/\">lessbloat</a> · <a href=\"https://profiles.wordpress.org/levdbas/\">Levdbas</a> · <a href=\"https://profiles.wordpress.org/wplindavantol/\">Linda van Tol</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/lowlydev/\">lowlydev</a> · <a href=\"https://profiles.wordpress.org/lphoumpakka/\">lphk</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">Luigi</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a> · <a href=\"https://profiles.wordpress.org/madejackson/\">madejackson</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/mrdollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/mehdi01/\">Mahdi Hasan</a> · <a href=\"https://profiles.wordpress.org/mahendra0029/\">Mahendra Bishnoi</a> · <a href=\"https://profiles.wordpress.org/nadimcse/\">Mahmudul Haque Nadim</a> · <a href=\"https://profiles.wordpress.org/mai21/\">Mai</a> · <a href=\"https://profiles.wordpress.org/majaloncar/\">Maja Loncar</a> · <a href=\"https://profiles.wordpress.org/malae/\">Malae</a> · <a href=\"https://profiles.wordpress.org/malavvasita/\">Malav Vasita</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/maniu/\">maniu</a> · <a href=\"https://profiles.wordpress.org/mdxfr/\">Marc</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/marcguay/\">MarcGuay</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a> · <a href=\"https://profiles.wordpress.org/margolisj/\">margolisj</a> · <a href=\"https://profiles.wordpress.org/marianne38/\">marianne38</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/marineevain/\">Marine EVAIN</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">Mario Santos</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markparnell/\">Mark Parnell</a> · <a href=\"https://profiles.wordpress.org/markdoliner/\">markdoliner</a> · <a href=\"https://profiles.wordpress.org/markoheijnen/\">Marko Heijnen</a> · <a href=\"https://profiles.wordpress.org/markoserb/\">Marko Ivanovic</a> · <a href=\"https://profiles.wordpress.org/flootr/\">Markus</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/martinkrcho/\">martin.krcho</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">marybaum</a> · <a href=\"https://profiles.wordpress.org/masteradhoc/\">masteradhoc</a> · <a href=\"https://profiles.wordpress.org/mastrup/\">mastrup</a> · <a href=\"https://profiles.wordpress.org/mat-lipe/\">Mat Lipe</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">Matias Benedetto</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/matmoe/\">matmoe</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/mwtsn/\">Matt Watson</a> · <a href=\"https://profiles.wordpress.org/mattwiebe/\">Matt Wiebe</a> · <a href=\"https://profiles.wordpress.org/matt_fw/\">matt_fw</a> · <a href=\"https://profiles.wordpress.org/matteoenna/\">Matteo Enna</a> · <a href=\"https://profiles.wordpress.org/mboynes/\">Matthew Boynes</a> · <a href=\"https://profiles.wordpress.org/azouamauriac/\">Mauriac AZOUA</a> · <a href=\"https://profiles.wordpress.org/maurodf/\">maurodf</a> · <a href=\"https://profiles.wordpress.org/cadic/\">Max Lyuchin</a> · <a href=\"https://profiles.wordpress.org/maxcgparis/\">maxcgparis</a> · <a href=\"https://profiles.wordpress.org/maysi/\">maysi</a> · <a href=\"https://profiles.wordpress.org/mayur8991/\">Mayur Prajapati</a> · <a href=\"https://profiles.wordpress.org/mcalyster/\">McAlyster</a> · <a href=\"https://profiles.wordpress.org/mcliwanow/\">mcliwanow</a> · <a href=\"https://profiles.wordpress.org/mahamudur78/\">Md Mahamudur Rahaman</a> · <a href=\"https://profiles.wordpress.org/fencermonir/\">Md Monir Hossain</a> · <a href=\"https://profiles.wordpress.org/shuvo247/\">MD Shakibul Islam</a> · <a href=\"https://profiles.wordpress.org/megane9988/\">megane9988</a> · <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a> · <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/menakas/\">Menaka S.</a> · <a href=\"https://profiles.wordpress.org/mensmaximus/\">mensmaximus</a> · <a href=\"https://profiles.wordpress.org/mgol/\">mgol</a> · <a href=\"https://profiles.wordpress.org/mdawaffe/\">Michael Adams (mdawaffe)</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/mikeday/\">Michael Day</a> · <a href=\"https://profiles.wordpress.org/michaelh/\">MichaelH</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mikeschinkel/\">Mike Schinkel</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/mikecho/\">mikecho</a> · <a href=\"https://profiles.wordpress.org/mikeyzm/\">mikeyzm</a> · <a href=\"https://profiles.wordpress.org/mikinc860/\">Mikin Chauhan</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/gonzomir/\">Milen Petrinski - Gonzo</a> · <a href=\"https://profiles.wordpress.org/studionashvegas/\">Mitch Canter</a> · <a href=\"https://profiles.wordpress.org/mitchellaustin/\">mitchellaustin</a> · <a href=\"https://profiles.wordpress.org/mitchoyoshitaka/\">mitcho (Michael Yoshitaka Erlewine)</a> · <a href=\"https://profiles.wordpress.org/moinrrahmed/\">Moe</a> · <a href=\"https://profiles.wordpress.org/batmoo/\">Mohammad Jangda</a> · <a href=\"https://profiles.wordpress.org/mohanrajp/\">Mohan Raj</a> · <a href=\"https://profiles.wordpress.org/patelmohip/\">Mohip Patel</a> · <a href=\"https://profiles.wordpress.org/mohiuddinomran/\">Mohiuddin Omran</a> · <a href=\"https://profiles.wordpress.org/boemedia/\">Monique Dubbelman</a> · <a href=\"https://profiles.wordpress.org/monzuralam/\">Monzur Alam</a> · <a href=\"https://profiles.wordpress.org/mor10/\">Morten Rand-Hendriksen</a> · <a href=\"https://profiles.wordpress.org/mrinal013/\">Mrinal Haque</a> · <a href=\"https://profiles.wordpress.org/mtxz/\">mtxz</a> · <a href=\"https://profiles.wordpress.org/thisisyeasin/\">Muhammad Yeasin</a> · <a href=\"https://profiles.wordpress.org/mujuonly/\">mujuonly</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/611shabnam/\">Mushrit Shabnam</a> · <a href=\"https://profiles.wordpress.org/naeemhaque/\">Naeem Haque</a> · <a href=\"https://profiles.wordpress.org/tushar284/\">Nahid Hasan</a> · <a href=\"https://profiles.wordpress.org/narthur/\">Narthur</a> · <a href=\"https://profiles.wordpress.org/nataliat2004/\">nataliat2004</a> · <a href=\"https://profiles.wordpress.org/nateallen/\">Nate Allen</a> · <a href=\"https://profiles.wordpress.org/nazgul/\">Nazgul</a> · <a href=\"https://profiles.wordpress.org/nazmul111/\">Nazmul Hosen</a> · <a href=\"https://profiles.wordpress.org/nazmulhudadev/\">Nazmul Huda</a> · <a href=\"https://profiles.wordpress.org/nendeb55/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neychok/\">Neycho Kalaydzhiev</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/nickpap/\">nickpap</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/nihar007/\">Nihar Ranjan Das</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/nilovelez/\">Nilo Velez</a> · <a href=\"https://profiles.wordpress.org/dhrupo/\">Niluthpal Purkayastha</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/njsamsatli/\">njsamsatli</a> · <a href=\"https://profiles.wordpress.org/nkeller15/\">nkeller15</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/obliviousharmony/\">obliviousharmony</a> · <a href=\"https://profiles.wordpress.org/hideokamoto/\">Okamoto Hidetaka</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/opr18/\">opr18</a> · <a href=\"https://profiles.wordpress.org/orestissam/\">Orestis Samaras</a> · <a href=\"https://profiles.wordpress.org/ov3rfly/\">Ov3rfly</a> · <a href=\"https://profiles.wordpress.org/owi/\">owi</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/pamprn/\">Pamela Ribeiro</a> · <a href=\"https://profiles.wordpress.org/paragoninitiativeenterprises/\">Paragon Initiative Enterprises</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/pateljaymin/\">Patel Jaymin</a> · <a href=\"https://profiles.wordpress.org/patriciahillebrandt/\">patriciahillebrandt</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/pschrottky/\">Paul Von Schrottky</a> · <a href=\"https://profiles.wordpress.org/paulopmt1/\">Paulo Trentin</a> · <a href=\"https://profiles.wordpress.org/pavanpatil1/\">Pavan Patil</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a> · <a href=\"https://profiles.wordpress.org/westi/\">Peter Westwood</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walb&#248; Johnsg&#229;rd</a> · <a href=\"https://profiles.wordpress.org/tyrannous/\">Philipp Bammes</a> · <a href=\"https://profiles.wordpress.org/phillsav/\">Phill</a> · <a href=\"https://profiles.wordpress.org/strategio/\">Pierre Sylvestre</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/pitamdey/\">Pitam Dey</a> · <a href=\"https://profiles.wordpress.org/piyushtekwani/\">Piyush Tekwani</a> · <a href=\"https://profiles.wordpress.org/pkbhatt/\">pkbhatt</a> · <a href=\"https://profiles.wordpress.org/platonkristinin/\">Platon Kristinin</a> · <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/pouicpouic/\">pouicpouic</a> · <a href=\"https://profiles.wordpress.org/prashantbhivsane/\">Prashant</a> · <a href=\"https://profiles.wordpress.org/prashantvatsh/\">Prashant Singh</a> · <a href=\"https://profiles.wordpress.org/pravinparmar2404/\">Pravin Parmar</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/prikari/\">Priyanka Adhikari</a> · <a href=\"https://profiles.wordpress.org/przemekhernik/\">Przemek Hernik</a> · <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a> · <a href=\"https://profiles.wordpress.org/bi0xid/\">Rafa Poveda</a> · <a href=\"https://profiles.wordpress.org/rfischmann/\">Rafael Fischmann</a> · <a href=\"https://profiles.wordpress.org/rajanpanchal2028/\">Rajan Panchal</a> · <a href=\"https://profiles.wordpress.org/rajinsharwar/\">Rajin Sharwar</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/ratneshsonar/\">Ratnesh Sonar</a> · <a href=\"https://profiles.wordpress.org/rehanali/\">Rehan Ali</a> · <a href=\"https://profiles.wordpress.org/rembem/\">rembem</a> · <a href=\"https://profiles.wordpress.org/renyot/\">ren</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/rianrietveld/\">Rian Rietveld</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/richards1052/\">richards1052</a> · <a href=\"https://profiles.wordpress.org/richiecarey/\">Richie Carey</a> · <a href=\"https://profiles.wordpress.org/rjasdfiii/\">rjasdfiii</a> · <a href=\"https://profiles.wordpress.org/rob1n/\">rob1n</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/sanchothefat/\">Robert O\'Rourke</a> · <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/ronakganatra/\">Ronak Ganatra</a> · <a href=\"https://profiles.wordpress.org/algorithmsunlocks/\">Ruman Ahmed</a> · <a href=\"https://profiles.wordpress.org/rutviksavsani/\">Rutvik Savsani</a> · <a href=\"https://profiles.wordpress.org/ryan/\">Ryan Boren</a> · <a href=\"https://profiles.wordpress.org/bookdude13/\">Ryan Fredlund</a> · <a href=\"https://profiles.wordpress.org/ryankienstra/\">Ryan Kienstra</a> · <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/sereedmedia/\">S&#233; Reed</a> · <a href=\"https://profiles.wordpress.org/sebastienserre/\">S&#233;bastien SERRE</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">S&#233;rgio Gomes</a> · <a href=\"https://profiles.wordpress.org/suleymankenar/\">S&#252;leyman Kenar</a> · <a href=\"https://profiles.wordpress.org/andy786/\">Sahil B.</a> · <a href=\"https://profiles.wordpress.org/sajjad67/\">Sajjad Hossain Sagor</a> · <a href=\"https://profiles.wordpress.org/sakibmd/\">Sakib Mohammed</a> · <a href=\"https://profiles.wordpress.org/salvoaranzulla/\">salvoaranzulla</a> · <a href=\"https://profiles.wordpress.org/samful/\">Sam Fullalove</a> · <a href=\"https://profiles.wordpress.org/samiamnot/\">samiamnot</a> · <a href=\"https://profiles.wordpress.org/samnajian/\">SamNajian</a> · <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarequl/\">Sarequl Basar</a> · <a href=\"https://profiles.wordpress.org/saxonfletcher/\">Saxon Fletcher</a> · <a href=\"https://profiles.wordpress.org/coffee2code/\">Scott Reilly</a> · <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a> · <a href=\"https://profiles.wordpress.org/scribu/\">scribu</a> · <a href=\"https://profiles.wordpress.org/sdavis2702/\">Sean Davis</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/shailu25/\">Shail Mehta</a> · <a href=\"https://profiles.wordpress.org/sh4lin/\">Shalin Shah</a> · <a href=\"https://profiles.wordpress.org/enchiridion/\">Shannon Little</a> · <a href=\"https://profiles.wordpress.org/shiponkarmakar/\">Shipon Karmakar</a> · <a href=\"https://profiles.wordpress.org/shreyasikhar26/\">Shreyas Ikhar</a> · <a href=\"https://profiles.wordpress.org/shubhamsedani/\">shubhamsedani</a> · <a href=\"https://profiles.wordpress.org/shuvo586/\">shuvo586</a> · <a href=\"https://profiles.wordpress.org/shvv/\">shvv</a> · <a href=\"https://profiles.wordpress.org/shwetabathani2312/\">Shweta Bathani</a> · <a href=\"https://profiles.wordpress.org/siddhantwadhwani/\">Siddhant Wadhwani</a> · <a href=\"https://profiles.wordpress.org/rsiddharth/\">siddharth ravikumar</a> · <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a> · <a href=\"https://profiles.wordpress.org/10upsimon/\">Simon Dowdles</a> · <a href=\"https://profiles.wordpress.org/simonemanfre/\">Simone</a> · <a href=\"https://profiles.wordpress.org/siobhan/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/sirajummahdi/\">Sirajum Mahdi</a> · <a href=\"https://profiles.wordpress.org/sboerrigter/\">Sjoerd Boerrigter</a> · <a href=\"https://profiles.wordpress.org/sjoerdlinders/\">Sjoerd Linders</a> · <a href=\"https://profiles.wordpress.org/smit08/\">Smit Rathod</a> · <a href=\"https://profiles.wordpress.org/soean/\">Soren Wrede</a> · <a href=\"https://profiles.wordpress.org/enderandpeter/\">Spencer</a> · <a href=\"https://profiles.wordpress.org/sque/\">sque</a> · <a href=\"https://profiles.wordpress.org/srikanthmeenakshi/\">srikanthmeenakshi</a> · <a href=\"https://profiles.wordpress.org/sstoqnov/\">Stanimir Stoyanov</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/vanaf1979/\">Stephan Nijman</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/stevenlinx/\">Steven Lin</a> · <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a> · <a href=\"https://profiles.wordpress.org/sudipatel007/\">Sudip Dadhaniya</a> · <a href=\"https://profiles.wordpress.org/sumitbagthariya16/\">Sumit Bagthariya</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva (a11n)</a> · <a href=\"https://profiles.wordpress.org/codemonksuvro/\">Suvro</a> · <a href=\"https://profiles.wordpress.org/suzettefranck/\">Suzette Franck</a> · <a href=\"https://profiles.wordpress.org/mt_suzette/\">Suzette Franck</a> · <a href=\"https://profiles.wordpress.org/syamraj24/\">syamraj24</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/nuhel/\">Syed Nuhel</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/tacoverdo/\">Taco Verdonschot</a> · <a href=\"https://profiles.wordpress.org/tahmina1du/\">Tahmina Jahan</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/takshil/\">Takshil Kunadia</a> · <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a> · <a href=\"https://profiles.wordpress.org/tanner-m/\">Tanner Moushey</a> · <a href=\"https://profiles.wordpress.org/thakordarshil/\">Thakor Darshil</a> · <a href=\"https://profiles.wordpress.org/thomask/\">thomask</a> · <a href=\"https://profiles.wordpress.org/thunderdw/\">thunder rumbles</a> · <a href=\"https://profiles.wordpress.org/tijmensmit/\">Tijmen Smit</a> · <a href=\"https://profiles.wordpress.org/tillkruess/\">Till Kr&#252;ss</a> · <a href=\"https://profiles.wordpress.org/tb1909/\">Tim Brath&#228;rig</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tmatsuur/\">tmatsuur</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/thomasdevisser/\">Tom de Visser</a> · <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a> · <a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/r0uter/\">tonythomas01</a> · <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul I Chowdhury</a> · <a href=\"https://profiles.wordpress.org/scep/\">Tryon</a> · <a href=\"https://profiles.wordpress.org/twstokes/\">twstokes</a> · <a href=\"https://profiles.wordpress.org/tyb/\">TyB</a> · <a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/umeshmcakadi/\">Umesh Patel</a> · <a href=\"https://profiles.wordpress.org/upadalavipul/\">Upadala Vipul</a> · <a href=\"https://profiles.wordpress.org/utsav72640/\">Utsav tilava</a> · <a href=\"https://profiles.wordpress.org/uxtremist/\">uxtremist</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/valterlorran/\">valterlorran</a> · <a href=\"https://profiles.wordpress.org/vasilism/\">Vasilis Manthos</a> · <a href=\"https://profiles.wordpress.org/victoranto/\">victoranto</a> · <a href=\"https://profiles.wordpress.org/szepeviktor/\">Viktor Sz&#233;pe</a> · <a href=\"https://profiles.wordpress.org/vivekawsm/\">vivekawsm</a> · <a href=\"https://profiles.wordpress.org/vladytimy/\">Vlad T</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/skorasaurus/\">Will Skora</a> · <a href=\"https://profiles.wordpress.org/williampatton/\">williampatton</a> · <a href=\"https://profiles.wordpress.org/wlindley/\">wlindley</a> · <a href=\"https://profiles.wordpress.org/wojtekszkutnik/\">Wojtek Szkutnik</a> · <a href=\"https://profiles.wordpress.org/xerpa43/\">xerpa43</a> · <a href=\"https://profiles.wordpress.org/xmarcos/\">xmarcos</a> · <a href=\"https://profiles.wordpress.org/yaniiliev/\">Yani Iliev</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/zdrobau/\">Zdrobau</a> · <a href=\"https://profiles.wordpress.org/zebaafiashama/\">Zeba Afia Shama</a> · <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">zieladam</a> · <a href=\"https://profiles.wordpress.org/zunaid321/\">Zunaid Amin</a></p>\n\n\n\n<h3 class=\"wp-block-heading\">WordPress support forums</h3>\n\n\n\n<p>Many thanks to the community volunteers who contribute to the <a href=\"https://wordpress.org/support/\">support forums</a> by answering questions from WordPress users worldwide.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Get involved today</h3>\n\n\n\n<p>If contributing to WordPress appeals to you, learning more and getting involved is easy. Discover the teams that come together to <a href=\"https://make.wordpress.org/\">Make WordPress</a> and explore the product roadmap on the <a href=\"https://make.wordpress.org/core/\">core development blog</a>. You can also use this <a href=\"https://make.wordpress.org/contribute/\">interactive tool</a> to help you decide which team is right for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Looking toward the future</h2>\n\n\n\n<p>20 years ago this past May, <a href=\"https://wordpress.org/news/2003/05/wordpress-now-available/\">WordPress shipped the very first version, 0.7</a>. What started with a blog post from co-founder Matt Mullenweg and a subsequent comment by co-founder Mike Little eventually evolved into the world’s most popular web publishing platform.</p>\n\n\n\n<p>WordPress software continues to evolve and iterate based on the needs and desires of its robust and diverse user community. This release is the capstone of <a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2</a> along the WordPress <a href=\"https://wordpress.org/about/roadmap/\">development roadmap</a>. As the community looks to the future, all efforts turn to <a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">6.4</a> and, subsequently, the transition into <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">Phase 3</a>, which is expected to introduce powerful collaboration tools to the website creation and management experience.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\">6.3 Haiku</h2>\n\n\n\n<p>A capstone release<br>Ships tools for building great sites<br>Collaboration</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15718\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Concerns over the European Union’s Cyber Resilience Act (CRA)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2023 14:25:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:3:\"cra\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15686\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:216:\"\"Our shared goal is to further bolster the security of digital products without compromising the values of freedom, democracy, and innovation.\" Learn more about the Cyber Resilience Act and its impact on open source.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Josepha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4334:\"\n<p>As the world’s most popular open source content management system, WordPress acknowledges the European Union&#8217;s initiative to bolster the cybersecurity of digital hardware and software products with the <a href=\"https://www.european-cyber-resilience-act.com/\">Cyber Resilience Act (CRA)</a>. The Act’s effort to counter the increasing threat of cyberattacks and promote informed usage of digital products with increased security updates and transparency is commendable.&nbsp;</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>While we wholly endorse the objectives of the CRA, we are apprehensive about the Act&#8217;s implications on open source software due to unclear terms and definitions. </p>\n</blockquote>\n\n\n\n<p>Specifically, the Act’s prohibition on &#8220;unfinished software&#8221; and ambiguous definition of &#8220;commercial activity&#8221; could inadvertently inhibit innovation and economic participation in the European digital landscape.</p>\n\n\n\n<p>Open source projects, like WordPress, often rely on continual updates and improvements—a process that may technically fall under the label of &#8220;unfinished.&#8221; Furthermore, the ambiguous definition of &#8220;commercial activity&#8221; could unintentionally encompass open source projects that are largely driven by communities and operate on a not-for-profit basis.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Our letter to the EU Commission</h2>\n\n\n\n<p>We have jointly authored an open letter addressing these concerns alongside fellow open source projects Drupal, Joomla!, and TYPO3<sup data-fn=\"eb28afbc-3487-447f-9af9-8b0418310a00\" class=\"fn\"><a href=\"#eb28afbc-3487-447f-9af9-8b0418310a00\" id=\"eb28afbc-3487-447f-9af9-8b0418310a00-link\">1</a></sup>. The letter emphasizes the significant contribution of Free and Open Source Software (FOSS) to the EU&#8217;s economy and how the proposed regulations might undermine these efforts. Our shared goal is to further bolster the security of digital products without compromising the values of freedom, democracy, and innovation inherent to both the open source community and the <a href=\"https://european-union.europa.eu/principles-countries-history/principles-and-values/aims-and-values_en\">EU’s Aims and Values</a>.</p>\n\n\n\n<p>The letter invites the EU Commission and interested parties to participate in a seminar in Brussels to discuss how we can align the objectives of the CRA with the realities and needs of the FOSS community. We are optimistic that, with mutual understanding and cooperation, we can achieve secure digital products without limiting the vital contributions of open source projects.</p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-9 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-align-center wp-element-button\" href=\"https://wordpress.org/news/files/2023/08/Open_Letter_on_the_Significance_of_Free_and_Open_Source_Software_in_the_EU_s_Proposed_Cyber_Resilience_Act.pdf\" target=\"_blank\" rel=\"noreferrer noopener\">Read the letter</a></div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group has-off-white-background-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><ol class=\"wp-block-footnotes\"><li id=\"eb28afbc-3487-447f-9af9-8b0418310a00\"><a href=\"https://www.drupal.org/\">Drupal</a>, <a href=\"https://www.joomla.org/\">Joomla!</a>, <a href=\"https://typo3.com/\">TYPO3</a>, and <a href=\"https://wordpress.org/\">WordPress</a> are the most popular FOSS content management systems on the web today. While all are based on the PHP programming language and distributed under the GPL open source license, each platform takes a different approach to website publishing. With strength in diversity, they form the Inter-CMS Working Group, promoting the values and benefits of free and open source software. <a href=\"#eb28afbc-3487-447f-9af9-8b0418310a00-link\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/21a9.png\" alt=\"↩\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" />︎</a></li></ol></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15686\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.3 Release Candidate 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2023/08/wordpress-6-3-rc3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Aug 2023 16:55:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15615\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:226:\"WordPress 6.3 Release Candidate 3 is now available for download and testing.\n\nThe WordPress 6.3 release is scheduled for August 8, 2023—just one week away. Now is your last opportunity to test it before the general release. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6221:\"\n<p>WordPress 6.3 RC3 is ready for download and testing.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development.</strong> <strong>Please do not install, run, or test this version on production or mission-critical websites.</strong> Instead, you should evaluate RC3 on a test server and site.&nbsp;</p>\n\n\n\n<p>The WordPress 6.3 release is scheduled for August 8, 2023—just one week away. Now is your last opportunity to test it before the general release.&nbsp;</p>\n\n\n\n<p>For a deeper look into this release, read this overview of the <a href=\"https://make.wordpress.org/core/6-3/\">6.3 release cycle</a>, check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-3/\">6.3-related posts</a>, review <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">new features in WordPress 6.3</a>, or <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">watch a recorded demo</a>.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">What’s new since RC2</h2>\n\n\n\n<p>Since the RC2 release on July 25, 2023, there have been approximately 14 issues resolved in <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\">Github</a> and <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=07%2F25%2F2023..08%2F01%2F2023&amp;milestone=6.3&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac</a>. To prepare for 6.3 general availability, RC3 also addresses several <a href=\"https://github.com/WordPress/gutenberg/pull/53089\">bugs</a> and adds fixes for retrieving templates (<a href=\"https://github.com/WordPress/wordpress-develop/pull/4940\">#4940</a>) and resolving child theme issues (<a href=\"https://github.com/WordPress/gutenberg/issues/53138\">#53138</a>). Thank you for testing, WordPressers!</p>\n\n\n\n<p>Developers and extenders should review the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">comprehensive WordPress 6.3 Field Guide</a> for detailed technical notes regarding new features and improvements.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Ways to contribute</h2>\n\n\n\n<p>WordPress is open source software made possible by the community of people collaborating on and contributing to its development. The resources below outline a variety of ways you can help, regardless of your technical expertise.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Download RC3 for testing</h3>\n\n\n\n<p>You can test WordPress 6.3 RC3 in three ways:</p>\n\n\n\n<ul>\n<li><strong>Option 1:</strong> Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</li>\n\n\n\n<li><strong>Option 2:</strong> Direct download the <a href=\"https://wordpress.org/wordpress-6.3-RC3.zip\">RC3 version (zip)</a>.</li>\n\n\n\n<li><strong>Option 3: </strong>Use the following WP-CLI command:<br><code>wp core update --version=6.3-RC3</code></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Keep WordPress bug-free—help with testing</h3>\n\n\n\n<p>Testing for issues is a critical part of developing any software, and it’s a meaningful way for anyone to contribute—whether you have experience or not. While testing the upgrade process is essential, trying out new features is too.&nbsp;&nbsp;</p>\n\n\n\n<ul>\n<li>Encountered an issue? Please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</li>\n\n\n\n<li>New to testing? This <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">detailed guide</a> is a great place to start if you’ve never tested a beta/RC release.</li>\n\n\n\n<li>Want to know more about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> in <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Search for vulnerabilities</h3>\n\n\n\n<p>The monetary reward for reporting new, unreleased security vulnerabilities is doubled between the Beta 1 release and the final release candidate (RC). Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Update your theme or plugin</h3>\n\n\n\n<p>Do you build themes or plugins? Your products play an integral role in extending the functionality and value of WordPress for users of all types worldwide.&nbsp;</p>\n\n\n\n<p>This is your final opportunity to test your latest versions against RC3. You will want to continue your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.3.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Help translate WordPress</h3>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Phase two, soon complete<br>A monumental release<br>Then onto six-four.</p>\n\n\n\n<p><em>Thank you to the contributors who collaborated on this post: <a href=\"https://profiles.wordpress.org/meher/\">@Meher</a>, <a href=\"https://profiles.wordpress.org/dansoschin/\">@DanSoschin</a>, and <a href=\"https://profiles.wordpress.org/jpantani/\">@jpantani</a></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15615\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"People of WordPress: Ihtisham Zahoor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/news/2023/07/people-of-wordpress-ihtisham-zahoor/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Jul 2023 20:22:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"HeroPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:19:\"People of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15589\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"People of WordPress features Ihtisham Zahoor, an administrator turned web developer from Pakistan.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Abha Thakor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:12176:\"\n<p>From administrator to web developer thanks to the supportive WordPress community. Through learning from other software users in Pakistan, Ihtisham Zahoor knew that his life would change. He moved cities and careers to make his life through open source.</p>\n\n\n\n<p><strong>The&nbsp;<em>People of WordPress</em>&nbsp;series shares inspiring stories of how people’s lives can change for the better through WordPress and its global community of contributors.</strong></p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"768\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=1024%2C768&#038;ssl=1\" alt=\"Ihtisham Zahoor in the moutains.\" class=\"wp-image-15478\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=1024%2C768&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=768%2C576&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=1536%2C1152&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?w=1900&amp;ssl=1 1900w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Ihtisham, from Haripur, a city in northern Pakistan, said: “The WordPress community made me a firm believer in the power of open source software. This is why I am an enthusiast and one who enjoys contributing back to the community via writing, speaking, and helping organize meetups.”</p>\n\n\n\n<p>When Ihtisham discovered WordPress, his fascination for working with computing grew. He knew he did not want to just work in administration his entire career.</p>\n\n\n\n<p>Ihitsham describes himself as an ‘introvert’ and therefore the idea of remote work appealed as he could still add value to others through technology. He was intrigued by the thought of the freedom to choose his work hours. However, without access to others who had already transformed their careers and lives through web development, he felt he ‘had no path to follow to turn my dream into a reality.’</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Challenges become opportunities to learn when there is an active community&nbsp;&nbsp;</strong></h2>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"675\" height=\"900\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-4.jpg?resize=675%2C900&#038;ssl=1\" alt=\"Ihtisham Zahoor wearing a sweatshirt with the London tube sign \'Mind the Gap\'.\" class=\"wp-image-15480\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-4.jpg?w=675&amp;ssl=1 675w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-4.jpg?resize=225%2C300&amp;ssl=1 225w\" sizes=\"(max-width: 675px) 100vw, 675px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Lacking any kind of informed support network to advise or guide him, Ihtisham devoted time to online research to find the next steps he could take. Looking back, he believes that for those who are not in a network with others with similar interests, it can be hard to keep learning and experimenting with new things. Isolation can be a barrier to working in web development.&nbsp;&nbsp;</p>\n\n\n\n<p>He said: “I think it is not easy to stay motivated when there aren’t immediate rewards for the hard work we do. Sometimes, weeks would go by when my only focus would be to stay motivated rather than give up.”</p>\n\n\n\n<p>After another two years of combining learning and work, Ihtisham took up using WordPress as a full-time career. He moved to the capital of Pakistan, Islamabad. It was not easy at first. He recalls: “After many failed attempts at getting hired and desperate moments, I finally received an offer from a digital agency as a web developer focused on the WordPress platform.”</p>\n\n\n\n<p>He added: “Moving to work with a bigger agency was one of the best decisions of my life as it helped me with my professional growth by becoming familiar with the whole WordPress ecosystem in a supportive environment. I was valued for my opinions in the web projects in which I was involved. I was also appreciated and encouraged for the open source work I did for the company.” He summarized his enthusiasm for WordPress like this: “It is really interesting figuring out what is happening in the backends. I like problem-solving and finding solutions which you can do with WordPress.”</p>\n\n\n\n<p>During the Covid-19 pandemic, Ihtisham moved to join a start-up which provides web development services to international clients. He works as a developer and has the opportunity to learn more about client communication and project management. “WordPress has opened up so many opportunities for me. It has been an exciting journey for me with lots of learning every day,” he said. In particular, he has discovered an interest in APIs and regularly uses his spare time to follow tickets in the hope of one day contributing even more to topics.</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Give back through WordPress community</strong></h2>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"800\" height=\"599\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-1.jpeg?resize=800%2C599&#038;ssl=1\" alt=\"Ihtisham Zahoor speaking at a meetup.\" class=\"wp-image-15477\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-1.jpeg?w=800&amp;ssl=1 800w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-1.jpeg?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-1.jpeg?resize=768%2C575&amp;ssl=1 768w\" sizes=\"(max-width: 800px) 100vw, 800px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>It was not just software that made a difference in Ihtisham’s life. Joining a welcoming and sharing community was transforming for him. Recalling those early days of isolation, he values the WordPress community and is wholly committed to the power of open-source software. He now enjoys writing, speaking, and organizing meetups to give back to the community. He has been involved in developing plugins and themes for the platform, which he describes as a ‘humbling’ experience. He is fond of <a href=\"https://islamabad.wordcamp.org/\">WordCamp Islamabad</a> and in 2023 is on the organizing team to help bring both WordPress and its community to others in Pakistan.</p>\n\n\n\n<p>“My first experience,” he said, “was that everyone was so friendly and open to sharing what they have learned, even though they were all busy working. This really had an impact on me. It really helped me and gave me the confidence that I could work with WordPress…. It was a real step forward for me joining this community.” </p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"512\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?resize=1024%2C512&#038;ssl=1\" alt=\"Ihtisham visited WordCamp Karachi.\" class=\"wp-image-15482\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?resize=1024%2C512&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?resize=300%2C150&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?resize=768%2C384&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?w=1200&amp;ssl=1 1200w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>A particular meeting in 2018 led to new friendships through the WordPress community. Ihtisham was on a train to Karachi for the first ever Pakistani WordCamp in 2018 and met a group of fellow attendees he now regards as close friends. What impressed him most about the camp was that although he met many people with considerable expertise, they also had a generosity of spirit and humbleness in their willingness to share this knowledge. Now, with this group of friends he is fulfilling another dream of traveling widely across the country. He says these things and other ‘side benefits’ have been made possible by the WordPress community, and for that, he is &#8216;forever grateful&#8217;.<br><br>Ihtisham particularly wanted to share his story through this People of WordPress article to encourage those starting with little or no support to remain persistent. He knows from experience breaking into the tech world can be hard, especially when you may be switching from doing something else and have no ‘track record’ to offer. </p>\n\n\n\n<p>He feels he is a living example of how perseverance can lead to success. He offers these words to anyone thinking of making a move into development using the WordPress platform: “I attribute my success (financial and mental well-being) to the open-source nature of WordPress and its amazing community. It would not be possible to learn and use the plethora of free tools WordPress provides if it weren’t an open-source platform. It is for that reason I feel obligated to contribute back to this platform to the best of my abilities.” To those who are finding getting going difficult, as he did, he adds: “Get yourself a clear learning path and just dive in doing WordPress, and things will get better for you over time as they were for me, I promise. Good Luck!”</p>\n\n\n\n<h2 class=\"wp-block-heading\">Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community.&nbsp;Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<p>To help you discover more about how to use the WordPress software, there is a free resource from the community, <a href=\"https://learn.wordpress.org/\">Learn.WordPress.org</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">Contributors</h2>\n\n\n\n<p>Thanks to Ihtisham Zahoor (<a href=\"https://profiles.wordpress.org/shaampk1/\">@shaampk1</a>) for sharing about his adventures in WordPress.</p>\n\n\n\n<p>Thank you to Abha Thakor (<a href=\"//profiles.wordpress.org/webcommsat/\">@webcommsat</a>), Nalini Thakor (<a href=\"//profiles.wordpress.org/nalininonstopnewsuk/\">@nalininonstopnewsuk</a>), and Meher Bala (<a href=\"//profiles.wordpress.org/meher/\">@meher</a>) for interviews, the feature and collaborating on images. To Chloe Bringmann (<a href=\"//profiles.wordpress.org/cbringmann/\">@cbringmann</a>), Mark Smallman (<a href=\"//profiles.wordpress.org/marks99/\">@marks99</a>), and Mary Baum (<a href=\"//profiles.wordpress.org/marybaum/\">@marybaum</a>) for reviews. Thanks to the late Surendra Thakor (<a href=\"//profiles.wordpress.org/sthakor/\">@sthakor</a>), Maja Loncar (<a href=\"//profiles.wordpress.org/majaloncar/\">@majaloncar</a>), Maedah Bahtool (<a href=\"//profiles.wordpress.org/maedahbatool/\">@maedahbatool</a>) and other members of the Marketing and Polyglots Team for their contributions.</p>\n\n\n\n<p>The People of WordPress series thanks Josepha Haden (<a href=\"//profiles.wordpress.org/chanthaboune/\">@chanthaboune</a>) and Topher DeRosia (<a href=\"//profiles.wordpress.org/topher1kenobe/\">@topher1kenobe</a>) for their support.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\n\n\n<p></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15589\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:63:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"Synced Patterns: The Evolution of Reusable Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Jul 2023 14:45:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:6:\"Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15541\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:369:\"Synced patterns are replacing Reusable blocks, offering a unified creation experience for new pattern functionality coming to WordPress 6.3. Patterns, first introduced in WordPress 5.5, are a collection of blocks that make it simple to add complex layouts and designs to any WordPress site without starting from scratch. With WordPress 6.3, set to be released [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"annezazu\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6153:\"\n<p>Synced patterns are replacing Reusable blocks, offering a unified creation experience for new pattern functionality coming to WordPress 6.3. Patterns, first introduced in WordPress 5.5, are a collection of blocks that make it simple to add complex layouts and designs to any WordPress site without starting from scratch. With WordPress 6.3, set to be released on August 8th, you will be able to arrange blocks in unlimited ways and save them as patterns for use throughout your site, directly within the editing experience. You can also specify whether to sync your patterns, so that one change applies to all parts of your site, or to keep them unsynced, so you can customize each instance.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/plZIF3jrU7E?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Create your own patterns</h2>\n\n\n\n<p>The ability to create your own patterns, on top of using the ones bundled into each WordPress release, opens up a world of possibilities. Need to repeat the same contact information across your site and keep it up to date? Create a synced pattern with all the details, and say goodbye to repeating yourself, with the ability to quickly insert the synced pattern wherever you need it. If you find yourself creating various banners for your site and want them to have the same layout with unique content, creating an unsynced pattern speeds up your workflow and ensures a level of consistency in approach. While themes and plugins have been able to offer patterns to users and <a href=\"https://developer.wordpress.org/block-editor/how-to-guides/curating-the-editor-experience/#utilizing-patterns\">curate the experience</a>, this update allows agencies and site builders to do the same for their clients, directly in the site building process.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Dig into the details</h2>\n\n\n\n<p>Any previously made Reusable blocks will continue to function as they do now, just under the new Synced pattern name. To help adjust to these changes, a few contextual notices will be placed throughout the interface. Specifically, the menu item in the creation flow will show as “Create pattern/reusable block” until the prompt describing the switch is dismissed in one of the various locations, including the naming and syncing modal:&nbsp;</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/fbrhammtn3Y?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<p>For folks using block themes, all patterns will be listed alongside template parts in the Site Editor &gt; Patterns section, where you can enter a focused editing mode to make changes. For Classic themes, the prior reusable block management page will now house patterns in a list, similar to the Posts &gt; All Posts view.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"590\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=1024%2C590&#038;ssl=1\" alt=\"Patterns section of the WordPress Site Editor with My Patterns selected\" class=\"wp-image-15569\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=1024%2C590&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=300%2C173&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=768%2C443&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=1536%2C885&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?w=2048&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>For a complete overview of patterns on your site, all patterns provided by themes and plugins will be shown in this section but without the option to edit directly.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Go further</h2>\n\n\n\n<p>With the ability to create your own patterns baked into the creation experience, remember that you can copy the patterns available in the <a href=\"https://wordpress.org/patterns/\">Pattern Directory</a> and <a href=\"https://wordpress.org/patterns/about/\">contribute back</a>, an excellent way to democratize design for every WordPress user and the web.</p>\n\n\n\n<p><em>For more exciting features coming to patterns in WordPress 6.3, </em><a href=\"https://make.wordpress.org/core/2023/07/13/core-editor-improvement-advancing-the-power-of-patterns/\"><em>read on in the Advancing the Power of Patterns post</em></a><em>. Thank you to the contributors who collaborated on this post: </em><a href=\"https://profiles.wordpress.org/cbringmann/\"><em>Chloé Bringmann</em></a><em>, </em><a href=\"https://profiles.wordpress.org/jpantani/\"><em>Jonathan Pantani</em></a><em>, </em><a href=\"https://profiles.wordpress.org/chanthaboune/\"><em>Josepha</em></a><em>, </em><a href=\"https://profiles.wordpress.org/kristastevens/\"><em>Krista Stevens</em></a><em>, </em><a href=\"https://profiles.wordpress.org/eidolonnight/\"><em>Nicholas Garofalo</em></a><em>, <a href=\"https://profiles.wordpress.org/provenself/\">Peter Rubin</a></em>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15541\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.3 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Jul 2023 16:43:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15460\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:246:\"WordPress 6.3 RC2 is ready for download and testing. Reaching this part of the release cycle is a key milestone. While release candidates are considered ready for final release, additional testing and use by the community can only make it better.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Meher Bala\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:7642:\"\n<p>WordPress 6.3 RC2 is ready for download and testing.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development.</strong> <strong>Please do not install, or run, or test this version on production or mission-critical websites.</strong> Instead, you should evaluate RC2 on a test server and site.&nbsp;</p>\n\n\n\n<p>While release candidates are considered ready for final release, additional testing and use by the community can only make it better.</p>\n\n\n\n<p>WordPress 6.3 is scheduled for release on August 8, 2023 – just two weeks from today.</p>\n\n\n\n<p>Get an overview of the <a href=\"https://make.wordpress.org/core/6-3/\">6.3 release cycle</a>, check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-3/\">6.3-related posts</a>, review <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">new features in WordPress 6.3</a>, or <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">watch a recorded demo</a>.</p>\n\n\n\n<p>Developers and extenders should review the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">comprehensive WordPress 6.3 Field Guide</a> for detailed technical notes regarding new features and improvements.&nbsp;&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">RC2 Highlights</h2>\n\n\n\n<p>Since the RC1 release on July 18, 2023, there have been approximately 15 issues resolved in <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\" data-type=\"link\" data-id=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\">Editor</a> and <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=07%2F18%2F2023..07%2F25%2F2023&amp;milestone=6.3&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac</a>.</p>\n\n\n\n<p>Notable updates for this release include:</p>\n\n\n\n<ul>\n<li>Footnotes will be reverted or restored with post revisions (<a href=\"https://github.com/WordPress/gutenberg/pull/52686\">#52686</a>).</li>\n\n\n\n<li>Distraction free adds a missing command in the site editor (<a href=\"https://github.com/WordPress/gutenberg/pull/52868\">#52868</a>).</li>\n\n\n\n<li>Global styles revisions will display text if no revisions are found (<a href=\"https://github.com/WordPress/gutenberg/pull/52865\">#52865</a>).</li>\n\n\n\n<li>The About Page has been completed (<a href=\"https://core.trac.wordpress.org/ticket/58067\">#58067</a>).</li>\n\n\n\n<li>The About Page now includes a “Get Involved” section (<a href=\"https://core.trac.wordpress.org/ticket/23348\">#23348</a>).</li>\n\n\n\n<li>The dark mode option has been restored in the block editor iframe for Twenty Twenty-One (<a href=\"https://core.trac.wordpress.org/ticket/58835\">#58835</a>).</li>\n\n\n\n<li>Max height value was fixed in the image scaling in the Edit Media screen (<a href=\"https://core.trac.wordpress.org/ticket/50523\">#50523</a>).</li>\n\n\n\n<li>Additionally, some issues regarding internationalization were addressed (<a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58879\" target=\"_blank\">#58879</a>, <a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58067\" target=\"_blank\">#58067</a> and <a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58864\" target=\"_blank\">#58864</a>).</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Test features in WordPress 6.3</h2>\n\n\n\n<p>Testing for issues is a critical part of developing any software, and it’s a meaningful way for anyone to contribute—whether you have experience or not. While testing the upgrade process is essential, trying out new features is too.&nbsp;</p>\n\n\n\n<ul>\n<li>Encountered an issue? Please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</li>\n\n\n\n<li>New to testing? This <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">detailed guide</a> is a great place to start if you’ve never tested a beta/RC release.</li>\n\n\n\n<li>Want to know more about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> in <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Vulnerability bounty doubles during the Beta/RC phases</h2>\n\n\n\n<p>The monetary reward for reporting new, unreleased security vulnerabilities is doubled between the Beta 1 release and the final release candidate (RC). Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Get WordPress 6.3 RC2</h2>\n\n\n\n<p>You can test WordPress 6.3 RC2 in three ways:</p>\n\n\n\n<ul>\n<li><strong>Option 1:</strong> Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</li>\n\n\n\n<li><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.3-RC2.zip\">RC2 version (zip)</a>.</li>\n\n\n\n<li><strong>Option 3:</strong> Use the following WP-CLI command:<br><code>wp core update --version=6.3-RC2</code></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Thanks to WordPress plugin and theme developers</h2>\n\n\n\n<p>Do you build plugins and themes? Your products play an integral role in extending the functionality and value of WordPress for users of all types worldwide.&nbsp;</p>\n\n\n\n<p>Hopefully, you have already tested your themes and plugins with WordPress 6.3 betas by now. With RC2, you will want to continue your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.3.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">Haiku for RC2</h2>\n\n\n\n<p>Time is nearly here<br>WordPress shines thanks to you all<br>Let’s get testing, dear</p>\n\n\n\n<p><em>Thank you to the contributors who collaborated on this post: <a href=\"https://profiles.wordpress.org/priethor/\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/priethor/\">@Priethor</a></em>,<em> <a href=\"https://profiles.wordpress.org/audrasjb/\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/audrasjb/\">@AudrasJb</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/davidbaumwald/\">@DavidBaumwald</a>, <a href=\"https://profiles.wordpress.org/dansoschin/\">@DanSoschin</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">@JPantani</a></em> and <em><a href=\"https://profiles.wordpress.org/meher/\">@Meher</a></em>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15460\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:63:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WordPress 6.3 Live Product Demo – Highlights &amp; Recording\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 21 Jul 2023 19:26:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:9:\"live demo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15445\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"Watch a demonstration of some of the newest features of WordPress 6.3, recorded live on July 20, 2023.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8111:\"\n<p>WordPress 6.3 ships on August 8th! For a sneak peek of what&#8217;s to come, members of the 6.3 release squad, <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> and <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a>, held a live demo moderated by <a href=\"https://profiles.wordpress.org/njwrigley/\">Nathan Wrigley</a>.&nbsp;</p>\n\n\n\n<p>More than 100 attendees watched as some of the most anticipated product features were demonstrated, from the brand-new Command Palette to new design tools and more.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-4-3 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/I2dvEbBxaqA?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div><figcaption class=\"wp-element-caption\">6.3 Live Product Demo</figcaption></figure>\n\n\n\n<p>Here are some of the key takeaways from the 6.3 live product demonstration.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Command Palette’s big debut</h2>\n\n\n\n<p>One of the most anticipated features of 6.3 is the <a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Command Palette</a>. It lets you quickly navigate and open different WordPress functions within the post and Site Editor. Access it using a shortcut command (Command + K or Control + K).</p>\n\n\n\n<h2 class=\"wp-block-heading\">Page creation gets easier in the Site Editor</h2>\n\n\n\n<p>Now you can browse and edit pages within the Site Editor, providing a more cohesive WordPress experience. A new drafting flow debuts, allowing you to create and publish pages directly within the editor.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Synced Patterns set to replace Reusable Blocks</h2>\n\n\n\n<p>You can create and manage all your patterns directly in the Site Editor. Once edited, all synced patterns (previously called Reusable Blocks) will change across a site—a huge time saver when making changes.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Stay on top of design changes with Style Revisions</h2>\n\n\n\n<p>This enhancement offers a visual timeline of your site so you can see all the revisions in your site’s history and restore a previous style with just a click.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">New design tools and blocks</h2>\n\n\n\n<p>Controls for specifying aspect ratios to ensure design integrity, especially when using images in Patterns debut in 6.3, along with new blocks for Footnotes and Details. Easily add footnotes to your content and have them automatically linked to the corresponding text. With the Details block, hide or display content to create spoilers or accordions.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Performance</h2>\n\n\n\n<p>WordPress is getting faster with 6.3 as content with images will see speedier load times. Both theme types (Classic and Block) will also benefit from performance improvements. The upcoming <a href=\"https://make.wordpress.org/core/2023/06/29/hallway-hangout-performance-improvements-for-wordpress-6-3/\">hallway hangout</a> is an excellent opportunity to learn more about performance enhancements directly from the WordPress Performance team.</p>\n\n\n\n<h2 class=\"wp-block-heading\">More from Core</h2>\n\n\n\n<ul>\n<li>Revert to previously installed versions when <a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">manual updates for themes and plugins fail</a>.&nbsp;</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/05/dropping-support-for-php-5/\">Dropping support</a> for PHP 5. The new minimum supported version of PHP will be 7.0.0. The recommended version of PHP remains at 7.4 or greater.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-3-accessibility-improvements/\">Accessibility updates</a>, especially for List View and the broader Site Editor experience.</li>\n\n\n\n<li>Improvements to internationalization <a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">just-in-time translation loading</a>.</li>\n</ul>\n\n\n\n<p>These new features and more await you as Phase 2 of the <a href=\"https://wordpress.org/about/roadmap/\">WordPress Roadmap</a> comes to a close with the 6.3 release.</p>\n\n\n\n<p>A <a href=\"https://make.wordpress.org/core/2023/07/21/6-3-live-product-demo-qa/\">question and answer session</a> followed the demo, with attendees asking plenty of great questions. The panelists shared links for additional reading regarding many new features—all conveniently added to the end of this post.&nbsp;</p>\n\n\n\n<p>A big thank you to everyone who helps make WordPress. Contributors power every WordPress release. Without the hundreds of contributors worldwide who help build WordPress, this live product demo wouldn’t have been possible. Thank you for all of your hard work.</p>\n\n\n\n<h2 class=\"wp-block-heading\">References from the Live Demo</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Introducing the WordPress Command Palette API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/core-editor-improvement-advancing-the-power-of-patterns/\">Core Editor Improvement: Advancing the Power of Patterns</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/documentation/article/comparing-patterns-template-parts-and-reusable-blocks/\">Comparing Patterns, Template Parts, and Reusable Blocks</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/image-performance-enhancements-in-wordpress-6-3/\">Image performance enhancements in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">The 6.3 Field Guide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/05/dropping-support-for-php-5/\">Dropping support for PHP 5</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-3-accessibility-improvements/\">WordPress 6.3 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">Internationalization Improvements in 6.3</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/30496\">#30496 Site Editor: MVP Customizer Compatibility/Integration</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/52128\">#52128 Customization Ongoing Roadmap</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/building-sidebars-with-the-site-editor/\">Building sidebars with the Site Editor</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/layout-updates-in-the-editor-for-wordpress-6-3/\">Layout updates in the editor for WordPress 6.3</a></li>\n</ul>\n\n\n\n<p>Props to <a href=\'https://profiles.wordpress.org/richtabor/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>richtabor</a> and <a href=\'https://profiles.wordpress.org/annezazu/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>annezazu</a> for reviewing this post and to <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>, <a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>, and <a href=\'https://profiles.wordpress.org/dansoschin/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>dansoschin</a> for their logistics support to run the event.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15445\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.3 Release Candidate 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 18 Jul 2023 17:08:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15431\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:246:\"WordPress 6.3 RC1 is ready for download and testing. Reaching this part of the release cycle is a key milestone. While release candidates are considered ready for final release, additional testing and use by the community can only make it better.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Dan Soschin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11307:\"\n<p>WordPress 6.3 RC1 is ready for download and testing.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development.</strong> <strong>Please do not install, run, or test this version on production or mission-critical websites.</strong> Instead, you should evaluate RC1 on a test server and site.&nbsp;</p>\n\n\n\n<p>Reaching this part of the release cycle is a key milestone. While release candidates are considered ready for final release, additional testing and use by the community can only make it better.</p>\n\n\n\n<p>Get an overview of the <a href=\"https://make.wordpress.org/core/6-3/\">6.3 release cycle</a>, check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-3/\">6.3-related posts</a>, and review the <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">new features in WordPress 6.3</a>. Save the date for a <a href=\"https://wordpress.org/news/2023/07/6-3-live-product-demo/\">live product demo</a> scheduled for Thursday, July 20, 2023, at 16:00 UTC (<a href=\"https://us02web.zoom.us/j/88141234315?pwd=TE1Odk5Wd0hiVlNYWHB5Q2xCYkhSZz09\">Zoom link</a>). This live demo will be a great opportunity to join the WordPress community to celebrate the accomplishments of 6.3 and this final chapter of <a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">RC1 highlights</h2>\n\n\n\n<p>Thanks to the many WordPress beta testers, this release contains 40+ (Editor) and 80+ (Trac) updates since the <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-beta-4/\">Beta 4 release</a>. Keep it up WordPressers!</p>\n\n\n\n<p>Notable updates for this release include:</p>\n\n\n\n<ul>\n<li>WordPress database error when installing PHPUnit tests (<a href=\"https://core.trac.wordpress.org/ticket/58673\">#58673</a>)</li>\n\n\n\n<li>Use <code>_get_block_template_file</code> function and set $area variable (<a href=\"https://github.com/WordPress/gutenberg/pull/52708\">#52708</a>)</li>\n\n\n\n<li>Indicate when a theme supports the Site editor in the Themes REST API response (<a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58123\" target=\"_blank\">#58123</a>)</li>\n\n\n\n<li><code>bulk_edit_posts()</code> function needs an action hook (<a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/28112\" target=\"_blank\">#28112</a>)</li>\n\n\n\n<li>Allow editing existing footnote from formats toolbar (<a href=\"https://github.com/WordPress/gutenberg/pull/52506\">#52506</a>)</li>\n\n\n\n<li>Patterns: Add client side pagination to patterns list (<a href=\"https://github.com/WordPress/gutenberg/pull/52538\">#52538</a>)</li>\n\n\n\n<li>Trim footnote anchors from excerpts (<a href=\"https://github.com/WordPress/gutenberg/pull/52518\">#52518</a>)</li>\n</ul>\n\n\n\n<p>Browse the technical details for issues addressed since Beta 4 using these queries:</p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\">GitHub commits for 6.3</a></li>\n\n\n\n<li>Closed <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=07%2F11%2F2023..07%2F18%2F2023&amp;milestone=6.3&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac tickets</a> since July 11</li>\n</ul>\n\n\n\n<p>For a recap of what’s coming in 6.3, please refer to the <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">Beta 2 post</a>, which summarizes key features.</p>\n\n\n\n<p>You can also dig into technical information about various components in 6.3:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/core-editor-improvement-advancing-the-power-of-patterns/\">Core Editor Improvement: Advancing the Power of Patterns</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/image-performance-enhancements-in-wordpress-6-3/\">Image performance enhancements in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/improvements-to-the-cache-api-in-wordpress-6-3/\">Improvements to the Cache API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/registering-scripts-with-async-and-defer-attributes-in-wordpress-6-3/\">Registering scripts with `async` and `defer` attributes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">I18N Improvements in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/configuring-development-mode-in-6-3/\">Configuring development mode in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/layout-updates-in-the-editor-for-wordpress-6-3/\">Layout updates in the editor for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/wp_query-used-internally-in-get_pages/\">WP_Query used internally in get_pages()</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/improved-caching-for-database-queries-in-wp_user_query/\">Improved Caching for Database Queries in WP_User_Query</a>&nbsp;</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/social-icons-block-applied-colors-now-dynamically-update-based-on-theme-json-and-global-styles/\">Social Icons block: Applied colors now dynamically update based on theme.json and Global Styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-block-selectors-api/\">Introducing the Block Selectors API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/improvements-to-the-cache-api-in-wordpress-6-3/\">Improvements to the Cache API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Introducing the WordPress Command Palette API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-editor-changes-in-wordpress-6-3/\">Miscellaneous Editor changes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/bundled-themes-dropping-internet-explorer-scripts-and-styles/\">Bundled themes dropping Internet Explorer scripts and styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-developer-changes-in-wordpress-6-3/\">Miscellaneous developer changes in WordPress 6.3</a></li>\n</ul>\n\n\n\n<p>For a compilation of the dev notes above and more, read the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">comprehensive WordPress 6.3 Field Guide</a>.&nbsp;&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Test the new features in WordPress 6.3</h2>\n\n\n\n<p>Testing for issues is a critical part of developing any software, and it’s a meaningful way for anyone to contribute—whether you have experience or not. While testing the upgrade process is essential, trying out new features is too.&nbsp;</p>\n\n\n\n<ul>\n<li>Encountered an issue? Please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</li>\n\n\n\n<li>New to testing? This <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">detailed guide</a> is a great place to start if you’ve never tested a beta/RC release.</li>\n\n\n\n<li>Want to know more about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> in the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Vulnerability bounty doubles during the Beta/RC phases</h2>\n\n\n\n<p>The monetary reward for reporting new, unreleased security vulnerabilities is doubled between the Beta 1 release and the final release candidate (RC). Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Get WordPress 6.3 RC1</h2>\n\n\n\n<p>You can test WordPress 6.3 RC1 in three ways:</p>\n\n\n\n<ul>\n<li><strong>Option 1:</strong> Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</li>\n\n\n\n<li><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.3-RC1.zip\">RC1 version (zip)</a>.</li>\n\n\n\n<li><strong>Option 3:</strong> Use the following WP-CLI command:<br><code>wp core update --version=6.3-RC1</code></li>\n</ul>\n\n\n\n<p>The current target for the final release is <strong>August 8, 2023</strong>, about three weeks away. Your help testing this version ensures everything in this release is the best.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Thanks to WordPress plugin and theme developers</h2>\n\n\n\n<p>Do you build plugins and themes? Your products play an integral role in extending the functionality and value of WordPress for users of all types worldwide.&nbsp;</p>\n\n\n\n<p>Chances are, you have already been testing your latest themes and plugins with WordPress 6.3 betas. With RC1, you will want to complete your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.3.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a> This release also marks the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a> point of the 6.3 release cycle.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Haiku for RC1</h2>\n\n\n\n<p>RC1 is here<br>Hold your applause ‘til the end<br>Download, test, repeat</p>\n\n\n\n<p><em>Thank you to the contributors who collaborated on this post: </em><a href=\"https://profiles.wordpress.org/dansoschin/\"><em>@DanSoschin</em></a>, <a href=\"https://profiles.wordpress.org/meher/\"><em>@Meher</em></a>, and <a href=\"https://profiles.wordpress.org/jpantani/\"><em>@JPantani</em></a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15431\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"WP Briefing: Episode 60: Sneak a Peek at WordPress 6.3 with Special Guest Mike Schroder\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"https://wordpress.org/news/2023/07/episode-60-sneak-a-peek-at-wordpress-6-3-with-special-guest-mike-schroder/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 17 Jul 2023 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=15398\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:176:\"Join WordPress Executive Director Josepha Haden Chomphosy and Core Tech Lead Mike Schroder as they discuss their favorite new features and enhancements coming in WordPress 6.3.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2023/07/WP-Briefing-060.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Nicholas Garofalo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:31362:\"\n<p>Join WordPress Executive Director Josepha Haden Chomphosy and Core Tech Lead Mike Schroder as they discuss their favorite new features and enhancements coming in WordPress 6.3.</p>\n\n\n\n<p><em><strong>Have a question you’d like answered? You can submit them to&nbsp;<a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host: <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br>Guests: <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a><br>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/6-3/\">WordPress 6.3 Development Cycle and Release Team</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3:&nbsp;Rollback&nbsp;for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/core-editor-improvement-advancing-the-power-of-patterns/\">Core Editor Improvement: Advancing the power of Patterns</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/22/core-editor-improvement-smoother-site-editing/\">Core Editor Improvement: Smoother Site Editing</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/29/whats-new-in-gutenberg-16-1-29-june/#text-blocks-now-with-footnotes\">Text blocks: now with footnotes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/?s=%22details+block%22#details-block\">The Details block is now stable</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n\n\n\n<li><strong>A small list of big things</strong>\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/07/05/wcus-2023-contributor-day-help-needed/\">WCUS 2023 Contributor Day: Help Needed!</a> &#8211; The WordCamp US Contributor Team is asking for help with their new approach to organizing this year’s Contributor Day.</li>\n\n\n\n<li>Watch the <a href=\"https://us.wordcamp.org/2023/news/\">WCUS News page</a> for a call for open-source-related art, poetry, and music.</li>\n\n\n\n<li><a href=\"https://wordpress.org/news/category/releases/\">WordPress Releases</a> &#8211; Find WordPress 6.3 RC1 and other releases.</li>\n\n\n\n<li><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/community/2023/06/16/celebrating-the-completion-of-the-meetup-reactivation-project/\" target=\"_blank\">Celebrating the Completion of the Meetup Reactivation Project</a></li>\n</ul>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/06/22/attention-wordpress-event-organizers-this-important-workshop-on-july-20-2023-is-for-you/\">WP Diversity Workshop for WordPress event organizers</a> &#8211; Join this 2.5-hour interactive watch party online on July 20, 2023, to learn how to create welcoming and diverse WordPress&nbsp;Meetups&nbsp;and WordCamps for your WordPress community.</li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/6-3-live-product-demo/\">6.3 Live Product Demo</a></li>\n</ul>\n</li>\n</ul>\n\n\n\n<span id=\"more-15398\"></span>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<p><em>( Intro music )</em></p>\n\n\n\n<p>[00:00:00] <strong>Josepha:</strong> Hello, everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p><em>( Intro music continues )</em></p>\n\n\n\n<p>[00:00:39] <strong>Josepha:</strong> We have with us Mike Schroder. They are on the WordPress 6.3 release squad, and I believe, Mike, that your role there is the Core Tech Lead.</p>\n\n\n\n<p>Is that right?</p>\n\n\n\n<p>[00:00:50] <strong>Mike:</strong> Yeah, that&#8217;s correct. I&#8217;m one of the tech leads along with Andrew Ozz and David Baumwald.</p>\n\n\n\n<p>[00:00:56] <strong>Josepha:</strong> Thank you so much for being able to join me today.</p>\n\n\n\n<p>[00:00:58] <strong>Mike:</strong> Thanks for inviting me.</p>\n\n\n\n<p>[00:01:00] <strong>Josepha:</strong> This is our 6.3 sneak peek, and so it has a little bit of a &#8220;What do you wish people knew about the upcoming release?&#8221; aspect to it, but it also has like a &#8220;What do we find most interesting about the work that we&#8217;ve been doing in this release so far?&#8221;</p>\n\n\n\n<p>As the Core Tech Lead, what currently is like your favorite thing that y&#8217;all are getting into the release or the thing that&#8217;s the most interesting or happiest to finally be done with it?</p>\n\n\n\n<p>[00:01:27] <strong>Mike:</strong> Yeah, I think there are a couple of things. So I was playing around with the release in anticipation for this, and one of the favorite sort of user-facing features that I played with was the live preview for Block themes. And it just makes it feel so intuitive to open up a new Block theme and play around with Styles and different designs and see how it looks.</p>\n\n\n\n<p>I really enjoyed it, opened it up on my personal site and started messing around with different color palettes and things like that, and it was a lot of fun.</p>\n\n\n\n<p>[00:01:55] <strong>Josepha:</strong> Like it&#8217;s a live preview, but also with all of the content they already have on your site.</p>\n\n\n\n<p>[00:01:59] <strong>Mike:</strong> It does use the templates and so it, it shows some of the live content from the from the homepage, for instance, and some of those blocks, and some of the other areas are editing the templates rather than the live content. But yes, it was neat to play around with it and see my blog content in the background and yeah, some real-time design. That was really fun.</p>\n\n\n\n<p>[00:02:20] <strong>Josepha:</strong> And has that been a big focus of the release? Was it something that you and the other Tech Leads both for the Core side and the Editor side just had to focus a lot on in this round of the release?</p>\n\n\n\n<p>[00:02:33] <strong>Mike:</strong> So I was not a part of a lot of that work. So I&#8217;m not gonna take credit for it. I think that is the culmination, all of those different things together of a lot of the things that the Editor team has been working on for some time. And it was just, it was really refreshing to see it.</p>\n\n\n\n<p>The other feature that I had in my head, if it&#8217;s okay for me to talk about a second one, is something that has been trying to get landed in Core for quite some time, and that has to do with automatic rollbacks. If plugin updates or theme updates start to happen and then they fail in the middle of that update, then it will automatically restore the previous version of the plugin or theme. And that&#8217;s a pretty big improvement over the previous behavior, which could result not as well.</p>\n\n\n\n<p>[00:03:16] <strong>Josepha:</strong> Right. Where you would just have a site that was like, &#8220;Best of luck to you,&#8221; and emails that told you what kind of probably was broken. I shouldn&#8217;t be sassy about that. The WSOD protection that we put in really was a huge leap forward for the way that we handled that in the past, but this is great news.</p>\n\n\n\n<p>[00:03:34] <strong>Mike:</strong> Yes, I was so excited when that landed, and this is I guess the next part of that. And it&#8217;s been, yeah, it&#8217;s been in the works for a long time, through testing and there was an entire team that did a lot of work on it in a future plugin. And I&#8217;m very excited to see it land.</p>\n\n\n\n<p>[00:03:49] <strong>Josepha:</strong> That&#8217;s great. That&#8217;s one of those things that we hope a WordPress user never has to know exists. Like it&#8217;s always our hope that the plugins work perfectly and the themes work perfectly. And so unless something is going really wrong you won&#8217;t know that&#8217;s a feature. Surely it tells you like, &#8220;This didn&#8217;t update by the way. Go figure that out.&#8221;</p>\n\n\n\n<p>[00:04:08] <strong>Mike:</strong> Yeah, the whole idea of this particular feature is to make it feel more like everything is smooth and one site continues to work, and the underpinning of it has been going in for a couple of releases. The whole idea is to make the experience more smooth for users.</p>\n\n\n\n<p>[00:04:21] <strong>Josepha:</strong> Cool. That auto rollback actually was not on my radar as a thing to keep an eye out for in this release, so that&#8217;s really neat. One of the things that I saw as I was doing, I don&#8217;t do any complicated testing. I mostly do like testing of what users would expect with the workflow with my eyeballs and a mouse.</p>\n\n\n\n<p>[00:04:40] <strong>Mike:</strong> Well, that&#8217;s, that&#8217;s wonderful.</p>\n\n\n\n<p>[00:04:42] <strong>Josepha:</strong> I&#8217;m not doing any of the fancy testing with like code, but one of the things that I saw as I was working through my general, just regular test, my spot check click around test was that it looks like there&#8217;s some consolidation, some consolidation of the navigation in the Editor.</p>\n\n\n\n<p>So, it had I think maybe Pages and Templates in there before, and now there are five things in there. Do you have a bit of a concept of what went into that, what we&#8217;re hoping everybody&#8217;s gonna be able to accomplish there now?</p>\n\n\n\n<p>[00:05:13] <strong>Mike:</strong> So I, I was not involved as much in the later stages of this, but I was in a couple of the first couple iterations of this particular feature, and I think this is, I don&#8217;t want to guess the exact amount of times that this has been sort of reworked so the experience is good for users, there been so much effort that&#8217;s gone into helping navigation be a comfortable experience for people to work with within the site editor.</p>\n\n\n\n<p>And what I have heard is that everyone that&#8217;s worked on it is very excited that it&#8217;s landing and that users will be able to experience it and more easily work with navigation.</p>\n\n\n\n<p>[00:05:46] <strong>Josepha:</strong> Yeah, I think that navigation is one of those things, both like creating good navigation as a software designer, but then also as somebody who&#8217;s like putting together a website. Good navigation is hard to do. And it&#8217;s design where everyone&#8217;s, &#8220;Good design is invisible,&#8221; and we don&#8217;t actually mean that.</p>\n\n\n\n<p>We don&#8217;t mean it&#8217;s invisible. We mean it&#8217;s not intrusive, it doesn&#8217;t get in your way, it acts in the way you think it&#8217;s going to act, and it knows or has a good guess about where you&#8217;re trying to be, what you&#8217;re trying to do in that particular moment on a site. And so like the fact that we&#8217;ve had probably hundreds of people working on navigation inside the software is no surprise to me, but I bet it&#8217;s gonna be a surprise to a lot of people.</p>\n\n\n\n<p>They&#8217;ll be like, &#8220;It&#8217;s like folders, right?&#8221; Turns out it&#8217;s not.</p>\n\n\n\n<p>[00:06:33] <strong>Mike:</strong> Yes, it was, incredibly, incredibly difficult to design. I know there was, the couple instances that I was most involved with, I know there was so much discussion about how folks are used to working with navigation within WordPress and sort of what expectations are for menus and what expectations are for, you know, users both that have been using WordPress for a long time and users who, who are new to WordPress, and the Site Editor. And having all of those considerations from the various stakeholders just makes it a really difficult design problem.</p>\n\n\n\n<p>[00:07:03] <strong>Josepha:</strong> Yeah, absolutely. And I mean, not for nothing like the WP Admin itself, that dashboard inside the WordPress software, like that&#8217;s been due for an update for quite some time. This is the same one that I think we&#8217;ve had since 2008, which was also very disruptive in its way. And so like it was a good disruption, but we really haven&#8217;t made any substantial changes to it since then. And part of it is because there are so many use cases for WordPress, and we don&#8217;t have a good concept of that because we don&#8217;t have a lot of tracking in the software. We don&#8217;t take anyone&#8217;s like data about what field they work in. We don&#8217;t do any of that.</p>\n\n\n\n<p>And so it&#8217;s hard for us to account for all of the use cases and get a really excellent design for a majority of the people that are gonna be using it. Because like we don&#8217;t actually build software for robots around here. Not yet.</p>\n\n\n\n<p>[00:07:54] <strong>Mike:</strong> <em>( laughs )</em> Yeah.</p>\n\n\n\n<p>[00:07:55] <strong>Josepha:</strong> No, I don&#8217;t think we&#8217;ll ever be robot-building software.</p>\n\n\n\n<p>[00:07:57] <strong>Mike:</strong> I doubt it, but I also don&#8217;t wanna predict the future. No, I agree. And I think that is absolutely one of the super tricky things about building WordPress. I&#8217;m really glad that WordPress doesn&#8217;t collect any of that data. And it makes it so that the sort of testing that, that you were talking about, in user studies and things like that, are incredibly helpful for figuring out what the best approaches are.</p>\n\n\n\n<p>[00:08:21] <strong>Josepha:</strong> Yeah, absolutely. Since we&#8217;re just in the zone of like things that Josepha likes and that she saw, I&#8217;m gonna also do this other thing. In one of the last couple of releases, the Style Book came out, which was such an exciting thing for me. It&#8217;s great to be able to see whether or not all of the style choices you&#8217;ve made in various parts of the admin or in the code, depending on how you&#8217;re doing things.</p>\n\n\n\n<p>It&#8217;s nice to make sure, in one big set, that like everything is coherent. Everything that you thought you changed did get changed and it looks the way that you wanted it to look in concert with everything else in there. And it looked like we now have revisions specific to styles, like styling things across the site, have revisions.</p>\n\n\n\n<p>Is that right?</p>\n\n\n\n<p>[00:09:06] <strong>Mike:</strong> That&#8217;s correct.</p>\n\n\n\n<p>[00:09:07] <strong>Josepha:</strong> I think that&#8217;s a super big deal because as somebody who is just, I&#8217;m filled with techno joy. I don&#8217;t always want to look at a manual. I just want to do stuff until it breaks and then hope I can fix it. The hoping you can fix it part <em>( laughs )</em> can sometimes be really nerve-wracking if what you&#8217;re doing is creating a site for a client or you are working on your first big theme and you wanna make sure that&#8217;s all together.</p>\n\n\n\n<p>And so style revisions to go along with some of the Editor revisions I think is a great change.</p>\n\n\n\n<p>[00:09:39] <strong>Mike:</strong> Same. Absolutely. This is not a feature I have, done too much particular playing with, at this point.</p>\n\n\n\n<p>[00:09:44] <strong>Josepha:</strong> You&#8217;re a very skilled developer.</p>\n\n\n\n<p>[00:09:46] <strong>Mike:</strong> I appreciate that. That&#8217;s very kind. I think that adding revisions to anything that folks regularly change in posts or pages is, really important. And making it very easy to get to both make forward changes and also to realize, &#8220;Oh, there was this other change that was, you know, there was three clicks ago that I really loved. How do I get back to that? How do I see the history?&#8221; And that&#8217;s what I love about that sort of feature. Being able to really easily see, &#8220;Okay, when did this happen? In what series? How can I jump back and get to that spot that felt right.&#8221;</p>\n\n\n\n<p>[00:10:19] <strong>Josepha:</strong> Yes. Anytime that we can have that kind of historical layering of things, I think is good. I went to a meetup. I like to go to meetups that are 101 content, because that&#8217;s like the folks that really need new refined processes the most. But I went to a 101 meetup a couple years back, and I remember that the presenter was saying like, take a theme that you pretty much like and make some changes until you have a theme that you love.</p>\n\n\n\n<p>And people kept saying like, &#8220;Yeah, but what if I break everything?&#8221; And he said in the middle of that to everyone, not knowing who I was because who cares? He was like, &#8220;Yeah, WordPress is not gonna let you do anything that will completely destroy a theme or completely destroy your site. There&#8217;s an undo button and you can just undo it. It&#8217;ll be fine.&#8221; And I was like, &#8220;Yeah, that is true now.&#8221;</p>\n\n\n\n<p>[00:11:15] <strong>Mike:</strong> I love that.</p>\n\n\n\n<p>Gosh. I mean, I remember when I was playing with my first WordPress site, and even to make really small changes with navigation or with menus, I had to go in and make changes to the PHP code, and none of that was protected.</p>\n\n\n\n<p>[00:11:31] <strong>Josepha:</strong> You&#8217;re like, &#8220;This is free-range me out here.&#8221;</p>\n\n\n\n<p>[00:11:34] <strong>Mike:</strong> I love, absolutely. I love that is just no longer the case anymore and it&#8217;s super easy to go in and play with a theme and make changes without worrying about any of that. And, I mean, I may be a developer, but that&#8217;s the way I would prefer. That&#8217;s the way I go in and edit my sites now too.</p>\n\n\n\n<p>If I wanna mess with a theme, go in, and it was the Customizer and now it&#8217;s the Site Editor, and it&#8217;s great.</p>\n\n\n\n<p>[00:11:58] <strong>Josepha:</strong> Yeah, it&#8217;s a leap forward, I think, leap forward.</p>\n\n\n\n<p>So another thing that I ran into, I guess it&#8217;s two things that I ran into while I was wandering around in there recently, and it&#8217;s possible that I ran into these two things because I just personally love them the most, but the Footnotes block looks like it is potentially going to land.</p>\n\n\n\n<p>I have been so excited about this block for no reason. I have dreams about it. I wish that were not a true statement. I did recently have a dream about it. I dreamt that it didn&#8217;t land in the release, and that I went to talk to Ella about it and she was like, &#8220;Oh, yeah, publishers have given up on footnotes and they&#8217;re just doing end notes now, and so I decided not to ship it.&#8221; Like this is a dream I had.</p>\n\n\n\n<p>And so I&#8217;m a little worried, but tomorrow I&#8217;m gonna be like, &#8220;Hey, Ella, friend, what&#8217;s happening?&#8221; And she&#8217;s gonna be like, &#8220;Yeah, end notes are where it&#8217;s at.&#8221;</p>\n\n\n\n<p>And then the other block that I&#8217;m personally very excited about is what I like to call the &#8220;Spoilers block.&#8221; I know it is not &#8220;Spoilers&#8221;, it&#8217;s the called &#8220;Details,&#8221; but anytime I&#8217;ve ever used that after like early, early times in my career, early in my career, I used to call them accordions and I don&#8217;t know why, but now I call them &#8220;Spoiler blocks.&#8221; But I know it&#8217;s actually called the &#8220;Details block,&#8221; where you can put in a piece of information at the top, essentially a title, and then expand it to get more information in there.</p>\n\n\n\n<p>So are both of those actually gonna land or am I gonna be heartbroken?</p>\n\n\n\n<p>[00:13:24] <strong>Mike:</strong> As far as I&#8217;m aware, yes. I know that I haven&#8217;t checked recently on the latter, but I was just playing with the Footnotes block, and it&#8217;s really cool. I really like the interface. I think that it makes it really simple to add quick footnotes to, anywhere in the site, and everything feels very automated and simple.</p>\n\n\n\n<p>[00:13:46] <strong>Josepha:</strong> As someone who every, almost everything that I&#8217;ve ever written, I want to have an aside in it, which essentially just becomes a footnote. One of the weirdest parts about Gutenberg at first is that like, the asterisk way of doing it, where you just put one after the word and then put one at the start. The asterisk makes it into a list block, and for a long time you also couldn&#8217;t escape it, and so I had to do a lot of fancy footwork to get my footnotes to work for a while, and so I&#8217;m excited for that.</p>\n\n\n\n<p>[00:14:15] <strong>Mike:</strong> I think I had similar discouraging moments with lists and I was really encouraged by the way the footnotes select, and I&#8217;m sure there are other ways to do it too, but select, right-click, footnote, and they all automatically go to the bottom order, all of it. It&#8217;s a really smooth process.</p>\n\n\n\n<p>[00:14:31] <strong>Josepha:</strong> Yeah. I&#8217;m really excited about it. I know that like for the last two or three major releases, a bulk of what we&#8217;ve been offering to folks is like, design stuff, and we&#8217;re just like, &#8220;It&#8217;s a bunch of design things,&#8221; but this release actually has over 500 different tickets that were marked as features or enhancements that are going into it.</p>\n\n\n\n<p>And so, you and I have talked about seven things so far, but I also understand that there are literally 500 tickets or so that were marked as &#8220;feature&#8221; or &#8220;enhancement.&#8221; And so we are definitely not gonna catch everything that goes in there, but there is kind of a group of another group of enhancements to the design tools because of course this wraps up the bulk of phase two so that we can all move into the collaborative editing phase.</p>\n\n\n\n<p>And so like, do you have a sense for, like is this just mostly polish for those design and like image media management kinds of things? Or are there big features that are coming in those also?</p>\n\n\n\n<p>[00:15:29] <strong>Mike:</strong> My understanding is that it&#8217;s all of the above. I think that there are a lot of new features being added along with polish to those features. And I think the neatest thing is that there are also a lot of enhancements that are focused on bringing all of those things together and making it feel like more of a connected experience. And so I think that&#8217;s my favorite part so far in testing that I&#8217;ve been doing of, the many, as you mentioned, so many additional new features that, that we&#8217;re added this time. And, I have a huge amount of respect for, you know, everyone that works, for the huge amount of folks that work on it across the project.</p>\n\n\n\n<p>[00:16:07] <strong>Josepha:</strong> Yeah. Yeah, you&#8217;ve given a couple of answers where you were like, &#8220;I wasn&#8217;t personally involved in that,&#8221; but on the one hand, I was like, &#8220;Everyone knows that we&#8217;re not all personally involved in it,&#8221; but on the other hand, not everybody knows how many people touch all of these tickets and features and bugs and tests as we get them ready to be put into the release.</p>\n\n\n\n<p>Last year, I was super worried that like, post active fear of Covid, and now everyone just like deciding that they&#8217;ve done their best and they&#8217;re going back out there. Like I was really worried that everyone was gonna be having so much fun out of the house, that they would stop contributing.</p>\n\n\n\n<p>[00:16:43] <strong>Mike: </strong><em>( laughs )</em></p>\n\n\n\n<p>[00:16:44] <strong>Josepha:</strong> I know, but we actually had one of our most active years for contributors last year, which means that especially for the releases that are coming this year, the people who worked all the way through last year, like almost 2000, I think, contributors, just to code, that&#8217;s not even like the contributors who worked on reigniting the community and putting together events, all of those things like all of the other things that we do.</p>\n\n\n\n<p>It&#8217;s, it is remarkable to me that when we look at any feature it is definitely been looked at or worked on, or at least passed through desks of easily a hundred people, even for small little things. And I just love that, the depth of the work we do.</p>\n\n\n\n<p>[00:17:29] <strong>Mike:</strong> Absolutely. Same. I remember wondering about that too, about your same sort of concerns. And it&#8217;s been really great to be a part of the community as it&#8217;s essentially, as it&#8217;s grown together again, I think is maybe the best way I can think of to say it. That&#8217;s been quite wonderful.</p>\n\n\n\n<p>[00:17:46] <strong>Josepha:</strong> Yeah, absolutely. Mike, this has been an absolutely delightful conversation. Is there anything you would like to leave us with before we move on to our small list of big things today?</p>\n\n\n\n<p>[00:17:58] <strong>Mike:</strong> The release candidate for 6.3 comes out tomorrow, and what I would love the most is if anyone in interested in testing, anyone, whether it&#8217;s testing exactly like this sort of testing that you were just talking about, with loading the RC and clicking around and seeing what works the best and what doesn&#8217;t work and what feels good and what doesn&#8217;t, or if it&#8217;s testing, if you&#8217;re like a plugin or a theme developer, testing with those things to see how things work and looking for backwards compatibility breaks that are unexpected so we can fix them before release.</p>\n\n\n\n<p>If you work at a hosting company or you make sites for folks, helping test that to see that it works really well on your platforms for folks that you work with. I think all of those would be super helpful, and there are testing instructions that can be found on the release candidate announcement page.</p>\n\n\n\n<p>[00:18:43] <strong>Josepha:</strong> Perfect. Wonderful. Mike, thank you so much for joining me today.</p>\n\n\n\n<p>[00:18:47] <strong>Mike:</strong> Thank you so much. I&#8217;ve really appreciated the time.</p>\n\n\n\n<p><em>( Musical interlude )</em></p>\n\n\n\n<p>[00:18:49] <strong>Josepha:</strong> That brings us now to our small list of big things. It&#8217;s actually kind of a big list of big things today. So first on the list is that WordCamp US has a Contributor Day and we need your help. So the WordCamp US Contributor Team has contacted all of the team reps asking for help with a new approach to organizing this year&#8217;s Contributor Day.</p>\n\n\n\n<p>The hope is to make the initial steps to contribution easier. And so they&#8217;re asking teams who will be present to help participate with that process. I will have a link in the show notes to the post that has more information.</p>\n\n\n\n<p>Also second thing related also to WordCamp US is that I would like to put out a call for art and music, especially that is related to open source and the freedoms that it brings. So one of the things that makes WordPress so fantastic in the world is not only that like we&#8217;re creating opportunities for folks, we&#8217;re offering economic, and I don&#8217;t know, philosophical freedoms to people, but we frequently do think about that in the vein of, you know, commerce and work and the economy, and we rarely think about it in the obviously related subset of arts and music. And so I also would like to put out a call for any open source related arts or poetry or music that you all have created.</p>\n\n\n\n<p>I would love to be able to display some of that at WordCamp US this year. I don&#8217;t think I have a link quite yet for a call for that, but as soon as I do, I&#8217;ll send it out on social media and other places.</p>\n\n\n\n<p>The third thing on our small list of big things is that, as Mike mentioned, tomorrow is the RC1 release date for WordPress 6. 3, and you can help us to test that.</p>\n\n\n\n<p>It&#8217;s always good for us to test any release as it&#8217;s working its way through the process, but certainly by the time it gets to RC, that&#8217;s when we are pretty sure it&#8217;s going to be as stable as possible. We&#8217;ve done some soft string freezes and feature freezes-ish. And so that&#8217;s about as stable as it&#8217;s going to get. And so I encourage everyone to get out and test that as much as possible. And in all the ways that Mike shared.</p>\n\n\n\n<p>Item number four, we are also reaching a milestone. So, a couple weeks ago, we reached the one year milestone for the start of the Meetup Reactivation Project.</p>\n\n\n\n<p>We have about 50% of our Meetup groups reactivated. If you are listening to this and you are a Meetup organizer and you haven&#8217;t heard from anyone from WordCamp Central or the community team, I&#8217;m going to put a link to the notes, or rather, a link to the post in the notes so that you can also learn more about that.</p>\n\n\n\n<p>You don&#8217;t have to hear from us in order to get your meetup group going again. But, if you are interested to know what has gone into that process, or always just want to know what&#8217;s going on in the community side of things, that&#8217;s a good place to start. So there will be a link to that in the show notes as well.</p>\n\n\n\n<p>Number five, WordPress event organizers in general, but also anyone. So there are two different events coming up on Thursday, on July 20th.</p>\n\n\n\n<p>First, there is the WP Diversity Workshop. This is added workshop for us to help promote the ideas of building diverse and inclusive WordPress events. And so, this is not necessarily one of those events for people who want to increase their skills in speaking so that they are able to, to speak confidently at a WordPress event. These are for people who are organizing WordPress events and want to make them more inclusive and more diverse from the start. I encourage any organizer to go to it, regardless of whether you&#8217;re doing WordPress events or not, but certainly for WordPress events that is something that we care about and want to have included in our entire event series.</p>\n\n\n\n<p>The other thing that&#8217;s happening on Thursday, because like I said, two things happening on Thursday, is that we have a WordPress 6. 3 live product demo. We&#8217;ve been doing these for the last few releases, and you get a couple of people from either the release squad, or like folks who do that kind of developer relations work in WordPress, who sit down and just do a general click-through, a general run through, a public demo of what we expect to land in the release.</p>\n\n\n\n<p>And so that also is on Thursday. I will also have a link for you in the show notes. If you are listening to this not on WordPress.org and you don&#8217;t know where the show notes are, don&#8217;t worry. The show notes are on WordPress.org. You go to WordPress.org/news/podcast and in the transcript there are show notes that have links to all of these things.</p>\n\n\n\n<p>And that, my friends, is your big, small list of big things. Thank you for tuning in today for the WordPress Briefing. Thank you again for my guest, Mike&#8217;s, time. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.</p>\n\n\n\n<p><em>( Outtro music )</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15398\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 24 Aug 2023 21:45:21 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:25:\"strict-transport-security\";s:12:\"max-age=3600\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Thu, 17 Aug 2023 14:54:03 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 4\";}}s:5:\"build\";s:14:\"20230823183351\";}", "no");
INSERT INTO `wp_options` VALUES("857", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1692956721", "no");
INSERT INTO `wp_options` VALUES("858", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1692913521", "no");
INSERT INTO `wp_options` VALUES("859", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1692956722", "no");
INSERT INTO `wp_options` VALUES("860", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"WPTavern: WordPress Unveils Design for Upcoming Twenty Twenty-Four Default Theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=148167\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://wptavern.com/wordpress-unveils-design-for-upcoming-twenty-twenty-four-default-theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4016:\"<p>WordPress 6.4 will be shipping with a new default theme, expected in early November. The theme&#8217;s project leaders unveiled the designs and concept for Twenty Twenty-Four in an <a href=\"https://make.wordpress.org/core/2023/08/24/introducing-twenty-twenty-four/\">announcement</a> on WordPress.org today.</p>\n\n\n\n<p>For those who have complained that past default themes have been too niche or too narrowly focused in design, this theme will take the reverse approach. Contributors are attempting to build the ultimate multi-purpose theme that can be used for nearly any kind of website, highlighting the unmatched flexibility of building with blocks.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1600\" height=\"1066\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/TT4.jpeg\" alt=\"\" class=\"wp-image-148180\" />image credit: <a href=\"https://make.wordpress.org/core/2023/08/24/introducing-twenty-twenty-four/\">Introducing Twenty Twenty-Four</a>\n\n\n\n<p>&#8220;The idea behind Twenty Twenty-Four is to make a default theme that can be used on any type of site, with any topic,&#8221; core contributorJessica Lyschik said. &#8220;Because of that, and contrary to past years, it has no single topic. Instead, three use cases were explored: one more tailored for entrepreneurs and small businesses, one tailored for photographers and artists and one specifically tailored for writers and bloggers.&#8221;</p>\n\n\n\n<p>Last year&#8217;s default theme, <a href=\"https://make.wordpress.org/design/2022/08/10/twenty-twenty-three-default-theme-project-kickoff/\">Twenty Twenty-Three</a>, was a stripped-back and minimal version of Twenty Twenty-Two, with a strong focus on community-submitted style variations. Like its predecessor, Twenty Twenty-Four will put the spotlight on some of the latest WordPress design features.</p>\n\n\n\n<p>&#8220;Twenty Twenty-Four will be a block theme fully compatible with all the site editor tooling and it will surface new design tools like the details block or vertical text,&#8221; Lyschik said. &#8220;Another key intent for the theme is to properly present whole page patterns and template variations so that users don’t need to assemble whole pages themselves, thus easing up their site building process.&#8221;</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1600\" height=\"840\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/TT4-full-page-designs.jpeg\" alt=\"\" class=\"wp-image-148184\" />\n\n\n\n<p>Whole page patterns are a critical feature that all of the best block themes provide, as most people feel daunted when starting from a blank slate. If a whole page pattern is already pre-inserted on a new website install, users are light years ahead in their site building efforts.</p>\n\n\n\n<p>Twenty Twenty-Four features the Cardo font for headings and a sans-serif system font for paragraph text. Cardo is an Old Style serif typeface designed by David J. Perry in 2002 for “classicists, biblical scholars, medievalists, and linguists.” It grounds the design with a bit of sophistication but should be easy to swap out with the <a href=\"https://wptavern.com/wordpress-6-4-roadmap-includes-typography-management-features-new-blocks-and-twenty-twenty-four-default-theme\">typography management features coming in 6.4</a>.</p>\n\n\n\n<p>The initial previews of the theme don&#8217;t stray far from many of the traditional website designs you might see browsing businesses or portfolios. It leans more towards  providing an invisible framework for the user&#8217;s own creations, instead of pushing a single, opinionated design. This design lets the Site Editor and design controls shine as tools that can unlock human creativity on the screen. So far it has received positive feedback on the WordPress.org announcement. Check out the <a href=\"https://make.wordpress.org/core/2023/08/24/introducing-twenty-twenty-four/\">post</a> for more images/video, and information on how contribute to Twenty Twenty-Four&#8217;s development.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 24 Aug 2023 20:36:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"WPTavern: Organic Themes Launches Apparel Store to Raise Money for the Maui Strong Fund\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=148133\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"https://wptavern.com/organic-themes-launches-apparel-store-to-raise-money-for-the-maui-strong-fund\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2186:\"<img width=\"2098\" height=\"1174\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-23-at-4.19.06-PM.png\" alt=\"\" class=\"wp-image-148138\" />\n\n\n\n<p><a href=\"https://organicthemes.com/\">Organic Themes</a>, one of the oldest WordPress theme shops, was founded in 2009 in the town of Lahaina on the island of Maui, which was ground zero for the recent <a href=\"https://en.wikipedia.org/wiki/2023_Hawaii_wildfires\">devastating wildfires</a>. Until recently, Lahaina was home to Organic Themes co-founder David Morgan, who hosted the Maui WordPress meetups for years, and co-organized WordCamp Maui in 2015.</p>\n\n\n\n<p>Morgan and his co-founder Jeff Milone have been best friends since high school. In 2007, Morgan sold everything and moved to Oahu, working as a freelance designer while living out of his car after arriving. </p>\n\n\n\n<p>&#8220;While living on Oahu, Jeff and I began working long-distance on freelance WordPress projects,&#8221; Morgan said. &#8220;This led to the idea of starting a theme business together, and I invited Jeff to Hawaii in 2009. While he was visiting me on Oahu, we flew to Maui and fell in love with the island. We decided to start our business there.&#8221;</p>\n\n\n\n<p>Organic Themes operated out of Lahaina for ten years before Morgan eventually returned to the mainland to start his family in Sarasota, Florida. Milone still resides in Maui part-time. </p>\n\n\n\n<p>&#8220;We have friends that have lost their homes,&#8221; Morgan said. &#8220;We&#8217;ve been in touch with old neighbors and friends, and it&#8217;s been beyond shocking for us to see what has happened.&#8221;</p>\n\n\n\n<p>The company recently created the <a href=\"https://lahaina.help/\">Kokua Lahaina</a> website and apparel products as a way to give back to their community. The site is built on WordPress and WooCommerce and uses the <a href=\"https://organicthemes.com/stax-theme/\">STAX</a> block theme. Organic Themes is donating all profits to the <a href=\"https://www.hawaiicommunityfoundation.org/maui-strong\">Maui Strong Fund</a>, which provides shelter, food, financial assistance, and other services to those impacted by the wildfires.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 23 Aug 2023 20:38:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"Matt: Open Sourcing Algorithmic Choice\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=95800\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://ma.tt/2023/08/open-sourcing-algorithmic-choice/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:631:\"<p>Jon Weeks from the Evening Standard <a href=\"https://www.standard.co.uk/business/tumblr-ceo-matt-mullenweg-on-opensourcing-social-media-b1101975.html\">interviewed me for their <em>How to Be a CEO</em> podcast</a> about Tumblr, and as I often do we mostly talked about open source.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<div>    <div></div>    </div>\n</div>\n\n\n\n<p>If you can&#8217;t listen <a href=\"https://techcrunch.com/2023/08/23/automattic-ceo-matt-mullenweg-talks-future-of-tumblr-with-algorithmic-choice-ai-enhancements-and-more/\">Techcrunch&#8217;s Sarah Perez posted a really nice summary of the interview</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 23 Aug 2023 18:02:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"WPTavern: WordPress 6.4 Roadmap Includes Typography Management Features, New Blocks, and Twenty Twenty-Four Default Theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=148086\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"https://wptavern.com/wordpress-6-4-roadmap-includes-typography-management-features-new-blocks-and-twenty-twenty-four-default-theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3987:\"<p>Work on <a href=\"https://make.wordpress.org/core/2023/08/22/roadmap-to-6-4/\">WordPress 6.4 is kicking off</a> with a post from Editor Triage Co-Lead Anne McCarthy that highlights everything the team has planned for the release. This will be the third major release of 2023, and is unique in that it&#8217;s being led by an <a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">underrepresented gender release squad</a>.</p>\n\n\n\n<p>Although WordPress is moving into <a href=\"https://make.wordpress.org/core/tag/phase-3/\">Phase 3 of the Gutenberg project</a>, which focuses on collaboration, 6.4 will primarily extend existing features in the block and site editors.</p>\n\n\n\n<p>&#8220;Initial explorations for phase 3 will continue in the Gutenberg plugin, and any early wins will be added alongside the foundational work already planned in this major release,&#8221; McCarthy said. </p>\n\n\n\n<p>WordPress 6.4 is anticipated to introduce typography management features, including a <a href=\"https://github.com/WordPress/gutenberg/issues/52698\">Font Library</a> and <a href=\"https://github.com/WordPress/gutenberg/issues/41479\">server-side @font-face CSS generation and printing</a>. This means users will be able to browse a library of fonts in the admin, similar to how they manage media. It will not be dependent on the theme that is activated but will be a library that is extensible for plugin developers.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1600\" height=\"902\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/font-library.png\" alt=\"\" class=\"wp-image-148114\" />image credit: <a href=\"https://make.wordpress.org/core/2023/08/22/roadmap-to-6-4/\">Roadmap to 6.4</a>\n\n\n\n<p>Other new functionality planned for 6.4 includes the following: </p>\n\n\n\n<ul>\n<li><a href=\"https://core.trac.wordpress.org/ticket/57704\">Revisions for templates and template parts</a></li>\n\n\n\n<li>New blocks: <a href=\"https://github.com/WordPress/gutenberg/issues/42229\">Table of Contents</a>, <a href=\"https://github.com/WordPress/gutenberg/issues/53776\">Time to Read</a>, and <a href=\"https://github.com/WordPress/gutenberg/issues/41730\">Scrolling Marquee</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/51132\">Lightbox</a> functionality for individual image blocks</li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/39439\">Auto-insert blocks</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/53049\">Post formats in block themes</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/53305\">Improvements to the writing experience</a> and <a href=\"https://github.com/WordPress/gutenberg/issues/50891\">link control UI</a></li>\n\n\n\n<li>Updates to interfaces and tools &#8211; top toolbar, distraction-free, command palette, list view, and more</li>\n\n\n\n<li>Refinements and enhancements to Site Editing, Global Styles, and design tools</li>\n\n\n\n<li>Updates to Patterns: <a href=\"https://github.com/WordPress/gutenberg/issues/53164\">add the ability to set categories</a>, <a href=\"https://github.com/WordPress/gutenberg/issues/51945\">update inserter experience</a>, explore possibly including <a href=\"https://github.com/WordPress/gutenberg/issues/53705\">partially synced patterns</a></li>\n\n\n\n<li>Improvements to navigation customization and management</li>\n\n\n\n<li>Expand design tools available for Footnotes, <a href=\"https://github.com/WordPress/gutenberg/issues/52812#top\">ensure compatibility for Custom Post Types</a></li>\n</ul>\n\n\n\n<p>WordPress 6.4 will also ship with a new Twenty Twenty-Four default theme that will showcase the latest capabilities of block themes. </p>\n\n\n\n<p>McCarthy emphasized that the features published in the roadmap are &#8220;being actively pursued&#8221; but may not represent what actually lands in the final release.</p>\n\n\n\n<p>WordPress 6.4 is anticipated to be released on November 7, 2023, with Beta 1 expected on September 26.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 23 Aug 2023 16:24:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"WPTavern: #88 – Jo Minney on the State of the WordPress Community in Australia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=148105\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://wptavern.com/podcast/88-jo-minney-on-the-state-of-the-wordpress-community-in-australia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:48938:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley. Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, the state of the WordPress community in Australia.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you all your idea featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Jo Minney.</p>\n\n\n\n<p>Jo is the founder of a small business that specialises in building websites for organisations, mainly nonprofits and the tech industry. With a background in engineering, Jo decided to shift her focus to website development using WordPress. She was excited about the WordPress community and joined her local meetup, eventually becoming an organizer.</p>\n\n\n\n<p>Jo is keen for the WordPress community in Australia to grow, and has been making significant contributions to that growth.</p>\n\n\n\n<p>In this episode, Jo shares her insights on the challenges of organizing WordCamps and meetups in Australia, where the large size of the country, and small population presents some unique obstacles. If you&#8217;re used to a European or north American setting, it&#8217;s really interesting how the geography of the country presents challenges not seen elsewhere.</p>\n\n\n\n<p>We discussed the importance of paying speakers and covering their travel expenses to create equal opportunities for freelancers and small businesses, as well as to give the Australian community a stronger voice.</p>\n\n\n\n<p>We talk about her journey with WordPress, starting from her early days as a coder in a different field, and navigating the community online. Jo highlights the need for in-person opportunities to learn and connect with others. Especially in a global community where the time zone differences and online platforms can be limiting.</p>\n\n\n\n<p>We chat about the challenges faced by the Australian WordPress community from limited resources and burnout, to the struggle of attracting new organizers and attendees. Jo share some exciting success stories, such as organizing WordPress events and hosting a successful do_action event.</p>\n\n\n\n<p>We briefly get into the need for more diverse voices and the importance of fostering, a supportive and inclusive environment. If you&#8217;re interested in hearing about how the WordPress community is doing in Australia, this episode is for you.</p>\n\n\n\n<p>You can find all of the links in the show notes by heading over to WPTavern.com forward slash podcast. Where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Jo Minney.</p>\n\n\n\n<p>I am joined on the podcast today by Jo Minney. Hello Jo.</p>\n\n\n\n<p>[00:03:40] <strong>Jo Minney:</strong> Nice to be here.</p>\n\n\n\n<p>[00:03:41] <strong>Nathan Wrigley:</strong> Yeah thank you for joining me. Jo is in Western Australia which means that the collision of the time zones is pretty severe on this one. It&#8217;s the middle of the afternoon for me which means it&#8217;s very, very late in the evening for Jo. So first up Jo, thank you very much for staying the course and being with us.</p>\n\n\n\n<p>I guess my first question, as always, it&#8217;s a pretty banal one but it&#8217;s worth asking anyway. Given that we&#8217;re on a WordPress podcast, we&#8217;re going to be talking about the WordPress community in Australia in particular. Would you mind just spending a moment just telling us who you are? What your relationship is with WordPress? Perhaps a little bit about the kind of job that you have, and the role that you have and all of that good stuff.</p>\n\n\n\n<p>[00:04:22] <strong>Jo Minney:</strong> Sure I can absolutely do that. So I am a small business founder like a lot of people that work with WordPress. I run I guess what you&#8217;d call a micro business. I have a grand total of three people in my team, and we build websites for mainly organizations. We work a lot with nonprofits and also a bit with the tech industry. So my background is actually engineering, and I threw in the towel and decided I didn&#8217;t want to do engineering anymore and started building websites instead.</p>\n\n\n\n<p>So in a nutshell what I do now, and how I use WordPress. And when I first started using it I got really excited when I found out about the community that was behind it and things like meetups and WordCamps. And that was yes, this is so exciting and went and joined our local meetup and none had been running for the last year and a half. So that was a bit sad. And then I reached out to the organizer who had previously run them and was like, hey, what&#8217;s going on? And she&#8217;s like here you go. And so I became lead organizer and the rest, I guess, is as they say history.</p>\n\n\n\n<p>[00:05:27] <strong>Nathan Wrigley:</strong> Did you find the community more or less as soon as you found WordPress? Did you have a nice bit of serendipity there? Because when I discovered WordPress it was many years before I realized that there was any kind of community. I purely viewed it as a piece of freely available software. And whilst I understood that the freely available nature of it meant that there was community involvement in building the software, I had no conception there was a community of people who would be meeting up in the real world or getting into the kind of discourse that they do, in all sorts of different directions. So yeah, to paraphrase that question, did you find the community right away?</p>\n\n\n\n<p>[00:06:07] <strong>Jo Minney:</strong> I wouldn&#8217;t say right away, but fairly soon after I started using WordPress. So I had done a little bit of coding before I started using WordPress but in a very different environment, working as I said in engineering. I was really lucky that my husband, who&#8217;s also my business partner now, also works in development.</p>\n\n\n\n<p>And when I first said I want to learn how to use WordPress and I&#8217;m going to use it to create my website for my consulting business, which back then was still in engineering, he was like no you can&#8217;t use WordPress. WordPress is the devil. He&#8217;s come around since then. He&#8217;s actually speaking at WordCamp US. We do a lot of collaboration projects now. So he builds custom web applications and my team do WordPress websites. And we do a lot of merging the two together and integrating them.</p>\n\n\n\n<p>When I first started using it I felt like a lot of the time the people that I was asking were a lot more superior at using it to me, and had a lot more experience. So reaching out online was a little bit intimidating. So I actually started looking quite early on in my journey for something that was in person, because it would enable me to kind of go and learn from other people without having to actively start asking questions on online forums, where often I was the only woman there, or I didn&#8217;t know if I was the only woman there, but I kind of had assumed in that space.</p>\n\n\n\n<p>[00:07:30] <strong>Nathan Wrigley:</strong> Yeah thank you. So in terms of the timeline of all of this, you may have mentioned it but forgive me I didn&#8217;t pick up on it. How far back are we going in history? What year? 2015, 2016, or later than that? Did you reach out and find these events?</p>\n\n\n\n<p>[00:07:48] <strong>Jo Minney:</strong> Yeah, so I think I started using WordPress in 2017, quite recently compared to a lot of people that are in the WordPress community. And I took over the meetup as lead organizer I think in 2019. I could be wrong it could have been 2018, but it was either 2018 or 2019. So it was only a year or so into the first time that I had actually touched the platform.</p>\n\n\n\n<p>[00:08:12] <strong>Nathan Wrigley:</strong> Okay so pre pandemic you discovered the real world community. So paint a picture of what it&#8217;s like in Australia. Now clearly you&#8217;re going to be able to paint that picture better describing where you live. But if you&#8217;re able to give us more information about Australia more broadly that would be excellent as well. And maybe during the course of the next few minutes we can map out how things may have changed since 2017, 2018, 2019, to where they are now.</p>\n\n\n\n<p>[00:08:42] <strong>Jo Minney:</strong> Yeah, that&#8217;s a great question. So I have a question for you in return, cause I know that you&#8217;ve been to Australia before. We talked about that earlier. Australia is pretty big. So do you want to have a stab at how big Australia is?</p>\n\n\n\n<p>[00:08:57] <strong>Nathan Wrigley:</strong> In terms of square miles, or just multiples of the UK.</p>\n\n\n\n<p>[00:09:01] <strong>Jo Minney:</strong> Either&#8217;s fine.</p>\n\n\n\n<p>[00:09:02] <strong>Nathan Wrigley:</strong> Okay so I would imagine that you could fit the UK into Australia, I&#8217;m going to pluck a number out of thin air, 35 times.</p>\n\n\n\n<p>[00:09:09] <strong>Jo Minney:</strong> I actually have no idea how many times you can fit the UK into Australia but I do know that it is about the same size as the lower 48 in the US. So it&#8217;s like 7. 6 million square kilometers, versus 8 million square kilometers for the US. So they&#8217;re pretty comparable size wise.</p>\n\n\n\n<p>Do you want to have a stab at what the population of Australia is compared to the population of the US?</p>\n\n\n\n<p>[00:09:34] <strong>Nathan Wrigley:</strong> Okay, so I&#8217;m going to guess Australia has 22 or 23 million people in it.</p>\n\n\n\n<p>[00:09:40] <strong>Jo Minney:</strong> It&#8217;s a little bit higher than that. It&#8217;s 26 and a half, thereabouts, million. Which is less than Texas. So think it&#8217;s really important to understand that one of the biggest challenges that we face here, and you would know this from having driven across the Nullarbor, is there&#8217;s nothing in the middle of Australia.</p>\n\n\n\n<p>We only live around the outside. So if you imagine the entire US but only having people live around the coastal cities and having the entire population of that whole continent being less than Texas.</p>\n\n\n\n<p>[00:10:13] <strong>Nathan Wrigley:</strong> Yeah that&#8217;s fascinating. So I guess if you&#8217;re listening to this and you&#8217;re a North American, the distance that you would have to go from east to west is comparable from say going, I don&#8217;t know, from Virginia to California. They&#8217;re on the same kind of scale but the population is significantly smaller. I guess what you&#8217;re trying to say is we&#8217;re spread out.</p>\n\n\n\n<p>[00:10:35] <strong>Jo Minney:</strong> Yeah, we really are. And I think if you&#8217;re in Europe, again, to travel the length of Australia or the width of Australia you&#8217;re traveling through multiple countries. Each of which probably has a higher population than what we do. So the challenge that we&#8217;ve got there is that our communities to start with, and I don&#8217;t just mean our WordPress communities, I mean our cities, the people that we have living here, are very small in comparison to a lot of other places in the world. So because our population is so spread out, it makes it really hard for us to hold in person events in the first place.</p>\n\n\n\n<p>So that&#8217;s a challenge that we&#8217;ve always faced here in Australia in building our community. And it&#8217;s something we were slowly starting to overcome. And we did before the pandemic have meetups happening in, I think, five different cities around Australia. And then obviously the pandemic happened and all of that stopped.</p>\n\n\n\n<p>But even before the pandemic started, in the city where I live, I mean it&#8217;s only 2 million odd people here, but we had never had a WordCamp in the whole time that WordCamps had started running.</p>\n\n\n\n<p>So if you think about someone who&#8217;s just coming into the WordPress community for the first time, and they learn about all of this stuff and then they find out actually we&#8217;ve got no meetups running. We&#8217;ve got no WordCamps running. We don&#8217;t actually have a community here. It can be really sad, and really soul crushing I guess.</p>\n\n\n\n<p>That&#8217;s kind of where I was at. So I got it in my head, I was like that&#8217;s it, I&#8217;m going to be the person that organizes the first WordCamp here in Perth. And to do that I reached out to a lot of the other organizers from around Australia, who are fantastic people. And some of them have been doing that for a really long time.</p>\n\n\n\n<p>And that&#8217;s probably the second challenge that we have which is burnout. And I know that this is not something unique to Australia. I know this happens everywhere. When you&#8217;ve got meetup organizers that are volunteers it&#8217;s not just rocking up for the time of the meetup and ordering some pizza. It&#8217;s organising speakers, it&#8217;s growing the community and actually making sure that people come along to it. There&#8217;s a lot that&#8217;s involved with it.</p>\n\n\n\n<p>And often it falls on one, maybe two, people to do that. And we really struggled to get more organizers, to get attendees, to get speakers. And when you look at that compounded with the fact that we have such a small population compared to the space we have, you can see how very quickly it becomes a challenge.</p>\n\n\n\n<p>[00:13:04] <strong>Nathan Wrigley:</strong> Yeah. I guess in Europe, as an example, the population density is extremely high. I&#8217;m guessing per square kilometre it probably is even higher than in the US. I don&#8217;t actually know if that&#8217;s true or not, but I&#8217;m imagining it is.</p>\n\n\n\n<p>The point being there&#8217;s lots of people. So the reservoir of people who may stumble into the community within a hundred miles of where I live there are likely to be a dozen, two dozen, a hundred, whatever that number may be. Whereas where you are, that number is going to be significantly lower. And so if somebody steps into the community but then gets that burnt out, or just gets fed up, or moves on, or just doesn&#8217;t wish to contribute to those events, there really isn&#8217;t that pool of people that you can dip into which would be present in North America or other parts of the world, Europe and so on.</p>\n\n\n\n<p>So if somebody moves on there&#8217;s often somebody that will take that role on again. And I know that in the recent past there have been discussions about whether or not, even in Europe and other places, the burnout and the replacement of people is more and more challenging. But I guess where you are it&#8217;s really acute.</p>\n\n\n\n<p>[00:14:13] <strong>Jo Minney:</strong> Yeah absolutely. And I think another thing that became a challenge for us is, you mentioned earlier a mutual acquaintance of ours, Cameron. And he moved to the UK. He wasn&#8217;t the only one. We actually had two of our other organising committee who we had spent the last couple of years trying to build up that community, and they also moved either interstate or international.</p>\n\n\n\n<p>So I am back to being the only organizer now for our local meetup. And we&#8217;ve now got three meetups around Australia running. So Sydney is definitely the most recovered. And a big part of that is because it&#8217;s got Will spearheading it who is phenomenal. Who mentors WordCamps and stuff like that, and has a lot of contacts. And also just because Sydney has the biggest population of any of our cities in Australia.</p>\n\n\n\n<p>Brisbane started up again. For anyone who doesn&#8217;t know Australia which is most people in the world, they&#8217;re in the the top right. So in the northeast of Australia. And our biggest WordCamp that we&#8217;ve ever had before the pandemic so it was November 2019 I think or maybe a bit earlier than that, it was in 2019 anyway. That was our biggest WordCamp we&#8217;ve ever had in Australia and that was 450 people.</p>\n\n\n\n<p>[00:15:29] <strong>Nathan Wrigley:</strong> Yeah that&#8217;s really interesting as a contrast, the last WordCamp London that I attended, which I think was in 2019. So that&#8217;s a subset of the events which go on in the UK. I think that event was about 600, something like that. WordCamp Europe is usually touching about 3,000. WordCamp US, although the numbers have been much smaller recently due to pandemic restrictions, you know eclipses 2,000 as well. So the magnitude, given everything that you&#8217;ve said, I guess we&#8217;re expecting the numbers to be lower.</p>\n\n\n\n<p>Were you saying 400 as the big flagship event in Australia, the Sydney one? Were you saying 400 because you thought that was a small number, or were you just saying it because that is the number?</p>\n\n\n\n<p>[00:16:11] <strong>Jo Minney:</strong> A little of both. 450 was actually in Brisbane. So I think actually a lot of the speakers at that had come from interstate, and that&#8217;s something that definitely we&#8217;ve noticed. Every WordCamp that we have in Australia people travel to it, because they&#8217;re so rare here. Even though it costs us an absolute fortune, we still have people flying to Brisbane, flying to Sydney, flying to Port Macquarie.</p>\n\n\n\n<p>And an interesting thing that I noticed was that a lot of the speakers were the same across multiple WordCamps in Australia because again, it comes down to that not having a huge population and we struggle to find speakers for our meetups. So you can imagine it&#8217;s equally hard to find speakers for WordCamps.</p>\n\n\n\n<p>So that&#8217;s a challenge there. Since post pandemic it&#8217;s become even harder. I know I&#8217;ve had the same conversation with the Brisbane organisers and the Sydney organisers. And I don&#8217;t know if this is something that other communities have experienced, but all three of us have found that our communities are essentially started from scratch again.</p>\n\n\n\n<p>So the number of people that have come back from pre pandemic communities is basically zero. So we had one person at our first meetup when we restarted that had attended a meetup before, ever. It&#8217;s not a bad thing, but it&#8217;s still a thing. And it&#8217;s something that I think has also become a challenge because it means that there aren&#8217;t people who are experienced with running events and that sort of thing. And how to put the word out, and what&#8217;s involved in organising them, and speaking with who is around to help out with that load.</p>\n\n\n\n<p>[00:17:43] <strong>Nathan Wrigley:</strong> Yeah. It&#8217;s interesting. In the UK there&#8217;s several factors which are making it more difficult to get that community engagement back up to the levels that it was pre pandemic. The first one is obviously just related to people&#8217;s desire to go out. They may have dropped out of the community. So there&#8217;s the process of, as you&#8217;ve just described, starting from scratch. So that&#8217;s one thing.</p>\n\n\n\n<p>But also the cost of ever so many aspects of life has gone much, much higher than it was prior to the pandemic. Particularly the cost of venue hire. Venue hire over here has become significantly more expensive, orders of magnitude more expensive. And so something that may have cost X 5 years ago, or 3 years ago is now possibly 3 or 4 or 5 X for the exact same building, for the exact same duration. So there&#8217;s all sorts of circumstances contriving to make it as hard as possible I think. And if you&#8217;re starting from scratch, that is even more of an obstacle.</p>\n\n\n\n<p>[00:18:48] <strong>Jo Minney:</strong> Yeah absolutely. And I am sure that London is probably about as expensive, maybe even more expensive, than Australia. So one of the things that I think is very different here, so those WordCamps that I talked about, even our biggest ones have always historically been at educational venues. So we&#8217;ve always used universities.</p>\n\n\n\n<p>And the one that we were planning locally here was at a TAFE, which is a technical institute. I don&#8217;t know what you would call that in places that are not Australia. That&#8217;s sort of always the kind of places that we&#8217;re looking at and we&#8217;re not talking about flashy hotels and things with 2000 people or conference centers. We&#8217;re talking about a university during their down times. So even trying to keep those costs really low, it was actually a real struggle for us to be able to fund. And I say us, I wasn&#8217;t actually involved in the organising committee for the last one, because I was still fairly new to the community at the time.</p>\n\n\n\n<p>But speaking to Will and some of the other previous organizers about it, A they have to wait until the end of the year to find out the availability for those venues. So it makes planning kind of a challenge. And B, one of the things that WordCamp limited us to, or really pushed for, was for us to keep the ticket prices down at 50 Australian. Which is like 30 Euro or 30 US. So trying to do that and then cover the rest of it, even using a really comparatively cheap venue like a university, was really a struggle still to meet the budget.</p>\n\n\n\n<p>And on top of that, in 2019 that was the first year that we&#8217;d had three WordCamps in Australia in the same year. So before that the most that we&#8217;d ever had was two. And I think that had only happened once. And what we found is that the organizers for those WordCamps were actually competing for funding. So the sponsors were like, oh I don&#8217;t want to fund WordCamp Sydney because we just funded WordCamp Brisbane, and it&#8217;s all the same people that are attending.</p>\n\n\n\n<p>So that&#8217;s something that has really been something that we&#8217;ve noticed, and it&#8217;s something that we&#8217;re keeping in mind when we go into the future planning WordCamps. While we know that they are historically encouraged to be very local events, that&#8217;s something that we&#8217;ve got to keep in mind. We are potentially competing against other cities for that attention where we don&#8217;t want to be. We want to be helping each other grow because there&#8217;s not enough of us to be in competition. We&#8217;ve got to be helping each other out.</p>\n\n\n\n<p>[00:21:15] <strong>Nathan Wrigley:</strong> Yeah. It speaks to coordinating at a higher level doesn&#8217;t it? The idea that, let&#8217;s say there&#8217;s three or five, that they were A spread out geographically, B spread out over time so that you weren&#8217;t trying to compete in the same month for a WordPress event. And that obviously, you&#8217;ve got to go a little bit higher up the pecking order to figure out all of that stuff.</p>\n\n\n\n<p>But from everything that you&#8217;ve said you sound fairly, I&#8217;m going to use an English colloquialism, you sound fairly chipper. Which means you sound fairly upbeat.</p>\n\n\n\n<p>[00:21:47] <strong>Jo Minney:</strong> Optimistic. Hopeful.</p>\n\n\n\n<p>[00:21:49] <strong>Nathan Wrigley:</strong> Exactly. But I want to probe into this, if you&#8217;re willing. How do you really feel about this? Because I can imagine that with all these setbacks and no shows, people coming in smaller numbers, the feeling that the community is dwindling. Do you get moments where you just think, oh this is really hardly worth my time anymore? Do you ever get those moments where you just want to throw in the towel?</p>\n\n\n\n<p>And if that is the case, I wonder if that is another problem which has to be dealt with, you know, people just getting fed up and moving on.</p>\n\n\n\n<p>[00:22:17] <strong>Jo Minney:</strong> Yeah. I won&#8217;t lie. There&#8217;s definitely been times where I&#8217;ve been like, is it really worth it? I am the only volunteer contributor that I&#8217;m aware of, other than my husband who is fairly new to it, in my entire state.</p>\n\n\n\n<p>We have one other contributor who&#8217;s full time at Automattic. So when it comes to the WordPress community everyone that I know is online. And that in itself can be really depressing. But it can also be really challenging for me to have a conversation with someone. And I do think that in person conversations are important, and you don&#8217;t communicate the same way online and over text and via Slack and things like that. Commenting on blog posts is what you do when you&#8217;re having a face to face conversation.</p>\n\n\n\n<p>And while decisions in the WordPress community aren&#8217;t made at WordCamps and meetups and things like that, conversations are started there. And those conversations help to drive future decisions. And that is really important. And it&#8217;s sad to me that Australia isn&#8217;t part of that conversation, and hasn&#8217;t been since definitely since pre Covid, but even before then we were struggling.</p>\n\n\n\n<p>So I think for me that&#8217;s one of the most disappointing things. For example, WordCamp Asia was earlier this year which was super exciting for us. There were some Australian people that attended that. There were no Australian speakers as far as I&#8217;m aware, which I don&#8217;t think is a bad thing because I think it was important for WordCamp Asia to really push for representation from Asian speakers, because that was the purpose of it. And I know if we were to ever have a WordCamp Australia in the future that we would be pushing to try and have as many local speakers as possible as well.</p>\n\n\n\n<p>But then if we look at some of the bigger flagship camps there were two speakers at WordCamp Europe that were from Australia, that I&#8217;m aware of. So I did stalk and go through every single speaker to check, because what else am I going to do with my spare time that I don&#8217;t have?</p>\n\n\n\n<p>So both of the speakers from Australia that were at WordCamp Europe were executives from companies that are very big. And I&#8217;m not going to name names. You can go find them yourself if you&#8217;re really interested, but they work for the Googles and the eBays and the News Corps.</p>\n\n\n\n<p>And, my concern is that globally the voices that are coming out of Australia are not the ones that are doing the work of rebuilding the community. They represent big interests, not most interests. And to me that&#8217;s the most concerning thing about the lack of community here in Australia.</p>\n\n\n\n<p>[00:24:51] <strong>Nathan Wrigley:</strong> Yeah. There is this phrase which sometimes gets brought out that the people that can contribute to the project, there&#8217;s sometimes a feeling that it&#8217;s those that can afford to contribute to the project. So in the scenario that you just described, if your very successful company are willing to send you, then you are now sitting at the table where potentially some of those decisions are being made.</p>\n\n\n\n<p>I realize that it&#8217;s far more complicated than that, but you have a voice because you&#8217;re able to go and prior success for the company that you work for, you know, it&#8217;s no reflection on that company. We want the companies to be successful but that&#8217;s just how it works. And it&#8217;s difficult for people, well such as yourself, to sort of feel like your voice is rising to the top and being heard, I guess.</p>\n\n\n\n<p>[00:25:34] <strong>Jo Minney:</strong> A hundred percent. And you look at the cost of flights, for example. So it&#8217;s easy enough to say we&#8217;ll just go to some of these. Get more people and fund them to go over. But flights are like 65% more expensive now than they were pre pandemic, for international flights from Australia. That&#8217;s bonkers.</p>\n\n\n\n<p>I certainly can&#8217;t afford to pay out of my own money to go over there. And even getting sponsorship, there&#8217;s nothing really in it. There is things in it for people, but it is a challenge to communicate them.</p>\n\n\n\n<p>I like stats, you might&#8217;ve noticed that already Nathan. One of my favorite stats about why I think it&#8217;s important for people to start paying attention to the WordPress community in Australia? So we have the 14th largest market for eCommerce in the world. Which is cool sure. Do you know how much of the web or how much eCommerce on the web is powered by WooCommerce overall globally?</p>\n\n\n\n<p>[00:26:30] <strong>Nathan Wrigley:</strong> Oh no. I know it&#8217;s a significant amount, but don&#8217;t know exact number. Yeah I realize it&#8217;s very high.</p>\n\n\n\n<p>[00:26:37] <strong>Jo Minney:</strong> Yeah like everyone knows the WordPress number, right? But nobody knows the WooCommerce number. I like this because I feel like it&#8217;s a better, accurate representation of websites that are being used. Whereas the WordPress number still takes into account a lot of sort of dormant sites and that sort of thing. So with WooCommerce it powers about 24% of eCommerce sites on the web globally.</p>\n\n\n\n<p>In Australia however, it&#8217;s less than 15%, and Shopify leads with over 20%. So what that tells me, and this is obviously just my interpretation of that data, but it tells me that in Australia we don&#8217;t have the same recognition and understanding of WordPress and WordPress tools as what there is globally.</p>\n\n\n\n<p>And that&#8217;s an opportunity for people who are earning lots of money from WordPress. For the Automattic&#8217;s and the Yoasts and these other big companies that have combined collectively an economy that&#8217;s like bigger than Tesla. It tells me that there is value in them paying more attention to Australia and helping us to rebuild the community because I don&#8217;t think that we can continue to do it the way that we&#8217;re trying at the moment.</p>\n\n\n\n<p>[00:27:45] <strong>Nathan Wrigley:</strong> Yeah that&#8217;s really interesting. That was a really interestingly presented fact because makes it, well it lays bare the opportunity that is maybe being left. The old adage of money being left on the table it kind of fits under that umbrella, doesn&#8217;t it?</p>\n\n\n\n<p>It sounds like you are A, you&#8217;re very committed to the community. I guess you wouldn&#8217;t be on a podcast like this if you weren&#8217;t. But B, you&#8217;ve identified that there&#8217;s a problem. So C, I guess, is what do we do about the problem? Do you have any endeavors? Do you have any thoughts? Do you have any intuitions as to how these challenges might be overcome? How you might reinvigorate the community?</p>\n\n\n\n<p>[00:28:24] <strong>Jo Minney:</strong> Yeah look I think a lot of people who are much smarter and more engaged and well versed in the WordPress community than me have already suggested a lot of the things that I look at and go that would really help us. Even though we&#8217;re not specifically the target audience for those things that are being championed.</p>\n\n\n\n<p>And one of those big ones is, and I know it&#8217;s probably a drum that&#8217;s been beaten to death, but paying speakers or at least covering their travel. Because as I said, I think a lot of those conversations happen at WordCamps. And even if you&#8217;re not paying people to attend them or that sort of thing, by paying speakers you&#8217;re giving the same opportunities to the freelancers and those small businesses as you are to those companies that are working for Google and eBay.</p>\n\n\n\n<p>So I think that&#8217;s one thing that would go a long way towards evening the playing field, and allowing the Australian community to have a little bit more of a voice. And I know that there&#8217;s a huge amount of work that&#8217;s being done to push for that in the WordPress community by loads of different, amazing people.</p>\n\n\n\n<p>And there are sponsorship options and stuff out there for people who are underrepresented in tech. But you know they have their challenges. I think that would go a long way towards helping.</p>\n\n\n\n<p>[00:29:39] <strong>Nathan Wrigley:</strong> I just want to just interject there again and inject the geographical piece again. Because it&#8217;s so easy to forget that for where I live, really I can hop into a car and I can be at a local event within an hour, less. You know and typically more or less everybody in the UK could probably drive in one of the directions of the compass and find an event fairly quickly. May not be all that frequent, but at some point during the calendar year, it really is different isn&#8217;t it where you are? You know you may just drive off in the same compass direction as I do but you end up in the middle of the desert.</p>\n\n\n\n<p>[00:30:13] <strong>Jo Minney:</strong> Or the ocean depending on which way you go.</p>\n\n\n\n<p>[00:30:15] <strong>Nathan Wrigley:</strong> So there really aren&#8217;t those opportunities and the fact that you have to travel further, as you&#8217;ve described, the cost of airline transportation has gone through the roof. So it may be that you simply are nowhere near something. And so just having a little bit of an offset for the cost, the remuneration as you&#8217;ve said for speaking. Simply that may be enough to propel some people to have a different opinion of it, and to make the effort to go.</p>\n\n\n\n<p>[00:30:40] <strong>Jo Minney:</strong> And I think the same thing goes, and it&#8217;s a similar argument, but for the volunteers who are organising. Maybe not all WordCamps but certainly flagship ones. When I was talking to Will about his experience with organising WordCamp Sydney back in 2019, he actually logged his hours for it and he logged 1,200 hours of volunteer work.</p>\n\n\n\n<p>[00:31:03] <strong>Nathan Wrigley:</strong> Wow.</p>\n\n\n\n<p>[00:31:03] <strong>Jo Minney:</strong> And I spoke to one of the organizers, not even the lead organizer, just one of the organizers for WordCamp Europe, on a call for the training team last week. We have like a coffee hour every Friday. Only for me it&#8217;s wine hour because I have a 12 hour difference from everyone else. And he was saying that doesn&#8217;t surprise him at all. And he definitely feels like he logged at least that much as a volunteer for WordCamp Europe.</p>\n\n\n\n<p>So I think there&#8217;s something to be said at least for flagship WordCamps and for that sort of core organising committee who are essentially taking on a second full time job to give them some kind of reason to keep doing that. Otherwise we are just going to keep losing volunteers to people that want to pay them.</p>\n\n\n\n<p>[00:31:47] <strong>Nathan Wrigley:</strong> It&#8217;s interesting as well because, suddenly into my head I&#8217;m thinking, I wonder if there just needs to be a different approach based upon different parts of the world. This is probably going to sound controversial. If anybody&#8217;s listening to this I&#8217;m just throwing it out there. Given what you&#8217;ve described in Australia, I do wonder if the Australian WordPress community needs a different set of parameters applied for a period of time.</p>\n\n\n\n<p>Because there are different constraints, there are different problems, than say you might have in Europe. And it might be that one size doesn&#8217;t fit all, and those considerations could be different for Australia. They could be different for, well pick any part of the world, any country. They might to be judged differently. I don&#8217;t know if that would ever happen, but it&#8217;s certainly an interesting idea.</p>\n\n\n\n<p>[00:32:35] <strong>Jo Minney:</strong> Yeah a hundred percent. And if you&#8217;ve got Matt&#8217;s ear, when we do manage to have our first WordCamp again after the pandemic, we&#8217;d love for him to come visit. Maybe that will help get some more people there. So we do want to make it a primarily Australian event with as many Australian speakers as we can get. But I think having the support and the ear of the global WordPress community would be important.</p>\n\n\n\n<p>[00:32:57] <strong>Nathan Wrigley:</strong> Okay so you&#8217;ve given us one possible way of reinvigorating things. The idea of financial help for, for example, speakers. If there&#8217;s any other ideas you want to just float, go for it.</p>\n\n\n\n<p>[00:33:09] <strong>Jo Minney:</strong> Yeah. So I think something that for me is really hopeful and something that I think is amazing, and I&#8217;m really excited about seeing it happen in the near future. And I&#8217;m not sure how much of this I am meant to be talking about but I&#8217;m going to anyway. And that is the idea that we&#8217;re going to have sort of a contributor tab in the latest WordPress release. Sort of about page.</p>\n\n\n\n<p>And a little bit more information about that because something that has really been a challenge is that, because again, as you said, you don&#8217;t just bump into other contributors here, you have to actually seek that out. And a lot of people don&#8217;t realize that that is something that they can do. That you don&#8217;t need to be able to code to be a contributor.</p>\n\n\n\n<p>And I think that the two things go hand in hand. So by contributing to something you&#8217;re feeling like you&#8217;re part of the community and you feel like you&#8217;re not just giving back to it, but also receiving from it, because you get to be a part of that conversation and the direction of where everything is going.</p>\n\n\n\n<p>And if we can broaden the people who know about that and make sure that they&#8217;re informed. So your average WordPress user or developer has that information sort of plonked in front of them with, hey, did you know that these are a whole bunch of things that you can do that don&#8217;t require you to be an absolute guru at PHP?</p>\n\n\n\n<p>Then I think that that&#8217;s something that&#8217;s going to be really exciting, and hopefully attract more people who historically haven&#8217;t been involved in that community.</p>\n\n\n\n<p>[00:34:36] <strong>Nathan Wrigley:</strong> Great. Any other suggestions or we can move on?</p>\n\n\n\n<p>[00:34:39] <strong>Jo Minney:</strong> I think they&#8217;re the main ones for me. Just trying to increase the representation in any way that we can. I like the idea of the new WordCamps but I&#8217;m not sure that anything has really come up that is the new format for WordCamps. I&#8217;m not sure that anything has really come up that has sounded like it&#8217;s going to be a super fit for us. So if anyone&#8217;s got ideas we&#8217;d love to hear them.</p>\n\n\n\n<p>[00:34:59] <strong>Nathan Wrigley:</strong> Can we just dwell on that for a minute? So I spoke to Angela Jin who is the Automattician who, broadly speaking, she steers in many ways the different bits and pieces. And one of the things that we talked about on a recent podcast episode was about this new idea of WordCamp&#8217;s having a different flavor. Perhaps more localized, perhaps localized around a specific theme.</p>\n\n\n\n<p>So it may be that there would be an SEO one. Or there might be something about blocks. The idea being though that rather than having an event in which everything goes, you would lock it down a little bit and encourage people to attend if they are into that particular niche, if you like. So having looked at those proposals, none of that&#8217;s jumped out. That&#8217;s curious.</p>\n\n\n\n<p>[00:35:46] <strong>Jo Minney:</strong> I think one of the reasons on that for me is that there still seems like there&#8217;s going to be, maybe not 1,200 hours worth of volunteer work, but a significant amount of volunteer work to make it happen. And we&#8217;re struggling to get 20 people at a meetup. So I personally don&#8217;t have the time to put in even 400 hours of volunteer work, or even 50 hours of volunteer work to have eight people show up to an event, and be the only person who is organising and running it.</p>\n\n\n\n<p>[00:36:17] <strong>Nathan Wrigley:</strong> Yeah that does make sense. Obviously you are operating in a completely different system. I think the endeavor of these new WordCamps is to try and shake it up, because I think although the Australian example that you&#8217;ve just described seems to be more severe, I think the feeling has been that over the whole of the international community the numbers have perhaps dwindled a little bit and there are challenges in getting people to come back.</p>\n\n\n\n<p>And so trying new things out, the hope would be that some of it sticks and some good ideas would rise to the surface. But I do like the fact that you&#8217;re open to new ideas. And it may be that somebody in the next year puts on an event which isn&#8217;t an absolute runaway success. And it&#8217;s just quirky in some way that people like, and you may be able to borrow that example.</p>\n\n\n\n<p>[00:37:06] <strong>Jo Minney:</strong> Yeah absolutely. I think two things that I would love to see happen more of in the community in general is local contributor days. So that&#8217;s something that we&#8217;ve tossed around and we&#8217;re fortunate we do have one full time Automattician that lives in my state.</p>\n\n\n\n<p>So he works on Gutenberg, and while he doesn&#8217;t super love public speaking he does get up and do it anyway because he knows that there&#8217;s not really anyone else with the same level of experience and expertise as what he&#8217;s got. So super grateful for that. Tell Dan thank you. But I think having a contributor day locally would be a great way of driving more sort of enthusiasm around the community.</p>\n\n\n\n<p>But to do that we need to have enough people that can help run it. And I&#8217;ve never even been to a contributor day myself, so that&#8217;s not something that I really feel comfortable running. And hopefully that will change after WordCamp US. So I will be going to my first contributor day. I&#8217;m super excited about that. So that&#8217;s something that we&#8217;re hoping to do.</p>\n\n\n\n<p>And another thing that we actually did in 2020 right before the pandemic hit, that I would encourage any other struggling communities to consider as a way to, I guess reinvigorate, but also bring the community closer together. And again, it&#8217;s a huge amount of work, but it is so rewarding. And that&#8217;s the do_action events. So I&#8217;m not sure if you&#8217;ve heard of these before Nathan.</p>\n\n\n\n<p>So we ran a do_action event back in January of 2020, and it was so fun. So much chaos. We built eight charities websites, theoretically in a day. I ended up finishing off most of them over the following six months. But just for the rewarding experience of bringing that community together and seeing a hundred volunteers in a room, trying to use WordPress to help these charities was phenomenal. And I think it&#8217;s probably, when I look at what&#8217;s happening and I&#8217;m like, oh, is it really worth it? I think back to that. And that&#8217;s the thing that keeps me going.</p>\n\n\n\n<p>[00:39:08] <strong>Nathan Wrigley:</strong> During the last few years, has the community, I know that the real world events have been on hold, but have you got a thriving online event set up? Are there things that are going on in these cities which are online and regular and what have you? Or is it really just that even the online stuff has gone away as well?</p>\n\n\n\n<p>[00:39:30] <strong>Jo Minney:</strong> Will did run some online stuff. There&#8217;s a two and a half hour difference between Sydney and Perth, so our community didn&#8217;t attend a lot of that stuff, but I know that he did have some good attendance for a while. I think post pandemic, a lot of people got burned out with Zoom. They just didn&#8217;t want to Zoom all the time. And I get that, a hundred percent get that. I&#8217;m on video calls pretty much all day, every day with my clients. And I think it&#8217;s great that this technology opens up so many doors, but I can also understand that it can be exhausting.</p>\n\n\n\n<p>In terms of things like Slack, we have really struggled to get our local community to use Slack. We actually have a WP Australia workspace, so that has started to bounce back. But it was essentially dead for a couple of years. And there was basically no conversations happening on there.</p>\n\n\n\n<p>Locally, what I&#8217;ve found, we tried a bunch of different platforms. People don&#8217;t go to Meetup. We struggle even to get people that come to our meetups to use Meetup. So, the one that we&#8217;ve had the most success with, which is, sucks for me because I don&#8217;t use it, is Facebook. So we&#8217;ve actually got a local community group on Facebook, and I log in like once or twice a week to check for comments on there, and that&#8217;s the only time I use Facebook, so if that&#8217;s where people are, then that&#8217;s where I&#8217;ll go to try and get them along. But yeah, online not great either, so.</p>\n\n\n\n<p>[00:40:58] <strong>Nathan Wrigley:</strong> Well, I think probably we&#8217;re just approaching the amount of time that we&#8217;ve got. So I will just ask that if anybody is listening to this who feels that they could help, obviously if you&#8217;re in Australia, that would be, I guess, an added bonus. But you know, even if not, if there&#8217;s some way that you feel that you could help. Jo, where would we contact you? Is there an email address or a social handle that you use?</p>\n\n\n\n<p>[00:41:24] <strong>Jo Minney:</strong> I&#8217;m Jo Minney on most socials. I am recently on Mastodon, because I got mad at it being rebranded on the bird, that&#8217;s no longer a bird. And if people want to email me all of my stuff, all of my contact details are on my website. So jominney.com is my personal blog, and always happy to have a chat.</p>\n\n\n\n<p>[00:41:45] <strong>Nathan Wrigley:</strong> Jo Minney, I really appreciate you chatting to me today about the state of the WordPress community in Australia. Thank you so much.</p>\n\n\n\n<p>[00:41:52] <strong>Jo Minney:</strong> Thanks Nathan. It&#8217;s been very fun.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://jominney.com/\">Jo Minney</a>.</p>\n\n\n\n<p>Jo is the founder of a small business that specialises in building websites for organisations, mainly nonprofits and the tech industry. With a background in engineering, Jo decided to shift her focus to website development using WordPress. She was excited about the WordPress community, and joined her local meetup, eventually becoming an organiser. Jo is keen for the WordPress community in Australia to grow, and has been making significant contributions to that growth.</p>\n\n\n\n<p>In this episode, Jo shares her insights on the challenges of organising WordCamps and meetups in Australia, where the large size of the country and small population present some unique obstacles. If you’re used to a European or North American setting, it’s really interesting how the geography of the country presents challenges not seen elsewhere.</p>\n\n\n\n<p>We discuss the importance of paying speakers and covering their travel expenses to create equal opportunities for freelancers and small businesses, as well as to give the Australian community a stronger voice.</p>\n\n\n\n<p>We talk about her journey with WordPress, starting from her early days as a coder in a different field, and navigating the community online. Jo highlights the need for in-person opportunities to learn and connect with others, especially in a global community where time zone differences and online platforms can be limiting.</p>\n\n\n\n<p>We chat about the challenges faced by the Australian WordPress community, from limited resources and burnout, to the struggle of attracting new organisers and attendees. Jo shares some exciting success stories, such as organising WordPress events and hosting a successful do_action event.</p>\n\n\n\n<p>We briefly get into the need for more diverse voices, and the importance of fostering a supportive and inclusive environment</p>\n\n\n\n<p>If you’re interested in hearing about how the WordPress community is doing in Australia, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://www.meetup.com/en-AU/WordPress-Perth/\">WordPress Perth Meetup</a></p>\n\n\n\n<p><a href=\"https://wpaustralia.org/events/\">WP Australia website</a></p>\n\n\n\n<p><a href=\"https://brisbane.wordcamp.org/2019/\">WordCamp Brisbane</a></p>\n\n\n\n<p><a href=\"https://asia.wordcamp.org/2023/\">WordCamp Asia</a></p>\n\n\n\n<p><a href=\"https://doaction.org/\">do_action events</a></p>\n\n\n\n<p><a href=\"https://wpaustralia.slack.com/join/shared_invite/enQtMzMyNzI5NTcyMTY1LWY5NGEwYjAxODExMDY4Y2IxOWRiZTQxZWQzMmI4YjE0NDkzZDU4MjYzODMxYzVmZGJhNzdlZWM1YzRjNWNhYmU#/shared-invite/email\">WP Australia Slack</a></p>\n\n\n\n<p><a href=\"https://www.facebook.com/wpaustralia/\">WP Australia on Facebook</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 23 Aug 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"HeroPress: From WordPress To Emma\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=5766\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"https://heropress.com/essays/from-wordpress-to-emma/#utm_source=rss&utm_medium=rss&utm_campaign=from-wordpress-to-emma\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:10005:\"<img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2023/08/082323-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: WordPress taught me to write, it taught me to code, it taught me to express myself.\" />\nHere is Emma reading her own story aloud.\n\n\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-pre-emma-nbsp\">Pre Emma&nbsp;</h2>\n\n\n\n<p>My parents are both into tech. My dad &#8211; a Computer Engineer, and my mum &#8211; a Semiconductor Engineer, met in the ’80s in Silicon Valley. The romance that started between them eventually led to me, a techy kid who loved doodling on the walls just as much as building computers with her dad.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-kid-emma\">Kid Emma</h2>\n\n\n\n<p>I can remember Y2K, the Covid of its time in the tech world. My dad and his colleagues were at all the server rooms “just in case”, and we celebrated at a Korean Baptist Church “just in case.”</p>\n\n\n\n<p>I remember the first AOL trial CD &#8211; with 30 whole minutes of “FREE” internet, my first IM (instant messenger) username (snugglebunny &#8211; I know, I know), free calls after 9 pm, and putting the phone to your ear only to hear a blasting of eeee-oahhh–eeee–uuuuu that told you the internet was on.&nbsp;</p>\n\n\n\n<p>I also remember when our one family computer turned into three personal ones—no more having to wait your turn. Technology was changing. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Now you could use your home phone and the internet at the same time, and videos went from a 2-day loading speed to 2 hours. </p>\n</blockquote>\n\n\n\n<p>By the time I was in university, we all had the internet in our pockets. I had a laptop that was way too heavy for its size, BUT my dad&#8217;s work computer screen still looked like the matrix.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-uni-emma-nbsp\">Uni Emma&nbsp;</h2>\n\n\n\n<p>My first WordPress interaction happened when I was in university studying Marketing and Strategic Communications. I started a blog about working as a barista for Starbucks. I was learning HTML5/CSS (yeah, way back then), practicing the basics of the technical side but also enjoying the creativity of designing what my “readers” would see, such as fonts, colors, and layout. I was really putting my newfound knowledge to the test. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>I didn’t know it just yet, but I was starting to connect my love for creativity with the tech world.</p>\n</blockquote>\n\n\n\n<p>The days were filled with tweaking code, and the nights were filled with stories. Stories of customers, fellow baristas, and observations watched from afar. The regulars, the missed connections, the extraordinary amount of times someone missed the toilet when they were trying to poo. But that didn’t last long; I got my degree, and life went forward, but my blog stayed behind.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-twenties-emma-nbsp\">Twenties Emma&nbsp;</h2>\n\n\n\n<p>The next time WP made an appearance in my journey was when I started a blog about being a teacher in South Korea. Stories of coffee as the common denominator turned into the tall tales of a not-so-Korean Korean living in a world that she didn’t know much about. The students and teaching were one thing; the community of expats was quite another. Spending time with such a varied group of weirdos was how I realized there is more to life than a 9 to 5. We shared our stories about how we each got there. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Ex-military, farmers, film-extras, photographers, journalists, developers, semi-pro footballers, each sharing where they were from and how they got to where they are now.&nbsp; </p>\n</blockquote>\n\n\n\n<p>With each closed door, another opens, and sometimes more doors than you can imagine. My blog didn’t last long. But the way of life (traveling and meeting interesting strangers) has lasted till now.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-present-emma\">Present Emma</h2>\n\n\n\n<p>Fast forward to now-ish.&nbsp;</p>\n\n\n\n<p>I’m the Head of Content at Hostinger.</p>\n\n\n\n<p>I decided to return to school for Computer Engineering and Cyber Security, so I moved to Lithuania. The goal was to get another degree and a visa to the EU, but instead, I found Hostinger, the perfect sweet spot for tech + marketing. Fast forward through COVID, through my graduation, and re-enter WordPress. I didn’t actually think “work” could get much better until the WP Community was introduced into my life. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>I found out then that all those things my dad used to say about “finding a job that doesn’t feel like work” are actually true.&nbsp;&nbsp;</p>\n</blockquote>\n\n\n\n<p>I’m talking about waking up excited to see what work throws at you, what fires you can put out, what changes you can implement. What can you do today that can make it better than yesterday? That’s when work doesn’t feel like work. That’s when you know you’ve got it good.&nbsp;</p>\n\n\n\n<p>Anyways,&nbsp;</p>\n\n\n\n<p>I joined the WP Slack community, where I was amazed by the number of people, the friendliness, and the amount of information. I had major FOMO for not having had this as a constant in my life until now.</p>\n\n\n\n<p>Enter a new team: Documentation. Now <em>they</em> had their priorities straight. Documentation, words, content, and CONSISTENCY– who knew there was a world of Emma’s out there? Not to mention, it was a collective group of people who were there because they wanted to be there, not because they were told. We all had a common goal. Content may be King, but Consistency is Queen.</p>\n\n\n\n<p>Then came WordCamp Asia 2023. Hellooo, Korean baby Jesus! It was like being thrown into a sea of open doors. Everyone was kind, welcoming, intelligent, silly, happy, joyful… insert 1000 more adjectives here. AND the best part is, everyone is a WordPress nerd and loves to just talk about WP. Was I in WP heaven? </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>I found a place where I could be unapologetically me. Genuine Emma. Not one of the many Emma’s in the world, but this Emma. Me.</p>\n</blockquote>\n\n\n\n<p>Since then, even more doors have opened. I volunteered as an MC. I wanted to see if I could make these stage fright butterflies into something more. I’ve spoken at events and presented at work, but WordCamp was a whole other level. The acceptance, the kudos, and the ease of knowing that everyone was rooting for me to succeed was a breath of fresh air. I took these teachings, experiences, and skils back to Hostinger and it changed the way I led my team and looked at projects, issues, etc.&nbsp;</p>\n\n\n\n<p>So here we are. Volunteering for my 3rd flagship, looking back at my life full of twists and turns with WordPress as my mile markers. I didn’t always realize that it has been a constant in my life. It taught me to write, it taught me to code, it taught me to express myself. It taught me that everyone has a place in WP and all are welcome.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-bonus-nbsp\">Bonus:&nbsp;</h2>\n\n\n\n<p>While revisiting my WordPress journey, I stumbled upon an old post; even though I had to make a few updates to it, it’s a nice TL;DR.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-poet-emma\">Poet Emma</h3>\n\n\n\n<p>There once was a girl<br />Who had more than a skip-and-hop in her step<br />Dancing along a string of lights</p>\n\n\n\n<p>One day she noticed &#8211; in the sea of her peers<br />To the left were wide eyes and skin as pure as snow<br />To the right was darker skin and hair long, silky, with flow</p>\n\n\n\n<p>Her eyes were not as blue as the 7 seas and crystal waters<br />Her eyes were not brown tree rings filled with stories passed down and reincarnated&nbsp;<br />Her eyes told a different story<br />From her white ancestors– a victory ring protecting what was to come&nbsp;<br />With a starburst of wildflowers shining through the heart&nbsp;<br />With speckles of green, and blue, and brown<br />She had a little bit of everyone<br />But it didn&#8217;t turn her frown upside down&nbsp;</p>\n\n\n\n<p>Some of her friends turned red like a tomato<br />Under the hot desert sun<br />While others began to glow a beautiful brown<br />But hid in the shadows till it was gone<br />Her skin did a combo<br />Not red nor brown,&nbsp;<br />Olivey yellow<br />And added a milky way of stars dusted across her nose&nbsp;</p>\n\n\n\n<p>Her friends packed brown paper bags and Superman lunch boxes&nbsp;<br />Filled with tortillas or crustless sandwiches<br />Hers had rice, kim, and a yogortut<br />No one wanted to trade&nbsp;</p>\n\n\n\n<p>Straight A’s were a must!<br />If not, you were grounded<br />She thought this was the same for all the kids<br />But she was wrong&nbsp;</p>\n\n\n\n<p>Fast forward 20 years<br />Her eyes have seen the world&nbsp;<br />Dipped her toes in the 5000 islands<br />Scaled waterfalls after riding her bike up a mountain&nbsp;<br />Jumped from a plane over sand, water, and snow<br />Tickled her taste buds from bugs to Van Gogh&nbsp;</p>\n\n\n\n<p>Her eyes have not changed<br />But other have<br />She no longer is the girl who gets the question, why are her eyes like that?<br />But she is now the girl who gets the question, how do I get eyes like that?&nbsp;</p>\n\n\n\n<p>She no longer longs for her freckles to be gone<br />But now appreciates them as they come, and miss them when they&#8217;re gone<br />She no longer wonders why studying was an important loop<br />But now she is always ahead and has a stronger work ethic</p>\n\n\n\n<p>She still wonders<br />She still looks with her eyes<br />The same eyes that were once filled with confusion and doubt<br />But now her eyes embrace it&nbsp;<br />And are ready for the next route</p>\n<p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/from-wordpress-to-emma/\">From WordPress To Emma</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 23 Aug 2023 12:07:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Emma Young\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Matt: I Love WordCamps!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=95743\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://ma.tt/2023/08/i-love-wordcamps/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5867:\"<p>One of the cooler things the WordPress community started doing <a href=\"https://sf.wordcamp.org/2006/\">in 2006</a> was putting on these events we called WordCamps. <a href=\"https://us.wordcamp.org/2023/\">A big one is about to kick off in National Harbor, Maryland</a> (which is basically Washington DC, but we&#8217;re calling it National Harbor for some reason).</p>\n\n\n\n<p>You might be wondering where the name came from: Tim O&#8217;Reilly, of the <a href=\"https://www.oreilly.com/\">O&#8217;Reilly books</a> that so many of us learned from, hosted a hacker event called <a href=\"https://en.wikipedia.org/wiki/Foo_Camp\">Foo Camp</a> but it had limited capacity, and was therefore something of an exclusive invite (one time I eventually went I slept in a sleeping bag in an office).  <a href=\"https://tantek.com/\">Tantek Çelik</a> had been invited the year before, but not in 2005, and I had never been invited, so a group of us put together a more &#8220;open source&#8221; event in response called <a href=\"https://en.wikipedia.org/wiki/BarCamp\">BarCamp</a>. (The name was an allusion to the foo/bar concept in teaching programming, and <a href=\"https://en.wikipedia.org/wiki/BarCamp#/media/File:BarCamp_originators.jpg\">the picture</a> on that Wikipedia page was in the living room of my first apartment in San Francisco, as you can tell by the stand-up piano and <a href=\"https://www.youtube.com/watch?v=b_Fp4znXvOg\">Thelonious Monk</a> poster.)</p>\n\n\n\n<p>Foo had the idea of a conference created on-the-fly by its organizers, and also had a radical event where there wasn&#8217;t even lodging but all that mattered was getting people together. Bar took that format and opened up the invite list, and did it quickly with just a few weeks of planning. They also open sourced the format so BarCamps could be hosted anywhere in the world, and many were. The following year I riffed on that and made the <a href=\"https://sf.wordcamp.org/2006/\">first WordCamp in San Francisco</a>, at the <a href=\"https://en.wikipedia.org/wiki/Cafe_Du_Nord\">Swedish American Music Hall</a>, the <a href=\"https://www.weareasgods.film/\">same place Stewart Brand hosted the first hackers conference in the 70s</a>. (We didn&#8217;t know that at the time, it was just a coincidence.)</p>\n\n\n\n<p>WordCamp took the everyone-is-welcome from Bar, mixed it with the attendees-create-the-conference from Foo, added a little more structure and planning so we ended up with these <a href=\"https://central.wordcamp.org/\">really groovy community-organized events all over the world</a> where people come together to learn, contribute, get to know each other, and have fun. WordCamp San Francisco evolved into <a href=\"https://us.wordcamp.org/\">WordCamp US</a>, our flagpole event for North America. (I like that US can mean &#8220;us&#8221; as well as United States.) There have been hundreds of WordCamps around the world, and when we were getting started I used to go to all of them; if someone put one together I&#8217;d cram into an economy seat and fly there. I can&#8217;t make it to all of them anymore, but I still go as many as I can, and they&#8217;re some of my favorite days of the entire year.</p>\n\n\n\n<p>It&#8217;s so cool to see a group of people from the eclectic backgrounds come together because we love making the thing that allows people to make the thing. (WordPress.) You&#8217;ll see CEOs of multi-hundred million ARR companies brushing shoulders with techno-anarchists, all brought together by a common hope and belief in the <a href=\"https://ma.tt/2014/01/four-freedoms/\">four freedoms of open source</a> and the mission of WordPress—to democratize publishing, put the best tools in the world in the hands of everyone, for free and for freedom.</p>\n\n\n\n<p>This year&#8217;s WordCamp US is exciting to me for a bunch of reasons. One, I love spending time with other contributors to open source. Second, WordCamp organizers iterate and learn, and so every year I&#8217;m excited to see what&#8217;s being trialed and what&#8217;s improved, because they just keep getting better and better. Third, we&#8217;re doing a community summit beforehand for the first time in a while, which is why I&#8217;m already in Maryland. Finally, on the <a href=\"https://communitysummit.wordcamp.org/2023/schedule/\">amazing schedule</a> are two speakers I&#8217;ve invited to bring something new to our milieu.</p>\n\n\n\n<p><a href=\"https://kenliu.name/\">Ken Liu</a> is one of my favorite sci-fi writers and will be giving an amazing talk weaving together the history of narrative craft and modern publishing and technology. I&#8217;ve read almost everything he&#8217;s written or translated, and seen him talk once before, and couldn&#8217;t be more curious to hear what he&#8217;s bringing to the WordPress community.</p>\n\n\n\n<p><a href=\"https://simonwillison.net/\">Simon Willison</a> is an engineer and blogger I&#8217;ve followed since the earliest days of WordPress, and recently he&#8217;s been one of the most interesting explorers in the new world of <a href=\"https://simonwillison.net/tags/llms/\">AI and LLMs</a>. He&#8217;ll be sharing with us how to tap into this new alien intelligence, how it can accelerate our coding, security, and mission to democratize publishing.</p>\n\n\n\n<p>So if you ever have a chance to go to a WordCamp, take it! It may be too late for this one, but you can follow the livestream (visit <a href=\"https://us.wordcamp.org/2023/\">the site</a> once the conference starts), and plan for next year. We also make sure all the talks accessible <a href=\"https://wordpress.tv/\">on WordPress.tv</a> later.</p>\n\n\n\n<p>Foo Camps still happen, by the way, and have branched into science and such, and who gets invited is a whole deal. They&#8217;re still awesome.</p>\n\n\n\n<p>I hope what people see here is that creativity and doing generates more creativity and doing.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 22 Aug 2023 23:30:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:139:\"WPTavern: WordPress Coding Standards Maintainer Warns Maintenance Will Be Halted Without Funding: “This Is an Unsustainable Situation.”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=148049\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:142:\"https://wptavern.com/wordpress-coding-standards-maintainer-warns-maintenance-will-be-halted-without-funding-this-is-an-unsustainable-situation\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4425:\"<p><a href=\"https://github.com/WordPress/WordPress-Coding-Standards/releases/tag/3.0.0\">WordPressCS 3.0.0</a> was <a href=\"https://make.wordpress.org/core/2023/08/21/wordpresscs-3-0-0-is-now-available/\">released</a> this week with what its maintainer, Juliette Reinders Folmer, says are significant changes to improve the accuracy, performance, stability, and maintainability of all sniffs, and its handling of modern PHP. The project is a collection of <a href=\"https://github.com/squizlabs/PHP_CodeSniffer\">PHP_CodeSniffer</a> rules (sniffs) that are used to validate code developed for WordPress, helping developers meet the requirements of the official <a href=\"https://make.wordpress.org/core/handbook/best-practices/coding-standards/\">WordPress Coding Standards</a>.</p>\n\n\n\n<p>This update adds many of the non-controversial rules <a href=\"https://make.wordpress.org/core/2020/03/20/updating-the-coding-standards-for-modern-php/\">proposed in March 2020</a> to the Coding standards guidelines but leaves those that generated more discussion or objections for a future release. Many of the new rules are now available as sniffs in WordPressCS.</p>\n\n\n\n<p>Version 3.0.0 includes important architecture changes. Most notably, Composer is now the only supported way to install WordPressCS, as this update includes four run-time dependencies. The release contains breaking changes for those using ignore annotations and those who maintain custom rulesets or have created a custom PHPCS standard based on the project. A <a href=\"https://github.com/WordPress/WordPress-Coding-Standards/wiki/Upgrade-Guide-to-WordPressCS-3.0.0-for-Developers-of-external-standards\">detailed upgrade guide</a> is available for these various scenarios.</p>\n\n\n\n<p>WordPressCS is largely maintained by Folmer and a small group of volunteers, but the future of the project is in jeopardy if they cannot get funding. Folmer said it is currently in a good place with this release but this will not last long with the pace at which PHP is moving.</p>\n\n\n\n<p>&#8220;WordPressCS 3.0.0 has cost thousands of hours of work and the vast majority of work has been done by one, mostly unpaid, contributor, with code review support from two fellow maintainers,&#8221; she said.</p>\n\n\n\n<p>&#8220;Unless funding is found to continue maintaining WordPressCS and its dependencies, the future is bleak and maintenance will be halted.&#8221;</p>\n\n\n\n<p>Folmer is calling on corporation and agency users of WordPressCS to find a way to fund the project&#8217;s continued maintenance and development. She elaborated on the dire need to have more contributors involved:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>If we are being realistic, the&nbsp;<a href=\"https://en.wikipedia.org/wiki/Bus_factor\">bus factor</a>&nbsp;of WordPressCS is&nbsp;<strong>1</strong>, which is the most dangerous situation for any project to be in.</p>\n\n\n\n<p>A large part of the WordPress community, including WordPress Core, relies heavily on the WordPress Coding Standards for code quality and security checks and while the community has been pretty vocal with copious complaints about the delayed release, barely anyone has stepped up and actually contributed.</p>\n\n\n\n<p>The majority of the work for WordPressCS requires specialized knowledge. Knowledge which can be learned with enough time investment, but in recent years nobody has stepped up to do so.</p>\n\n\n\n<p><strong><em>This is an unsustainable situation and it ends now</em></strong>.</p>\n</blockquote>\n\n\n\n<p>WordPressCS has become one of the most highly used open source tools in the WordPress ecosystem that is now in a vulnerable place with so few contributors. Although many developers commented on the release, thanking Folmer for her efforts, no contributors or corporations have publicly stepped forward to support the project&#8217;s continued develpment.</p>\n\n\n\n<p>&#8220;With over 15 million installations on Packagist and a 400% increase in monthly installation in the past three years alone, WPCS’s popularity is surging and shows no sign of stopping,&#8221; Lucas Bustamante, a backend developer specialized in automated tests, commented on the post. &#8220;The situation is alarming as WPCS is a foundational tool that flags not only code style issues but also critical security issues, making WordPress a more secure CMS. Letting WPCS fall into limbo poses a risk to the entire WordPress ecosystem.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 22 Aug 2023 20:55:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"Do The Woo Community: All About the Page Builder Summit with Anchen and Nathan\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=76079\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://dothewoo.io/all-about-the-page-builder-summit-with-anchen-and-nathan/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:434:\"<p>We chat about the Page Builder Summit, how it started, what it takes to run the summit and what you can expect in September.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/all-about-the-page-builder-summit-with-anchen-and-nathan/\">All About the Page Builder Summit with Anchen and Nathan</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 22 Aug 2023 08:07:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:107:\"WPTavern: New Chrome Browser Extension Enables One-Click Plugin and Theme Testing with WordPress Playground\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147997\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"https://wptavern.com/new-chrome-browser-extension-enables-one-click-plugin-and-theme-testing-with-wordpress-playground\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4052:\"<p><a href=\"https://developer.wordpress.org/playground/\">WordPress Playground</a>, an experimental project that uses WebAssembly (WASM) to&nbsp;<a href=\"https://wptavern.com/new-prototype-runs-wordpress-in-the-browser-with-no-php-server\">run WordPress in the browser</a>,&nbsp;makes it possible for users to quickly test plugins and themes without having to set up a local development environment.</p>\n\n\n\n<p>Ordinarily, testing a plugin or theme with Playground requires visiting&nbsp;<a rel=\"noreferrer noopener\" href=\"https://playground.wordpress.net/\" target=\"_blank\"><code>playground.wordpress.net</code></a>, which will&nbsp;instantly create a real WordPress instance with admin access without having to install PHP, MySQL, or Apache. It runs inside the browser using a SQLite database. Adding a plugin or theme to the instance is as easy as appending the slug to the URL when creating the test site: </p>\n\n\n\n<p><a href=\"https://playground.wordpress.net/?plugin=gutenberg\">https://playground.wordpress.net/?plugin=gutenberg</a></p>\n\n\n\n<p><a href=\"https://playground.wordpress.net/?theme=lemmony-agency\">https://playground.wordpress.net/?theme=lemmony-agency</a></p>\n\n\n\n<p>A new Chrome browser extension, created by LUBUS, a development agency, makes this even easier by adding a &#8220;Playground&#8221; button to theme and plugin pages on WordPress.org. Users can fire up a sandbox instance to test drive a theme or plugin in just one click. </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1470\" height=\"853\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/wordpress-playground-browser-extension-lubus.png\" alt=\"\" class=\"wp-image-148029\" />\n\n\n\n<p>I tested the extension and it works as advertised. It&#8217;s a neat little shortcut for launching a Playground instance without having to remember the URL or get the plugin/theme&#8217;s slug to append to it. The video below shows a site created with a selected plugin installed in under 20 seconds.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n\n\n\n\n<p>&#8220;We have been using Playground internally a lot for testing out plugins, and quick demos for internal or client meetings,&#8221; LUBUS founder Ajit Bohra said. &#8220;We often find a plugin or theme which we would like to test drive. It involves copying the slug of the theme or plugin and using them in the URL. To make this quick we thought of building and quick browser extension to add a button on wordpress.org to quickly launch a plugin or theme in the Playground.&#8221;</p>\n\n\n\n<p>Bohra posted his process of creating the extension in a <a href=\"https://twitter.com/ajitbohra/status/1692408702962393256\">thread</a> on X. He used the <a href=\"https://www.plasmo.com/\">Plasmo framework</a>, which offers a dedicated runtime for building browser extensions, taking the project from idea to built in approximately 30 minutes.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">For POC code wise all we need to get the required button on the plugin page. <a href=\"https://t.co/2lEV2H4q0K\">pic.twitter.com/2lEV2H4q0K</a></p>&mdash; Ajit Bohra (@ajitbohra) <a href=\"https://twitter.com/ajitbohra/status/1692415787791958085?ref_src=twsrc%5Etfw\">August 18, 2023</a></blockquote>\n</div>\n\n\n\n<p>Bohra said the browser extension is currently a proof of concept that he would like to further extend with more settings based on feedback from users. He also hopes to collaborate with the Meta team in the future to see something like this added to the plugin and theme pages on WordPress.org so that users don&#8217;t have to rely on a browser extension.</p>\n\n\n\n<p>The Chrome extension is called &#8220;<a href=\"https://chrome.google.com/webstore/detail/open-in-wordpress-playgro/khfpfafeepbfdhggfoalfmbhkmjkolmo/related\">Open in WordPress Playground</a>&#8221; and is available to the public for free on the Chrome Web Store. The code is <a href=\"https://github.com/lubusIN/wp-playground-browser-extension\">open source on GitHub</a> and open for contribution.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 22 Aug 2023 00:56:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"Do The Woo Community: Podcasting and Doing the Woo at WordCamp US 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=76107\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://dothewoo.io/podcasting-and-doing-the-woo-at-wordcamp-us-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:411:\"<p>Better late than never. Been thinking and talking about WordCamp US for the past few months, so yes, I will be there.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/podcasting-and-doing-the-woo-at-wordcamp-us-2023/\">Podcasting and Doing the Woo at WordCamp US 2023</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 13:09:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:164:\"Post Status: Translations Across the Project • Admin Design • New Blocks Page • Working Group on Organizations Supporting WordPress • Contributor Mentorship\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:159:\"https://poststatus.com/translations-across-the-project-admin-design-new-blocks-page-working-group-on-organizations-supporting-wordpress-contributor-mentorship/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:159:\"https://poststatus.com/translations-across-the-project-admin-design-new-blocks-page-working-group-on-organizations-supporting-wordpress-contributor-mentorship/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19033:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (August 7, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">With just a few days before Community Summit, Contributor Day, and WordCamp US, many initiatives across the project are gearing up for time well-spent together. Docs, Training, and several other teams are joining together to work on translations and localizations in a way that supports Gutenberg Phase 4 Multilingual.The Design team is working on the&hellip; </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box150145_a5ac79-bb\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kadence-dynamic-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">Translations, Dashboard Redesign, Blocks page, Supporting Orgs, Mentorship</h2><p class=\"kt-blocks-info-box-text\">  <a href=\"https://make.wordpress.org/polyglots/2023/08/15/discussion-for-a-proposal-for-wp-org-content-translation-and-localization/\">Discussion for a proposal for WP.org content translation and localization</a><br /><br />  <a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">Admin Design Kickoff</a><br /><br />  <a href=\"https://make.wordpress.org/meta/2023/08/11/introducing-wordpress-org-blocks/\">Introducing WordPress.org/blocks</a><br /><br />  <a href=\"https://make.wordpress.org/meta/2023/08/09/organizations-supporting-wordpress-org/\">Organizations Supporting WordPress.org</a><br /><br /> &#x200d;  <a href=\"https://make.wordpress.org/project/2023/08/11/the-inaugural-cohort-of-the-wordpress-contributor-mentorship-program-has-concluded/\">The Inaugural Cohort of the WordPress Contributor Mentorship Program has Concluded</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-150145_9cb3a4-58\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-150145_050cc2-2e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-2 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://jeanbaptisteaudras.com/2023/08/contribution-stats-for-wordpress-6-3-lionel/\">Contribution Stats for WordPress 6.3 « Lionel »</a></blockquote>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-7 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-5 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/08/16/contributor-working-group-mentorship-chat-agenda-august-17th-0700-utc-apac-emea-and-1600-utc-amer/\">Contributor Working Group: Mentorship Chat Agenda | August 17th 07:00 UTC (APAC/EMEA) and 16:00 UTC (AMER)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/14/wcus-2023-community-team-event-at-contributor-day/\">WCUS 2023: Community Team event at Contributor Day</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/09/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-august-9-2023/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on August 9, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/16/a-week-in-core-august-14-2023/\">Two Weeks in Core – August 14, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/15/status-update-on-the-interactivity-api/\">Status update on the Interactivity API</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" target=\"_blank\" rel=\"noreferrer noopener\">Admin Design</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">Admin Design Kickoff</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/08/whats-new-for-developers-august-2023/\">What’s new for developers? (August 2023)</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/15/dev-chat-agenda-august-16-2023/\">Dev Chat agenda, August 16, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/14/editor-chat-agenda-16-august-2023/\">Editor Chat Agenda: 16 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/design\">Design</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/design/2023/08/14/design-share-jul-31-aug-11/\">Design Share: Jul 31-Aug 11</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">Admin Design Kickoff</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/08/15/agenda-for-docs-team-bi-weekly-meeting-august-15-2023/\">Agenda for Docs Team bi-weekly meeting August 15, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/14/documentation-team-update-august-14-2023/\">Documentation Team Update – August 14, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/08/16/hosting-team-meeting-agenda-8-16-2023/\">Hosting Team Meeting Agenda 8-16-2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/wordpress-hosting-survey/\">WordPress Hosting Survey</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/07/10/notes-global-marketing-team-meeting-4-july-2023/\">Notes: Global Marketing Team meeting, 4 July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/14/marketing-team-update-the-first-half-of-2023/\">Marketing Team Update: The first half of 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/08/11/introducing-wordpress-org-blocks/\">Introducing WordPress.org/blocks</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/08/09/organizations-supporting-wordpress-org/\">Organizations Supporting WordPress.org</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/08/03/matrix-chat-summary-august/\">Matrix chat Summary – August 3, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/08/mobile-team-update-august-8th/\">Mobile Team Update – August 8th</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/08/07/last-week-openverse-2023-07-31-2023-08-07/\">A week in Openverse: 2023-07-31 – 2023-08-07</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/28/openverse-monthly-priorities-meeting-2023-08-02/\">Openverse Monthly Priorities Meeting 2023-08-02</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/15/performance-chat-summary-15-august-2023/\">Performance Chat Summary: 15 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/14/plugin-review-team-14-august-2023/\">Plugin Review Team: 14 August 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/16/agenda-weekly-polyglots-chat-august-16-2023-1300-utc/\">Agenda: Weekly Polyglots Chat – August 16, 2023 (13:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/15/discussion-for-a-proposal-for-wp-org-content-translation-and-localization/\">Discussion for a proposal for WP.org content translation and localization</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/08/11/the-inaugural-cohort-of-the-wordpress-contributor-mentorship-program-has-concluded/\">The Inaugural Cohort of the WordPress Contributor Mentorship Program has Concluded</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/07/28/sustainability-chat-summary-july-28-2023/\">Sustainability Chat Summary, July 28, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/08/15/test-team-reps-call-for-nominations-3/\">Test Team Reps: Call for Nominations</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/08/15/test-team-at-wcus-2023/\">Test Team at WCUS 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/14/test-team-update-14-august-2023/\">Test Team Update: 14 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/08/11/blue-note-the-second-community-theme-is-released/\">Blue Note: The second community theme is released</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/15/themes-team-update-august-15-2023/\">Themes team update August 15, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/08/04/wcus-contributor-day-tutorials-workshop-in-person-remote/\">WCUS Contributor Day: Tutorials Workshop (In-Person &amp; Remote)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/03/introducing-the-training-team-guide-program/\">Introducing the Training Team Guide Program!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">Announcing the first Learn WordPress Course Cohort.</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/14/training-team-meeting-recap-8th-august-2023/\">Training Team Meeting Recap – 8th August 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/embedding-media-and-third-party-content-on-your-website/\">Embedding media and third-party content on your website</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/testing-your-plugins-for-php-version-compatibility/\">Testing your plugins for PHP version compatibility</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=https-www-meetup-com-learn-wordpress-online-workshops-events-295453051\">The Wide World of WordPress Events</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=contributing-to-the-learn-wordpress-platform-part-1\">Contributing to the Learn WordPress platform – part 1</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=whats-new-for-developers-august-2023\">What’s new for developers? (August 2023)</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-12\">WP dev livestream: Sendig block theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=training-team-contributor-hour\">Training Team Contributor Hour</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=website-auditing-and-conversion-optimization\">Website auditing and conversion optimization</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wordpress-database-optimization-and-maintenance\">WordPress database optimization and maintenance</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=creating-a-contact-page\">Creating a contact page</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/tv\">WordPress TV</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/tv/2023/06/15/enhancing-slide-management-for-video-publications/\">Enhancing Slide Management for Video Publications</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://github.com/PHPMailer/PHPMailer/releases/tag/v6.8.0\">PHPMailer 6.8.0</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong>   <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>.  </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"Post Status: WordPress 6.3 • Release Workflows • European Union Cyber Resiliency Act • Gutenberg Accessibility\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://poststatus.com/wordpress-6-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://poststatus.com/wordpress-6-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:18225:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (August 7, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">WordPress 6.3, Lionel, has been released. It&#8217;s time to test out the details and footnotes blocks, give the WP_DEVELOPMENT_MODE a try, and check out the new Get Involved tab on the Welcome screen. The WordPress Training team announces its first course cohort for Learn.WordPress.org. The course will cover Developing Your First WordPress Block, and offer&hellip; </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kadence-dynamic-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"> WP 6.3, 1st LearnWP Cohort, EU CRA</h2><p class=\"kt-blocks-info-box-text\">  <a href=\"https://wordpress.org/news/2023/08/lionel/\">WordPress 6.3 “Lionel”</a><br /><br /> &#x200d;  <a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">Announcing the first Learn WordPress Course Cohort</a><br /><br /> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2934.png\" alt=\"⤴\" class=\"wp-smiley\" /><a href=\"https://make.wordpress.org/core/2023/08/01/proposal-improve-the-editor-tech-workflow-for-major-releases/\">Proposal: improve the editor tech workflow for major releases</a><br /><br />  <a href=\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\">Concerns over the European Union’s Cyber Resilience Act (CRA)</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/08/lionel/\">WordPress 6.3 “Lionel”</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\">Concerns over the European Union’s Cyber Resilience Act (CRA)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/contribute\">Contribute</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-9 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-14 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-12 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/08/07/matrix-test-results/\">Matrix Test Results</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/new-github-feature-request-separating-access-to-the-meetup-and-wordcamp-trackers/\">New GitHub Feature Request: Separating access to the Meetup and WordCamp trackers</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/community-team-meeting-agenda-for-3-august-2023/\">Community Team Meeting Agenda for 3 August, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/recap-inaugural-nextgen-pilot-events/\">Recap: Inaugural NextGen Pilot Events</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/whose-ticket-is-it-anyway/\">Whose ticket is it, anyway?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/proposal-improve-the-editor-tech-workflow-for-major-releases/\">Proposal: improve the editor tech workflow for major releases</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/07/wordpress-6-3-performance-improvements/\">WordPress 6.3 performance improvements</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" rel=\"noreferrer noopener\">Admin Design</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/08/styling-blocks-empowering-users-with-css-custom-properties/\">Styling blocks: empowering users with CSS custom properties</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/09/dev-chat-agenda-august-9-2023/\">Dev Chat agenda, August 9, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/07/editor-chat-agenda-9-august-2023/\">Editor Chat Agenda: 9 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/08/04/summary-for-docs-team-meeting-august-1-2023/\">Summary for Docs Team meeting, August 1, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/07/documentation-team-update-august-7-2023/\">Documentation Team Update – August 7, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/wordpress-hosting-survey/\">WordPress Hosting Survey</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/08/09/organizations-supporting-wordpress-org/\">Organizations Supporting WordPress.org</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/20/make-team-dashboards/\">Make Team Dashboards</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/15/triaging-open-issues-on-trac-for-make-teams/\">Triaging open issues on Trac for Make Teams</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/08/mobile-team-update-august-8th/\">Mobile Team Update – August 8th</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/08/07/last-week-openverse-2023-07-31-2023-08-07/\">A week in Openverse: 2023-07-31 – 2023-08-07</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/28/openverse-monthly-priorities-meeting-2023-08-02/\">Openverse Monthly Priorities Meeting 2023-08-02</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/08/performance-chat-summary-8-august-2023/\">Performance Chat Summary: 8 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/07/plugin-review-team-7-august-2023/\">Plugin Review Team: 7 August 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/09/adding-some-meta-buttons-always-visible/\">Adding some meta buttons always visible</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/09/new-wordpress-org-theme-for-your-rosetta-site/\">New WordPress.org Theme for your Rosetta Site</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/07/13/proposal-for-establishing-a-make-diversity-equity-inclusion-and-belonging-deib-team-within-the-wordpress-community/\">Proposal for Establishing a Make Diversity, Equity, Inclusion, and Belonging (“DEIB”) Team within the WordPress Community</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/07/28/sustainability-chat-summary-july-28-2023/\">Sustainability Chat Summary, July 28, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/07/test-team-update-7-august-2023/\">Test Team Update: 7 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/08/07/themes-team-meeting-agenda-for-august-08-2023/\">Themes team meeting agenda for August 08, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/08/themes-team-update-august-08-2023/\">Themes team update August 08, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/08/04/wcus-contributor-day-tutorials-workshop-in-person-remote/\">WCUS Contributor Day: Tutorials Workshop (In-Person &amp; Remote)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/03/introducing-the-training-team-guide-program/\">Introducing the Training Team Guide Program!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">Announcing the first Learn WordPress Course Cohort.</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/exploring-wordpress-6-3/\">Exploring WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/how-to-use-the-spacer-block/\">How to use the spacer block</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=what-is-the-domain-name-system-6\">What is the Domain Name System?</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=what-is-the-domain-name-system-5\">What is the Domain Name System?</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=training-team-contributor-day-online-session-2\">Training Team Contributor Day Online Session</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=common-wordpress-apis-global-variables\">Common WordPress APIs: Global Variables</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-11\">WP dev livestream: Sendig block theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=%E3%83%95%E3%83%AB%E3%82%B5%E3%82%A4%E3%83%88%E7%B7%A8%E9%9B%86%E3%81%A7%E5%AE%9F%E9%9A%9B%E3%81%AB%E3%82%B5%E3%82%A4%E3%83%88%E3%82%92%E4%BD%9C%E3%81%A3%E3%81%A6%E3%81%BF%E3%82%88%E3%81%86%EF%BC%81\">フルサイト編集で実際にサイトを作ってみよう！</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=contributing-to-the-wordpress-community-team-events-and-roles\">Contributing to the WordPress Community Team: Events and Roles</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=hallway-hangout-extending-blocks-with-custom-design-tools\">Hallway Hangout: Extending blocks with custom design tools</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-start-contributing-to-the-wordpress-core\">How to start contributing to the WordPress Core</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/tv\">WordPress TV</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/tv/2023/06/15/enhancing-slide-management-for-video-publications/\">Enhancing Slide Management for Video Publications</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://github.com/PHPMailer/PHPMailer/releases/tag/v6.8.0\">PHPMailer 6.8.0</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong>   <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>.  </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:125:\"Post Status: WordPress 6.3 RC3 • Cyber Resilience Act • Accessibility in Block Editing • Merging Gutenberg during Alpha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"https://poststatus.com/wordpress-6-3-rc3-cyber-resilience-act-accessibility-in-block-editing-merging-gutenberg-during-alpha/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"https://poststatus.com/wordpress-6-3-rc3-cyber-resilience-act-accessibility-in-block-editing-merging-gutenberg-during-alpha/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:24892:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (July 30, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">What do WordPress, Drupal, Joomla, and TYPO3 have in common? Leaders across these Content Management Systems have come together to express their concerns and seek dialogue with EU legislators regarding the proposed Cyber Resilience Act. They emphasize the vital role of Free and Open Source Software in fostering innovation, security, and economic prosperity. We&#8217;re just&hellip; </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kadence-dynamic-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"> WP 6.3, Whose Ticket, Merging Gutenberg during Alpha, and EU CRA</h2><p class=\"kt-blocks-info-box-text\">  <a href=\"https://wordpress.org/news/2023/08/wordpress-6-3-rc3/\">WordPress 6.3 RC3</a><br /><br />  <a href=\"https://make.wordpress.org/core/2023/08/01/whose-ticket-is-it-anyway/\">Whose ticket is it, anyway?</a><br /><br /> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2934.png\" alt=\"⤴\" class=\"wp-smiley\" /><a href=\"https://make.wordpress.org/core/2023/08/01/proposal-improve-the-editor-tech-workflow-for-major-releases/\">Proposal: improve the editor tech workflow for major releases</a><br /><br />  <a href=\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\">Concerns over the European Union’s Cyber Resilience Act (CRA)</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\">Concerns over the European Union’s Cyber Resilience Act (CRA)</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/08/wordpress-6-3-rc3/\">WordPress 6.3 RC3</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/people-of-wordpress-ihtisham-zahoor/\">People of WordPress: Ihtisham Zahoor</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\">Synced Patterns: The Evolution of Reusable Blocks</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-17 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\">WordPress 6.3</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/wordpress-6-3-release-day-process/\">WordPress 6.3 Release Day Process</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\">WordPress 6.3 Release Candidate 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-3-accessibility-improvements/\">WordPress 6.3 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-1/\">WordPress 6.3 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-2-release-candidate-phase-2/\">WordPress 6.3 Release Candidate Phase</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/30/6-3-release-parties-schedule-and-hosts/\">6.3 Release Parties Schedule and hosts</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">WordPress 6.3 Beta 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/05/25/wordpress-6-3-design-kickoff/\">WordPress 6.3 design kickoff</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/25/bug-scrub-schedule-for-6-3/\">Bug Scrub Schedule for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/wordpress-6-3-planning-roundup/\">WordPress 6.3 Planning Roundup</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/roadmap-to-6-3/\">Roadmap to 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\">WordPress 6.3 Field Guide and Dev-Notes</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-block-selectors-api/\">Introducing the Block Selectors API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Introducing the WordPress Command Palette API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/layout-updates-in-the-editor-for-wordpress-6-3/\">Layout updates in the editor for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/social-icons-block-applied-colors-now-dynamically-update-based-on-theme-json-and-global-styles/\">Social Icons block: Applied colors now dynamically update based on theme.json and Global Styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-editor-changes-in-wordpress-6-3/\">Miscellaneous Editor changes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/bundled-themes-dropping-internet-explorer-scripts-and-styles/\">Bundled themes dropping Internet Explorer scripts and styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/improvements-to-the-cache-api-in-wordpress-6-3/\">Improvements to the Cache API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/configuring-development-mode-in-6-3/\">Configuring development mode in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">I18N Improvements in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/image-performance-enhancements-in-wordpress-6-3/\">Image performance enhancements in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/wp_query-used-internally-in-get_pages/\">WP_Query used internally in get_pages()</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/registering-scripts-with-async-and-defer-attributes-in-wordpress-6-3/\">Registering scripts with `async` and `defer` attributes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/improved-caching-for-database-queries-in-wp_user_query/\">Improved Caching for Database Queries in WP_User_Query</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-developer-changes-in-wordpress-6-3/\">Miscellaneous developer changes in WordPress 6.3</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-22 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-20 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/08/04/accessibility-team-meeting-agenda-august-4-2023/\">Accessibility Team Meeting Agenda: August 4, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/accessibility/2023/08/04/testing-matrix/\">Testing Matrix</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/new-github-feature-request-separating-access-to-the-meetup-and-wordcamp-trackers/\">New GitHub Feature Request: Separating access to the Meetup and WordCamp trackers</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/community-team-meeting-agenda-for-3-august-2023/\">Community Team Meeting Agenda for 3 August, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/recap-inaugural-nextgen-pilot-events/\">Recap: Inaugural NextGen Pilot Events</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/whose-ticket-is-it-anyway/\">Whose ticket is it, anyway?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/proposal-improve-the-editor-tech-workflow-for-major-releases/\">Proposal: improve the editor tech workflow for major releases</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/a-week-in-core-july-31-2023/\">A Week in Core – July 31, 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" rel=\"noreferrer noopener\">Admin Design</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/08/beyond-block-styles-part-3-building-custom-design-tools/\">Beyond block styles, part 3: building custom design tools</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/08/understand-and-use-wordpress-nonces-properly/\">Understand and use WordPress nonces properly</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-2-building-a-custom-style-for-the-separator-block/\">Beyond block styles, part 2: building a custom style for the Separator block</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/dev-chat-agenda-august-1-2023/\">Dev Chat agenda, August 2, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/08/04/summary-for-docs-team-meeting-august-1-2023/\">Summary for Docs Team meeting, August 1, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/08/01/summary-for-docs-team-meeting-jul-18-2023/\">Summary for Docs Team meeting, Jul 18, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/08/02/hosting-team-meeting-agenda-2023-08-02/\">Hosting Team meeting agenda 2023-08-02</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/wordpress-hosting-survey/\">WordPress Hosting Survey</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/08/03/matrix-chat-summary-august/\">Matrix chat Summary – August 3, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/20/make-team-dashboards/\">Make Team Dashboards</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/15/triaging-open-issues-on-trac-for-make-teams/\">Triaging open issues on Trac for Make Teams</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/11/linking-to-supporting-orgs/\">Linking to Supporting Orgs</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/31/last-week-openverse-2023-07-24-2023-07-31/\">A week in Openverse: 2023-07-24 – 2023-07-31</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/28/openverse-monthly-priorities-meeting-2023-08-02/\">Openverse Monthly Priorities Meeting 2023-08-02</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/performance-chat-summary-25-july-2023-2/\">Performance Chat Summary: 1 August 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/01/core-performance-team-update-july-2023/\">Core Performance Team Update: July 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/07/24/tackling-team-challenges-together/\">Tackling team challenges together</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/31/plugin-review-team-31-jul-2023/\">Plugin Review Team: 31 Jul 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/03/cross-locale-project-translation-editor-request-5/\">Cross-Locale Project Translation Editor Request</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/02/adding-error-checks-at-translate-wordpress-org/\">Adding error checks at translate.wordpress.org</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/02/agenda-weekly-polyglots-chat-august-2-2023-1300-utc/\">Agenda: Weekly Polyglots Chat – August 2, 2023 (13:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/07/13/proposal-for-establishing-a-make-diversity-equity-inclusion-and-belonging-deib-team-within-the-wordpress-community/\">Proposal for Establishing a Make Diversity, Equity, Inclusion, and Belonging (“DEIB”) Team within the WordPress Community</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Support</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/08/agenda-for-august-3rd-support-meeting-2/\">Agenda for August 3rd Support Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/07/summary-for-july-27th-support-meeting/\">Summary for July 27th Support Meeting</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/07/28/sustainability-chat-summary-july-28-2023/\">Sustainability Chat Summary, July 28, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/07/31/test-team-update-31-july-2023/\">Test Team Update: 31 July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/07/31/hallway-hangout-extending-blocks-with-custom-design-tools/\">Hallway Hangout: Extending blocks with custom design tools</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/01/themes-team-update-august-01-2023/\">Themes team update August 01, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/08/03/training-team-meeting-recap-1st-august-2023/\">Training Team Meeting Recap – 1st August 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/03/introducing-the-training-team-guide-program/\">Introducing the Training Team Guide Program!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">Announcing the first Learn WordPress Course Cohort.</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/01/xpost-whats-new-on-learn-wordpress-in-july-2023/\">X-post: What’s new on Learn WordPress in July 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/how-to-add-tables-to-your-site/\">How to add tables to your site</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=common-wordpress-apis-global-variables\">Common WordPress APIs: Global Variables</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-11\">WP dev livestream: Sendig block theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=%E3%83%95%E3%83%AB%E3%82%B5%E3%82%A4%E3%83%88%E7%B7%A8%E9%9B%86%E3%81%A7%E5%AE%9F%E9%9A%9B%E3%81%AB%E3%82%B5%E3%82%A4%E3%83%88%E3%82%92%E4%BD%9C%E3%81%A3%E3%81%A6%E3%81%BF%E3%82%88%E3%81%86%EF%BC%81\">フルサイト編集で実際にサイトを作ってみよう！</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=contributing-to-the-wordpress-community-team-events-and-roles\">Contributing to the WordPress Community Team: Events and Roles</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=hallway-hangout-extending-blocks-with-custom-design-tools\">Hallway Hangout: Extending blocks with custom design tools</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-start-contributing-to-the-wordpress-core\">How to start contributing to the WordPress Core</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=common-wordpress-apis-internationalization\">Common WordPress APIs: Internationalization</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-10\">WP dev livestream: Sendig block theme</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/tv\">WordPress TV</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/tv/2023/06/15/enhancing-slide-management-for-video-publications/\">Enhancing Slide Management for Video Publications</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://github.com/PHPMailer/PHPMailer/releases/tag/v6.8.0\">PHPMailer 6.8.0</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong>   <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>.  </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"Post Status: What is Coaching &amp; What Are Key Times to Have a Coach with Kelly Gallagher\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://poststatus.com/what-is-coaching-what-are-key-times-to-have-a-coach-with-kelly-gallagher/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://poststatus.com/what-is-coaching-what-are-key-times-to-have-a-coach-with-kelly-gallagher/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47578:\"<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">In this podcast episode, <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> introduces his professional coach, <a href=\"https://www.linkedin.com/in/coachkellygallagher\">Kelly Gallagher</a>, to discuss the role of coaching in personal and professional growth. They explore the difference between coaching and therapy and how they can complement each other. They highlight the value of coaching for high achievers and how it can help with career changes, improving performance, and enhancing communication skills. Cory shares his personal experience with coaching and expresses its positive impact on his life.</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><strong>Episode Highlights:</strong></p>\n\n\n\n<ul type=\"video\" class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">\n<li>[00:00:00] <strong>The role of coaching and introduction of Kelly Gallagher-</strong>Cory introduces Kelly Gallagher as his professional coach and discusses their working relationship for four and a half years.</li>\n\n\n\n<li>[00:01:25] <strong>Kelly&#8217;s background in business development and coaching training-</strong> Kelly shares her background in business development and her coaching journey, including her training and pursuit of a master&#8217;s degree.</li>\n\n\n\n<li>[00:07:38] <strong>The difference between coaching and therapy, and the value of coaching for high achievers</strong>-Cory and Kelly discuss the definition of coaching, the distinction between coaching and therapy, and the importance of coaching for high achievers.</li>\n\n\n\n<li>[00:11:39] <strong>The distinction between therapy and coaching-</strong>Discussion on the differences between therapy and coaching and how they complement each other.</li>\n\n\n\n<li>[00:12:41] <strong>The value of having a coach for high achievers-</strong>Exploration of the benefits of coaching for high achievers and the importance of self-awareness.</li>\n\n\n\n<li>[00:13:55]<strong> Times when people seek coaching-</strong>Identification of common situations that lead individuals to actively seek coaching, such as career conflicts, the desire for personal growth, and the need for support during organizational changes.</li>\n\n\n\n<li>[00:23:31] <strong>The role of coaching and the importance of ICF certification-</strong>Discussion on the role of coaching, the significance of ICF certification, and the difference between coaching and therapy.</li>\n\n\n\n<li>[00:28:34] <strong>The value of having a coach for high achievers-</strong>Exploration of the benefits of coaching for high performers and the potential negative stigma associated with coaching as a remedial tool.</li>\n\n\n\n<li>[00:31:58] <strong>Coaching for entrepreneurs-</strong>The essentiality of coaching for entrepreneurs, particularly in navigating change, making big decisions, and improving performance.</li>\n\n\n\n<li>[00:34:24]<strong> The role of coaching and seizing opportunities-</strong>Cory reflects on the importance of having a coach and making the most of opportunities in business.</li>\n\n\n\n<li>[00:35:18] <strong>The importance of personal happiness and joy in work</strong>-Kelly discusses the significance of finding joy and personal happiness in one&#8217;s work and how it affects performance.[00:37:09] <strong>The passion for helping others and personal growth-</strong>Kelly shares her passion for helping others find personal growth in coaching and how it is more rewarding than pure sales.</li>\n</ul>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<div class=\"wp-block-columns sponsor has-theme-palette-8-background-color has-background is-layout-flex wp-container-25 wp-block-columns-is-layout-flex\" id=\"StellarWP\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"StellarWP has-theme-palette-1-color has-text-color wp-block-heading\" id=\"Sponsor\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <span><a href=\"https://poststat.us/elementor\" rel=\"sponsored nofollow\">Elementor</a></span></h3>\n\n\n\n<p><strong>Elementor </strong>enables web creators to build professional, pixel-perfect websites with an intuitive visual builder. Quickly create amazing websites for your clients or your business with complete control over every piece, without writing a single line of code. Join <a href=\"https://elementor.com/community/\">a vast community of web creators</a> from all around the world who deliver exceptional websites using Elementor.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\"><div class=\"wp-block-image elementor-logo\">\n<img src=\"https://poststatus.com/wp-content/uploads/2022/08/Elementor-Logo-Symbol-Blue-150x150.png\" alt=\"Elementor\" class=\"wp-image-104033\" width=\"150\" height=\"150\" title=\"Elementor Logo\" />Elementor</div></div>\n</div>\n</div></div>\n\n\n\n<h3 class=\"wp-block-heading eplus-wrapper\" id=\"h-mentioned-in-the-show\">  Mentioned in the show<strong>:</strong></h3>\n\n\n\n<ul>\n<li><a href=\"https://obcc.utdallas.edu/coaching/\">University of Texas at Dallas Coaching Program</a></li>\n\n\n\n<li><a href=\"https://coachingfederation.org/\">International Coach Federation</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\">  You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/salesrxcoaching\">Kelly Gallagher</a>  (Executive Coach, <a href=\"https://gallagherexecutivecoachingpartnerships.com/\">Gallagher Executive Coaching Partnerships</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis.  <br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>.  </p>\n\n\n\n<h2 class=\"wp-block-heading eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p>Cory Miller (00:00:00) &#8211; Hey everybody. Welcome back to Post Status Draft. I&#8217;ve got a special guest today and I&#8217;m excited because I&#8217;ve worked with this awesome person professional for I think it&#8217;s been five years now. Four years? No, probably four and a half years now, Kelly. And. So back when I had just sold items, I was working the, you know, my job at trying to transition team, get some things done in the year after we had sold and I was starting to percolate. Okay, I&#8217;ve got this huge career change coming up, this huge business, whatever change in my professional life. And I sought out a coach and found Kelly Gallagher. So she&#8217;s my professional coach for four and a half years. We&#8217;re going to have a great conversation talking about coaching times when it&#8217;s so helpful to have a coach. And I&#8217;ll share personal experiences, too, but you&#8217;re in for a treat today. So Kelly, thanks so much for being on the podcast.</p>\n\n\n\n<p>Kelly Gallagher (00:01:02) &#8211; Thank you for having me. I&#8217;ve been watching some of your podcasts, and I&#8217;m just honored to be the subject of one of them.</p>\n\n\n\n<p>Kelly Gallagher (00:01:07) &#8211; So thank you.</p>\n\n\n\n<p>Cory Miller (00:01:09) &#8211; I often refer to Kelly as my secret weapon because a lot of the big things that have happened in the last five years, for sure in my life I&#8217;ve rehearsed, practiced, talked through all of these with Kelly. So, Kelly, tell us a little bit about your background.</p>\n\n\n\n<p>Kelly Gallagher (00:01:25) &#8211; Um, Cory, I came from a business development specialty within corporate America, specifically pharmaceuticals and the medical industry, and also diagnostics and lab testing. So I was a road warrior. I was out closing deals and my responsibilities escalated and escalated to the point where. Um, the last ten years, I was with a diagnostic lab, and I was also training other salespeople. I was interviewing them, hiring them and then coaching them. But I didn&#8217;t know I was coaching because I wasn&#8217;t sure even what coaching was. I wanted to take over the training department. So I was told, Well, you have no experience, even though I was already doing it. So I challenged and said I would like to go back and get my masters.</p>\n\n\n\n<p>Kelly Gallagher (00:02:16) &#8211; And I entered the coaching program, which is a just gold standard industry. I don&#8217;t know. It turned out to be one of the best. And so I entered that. And then while I was doing it, I thought, why not just get a master&#8217;s in business administration? Because I already know these things. So I went to school for five years and it was the best five years of my life. Um, I learned that I love to learn, and I think that may be what separates good coaches from great coaches. Is that. Constant wanting to move the bar up, that constant going to class mentality to be at another level. And that&#8217;s what&#8217;s really defined my career. There&#8217;s not really a time of the year when I&#8217;m not in continuing education and it&#8217;s my passion. I just want to be a master of my craft. So that was my journey. The interesting sidebar is I was told you can do all this, but if your sales performance drops, we&#8217;re done. We&#8217;re not paying. I said, okay.</p>\n\n\n\n<p>Kelly Gallagher (00:03:29) &#8211; But the more I studied coaching and communications, the higher myself through. And there&#8217;s actually a correlation between the two. It doesn&#8217;t seem like there would be, but I learned how to really listen. I was a good listener to begin with, but I became just a great listener and observer of behavior. And I also learned how to challenge people. So if a buyer told me, yes, yes, I&#8217;m definitely going to get the contract signed. And I sensed a hesitancy, I would call them out and go, you know, you&#8217;re sending one thing, but I&#8217;m hearing something else. It sounds like you&#8217;re still uneasy. And a lot of times by doing that, I could tease out that they weren&#8217;t going to buy it and we can have further discussion. So the coaching actually when I finished up. My sales career. It was as far as I could take it, but I owe it all to the coaching training.</p>\n\n\n\n<p>Cory Miller (00:04:32) &#8211; That&#8217;s awesome. Now, I know you have ICF credentials and all that and you can share a little bit about what ICF is, but so I know you are very involved there.</p>\n\n\n\n<p>Cory Miller (00:04:45) &#8211; Have done there&#8217;s so many regular like you said, I do a lot of work with mental health practitioners and there&#8217;s such a very, I would say regulated, but no like very intense and purposeful way to do therapy. A lot of guidelines, a lot of regulations, a lot of licensure things, ethical consideration, continuing. Ed But coaching has so much of that too. And that&#8217;s where ICF comes into yes.</p>\n\n\n\n<p>Kelly Gallagher (00:05:12) &#8211; And unfortunately, there&#8217;s not a specific license. I wish there was, but because there isn&#8217;t, the consumer has to really be discerning. And one way to start is that ICF because it&#8217;s the gold standard and for coach is not doing continuing education and involved with ICF. I don&#8217;t know. Chances are there will be less rigor to what they&#8217;re going to be able to do. It&#8217;s not that they wouldn&#8217;t be good coaches.</p>\n\n\n\n<p>Cory Miller (00:05:40) &#8211; Yeah, I think the ICF stuff is strong. Sometimes I feel like it&#8217;s a little bit too limiting, but I go, Gosh, it&#8217;s so good because it&#8217;s trying to really professionalize the coaching industry where anybody can just say, Oh, I&#8217;m my coach, I&#8217;m a life coach, whatever it is.</p>\n\n\n\n<p>Kelly Gallagher (00:05:57) &#8211; People just hang out a shingle and say, Boom, magic, I&#8217;m a coach. I two think it can be limiting, but I offer a bit of a hybrid because I have so much business experience. I&#8217;ll often tell my clients, Hey, I&#8217;m going to shift out of coaching if you want. Is it okay if I put on my business act and they almost never had anyone say no in interviews? And so then I&#8217;m able to interject a little, you know what this happened to blah, blah, blah. And I think that&#8217;s what differentiates me from other coaches. But the ICF standards are just critical. And the other thing about the ICF is you have to have 250 hours of continuing education to keep getting the licensure. That&#8217;s not a license to keep, you know, being indoors. And so that really raises the bar and enables the coach to really grow because you&#8217;re constantly taking a course. Yeah.</p>\n\n\n\n<p>Cory Miller (00:07:02) &#8211; So super, super strong. By the way, if you&#8217;re listening, you want to look if the coach has ICF certifications and all that, that&#8217;s really important, rigorous, rigorous work that they do to keep that up means to me it goes through taking it very seriously their profession.</p>\n\n\n\n<p>Cory Miller (00:07:19) &#8211; So Kelly, what is a coach? We&#8217;re going to spend some time talking about the times in which coach has been so, so valuable to your clients, to me, and we&#8217;re going to share experiences around that. But first, I kind of want to get a baseline of like, what is a coach?</p>\n\n\n\n<p>Kelly Gallagher (00:07:38) &#8211; Great question. Mean a coach. I had this conversation this morning at the pool at 5 a.m. Someone said, Oh, you&#8217;re going to coach. They just want content. I said, No, that&#8217;s not really what coaching is. I&#8217;m not really delivering content. I think a coach is someone that walks on a journey with a professional who wants to raise the bar. Um, it can be a life coach too. So then you&#8217;re walking the journey with an individual who has an area of life where they want to improve or progress. And that&#8217;s still the same formula for going through the coaching process, whether it be an executive or whether it be. Someone who wants to increase communication with their husband or wife.</p>\n\n\n\n<p>Cory Miller (00:08:25) &#8211; So, yeah. And part of how we were working together when we first started working together was I was going to the same school you went to, which is fantastic. University of Texas and Dallas and their coaching program is incredible. And being mentored by you. And because I was getting asked when when I left our teams and I was trying to do my own thing, I thought, okay, it&#8217;s going to be coaching People go, What is it, Coach? What do you do? And I was like, Oh gosh, I&#8217;m struggling with these. But it&#8217;s so much that it&#8217;s that walking alongside a person on a journey and I like what you added to it, is like they want to raise the bar, they want to do something more. And, you know, I have so much reflected about my business entrepreneurial career for the last 15 years ago. If I had a coach from the beginning, it would have been so much better in many ways. Not just success, success for sure, but also health clarity.</p>\n\n\n\n<p>Kelly Gallagher (00:09:23) &#8211; It&#8217;s funny you say that, Cory, because even 20 years ago when I was in pharmaceuticals and I was doing very well, had I had a coach, I would have been a rock star because there were rough edges that I couldn&#8217;t see. You can&#8217;t see them in yourselves the way someone else can who&#8217;s actively listening to you.</p>\n\n\n\n<p>Cory Miller (00:09:43) &#8211; Yeah. Well, and you know, the parallel we always give is sports. You know the best. Greatest of all time. Athletes have coaches and have people around them. Like you just assume they wake up and they&#8217;re just as good naturally. No, they work on their craft. And I think about that so much. Like, I know you work with a lot of high achievers and oftentimes so many of the entrepreneurs I&#8217;ve worked with very high achievers too. I&#8217;ve had the pleasure of having people on my team big time, high achievers. And you just go, like, if you really want to do well in what you&#8217;re doing, you need to have somebody that&#8217;s on your side.</p>\n\n\n\n<p>Cory Miller (00:10:23) &#8211; Nobody does it alone. I think that&#8217;s the fast that we perpetuate in our culture and especially in business, like with entrepreneurs, is like, Oh, I&#8217;m the rockstar. I do this by myself, that you got these icons out there. You know, Steve Jobs is the one you hear over and over and over 100,000 times. You go, He didn&#8217;t do it alone. No, there&#8217;s no way you can do it alone. And having someone in your corner that&#8217;s helping you perform at the highest level is so critical.</p>\n\n\n\n<p>Kelly Gallagher (00:10:54) &#8211; Yes, I agree. And, you know, oftentimes people will also say, well, isn&#8217;t it like therapy? I would call it therapy. Ten x. Because therapy&#8217;s great and I think everyone should go through that process at some time in their life. I really believe in it. But at some point it&#8217;s limited because it&#8217;s just keeps moving into the past and feelings and often sad feelings. Whereas coaches moving the person forward so high achievers get bored in therapy after a while, after a while, and they might go back and forth to therapy.</p>\n\n\n\n<p>Kelly Gallagher (00:11:34) &#8211; But generally they find that coaching helps them because it&#8217;s goal oriented.</p>\n\n\n\n<p>Cory Miller (00:11:39) &#8211; Yeah, well, and I know there&#8217;s a big distinction between therapy and coaching and really, you know, really try to their distinct things. And oftentimes probably you have taught this mentioned like therapy is looking back, coaching is looking forward. Is that how you kind of see that?</p>\n\n\n\n<p>Kelly Gallagher (00:11:56) &#8211; Yes. And you know, as a coach and a credentialed coach, I&#8217;m ethically bound if I feel like someone continually goes into therapy. Waters and themes, um, I&#8217;m bound to refer them on to therapists till they are more stabilized. And then oftentimes a lot of my clients are in therapy and coaching together. They really work well hand in hand.</p>\n\n\n\n<p>Cory Miller (00:12:22) &#8211; Yes. In fact, for the bulk of the time right now, I am not currently seeing a counselor, however, for the last see two months, but for the bulk of the time we&#8217;ve worked together have had a counselor and a coach. So I think their yin yang, their.</p>\n\n\n\n<p>Kelly Gallagher (00:12:41) &#8211; Right. And the people that come to me and have had some therapy, even if it was limited, they have just a little bit more self awareness.</p>\n\n\n\n<p>Kelly Gallagher (00:12:49) &#8211; So coaching progresses faster.</p>\n\n\n\n<p>Cory Miller (00:12:52) &#8211; Yeah. If you&#8217;re doing your work to.</p>\n\n\n\n<p>Kelly Gallagher (00:12:55) &#8211; Because other otherwise get clients. Sometimes we&#8217;ll say, Well, what does it matter how I&#8217;m feeling about this? Well, it matters a lot because, you know, your heart is just as involved in these decisions and actions and creative things you&#8217;re asking yourself to do as the frontal lobe of your brain. So they are connected.</p>\n\n\n\n<p>Cory Miller (00:13:14) &#8211; Yeah. Okay. So we talked about what coaching is a little bit we talked about the distinctions, therapy versus coaching and how they&#8217;re additive and can exist together. And in fact, or even better sometimes, oftentimes, especially in my experience, I would say. Well, I&#8217;m curious, Kelly So I know my own personal experience is related to our coaching professional relationship. But I&#8217;m curious, what are the times you you see people getting into the meat of this kind of conversation between us is like, what are those times when people go, okay, they&#8217;re thrust out to go actively look for a coach and end up, you know, in a in a room or a meeting with you.</p>\n\n\n\n<p>Kelly Gallagher (00:13:55) &#8211; I would say that generally there&#8217;s some type of struggle. It can be a conflict at work. That&#8217;s a huge one because that dips into, well, do I want a career change? And sometimes people come and they don&#8217;t know what they want. They&#8217;re just not happy. Um, people who want to progress with that and find meaning and integrate what they&#8217;re learning about themselves will come to coaching because that process. It really it&#8217;s like turbocharging the job search and turbocharging people to take interviews and move on and move up without really any kind of formal instruction to just that self-awareness that it builds. So that&#8217;s one of the big ones. Um.</p>\n\n\n\n<p>Cory Miller (00:14:44) &#8211; Let&#8217;s talk about struggle for a second. So struggle back to that. So is that so you mentioned a couple of factors there. I want to hit both sides. One is maybe I need to make a change, like move out of what I&#8217;m doing. But there&#8217;s another one, which is maybe I want to get promoted or have been promoted or, you know, within an organization to and I&#8217;m curious your experiences around around that too.</p>\n\n\n\n<p>Cory Miller (00:15:10) &#8211; So I like that it starts with like there&#8217;s some kind of struggle and they&#8217;re seeking outside perspective and help support with that. But it starts with some things they&#8217;re trying to change and wrestling against. Sounds like.</p>\n\n\n\n<p>Kelly Gallagher (00:15:24) &#8211; Right? And many times, you know, when you&#8217;re in a new position or you&#8217;re in a position where you are striving to do something else within that company, you will conform to their expectations and almost wear a mask. The to the degree that you lose something in the translation because then you&#8217;re not really connecting with your creative side or your problem solving side or your heart. And so a lot of work can be done to find that balance for people. The other thing that touches on is fear of failure. Your fear of failure is. It&#8217;s just a sweet spot because so many. Points of wanting to change. If we whittle down and we go with the client, what&#8217;s beneath that? What&#8217;s beneath that or what&#8217;s beneath that? And we get down to the core or the middle of the onion. It&#8217;s fear of failure.</p>\n\n\n\n<p>Kelly Gallagher (00:16:19) &#8211; And that&#8217;s that&#8217;s just a part of being human. No one wants to humiliate themselves or fall down. But I think, too, in our society, think about schools nowadays. Everyone&#8217;s given a trophy. Soccer, Everyone&#8217;s campaigning, trophy swimming. Everyone makes the team. No one&#8217;s not on the team. Great. So children are raised to not really fail or understand that they founded something and think in a way, I like the philosophy, but in a way I think I see a lot of young adults who come out into the world and they are terrified of not getting a trophy of not. And the reality is, in real life, you don&#8217;t get that many trophies.</p>\n\n\n\n<p>Cory Miller (00:17:06) &#8211; Yep. Well, we that was that fear of failure thing. We, we talked our last coaching session about that specifically and totally like, you know, when you&#8217;ve especially if you&#8217;ve been accustomed to winning, doing succeeding and then you hit some failures and or trying to do anything big and new, take that next job, start that new endeavor, whatever that is, and that, you know, oh, this is not a guaranteed success.</p>\n\n\n\n<p>Cory Miller (00:17:35) &#8211; So that that definitely resonates.</p>\n\n\n\n<p>Kelly Gallagher (00:17:37) &#8211; Right? And if I fail, that also relates to a further theme of then the fear of being actually seen for who you are. Um, yeah, it&#8217;s a heavy topic and it can take a while to work through, but it&#8217;s, I think most of my clients will say that&#8217;s valuable work. And it&#8217;s not that they become fearless, but I think they&#8217;re able to notice the emotion name and then kind of negotiated.</p>\n\n\n\n<p>Cory Miller (00:18:08) &#8211; Yeah, you mentioned the word emotions. And I think when I first started working with you, I didn&#8217;t I didn&#8217;t go to that realm. I was, you know, okay, more intellectual thinking process and stuff. And you&#8217;re extremely helpful with that. And probably because of some of the, you know, understandings between therapy and coaching or misunderstanding to say, I didn&#8217;t really get into that. But I think our best work has come with the emotions. Like my my definitely I&#8217;ve benefited every time we&#8217;ve talked. I&#8217;ve been better for it. However, I think the most profound times is when we get into, okay, I&#8217;m doing this thing.</p>\n\n\n\n<p>Cory Miller (00:18:48) &#8211; It&#8217;s an event, like you said, a struggle or something new or a change or something I&#8217;m preparing for. But then okay, the emotion around that and understanding that and leveraging, you know, really deep dive into that where I&#8217;m trying to improve. I can&#8217;t remember how many times you&#8217;ve said to me, okay, well they are not in this call. What is the what about you? And I was like, Oh man, doing that hard work, which is made I know it&#8217;s made me better as a professional and a leader for sure, because oftentimes you kind of redirect back to me and go, okay, well, they&#8217;re not here. Let&#8217;s talk about what this means to you, for you. And I&#8217;m always like, Well, let me take a deep breath on that one.</p>\n\n\n\n<p>Kelly Gallagher (00:19:31) &#8211; That&#8217;s a hard one. I learned that actually didn&#8217;t learn that at Utd or anywhere. I learned that as a young rep out in the field and I complain about these idiot customers. Right? And the manager told me once, he said, Turn your rearview mirror to your face.</p>\n\n\n\n<p>Kelly Gallagher (00:19:48) &#8211; And I didn&#8217;t. He goes, Now look at that. That&#8217;s the person that would have to change. The client&#8217;s not going to change. And it was the most profound thing. It kind of hurt my feelings, but it was so true.</p>\n\n\n\n<p>Cory Miller (00:20:01) &#8211; Well, I&#8217;ve talked through everything with you from partner team issues, all that. And it&#8217;s been so helpful because I think oftentimes kind of thinking, okay, yeah, they&#8217;ve got to change. There&#8217;s something with them. And the real work, profound and deep, that continues to get deeper is what does that mean for me about me? What do do I need to change something and what is that? And those are the times really in reflective work that I go, okay. And more and more I think I&#8217;m getting it. Or I go, okay, So something I&#8217;m not aware about myself potentially pointing outwards and then going, I kind of need to turn the rearview mirror back to myself.</p>\n\n\n\n<p>Kelly Gallagher (00:20:46) &#8211; Back to your face? Yes.</p>\n\n\n\n<p>Cory Miller (00:20:48) &#8211; It&#8217;s not the easiest thing to do, but I&#8217;m glad you do it.</p>\n\n\n\n<p>Kelly Gallagher (00:20:50) &#8211; It&#8217;s not the easiest thing to do. And in periods of conflict or intense conversations with bosses or calling people, you&#8217;re supervising, it&#8217;s extremely hard to stop yourself and say, wait a minute, who am I? And yeah, it&#8217;s it&#8217;s really, really hard. But I think as people progress in coaching, they become almost a coach within themselves.</p>\n\n\n\n<p>Cory Miller (00:21:16) &#8211; Yes. Yes. I can hear you quite a bit doing that.</p>\n\n\n\n<p>Kelly Gallagher (00:21:21) &#8211; Yeah. Oh yeah. So that would be my goal is that when I&#8217;m not there because I&#8217;m not there all the time and I don&#8217;t know of it, even though I know so much, I don&#8217;t know all of it. But my goal would be when that person&#8217;s gone for a week or they&#8217;re in a high stress situation, they&#8217;re able to somewhat coach themselves through it.</p>\n\n\n\n<p>Cory Miller (00:21:44) &#8211; Absolutely. Well, okay. So we talked about like the struggle conflict. Something&#8217;s going on there. Want to do reach something new? Maybe they&#8217;re evaluating a big change. I mean, that resonates with me. I was that&#8217;s how we kicked off our thing.</p>\n\n\n\n<p>Cory Miller (00:21:59) &#8211; It was like I was changing my profession career very substantially, knew I was going to be leaving the company I started. And, you know, okay, here&#8217;s a totally new avenue and having somebody to talk that through the fear of failure, the emotions of being an achiever, especially a high achiever, trying to do something in the world like an entrepreneur, what are some other things that you you see often in your coaching?</p>\n\n\n\n<p>Kelly Gallagher (00:22:27) &#8211; Well, I would say the other thing, the theme is some type of organizational change, because your organization, of course, they&#8217;re always changing. And there are new standards that people don&#8217;t. We talked about that before we went on tape that sometimes people don&#8217;t like change. So being able to go in and help a person challenge their assumptions about the change really recognize within themselves the any negative thinking loops or or extra baggage they&#8217;re bringing in the situation and then thrive throughout the change would be a big thing. Um, and as they go along to they learn about themselves and then to integrate that learning.</p>\n\n\n\n<p>Kelly Gallagher (00:23:12) &#8211; Back into the organization. That&#8217;s changing because change is constant. Yep. I don&#8217;t think I&#8217;ve ever been in an organization in 30 years that wasn&#8217;t doing some type of change. It&#8217;s almost never stay.</p>\n\n\n\n<p>Cory Miller (00:23:31) &#8211; It&#8217;s yeah, absolutely. Well, there&#8217;s two things I think about when we&#8217;ve worked together and what I know of coaching too. It&#8217;s it&#8217;s the word change that you said. Some change. Big change oftentimes big change. The other side of the coin for me is performance.</p>\n\n\n\n<p>Kelly Gallagher (00:23:47) &#8211; So yeah.</p>\n\n\n\n<p>Cory Miller (00:23:49) &#8211; Continual performance. So like and I think about those listening in why you won&#8217;t get you want to get coaching for yourself and your team is that performance factor like it&#8217;s an investment back into yourself or your team if you&#8217;re providing coaching. I think some great organizations, particularly in WordPress I&#8217;ve heard of because I&#8217;ve referred people to you that happen to be in WordPress. I go, Oh, I love the forward thinking of that. You&#8217;re going, it&#8217;s an investment in their people, but the performance side. So we&#8217;ve talked a lot of some about this change side.</p>\n\n\n\n<p>Cory Miller (00:24:24) &#8211; There&#8217;s something going on and how we wrestle and adapt to that change where we talk about motions and different things and then but the other side to me is like, I can&#8217;t remember how many times I call it performance, but what I think it is, is like preparation. I mean, some of the biggest deals I&#8217;ve done in five years have been rehearsed, practiced, polished, perhaps even with you. And gosh, I didn&#8217;t have that my previous ten years. And I thought, wow, I went into so many situations. I thought I had done my preparation. But doing it with you with a coach was made things so much better, I think, through that process. Kelly It also eliminated like things I wasn&#8217;t aware of, things I hadn&#8217;t thought about, and just an approach to get some, like, clarity.</p>\n\n\n\n<p>Kelly Gallagher (00:25:12) &#8211; Flirty, some big one. And I think that goes into the third bucket of communication skills. Just people sometimes come to me and in her struggle or there&#8217;s conflict or they&#8217;re going into a big sales promotion and they&#8217;re not quite sure how to go about it.</p>\n\n\n\n<p>Kelly Gallagher (00:25:29) &#8211; So that would all fall into the bucket of communication skills. And that that&#8217;s a big one. I don&#8217;t think oftentimes people think they&#8217;re coming across one way, but it&#8217;s quite different if you&#8217;re observing them. The other thing is. They, you know, like you said, you&#8217;ll rehearse. And rehearse. But when you get in that situation sometimes. Hopefully you&#8217;re primed with enough rehearsal to lean back. If you forget what you&#8217;re going to say, you can lean back into the gist of it. So I think for performance, though, it comes down to communication skills and confidence, because in selling some time it&#8217;s not what you said anyway, it&#8217;s how you said it. And you can walk in if you say it with conviction and you have that internal clarity, as you mentioned, and conviction. The little wordsmithing and nuances of it aren&#8217;t going to matter. They&#8217;re going to matter. But the big the capital A to achievement or performance is how you set it.</p>\n\n\n\n<p>Cory Miller (00:26:36) &#8211; Well, I didn&#8217;t say this in the beginning, but we we now meet twice a week and we&#8217;ve I think we&#8217;ve met twice a week for the last year or two.</p>\n\n\n\n<p>Cory Miller (00:26:44) &#8211; And that was out of, oh, I need these times. We&#8217;re kind of booking them at the front of the week and the end of the week. But oftentimes I realize so many times it&#8217;s just seeking clarity for myself and those of us who are leaders out there trying to give a clear vision to somebody else, I&#8217;ll just say it. Maybe other leaders just wake up with clairvoyant vision. I don&#8217;t. I need rehearsal. I need work. I need to bounce it off people. I need a coach to help me kind of ask questions, think, think it through. And every single time I&#8217;m better. I remember some of the biggest ones that I&#8217;ve, like, talked to you. And it&#8217;s not even one session, maybe 2 or 3. They end up talking about it. But I go, Gosh, if I hadn&#8217;t had that, I would have made so many mistakes going into that big decision or time of presentation, whatever that was. And I&#8217;m so better for like I just need to practice and realize I couldn&#8217;t just do that.</p>\n\n\n\n<p>Cory Miller (00:27:40) &#8211; I needed someone else to help me. And that&#8217;s where you&#8217;ve come in and done that. And so clarity for me is like when you say, what? When people would ask me, What&#8217;s the biggest takeaway for coaching? I go clarity and what is clarity? Build what you said confidence. And those two alone have made me a better leader. That&#8217;s why I can say, let&#8217;s just go back to the start of my career. If I&#8217;d had a coach, it started my career. Everything would have been better because I&#8217;ve been more clear, more confident.</p>\n\n\n\n<p>Kelly Gallagher (00:28:03) &#8211; Being a millionaire ten times over just had a coach because I did so many stupid things along with the good things. That you don&#8217;t know, but you do learn from failure. You do learn. Oh, and so, you know, maybe not, but I sure would have liked to have a coach. It is a perk for high performers. If if if you if it&#8217;s a if there&#8217;s an employer listening in and they&#8217;re thinking of who does that need coaching? Yes, it can be remedial, but sometimes then it&#8217;s not the employees idea.</p>\n\n\n\n<p>Kelly Gallagher (00:28:34) &#8211; The high performance will progress the fastest because it generally will be their idea. They want that perk and they want to grow a career.</p>\n\n\n\n<p>Cory Miller (00:28:44) &#8211; This is my personal opinion, not Kelly. So I want to be clear about that. But I&#8217;ve been around organizations that use coaching as remedial, and I go, Then what happens is coaching gets stigmatized within that organization of if you&#8217;re not performing and you&#8217;re doing a crappy job, you&#8217;re going to get sent. And it has a negative tint to coaching, which is not what it&#8217;s supposed to be. It&#8217;s supposed to be progressing positive, helping improving, navigating situations. And this one organization in particular, it&#8217;s like that&#8217;s how they use coaching. I go, Oh man, Like, then they then all these high performers have this worry about it and don&#8217;t want to potentially go into coaching and miss this incredible benefit to what coaching is.</p>\n\n\n\n<p>Kelly Gallagher (00:29:31) &#8211; That&#8217;s so true. There&#8217;s someone at my door. Can I. Can we pause?</p>\n\n\n\n<p>Cory Miller (00:29:36) &#8211; Yeah.</p>\n\n\n\n<p>Kelly Gallagher (00:29:45) &#8211; Yeah, we&#8217;re talking about, like, high performers and performance coaching. And I do want to make the point that that&#8217;s kind of what I think is my differentiator is that I have all that coaching training, but also I&#8217;ve been in the business world for 30 years selling. So if someone asked me about that, it&#8217;s easy for me to switch out. Yeah, most coaches have like a background, so they&#8217;ve never really had to go out into the world and perform, right?</p>\n\n\n\n<p>Cory Miller (00:30:17) &#8211; Yeah. You bring both sides to that coin I think is incredibly helpful. Like I&#8217;ve talked so much with you about cells because it&#8217;s a weak area. I feel like it&#8217;s a weak area for me, but something I&#8217;ve had to do but forced to do and now trying to begrudgingly trying to do it. But I know you&#8217;ve got such an extensive sales background, business development background that totally leveraged that. In fact I think that&#8217;s how our two times a week started was a sales academy where it wasn&#8217;t necessarily coaching, it was more like sales coaching.</p>\n\n\n\n<p>Kelly Gallagher (00:30:47) &#8211; Right. And it&#8217;s very hard for someone to coach you if they haven&#8217;t walked down the street, guide you down the path. If I&#8217;ve never been on it, I can coach and I can move you in many ways, but can&#8217;t exactly help you to perform because I don&#8217;t know how to perform. So I think that is the differentiator in my coaching style as I&#8217;ve been there. I&#8217;ve been in sales meetings where I got humiliated. I&#8217;ve had clients slam doors in my face. You know, I&#8217;ve executed $1 million contract. So. I just think it helps me to bring more to the party.</p>\n\n\n\n<p>Cory Miller (00:31:25) &#8211; Yeah. And you understand the complete picture. That&#8217;s why, you know, our community is a lot of founders and a lot of high achiever leaders. You know, I&#8217;m curious your thoughts about entrepreneurship, entrepreneurs and coaching. You know, I don&#8217;t know your risk, your client base, but I am one. I know I&#8217;ve benefited from incredibly navigating change, big decisions and the performance side. But what do you say to entrepreneurs about coaching?</p>\n\n\n\n<p>Kelly Gallagher (00:31:58) &#8211; I&#8217;d say it&#8217;s essential because of everything we&#8217;ve talked about in the end.</p>\n\n\n\n<p>Kelly Gallagher (00:32:04) &#8211; As an entrepreneur, you&#8217;re alone, right? That&#8217;s what it is. That&#8217;s the gig. You might have a few people on your team, but generally you&#8217;re alone. It&#8217;s very hard to win deals in isolation. So I would say having a business coach is key to moving forward. Not only in all the things we mentioned, the clarity, the communication, the conflict, the struggle, but then sometimes you just have to go execute. And so for me, it&#8217;s very helpful because I&#8217;ve been in that sales situation so many times and understand features, benefits. I understand how to extrapolate from a client what&#8217;s going to really matter and what&#8217;s not. And I can help people with their slide deck or, you know, whatever it is they want to. So I will generally I can come in in that regard like we do and be a consultant on Friday, but a coach on Mondays. And then and most of my clients who are entrepreneurs use me in that way. Like they will sometimes just bring us like back or we&#8217;ll practice a presentation or they&#8217;ll practice what they&#8217;re going to say to their team before they say it.</p>\n\n\n\n<p>Cory Miller (00:33:18) &#8211; Yep.</p>\n\n\n\n<p>Kelly Gallagher (00:33:18) &#8211; Get some clarity around it to understand. How they&#8217;re feeling in that moment of saying these wonderful things they think are are going to move the team. And sometimes they come out of the meeting and they&#8217;re going to say something completely different. Once we do the coaching, it&#8217;s not that I ever told them to say anything different, but we, you know, polished it. Let&#8217;s say, you know, they come out with this big chunk of coal and they leave and they&#8217;ve got a little diamond and it&#8217;s polished. And like you said earlier, they feel confident.</p>\n\n\n\n<p>Cory Miller (00:33:50) &#8211; Maybe there&#8217;s some entrepreneurs that that come fully birthed into the whole process, but most of us have to learn it and grow through it. What I&#8217;m hearing, though, you know, big decisions, big challenges, big changes, and then the performance side preparation, Polish getting ready for those big things, too. And then the simply put, just trying to make the most of the opportunity. That&#8217;s what I think about. Like so many high achievers that go with an entrepreneur&#8217;s, like we have an opportunity.</p>\n\n\n\n<p>Cory Miller (00:34:24) &#8211; We often like my my story is I stumbled into it, stumbled into it and go, wow, I have this amazing opportunity. So much with business. You go like, it&#8217;s right timing, it&#8217;s right place, right people, right, partners, all the things that have to go together for something to go really well. And then you go, I want to make the most of that. And that&#8217;s my reflection, is that I had an opportunity. I wanted to seize that opportunity to make the most of it. Now, seeing, Oh, wow. Now I did have a coach during about half of my business time, invaluable to help us with the organization. But I go like having someone that this is why we keep working together as I go. I just need it. It&#8217;s just a part of making the most of who I am and my opportunities that come my way to to do even more. And it&#8217;s not necessarily just about money, but it&#8217;s about making the most of the opportunity.</p>\n\n\n\n<p>Kelly Gallagher (00:35:18) &#8211; Right.</p>\n\n\n\n<p>Kelly Gallagher (00:35:19) &#8211; And Joy, while you&#8217;re doing you we haven&#8217;t even touched about that. But there&#8217;s that personal happiness factor and a lot of my clients either are working out or I have them. I try to persuade them to start a fitness program while they&#8217;re with me. But that joy, that love of what you&#8217;re doing, you know, if it&#8217;s not there, it&#8217;s very hard to perform on your.</p>\n\n\n\n<p>Cory Miller (00:35:43) &#8211; Yeah. And you&#8217;ve been such a good coach and you walk that talk. Kelly was telling me before we started the recording that she just ran a mile and swam, and I was like, Gosh, you overachiever. But it&#8217;s such a good inspiration for me for sure, because that other aspect of just life and business and everything is just being physically healthy. And you are a great encourager and you walk your talk.</p>\n\n\n\n<p>Kelly Gallagher (00:36:07) &#8211; I try. I try. I try. I mean, no one&#8217;s perfect. But yeah, I definitely try. And I also find because I work out a lot and I&#8217;m more effective for people because, you know, it brings all that blood flow to the brain.</p>\n\n\n\n<p>Kelly Gallagher (00:36:20) &#8211; So I shared with Cory that sometimes in between clients I&#8217;ll just run up the hill outside my house 4 or 5 times just to sharpen myself for the next person because I can feel it within myself. Then I come in their house and I&#8217;m all happy again and I&#8217;m feeling creative and supercharged and ready to go.</p>\n\n\n\n<p>Cory Miller (00:36:41) &#8211; Oh yeah. You can tell what the energy you have for sure. Well, Kelly, thanks so much for taking the time to talk to us about what you&#8217;re doing. Share a little bit of the experience. I mean, they resonate with me. Everything you&#8217;ve talked about are things that we&#8217;ve worked on in our coaching sessions, and I&#8217;ve been better for it as a person on Earth, as a human, on earth, as a business entrepreneur, leader, all those. But anything else that you want to share that we didn&#8217;t get to talk about?</p>\n\n\n\n<p>Kelly Gallagher (00:37:09) &#8211; No, I mean, what you just said, that&#8217;s what I live for. That&#8217;s my passion is did I, you know, did I help someone? Did they feel better after we, you know, did we move the bar? And I just live for success stories.</p>\n\n\n\n<p>Kelly Gallagher (00:37:23) &#8211; And I find it so much more rewarding than just pure sales. Although I would have argued back then that I was making people&#8217;s lives better because I had a terrific product or whatever, but somehow that what you just said, just seeing personal growth in other people, I just kind of live for that. So thank you.</p>\n\n\n\n<p>Cory Miller (00:37:43) &#8211; Bet. Well, thanks, Keller, for being on. And thanks, everybody, for listening. We&#8217;ll share in the show notes how you can get a hold of Kelly if you&#8217;re interested in talking more with her. She&#8217;s fantastic. Coach, you can&#8217;t. I&#8217;ve referred you numerous times to people that now I believe are our regular clients with you. And we they&#8217;re defensive minded and we always talk like, yep, I just had my Kelly session, just had my Kelly Sessions, so.</p>\n\n\n\n<p>Kelly Gallagher (00:38:08) &#8211; Well, thank you for doing that. Yes. I don&#8217;t really advertise. I haven&#8217;t ever. I only did maybe in the first year. But I think that&#8217;s the other thing. Good coaches just kind of get referrals and.</p>\n\n\n\n<p>Kelly Gallagher (00:38:21) &#8211; That&#8217;s the way it should be.</p>\n\n\n\n<p>Cory Miller (00:38:23) &#8211; You do. All right. Thanks, everybody, for listening to Post Status Draft. It&#8217;s been another episode kind of went out of our league but love to introduce people that have made an indelible difference in my life and to share their wisdom. So we&#8217;ll see everybody next time. Thank you.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"Post Status: WordPress 6.3 RC2 • Synced Patterns • Internationalization • Gutenberg Phase 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://poststatus.com/wordpress-6-3-rc2-synced-patterns-internationalization-gutenberg-phase-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://poststatus.com/wordpress-6-3-rc2-synced-patterns-internationalization-gutenberg-phase-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:24701:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (July 25, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">We&#8217;re under two weeks away from WordPress 6.3 release. Have you started testing? Big changes are envisioned for the Media Library, Admin Dashboard, and more. You have an opportunity NOW to share ideas. What considerations do we need to account for? Read the Phase 3 post from Matías and share your feedback in the comments.&hellip; </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kadence-dynamic-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"> WP 6.3, Reusable Blocks, Phase 3, i18N</h2><p class=\"kt-blocks-info-box-text\"><br />  <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\">WordPress 6.3 Release Candidate 2</a><br /><br />3&#x20e3; <a href=\"https://make.wordpress.org/core/tag/phase-3/\">Gutenberg Phase 3</a><br /><br />  <a href=\"https://make.wordpress.org/core/2023/07/24/i18n-performance-analysis/\">I18N Performance Analysis</a><br /><br />  <a href=\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\">Synced Patterns: The Evolution of Reusable Blocks</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\">Synced Patterns: The Evolution of Reusable Blocks</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\">WordPress 6.3 Release Candidate 2</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">WordPress 6.3 Live Product Demo – Highlights &amp; Recording</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-29 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\">WordPress 6.3</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\">WordPress 6.3 Release Candidate 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-3-accessibility-improvements/\">WordPress 6.3 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-1/\">WordPress 6.3 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-2-release-candidate-phase-2/\">WordPress 6.3 Release Candidate Phase</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/30/6-3-release-parties-schedule-and-hosts/\">6.3 Release Parties Schedule and hosts</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">WordPress 6.3 Beta 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/05/25/wordpress-6-3-design-kickoff/\">WordPress 6.3 design kickoff</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/25/bug-scrub-schedule-for-6-3/\">Bug Scrub Schedule for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/wordpress-6-3-planning-roundup/\">WordPress 6.3 Planning Roundup</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/roadmap-to-6-3/\">Roadmap to 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\">WordPress 6.3 Field Guide and Dev-Notes</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-block-selectors-api/\">Introducing the Block Selectors API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Introducing the WordPress Command Palette API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/layout-updates-in-the-editor-for-wordpress-6-3/\">Layout updates in the editor for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/social-icons-block-applied-colors-now-dynamically-update-based-on-theme-json-and-global-styles/\">Social Icons block: Applied colors now dynamically update based on theme.json and Global Styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-editor-changes-in-wordpress-6-3/\">Miscellaneous Editor changes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/bundled-themes-dropping-internet-explorer-scripts-and-styles/\">Bundled themes dropping Internet Explorer scripts and styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/improvements-to-the-cache-api-in-wordpress-6-3/\">Improvements to the Cache API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/configuring-development-mode-in-6-3/\">Configuring development mode in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">I18N Improvements in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/image-performance-enhancements-in-wordpress-6-3/\">Image performance enhancements in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/wp_query-used-internally-in-get_pages/\">WP_Query used internally in get_pages()</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/registering-scripts-with-async-and-defer-attributes-in-wordpress-6-3/\">Registering scripts with `async` and `defer` attributes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/improved-caching-for-database-queries-in-wp_user_query/\">Improved Caching for Database Queries in WP_User_Query</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-developer-changes-in-wordpress-6-3/\">Miscellaneous developer changes in WordPress 6.3</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-34 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-32 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/07/13/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-july-12-2023/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on July 12, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/13/new-handbook-page-for-wordcamp-organizers-wordcamp-speaker-selection-for-content-and-diversity/\">New handbook page for WordCamp Organizers: WordCamp Speaker Selection (for content AND diversity)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/12/summary-of-the-q2-community-team-role-updates/\">Summary of the Q2 Community Team Role Updates</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/25/a-week-in-core-july-24-2023/\">A Week in Core – July 24, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/\">What’s new in Gutenberg 16.3? (26 July)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/24/i18n-performance-analysis/\">I18N Performance Analysis</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" rel=\"noreferrer noopener\">Admin Design</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-1-using-the-wordpress-scripts-package-with-themes/\">Beyond block styles, part 1: using the WordPress scripts package with themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/make-your-sites-typography-make-a-statement/\">Make your site’s typography make a statement</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/whats-new-for-developers-july-2023/\">What’s new for developers? (July 2023)</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/how-to-modify-theme-json-data-using-server-side-filters/\">How to modify theme.json data using server-side filters</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/26/core-editor-chat-summary-26th-july-2023/\">Core Editor chat summary: 26th July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/25/dev-chat-agenda-july-26-2023/\">Dev Chat agenda, July 26, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/07/24/online-monthly-docs-team-contributor-day-july-25-2023/\">Online monthly Docs Team Contributor Day July 25, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/07/18/call-for-volunteers-to-help-with-6-3-end-user-documentation/\">Call for volunteers to help with 6.3 end-user documentation</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/24/documentation-team-update-july-24-2023/\">Documentation Team Update – July 24, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/hosting-team-meeting-agenda-2023-07-26/\">Hosting Team meeting agenda 2023-07-26</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/wordpress-hosting-survey/\">WordPress Hosting Survey</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/07/20/matrix-chat-summary-july-20-2023/\">Matrix chat Summary – July 20, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/20/make-team-dashboards/\">Make Team Dashboards</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/15/triaging-open-issues-on-trac-for-make-teams/\">Triaging open issues on Trac for Make Teams</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/11/linking-to-supporting-orgs/\">Linking to Supporting Orgs</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/07/26/mobile-team-update-july-25th/\">Mobile Team Update – July 25th</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/25/community-meeting-recap-2023-07-25/\">Community Meeting Recap (2023-07-25)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/24/last-week-openverse-2023-07-17-2023-07-24/\">A week in Openverse: 2023-07-17 – 2023-07-24</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/25/performance-chat-summary-25-july-2023/\">Performance Chat Summary: 25 July 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/07/24/tackling-team-challenges-together/\">Tackling team challenges together</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/plugins/2023/06/29/plugin-review-team-update-the-next-phase-begins/\">Plugin Review Team Update: The next phase begins</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/24/plugin-review-team-24-jul-2023/\">Plugin Review Team: 24 Jul 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/26/agenda-weekly-polyglots-chat-july-26-2023-0700-utc/\">Agenda: Weekly Polyglots Chat – July 26, 2023 (07:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/07/13/proposal-for-establishing-a-make-diversity-equity-inclusion-and-belonging-deib-team-within-the-wordpress-community/\">Proposal for Establishing a Make Diversity, Equity, Inclusion, and Belonging (“DEIB”) Team within the WordPress Community</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Support</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/07/wp-contributor-mentorship-program-support-team-onboarding-meeting/\">WP Contributor Mentorship Program: Support Team Onboarding Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/07/agenda-for-july-27th-support-meeting-2/\">Agenda for July 27th Support Meeting</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/07/27/sustainability-chat-agenda-july-28-2023/\">Sustainability Chat Agenda, July 28, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/24/test-team-update-24-july-2023/\">Test Team Update: 24 July 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/07/26/themes-team-meeting-notes-july-25-2023/\">Themes Team Meeting Notes – July 25, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/25/themes-team-update-july-25-2023/\">Themes team update July 25, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/07/26/training-team-meeting-recap-25th-july-2023/\">Training Team Meeting Recap – 25th July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/25/call-for-volunteers-to-help-with-6-3-learn-wordpress-updates/\">Call for Volunteers to help with 6.3 Learn WordPress updates</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/improving-website-performance-with-caching/\">Improving website performance with caching</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/installing-node-js-and-npm-for-local-wordpress-development/\">Installing Node.js and npm for local WordPress development</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=apac-exploring-some-of-the-new-6-3-wordpress-features\">APAC: Exploring some of the new 6.3 WordPress features</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=exploring-some-of-the-new-6-3-wordpress-features\">Exploring some of the new 6.3 WordPress features</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=onboarding-to-test-team\">Onboarding to Test Team</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=testing-wordpress-6-3-developer-edition\">Testing WordPress 6.3 – Developer edition</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-validate-content-feedback-for-the-wordpress-training-team-3\">How to validate content feedback for the WordPress Training Team</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-validate-content-feedback-for-the-wordpress-training-team-2\">How to validate content feedback for the WordPress Training Team</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=mentorship-program-introduction-to-the-wordpress-open-source-project\">Mentorship Program: Introduction to the WordPress Open Source Project</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=what-is-the-domain-name-system-4\">What is the Domain Name System?</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=what-is-the-domain-name-system-3\">What is the Domain Name System?</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/tv\">WordPress TV</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/tv/2023/06/15/enhancing-slide-management-for-video-publications/\">Enhancing Slide Management for Video Publications</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordCamp Central</h2>\n\n\n\n<ul>\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-malaysia-2023-is-looking-for-speakers-and-sponsors/\">WordCamp Malaysia 2023 is Looking for Speakers and Sponsors</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-masaka-2023-celebrating-inclusion-diversity-and-innovation-with-wordpress-in-ugandas-pearl-of-africa/\">WordCamp Masaka 2023: Celebrating Inclusion, Diversity, and Innovation with WordPress in Uganda’s Pearl of Africa!</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://github.com/PHPMailer/PHPMailer/releases/tag/v6.8.0\">PHPMailer 6.8.0</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong>   <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>.  </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"Post Status: The WP Agency Journey with J.J. Toothman of Lone Rock Point\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://poststatus.com/the-wp-agency-journey-with-j-j-toothman-of-lone-rock-point/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://poststatus.com/the-wp-agency-journey-with-j-j-toothman-of-lone-rock-point/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47031:\"<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">In this episode, <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> interviews <a href=\"https://twitter.com/jjtoothman\">J.J. Toothman</a>, owner of <a href=\"https://lonerockpoint.com/\">Lone Rock Point</a>, a WordPress agency based in Sudbury, Massachusetts. J.J. shares his agency journey, discussing the growth of his agency and its remote-first approach.</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><strong>Episode Highlights:</strong></p>\n\n\n\n<ul type=\"video\" class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">\n<li><strong>The Growth of Lone Rock Point</strong> [00:00:32] JJ discusses the growth of his agency, Lone Rock Point, from 4-5 people in spring 2020 to 16 people now.</li>\n\n\n\n<li><strong>Remote-first Approach</strong> [00:02:29] JJ talks about adopting a remote-first organizational structure from the beginning and how they didn&#8217;t miss a beat when the pandemic hit in 2020.</li>\n\n\n\n<li><strong>Focus on Public Sector and NASA</strong> [00:04:02] JJ explains his background in government contracting and how his agency focuses on working with the public sector, particularly in the federal level, including clients like NASA.</li>\n\n\n\n<li><strong>The federal government ecosystem</strong> [00:11:29] Discussion on the ecosystem and governance of federal government agencies, including guidance and policies.</li>\n\n\n\n<li><strong>Starting Lone Rock Point</strong> [00:13:39] JJ&#8217;s decision to start his own agency after exploring side hustles and feeling the desire to be more entrepreneurial.</li>\n\n\n\n<li><strong>Niching down to WordPress</strong> [00:18:25] The growth and success of Lone Rock Point after focusing on WordPress as their main service offering.</li>\n\n\n\n<li><strong>Topic 1: Using WordPress as a Content Management System</strong> [00:22:17] Discussion on using WordPress as a content management system and adapting WooCommerce for check payments.</li>\n\n\n\n<li><strong>Topic 2: WordPress and the Public Sector</strong> [00:22:58] Exploration of using WordPress in the public sector, particularly in government agencies like NASA, for managing and publishing content.</li>\n\n\n\n<li><strong>Topic 3: Web Modernization Project with NASA</strong> [00:28:26] Overview of a web modernization project with NASA, including evaluating different CMS options and deciding to invest in WordPress.</li>\n\n\n\n<li><strong>The SEO and Accessibility Tools in WordPress </strong>[00:32:35] Discusses the real-time analysis tools in WordPress for SEO and accessibility, such as Yoast, and how they differentiate it from other CMS platforms.</li>\n\n\n\n<li><strong>The Resources and Knowledge Sharing in the WordPress Community </strong>[00:34:57] Explains the abundance of resources, knowledge sharing, and community support available in the WordPress ecosystem compared to other CMS platforms.</li>\n\n\n\n<li><strong>The Importance of Open Source and User Experience in WordPress</strong> [00:37:11] Highlights the significance of open source adoption in the public sector and how WordPress&#8217;s user experience and inclusivity differentiate it from commercial solutions.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <a href=\"https://poststat.us/a2-hosting\">A2 Hosting</a></h3>\n\n\n\n<div class=\"wp-block-columns has-theme-palette-8-background-color has-background is-layout-flex wp-container-37 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n\n\n<p>A2Hosting offers solutions for WordPress and WooCommerce that are both blazing fast and ultra-reliable. WordPress can be easily deployed on ANY web hosting plan from A2: Shared, VPS, or Dedicated. A2 also offers Managed WordPress and WooCommerce Hosting. Take a look at a2hosting.com today!</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<img width=\"752\" height=\"470\" src=\"https://poststatus.com/wp-content/uploads/2022/08/imageedit_1_6433774706-752x470.png\" alt=\"A2 Hosting\" class=\"wp-image-104073\" />A2 Hosting\n</div>\n</div>\n\n\n\n<h3 class=\"wp-block-heading eplus-wrapper\" id=\"h-mentioned-in-the-show\">  Mentioned in the show<strong>:</strong></h3>\n\n\n\n<ul>\n<li><a href=\"https://lonerockpoint.com/\">Lone Rock Point</a></li>\n\n\n\n<li><a href=\"https://wordpress.com/\">WordPress&nbsp;</a></li>\n\n\n\n<li><a href=\"https://www.nasa.gov/\">NASA</a></li>\n\n\n\n<li><a href=\"https://automattic.com/\">Automattic</a></li>\n\n\n\n<li><a href=\"https://wpvip.com/\">WordPress VIP</a></li>\n\n\n\n<li><a href=\"https://www.fedramp.gov/\">FedRAMP</a>&nbsp;</li>\n\n\n\n<li><a href=\"https://wpvip.com/partners/\">WordPress Agency Partnership Program</a></li>\n\n\n\n<li><a href=\"https://www.rtx.com/\">Raytheon</a></li>\n\n\n\n<li><a href=\"https://www.nasa.gov/ames\">Nasa Ames Research Center</a></li>\n\n\n\n<li><a href=\"https://www.recodingamerica.us/\">&#8220;Recoding America&#8221;</a> by <a href=\"https://twitter.com/pahlkadot?lang=bn\">Jennifer Palka</a>&nbsp;</li>\n\n\n\n<li><a href=\"https://woocommerce.com/\">WooCommerce</a></li>\n\n\n\n<li><a href=\"https://en.wikipedia.org/wiki/Main_Page\">Wikis</a></li>\n\n\n\n<li><a href=\"https://www.eventbrite.com/\">Ticketfly</a></li>\n\n\n\n<li><a href=\"https://digital.gov/resources/21st-century-integrated-digital-experience-act/\">Integrated Digital Experience Act</a></li>\n\n\n\n<li><a href=\"https://www.drupal.org/\">Drupal</a></li>\n\n\n\n<li><a href=\"https://business.adobe.com/products/experience-manager/sites/aem-sites.html\">Adobe Experience Manager</a></li>\n\n\n\n<li><a href=\"https://wagtail.org/\">Wagtail</a></li>\n\n\n\n<li><a href=\"https://www.contentful.com/\">Contentful</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/gutenberg/\">Gutenberg</a></li>\n\n\n\n<li><a href=\"https://atomicdesign.bradfrost.com/chapter-2/\">Atomic Design System</a></li>\n\n\n\n<li><a href=\"https://yoast.com/\">Yoast</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/plugins/\">WordPress plugins</a></li>\n\n\n\n<li><a href=\"https://stackoverflow.com/\">Stack Overflow</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\">  You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/jjtoothman\">JJ Toothman</a> (Owner, <a href=\"https://lonerockpoint.com/\">Lone Rock Point</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis.  <br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>.  </p>\n\n\n\n<h2 class=\"wp-block-heading eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p>Cory Miller (00:00:02) &#8211; Hey everybody. Welcome back to Post Status Draft. Got another great interview in our agency Journey series and I&#8217;m talking with JJ Toothman, a member of Post Status and JJ, Hey, thanks for coming on post this draft and talking about your agency journey story.</p>\n\n\n\n<p>J.J. Toothman (00:00:18) &#8211; Hey, thanks for having me. Cory. It&#8217;s great to be here. Um, really appreciate everything you do for post status and for the community. So I&#8217;m happy to be, um, you know, a member of both. So.</p>\n\n\n\n<p>Cory Miller (00:00:32) &#8211; Awesome. Well, we&#8217;ve gotten to get to know each other over the last, like, I&#8217;d say, what, eight months and hear about some of the work that your agency does. It&#8217;s super, super exciting. But can you tell me about the agency where it is now? Team clients kind of work. You kind of do.</p>\n\n\n\n<p>J.J. Toothman (00:00:50) &#8211; There&#8217;s my dog and wife.</p>\n\n\n\n<p>Cory Miller (00:00:54) &#8211; Great introduction.</p>\n\n\n\n<p>J.J. Toothman (00:00:55) &#8211; Yeah. Um, so the. So my company is Lone Rock Point and I am located outside of Boston, Massachusetts, in a town called Sudbury.</p>\n\n\n\n<p>J.J. Toothman (00:01:09) &#8211; Um, if you know the Revolutionary War history, you remember the Battle of Lexington and Concord and Sudbury borders. Concord. I live about five miles from where Paul Revere was captured at the end of his famous ride to tell everybody the British were coming. Oh, wow. Lone Rock Point. We have grown it to 16 people. You know, 12 of those people are full time. And there&#8217;s a handful of of, of part timers. Um, the were distributed all over the place. Uh, I&#8217;ve got, you know, some of us are in California, Texas. Uh, Michigan. There&#8217;s a few people in around Grand Rapids. There&#8217;s people in Florida, a few people around Asheville, North Carolina. And we definitely, you know, adopted a remote first, you know, virtual kind of organization, organizational structure from the very beginning. You know, when when the pandemic happened in 2020, we didn&#8217;t miss a beat. You know, our the people that we were working with, you know, just it just continued.</p>\n\n\n\n<p>J.J. Toothman (00:02:29) &#8211; It&#8217;s weird to look back on that time and think about the, you know, ways that we were able to grow during that time in a period where so many small businesses were were, you know, struggling. But, you know, look back on that time and think about like we, you know, we were, you know, going remote, being virtual. That wasn&#8217;t a problem for us. We were ready to do that for the very beginning. And the people we were worked with, like just we just kept working on it, kept asking for more from us. It was actually a period of growth for us. We probably went from, you know, at the beginning of. You know, spring 2020, we were around four people and 4 or 5, and now we&#8217;re 16. We became a WordPress agency approximately 15, 16 months ago. Um, and we joined WordPress is kind of a continuation of our work with the public sector when I started my company in 2016. Um, you know that we can talk about the genesis of that, but it was, you know, I was had come from a federal government contracting world and I&#8217;ve been working for big companies like Raytheon, um, Perot Systems, Dell and, you know, decided that, you know, I wanted to start my own company, you know, had this, you know, the proverbial entrepreneurial itch that most entrepreneurs feel and just kind of wanted to try that out.</p>\n\n\n\n<p>J.J. Toothman (00:04:02) &#8211; So I started to serve this company and wanted to start working. There were two customers that I wanted to work with from the very beginning, and one of those was NASA, which is it&#8217;s hard for me to talk about my own journey and the work that we&#8217;re doing without connecting to the long history I have working with with NASA. So I use that relationship and that relationship capital that I&#8217;ve built, you know, from starting working with them back in as early as 2001. Well, one of my first clients and then one of my second clients, big clients was Automattic. Some people over there that had built relationships over the years came to me and said, Hey, you know a lot about, you know, this public sector world, you know, federal government contracting. Can you help us, you know, with kind of get into that vertical and so help them with some some business strategy around that? I helped them with some security compliance, things they needed to be aware of. And then that relation, you know, that work kind of matured a little bit and kind of ran its course a little bit.</p>\n\n\n\n<p>J.J. Toothman (00:05:15) &#8211; And then, you know, as they as WordPress VIP, you know, kind of solidified its it&#8217;s standing and it&#8217;s got themselves into what&#8217;s called the Fedramp marketplace. You know, they came to me and said, Hey, you should, you know, your company, you should we should continue working together. You should join the WordPress Agency partnership program. And that&#8217;s something I did, you know, specifically because of our shared interest in working together on public sector opportunities. And, um, you know, that&#8217;s, that&#8217;s, that&#8217;s, that&#8217;s really what my company is doing right now is, you know, Lone Rock Point. We are, we&#8217;re definitely exploring that intersection of WordPress and public SpaC, public sector, predominantly the federal level of that. You know, there&#8217;s a lot of state and municipal stuff opportunities there as well. Um, but we&#8217;re, you know, the, the kind of the, when you think of like WordPress and public sector, what I want people to come out of that connection with is is Lone Rock point and so that&#8217;s you know that&#8217;s work we&#8217;re doing with and and work we&#8217;re doing with NASA and it&#8217;s going we&#8217;ve been working on some projects from NASA for the past few years.</p>\n\n\n\n<p>J.J. Toothman (00:06:31) &#8211; And it&#8217;s it&#8217;s really rewarding work. It&#8217;s good to feel like you&#8217;re contributing to. You know, we&#8217;re not civil servants, but we&#8217;re definitely kind of contributing to. You know, putting the taxpayer dollars to work, being good stewards of taxpayer money. And we think WordPress has a a role in that.</p>\n\n\n\n<p>Cory Miller (00:06:54) &#8211; Excellent. Well, there&#8217;s a lot here I want to unpack, but it&#8217;s so compelling. Congratulations on your success. Congratulations on what you&#8217;ve done in the public sector to take WordPress there. I love hearing stories like yours and our other members doing good work in our world. And I get to I think I&#8217;ve told you, I get to brag, Hey, I know the people working on these projects, you know, which is pretty fantastic, and taking WordPress to the Enterprise, but Public sector Spaces is really fantastic as WordPress grows. So okay, I want to I want to thank you for telling us kind of what Lone Lone Rock Point does today. So I heard in there 2016. So I, I had assumed, as we had talked for because of the kind of work you&#8217;re doing, you had been doing this particular agency type work for a long time.</p>\n\n\n\n<p>Cory Miller (00:07:49) &#8211; But wow, that&#8217;s why I say congrats one, Congratulations on your success. But like it&#8217;s pretty fast timeline to be able to get to doing an agency to doing this kind of work, I think. But can you take me back like before 2016, you said you were doing enterprise or. Yeah, public sector government, government contracting work. What were you doing before the agency?</p>\n\n\n\n<p>J.J. Toothman (00:08:10) &#8211; Before. Before I founded my agency. Yeah. Yeah. So I was, I was a software developer, web application developer. I got hired by Raytheon to work on a contract they had with NASA Ames Research Center. And back in 2001, actually, the thing that the opportunity that kind of brought me into that world was that&#8217;s when they first started thinking about like, what do they have to do about website accessibility? So they brought me in there to kind of help, you know, help, you know, mature what they were doing around all that kind of stuff. And it&#8217;s been interesting to see what the what where was thinking about this over the last couple of weeks.</p>\n\n\n\n<p>J.J. Toothman (00:08:57) &#8211; You know, when I first started working at NASA Ames and started talking about website accessibility and looking at all the various websites and web applications that was that were running at Ames Research Center, which is one of the, you know, field centers that&#8217;s part of the the NASA enterprise. Um, there was people were really just they were really resistant to it. They were trying to. They were trying to check the box on it quite a bit. You know, they were just like, What&#8217;s the minimum I have to do to, like, just check the box on this and so I can move on. Like it really the the optics of how important that was and just it just being the generally the right thing to do, forget the whole legal requirements of it all that really just wasn&#8217;t cemented. And here we are, you know, 20 plus years later where, you know, that&#8217;s that&#8217;s kind of like at the core of what is happening definitely in the public sector, but in the web in general, just like this, this strong emphasis on making it accessible and available to everybody.</p>\n\n\n\n<p>J.J. Toothman (00:10:00) &#8211; You know, I saw how that started, you know, 20 years ago. And it&#8217;s it was not the same temperature, both from various from developers, designers, project managers, you know, that whole thing is shifted in very positive ways over the last couple of decades. So I was a software developer there working on various, um, you know, web applications, internal business process type applications, looking at accessibility improvements. Um, and then just kind of grew things over the years, you know, you know, started, you know, started rising the ranks a little bit, like getting opportunities to understand how government projects actually work, how it works, which is a pretty thing. I started participating in proposals that big companies like Dell were doing and responding to government RFPs, which are massive undertakings unto themselves, um, understanding compliance and security regulations that exist in government, in government, and really just kind of understanding how these governments, these government agencies and, you know, as individual as they kind of have their own ecosystems unto themselves, that&#8217;s probably not, you know, unique to all various massive, you know, corporate enterprises.</p>\n\n\n\n<p>J.J. Toothman (00:11:29) &#8211; You know, we talk a little bit about the WordPress ecosystem now, but these these federal government agencies, they all have their own ecosystems around it. And then they&#8217;re also operating in this big federal thing where there&#8217;s kind of like this. Um, Jennifer Palka just wrote this great book called Recoding America, and she calls this term friendly fire. So where there&#8217;s like things where like the Office of Management, the OMB and General Services Administrations and other offices and agencies within the executive branch and other parts of government are putting together governance and policy around it and how the web should work. Um, and it creates all this types of, you know, these, this guidance and guardrails that you have to adhere to. So that becomes like kind of a larger ecosystem unto itself. So, you know, starting to understand how to work within that type of, um, you know, those types of scenarios and guardrails and boundaries and knowing how to interoperate it all just became, you know, something that started gaining more experience with and more exposure to with and, you know, think it&#8217;s been a big, you know, that knowledge is a big part of like why, you know, my company&#8217;s positioned and why we&#8217;ve achieved some success.</p>\n\n\n\n<p>J.J. Toothman (00:12:44) &#8211; You know, working and and gaining some credibility in parts of the public sector and procuring our relationship with with WordPress VIP and, you know, expanding our own opportunities within itself. Yeah, it&#8217;s exciting. It&#8217;s challenging. Exhausting at times, but it&#8217;s also exciting and rewarding.</p>\n\n\n\n<p>Cory Miller (00:13:04) &#8211; Yeah. Yeah. I can&#8217;t imagine. So just just for clarity. So you&#8217;re working full time at Raytheon or were you contract as a software?</p>\n\n\n\n<p>J.J. Toothman (00:13:12) &#8211; So a contract means you&#8217;re you&#8217;re you&#8217;re like you&#8217;re kind of embedded, so you&#8217;re a full time employee and you&#8217;re your government contractor working on a contract that, you know, a company like Raytheon or Dell or Booz Allen or Lockheed Martin has with the federal government to deliver services abilities that are part of their requirements.</p>\n\n\n\n<p>Cory Miller (00:13:39) &#8211; Okay. Okay. That totally makes sense. So what was that catalytic moment when you&#8217;re like, Hey, I&#8217;m gonna do this for myself, I&#8217;m gonna start my agency?</p>\n\n\n\n<p>J.J. Toothman (00:13:46) &#8211; Yeah.</p>\n\n\n\n<p>Cory Miller (00:13:47) &#8211; So prompted that. Um.</p>\n\n\n\n<p>J.J. Toothman (00:13:50) &#8211; A couple of things. So I left NASA for a while and I went and worked for a company, a music ticketing startup called Ticket Fly.</p>\n\n\n\n<p>J.J. Toothman (00:13:58) &#8211; I helped them, like, basically create a network of websites for small independent music venues, um, and help those music venues talk about, you know, what shows were coming, how to buy tickets, you know, when the on sale dates were and all the other, you know, all that content that is basically all about converting into ticket sales. And so I was with was, you know, with them when they were really small. And, you know, it was definitely the startup world and that was really exciting. It was also a bad time for my life. I just had like my my second child and like my work life balance was it was it was pretty bad. Um, you know, working at a small startup like that. So ended up going back to NASA. Um, you know, and just trying to, like, find my footing a little bit. I also wanted to leave California and move relocate back to the East Coast. And I knew that was, you know, being in a place, a large organization like that would offer some flexibility like that.</p>\n\n\n\n<p>J.J. Toothman (00:15:05) &#8211; Um, but then, you know, I would say around a decade, you know, ten years ago. I started having this, you know, I started having that entrepreneurial itch again. I started thinking about, like, how fun it was to, you know, move fast at ticket fly and wanted that that feeling again. And so I started, you know, I explored a couple of like side hustles, you know, some small little independent web projects. One of them was like a newsletter to help families spend more time outdoors. And they didn&#8217;t really take off. They didn&#8217;t really get get some traction. And what I mean by that, it wasn&#8217;t necessarily traction from a, you know, where we&#8217;re making revenue or gaining customers. We were just like just the balance of of, you know, trying to do do that type of initiative while, you know, having a full time job and also like, you know, having a growing family and all that kind of stuff. And then in but was it was clear that.</p>\n\n\n\n<p>J.J. Toothman (00:16:06) &#8211; You know, I was exploring something. And, you know, again, that desire to to like be in more, you know, control of of of my destiny, so to speak, and be entrepreneurial is something I just couldn&#8217;t I couldn&#8217;t get rid of completely. And it wasn&#8217;t happening within big companies like Dell in the way that I wanted to know. I really wanted to be, you know, in control of a lot of decisions that wasn&#8217;t in control of, um, and, you know, that&#8217;s why people start their own things and, you know, be founders of companies. And, you know, I had dinner with a friend of mine who was also in the government contracting space. He&#8217;s like, you know, you&#8217;ve been thinking about. And he told me he&#8217;s like, You&#8217;ve been thinking about all these little product ideas, these digital product ideas, like, you know, just just start a services business, you know, like and that will satisfy your need or the desire. You have to be entrepreneurial and, you know, like, you know, look at balance sheets and think about marketing and, you know, attracting talent and retaining talent and stuff like that.</p>\n\n\n\n<p>J.J. Toothman (00:17:12) &#8211; And he was right. He was like, You know what? That&#8217;s a really good idea. And within 120 days, I&#8217;d like set the wheels in motion to, you know, start Lone Rock Point. Um, and, you know, we, we went from there. So it started in the fall of I started the company in the fall of 2016. It was just me for, you know, a year. And then it was like me and a virtual assistant for like another year. And I, you know, I started under this like this umbrella of like, digital transformation consulting. At the time, I was doing a lot of work with the public sector around cloud transformations. So people were were operating applications and on premise data centers and starting to make that migration into things like Amazon Web Services. And so working out a lot of change management type type projects associated with that. And it all kind of just fit under this like big umbrella of digital and cloud transformation, which, to be totally honest with you, is, is is too vague and too broad and borderline meaningless.</p>\n\n\n\n<p>J.J. Toothman (00:18:25) &#8211; You know, if you ask ten different people what digital transformation is, you&#8217;re probably going to get ten different definitions of it. Yeah. And so it&#8217;s really hard to like, you know, grow a services business out that way is really just like me being a consultant at that point. Um, and it wasn&#8217;t until like started niching down into, you know what, like let&#8217;s just do this WordPress thing, you know, was I was delivering, um, you know, whitepapers and providing analysis of like how what people should do with like their, their inventory of web applications and advising them on what is and what platforms they should be using. And a lot of times ended up started like you know, making recommendations around WordPress oriented applications, sometimes just building WordPress sites, sometimes using WordPress as an application framework. Um, in over the, in the time I&#8217;ve been with NASA. I&#8217;ve used WordPress with them and a lot of different ways. We&#8217;ve done it in a WordPress network multi-site kind of way for allowing smaller NASA missions and programs and projects to, you know, have their own websites where they all communicate what they&#8217;re up to and what their findings are and share what they learned with, you know, with, with interested stakeholders and visitors to their sites.</p>\n\n\n\n<p>J.J. Toothman (00:19:55) &#8211; Um, there, there&#8217;s been some internal things where needed to like communicate various services as it had to various corners of the agency. So we did like a WooCommerce thing where people can go to a web application, a website and just pick what, what services they want. Like I need, I need some Amazon cloud storage or processing or, you know, EC2 units. And they could apply, they could add all those things to a cart and then say, check out and, you know, check, you know, do a checkout with that and just start getting services provided to them that way. So um, and then, you know, over time it just became clear that like, this is, I keep recommending this, like there&#8217;s growth opportunity for me here and then, you know, niching down to being like, we&#8217;re going to be a WordPress, a more traditional WordPress agency is really when, you know, the growth started happening and the opportunity started becoming a little bit. And it isn&#8217;t just like strategic consulting, it became the execution part of it as well.</p>\n\n\n\n<p>J.J. Toothman (00:21:00) &#8211; And the tactics part of it too, and the tactics and execution. We&#8217;re all oriented for the most of the time.</p>\n\n\n\n<p>Cory Miller (00:21:06) &#8211; Yeah, I&#8217;d love to hear these stories because you got, you know, a big career in enterprise and public sector, you know, with your Raytheon and NASA days and then entrepreneurial hit. Okay, want to do this and then seeing you know when you say NASA and WordPress, it just seems like those things should always go together, you know, and that&#8217;s what really compelling to me is seeing WordPress more on the public sector enterprise. And now there&#8217;s really big institutions in in the US federal government anyway, probably around the world too, but that are starting to use WordPress more and more and leverage it and see that opportunity. Um, so I love kind of how those intersection of things happen. So that lone rock point would kind of exist and grow and then you hit your I was going to ask the question when the WordPress come into play, but you pretty much answered it. So like your 2 or 3 or so, it seems like, hey, we&#8217;re going to drill down.</p>\n\n\n\n<p>Cory Miller (00:22:04) &#8211; And then when you mention WooCommerce that like that use case for an internal tool within a big organization like that to procure and get resources and things, that&#8217;s so compelling. You know, most of my.</p>\n\n\n\n<p>J.J. Toothman (00:22:17) &#8211; Career that like, people just wanted that checkout expert, They wanted that. They wanted that experience of like, I want X, Y and Z, I want to add it to the cart and I want to tell you that I want it. And we just, you know, WooCommerce has that option to, you know, just do check payments, right? Which removes the credit card processing out of it. And so we kind of adapted that to, all right, we&#8217;re going to send this order to somebody who can fulfill that order via this WooCommerce WordPress system. Um, and, you know, it&#8217;s, it&#8217;s, it&#8217;s, you know, it&#8217;s using the WordPress ecosystem at its best, like using it almost kind of as Legos and want this part of it. I want that part of it. I want to, I want to glue them together in this way.</p>\n\n\n\n<p>J.J. Toothman (00:22:58) &#8211; And it&#8217;s, you know, kind of a no code kind of way around WordPress to solve some, you know, some very simple, narrow use cases. But, you know, my, my journey with WordPress, you know, starts way back in 2007 at my first stint with at Ames Research Center. Um, you know, I was working with all these various scientists and researchers and they just like need a place to like publish my, my research findings and publish my data and, and they, they all one, they all had the same, um. You know, requirements and needs. At the highest level, it&#8217;s like I just need a place to put it. And I want to I want to be able to manage it myself in a way. And I don&#8217;t know. I don&#8217;t know how to don&#8217;t know how to code. I don&#8217;t know. I don&#8217;t have anybody on my team who knows HTML. And so that, you know, that basically introduced the concept of like content management systems into all this back in 2007.</p>\n\n\n\n<p>J.J. Toothman (00:24:03) &#8211; And, you know, we were looking at things like wikis at the time and, and then discovered WordPress and around that and just the user experience of someone just, you know, managing their content with that type of, you know, WordPress, CMS, this is like version 2.0 of WordPress, you know, back when they added pages in addition to posts was the real thing. That&#8217;s like, oh, this is what this satisfies what everyone&#8217;s looking for. They want an easy place just to log into. And you know, they all some of them wanted to start blogging. Some of them wanted to start blogging without knowing that they wanted to start blogging. They just want to share what they know and tell their stories. Um, and then back in 2007, I created this is also the Web 2.0 era where, you know, your blogging was, was kind of heavy in the lexicon back then. And I was I did one of NASA&#8217;s first official public blogs on WordPress and, and kind of grew with WordPress, you know, from there that led to the ticket fly work.</p>\n\n\n\n<p>J.J. Toothman (00:25:13) &#8211; And so WordPress was kind of always in my DNA, even when wasn&#8217;t, you know, it wasn&#8217;t like a defined part of what I was, you know, of my, my role description. But my role was in some cases to be strategic and provide advice and provide some roadmaps. And, you know, how do we do things? Give us some give us some guidance here. And a lot of times just said like, well, you don&#8217;t have to create a custom bespoke application for this. Just use a content management system like WordPress, you know, teach your users how to how to how to manage using WordPress themselves. And and you go from there. So and the WordPress ecosystem is what makes all that happen mean there&#8217;s all these different, you know, there&#8217;s all these different plugins and themes and you just kind of integrate it all together, um, you know, in a unique way. And you have a great solution architecture, depending on how you put it together.</p>\n\n\n\n<p>Cory Miller (00:26:08) &#8211; What you&#8217;re talking kind of way back.</p>\n\n\n\n<p>Cory Miller (00:26:11) &#8211; But you know, remember a lot of the solutions that we have now didn&#8217;t exist. So, you know, big organizations were having to do like the the internal resourcing that you&#8217;re talking about. They&#8217;d have to custom code those things or build them because they didn&#8217;t exist off the shelf. Then you fast forward and you go, you could take WooCommerce save. I can&#8217;t even imagine how much time to kind of do git to feature like, you know, par with that and then take that open source solution and then utilize it and just customize with a with a great agency like you all to figure out what their exact needs are. So it&#8217;s it&#8217;s great to see how everything has fast forward to. Well, we touched on this. I know we&#8217;re going to have more conversations down the road. And and I want to talk more about the public sector and enterprise. And I know we&#8217;re talking and we&#8217;re going to have some great conversations in the next couple of months about this, because I know you&#8217;re passionate about it, about the public sector and bringing WordPress to the public sector, but we&#8217;ll save that for another time.</p>\n\n\n\n<p>Cory Miller (00:27:07) &#8211; I don&#8217;t want to spoil too much of that, but I appreciate so much the journey and what you&#8217;re doing. So thank you for telling us that. That&#8217;s, that&#8217;s that&#8217;s incredible. Um, okay. What are you excited about today? What are you excited about today and the future going forward and what you&#8217;re doing with the agency and your team and the work you&#8217;re doing?</p>\n\n\n\n<p>J.J. Toothman (00:27:27) &#8211; Yeah. So a few years ago, the government, Pervez passed a Congress passed an act called the Integrated Digital Experience Act. And within that act is basically it tells all these federal agencies how to modernize their website. So, you know. Obvious things like improve accessibility. They have to be accessible. They have to work on mobile. They. They. You have to have like good search. They should. People should be able to find content there. They also need to be based on user research and user needs. So they&#8217;re all logical things within. You know, public sector and it&#8217;s all so I&#8217;m really excited about that. Be something that initiates or triggers a lot of the work that I&#8217;ve been doing for the last couple of years.</p>\n\n\n\n<p>J.J. Toothman (00:28:26) &#8211; And so for the last few years I&#8217;ve been working on a web modernization project with NASA. It exists for a couple of reasons. It exists. One, because of that idea act. It also exists because NASA has a couple of thousand websites and they don&#8217;t want there to be a couple of thousand websites. They want all that information in one website. So we&#8217;ve been doing a lot of work with them. You know, that started back in kind of mid 2000, late 2000, and it started with, hey, what should be using for its main, you know, web source, major web properties. And so I spent a year taking a look at the landscape of you know, of all the available CMS&#8217;s that are out there, you know, Drupal source site, Adobe Experience manager and then some new newer ones like Wagtail. And then there&#8217;s even we even took a look at, you know, some of the software as a service type solutions like Contentful and just trying to understand the pros and cons of Elda.</p>\n\n\n\n<p>J.J. Toothman (00:29:38) &#8211; And so we spent a year taking a look at the CMS landscape and acquiring data for it, acquiring evidence of it. And while in my heart, you know, being a WordPress guy, I knew like, you know, WordPress makes a lot of sense here. You know, we it&#8217;s still there was a lot of benefit for me to kind of like take a look at like what, you know, all the driving factors for making a decision like that were, um, and you know at the end of it WordPress like was the, the solution, the CMS that NASA wanted to invest in for the future. And that&#8217;s what we&#8217;ve been working on for the last couple of years. So for the last couple of years we&#8217;ve been working on a couple of big. Uh, NASA WordPress projects. And a lot of, you know, I talked a lot about how I&#8217;ve been using WordPress and a no code kind of way. This is not a no code kind of way. There was a lot of Gutenberg custom development here.</p>\n\n\n\n<p>J.J. Toothman (00:30:34) &#8211; It&#8217;s the, it&#8217;s, it&#8217;s the project that has everything like, you know, an emphasis on SEO, an emphasis on accessibility. There&#8217;s a new atomic design system that was created for this. And so the seeing the marriage of an atomic design system and Gutenberg, you know, come to bring all that stuff to life has been really, really exciting. And I&#8217;m excited to like for, for, you know, people, you know, interested in what NASA is up to and people interested in WordPress to see the fruits of all this labor that we&#8217;ve been working on for the last couple of years and it&#8217;s all coming in the next few months. And yeah, so I&#8217;m really excited to share that with you and share that with other people in the community.</p>\n\n\n\n<p>Cory Miller (00:31:19) &#8211; Yeah, that&#8217;s excellent. So I want to take just a minute in sidebar because you did this whole year, you know, one of seeing what&#8217;s out there, seeing what the options are. And I love that you&#8217;ve done some deep, deep research for big organizations trying to make a big, important decision on it.</p>\n\n\n\n<p>Cory Miller (00:31:36) &#8211; Um, I&#8217;m just curious what we&#8217;re couple takeaways. As you just surveyed the landscape. You know, we love WordPress. We understand, you know, we, we support WordPress, but, but we know that there&#8217;s a lot of stuff out there. Um, but I&#8217;m curious, what, what did the landscape look like? Where were some of the things you saw when you looked at the other platforms you mentioned like Wagtail? I hadn&#8217;t heard that one before. I&#8217;ve heard of Contentful for instance, and of course Drupal. But what, what were a couple of the takeaways on that year of investigation out there?</p>\n\n\n\n<p>J.J. Toothman (00:32:08) &#8211; So the I, I would say that there are two major, maybe three major differentiators that separated WordPress from the rest from the rest of the pack. If you will. Um, you know, there&#8217;s a lot of great content management systems out there. You know, they all do the same thing or try to do people the same. They try to make it easy for people to publish information onto the web and make it easy for others to consume it.</p>\n\n\n\n<p>J.J. Toothman (00:32:35) &#8211; But the differentiators from WordPress versus the other CMS that we were looking at were number one. A lot of again, it had a lot of it had to do with the ecosystem. WordPress was the only CMS that had real time analysis tools around SEO. So and accessibility to kind of try to improve those situations before the point of publishing. So Yoast is the obvious example. So Yoast, you know, we&#8217;ve all been exposed to Yoast. Yoast allows you to allows the content creator user to be authoring and editing content and getting some real time analysis about how friendly or compatible, whatever the term you want to use it is before the point of publish. There&#8217;s accessibility tools out there that do the same things that are kind of integrated within the WordPress Admin WordPress dashboard that allow that content creator user to like, you know, when it&#8217;s in draft format to analyze. Do I have accessibly accessible content that I&#8217;m about to publish in here and make live other CMS didn&#8217;t have that baked in. You know, there&#8217;s WordPress plugins that do these things.</p>\n\n\n\n<p>J.J. Toothman (00:33:51) &#8211; Um, we could even, we even have the ability to prevent publishing until certain excessively thresholds and SEO optimization thresholds are met. That was really, really attractive. All the most of the majority of the other solutions are you publish it first it&#8217;s live and then you can go back and check it and then you kind of have to retrofit it. I&#8217;ve been working in enterprises enough to know that that doesn&#8217;t happen once it&#8217;s published, Once it&#8217;s out there, people are generally going to move on. They&#8217;re not going to do the analysis of like, All right, how do I go back and improve this thing? So you really got to you really got to catch those things early and often. Um, you know, up front in the, in the content publishing lifecycle. So that was one of the big differentiators was that and that again, that&#8217;s all a product of the WordPress ecosystem and the innovation that comes out of that ecosystem. The other one was just kind of like the resources around this. So we all, you know, you can take for a grain of salt like, you know, the the whole thing about, you know, WordPress powers, 40% of the web, you know, that kind of stuff.</p>\n\n\n\n<p>J.J. Toothman (00:34:57) &#8211; But there is some byproduct of that. And that is there&#8217;s a lot of people using it. There&#8217;s a lot of people building it. There&#8217;s a lot of people developing on it. There&#8217;s a lot of people extending on. There&#8217;s a lot of knowledge being shared around that. One of the things I did was I went in the stack overflow and compared WordPress with other CMS&#8217;s and just being like, How many conversations are happening around this thing, you know, that we&#8217;re looking at? And it was, you know, what you expected, the ability for, you know, to be able to. Try to solve a problem by getting by by, you know, interfacing or sponging up knowledge that was already contributed back in some way, you know, via via StackOverflow or, you know, other places on the Web, other groups, Slack channels, etcetera, that exists in WordPress in a way that it doesn&#8217;t exist in these other, you know, CMS products. You know, the if you want to if you want to get developer knowledge around Adobe Experience Manager, you for for the most part there are some Adobe experience manager specialists out there, but for the most part you got to go to Adobe for it.</p>\n\n\n\n<p>J.J. Toothman (00:36:02) &#8211; Um. Uh, you know, same thing with sorts. There&#8217;s not there&#8217;s not a huge community of sort site developers out there. So for a place like NASA, you know, resource acquisition becomes a problem. Like, where are they going to find talent for that? Yeah. And you know, again, WordPress, you know, kind of is head and shoulders above the rest in that area. Um, and then, you know, this whole concept of WordPress is for everyone to like that. That rang true in all this research too. Like it&#8217;s more than just developer community. There&#8217;s user communities out there that are also sharing their knowledge here. Um, you know, there&#8217;s all these kinds of like, there&#8217;s, there&#8217;s solutions for learning WordPress that are provided by the communities and multiple companies with the community that add a lot of value within the equals. So it&#8217;s not just like the software ecosystem, but it&#8217;s like, you know, the kind of service ecosystem to that exist within WordPress. Um, and then honestly, like, you know, portability matters to, um, you know, there&#8217;s, for the most part, like I really just wanted public sector to adopt open source.</p>\n\n\n\n<p>J.J. Toothman (00:37:11) &#8211; You know, that&#8217;s the first decision I want, I want them to do is just, just, you know, make an open source decision. And then you&#8217;ve done that. You know, you&#8217;re in a good you&#8217;re in a better place than picking a commercial, you know, bespoke solution. You know, And then, you know, once you get past that hurdle now, you know, the obvious open source can cannot exist. And you know, the user experience of WordPress and that whole concept of WordPress being for everyone and being considering everyone, depending on who you are, really rings true and is a differentiator as well.</p>\n\n\n\n<p>Cory Miller (00:37:50) &#8211; Well, that&#8217;s excellent. And that rings true. You know, I&#8217;m curious because as I talked to more enterprise agencies, all of you out there in the world interfacing with clients, with their needs, what they actually are trying to get done. That&#8217;s really, really great to hear and it&#8217;s reflective of the community. I think sometimes they&#8217;ve been in the community like you as long as we have.</p>\n\n\n\n<p>Cory Miller (00:38:10) &#8211; I take some of those things for granted. So I think that&#8217;s that&#8217;s excellent. Well, JJ, thanks so much for the time today. I know you just got back from a big trip and you&#8217;ve got work to pile out, but I appreciate you coming on the podcast and sharing your agency journey, and I look forward to our next conversation, sharing the good work you&#8217;re doing with WordPress in our world. That too.</p>\n\n\n\n<p>J.J. Toothman (00:38:31) &#8211; Corey Thanks for having me.</p>\n\n\n\n<p>Cory Miller (00:38:34) &#8211; All right. Thanks, everybody, for being here today. And we&#8217;ll talk to you. We&#8217;ll see. We&#8217;ll talk to you. We&#8217;ll hear from you. They&#8217;ll listen to us soon.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"Post Status: WordPress 6.3 RC1 • Field Guide • Gutenberg Phase 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://poststatus.com/wordpress-6-3-rc1-field-guide-gutenberg-phase-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://poststatus.com/wordpress-6-3-rc1-field-guide-gutenberg-phase-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:25778:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (July 17, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">WordPress 6.3 will arrive on August 8, so there isn&#8217;t much time left for testing compatibility. Whether you are a plugin or theme maintainer or managing clients&#8217; websites, now is the time to test the latest features. Mike Schroder shares their most anticipated feature with auto-rollbacks coming.Collaborative editing is coming to WordPress, but what might&hellip; </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kadence-dynamic-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"> WP 6.3, Field Guide, Phase 3</h2><p class=\"kt-blocks-info-box-text\"><br />  <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-1/\">WordPress 6.3 Release Candidate 1</a><br /><br />  <a href=\"https://wordpress.org/news/2023/07/episode-60-sneak-a-peek-at-wordpress-6-3-with-special-guest-mike-schroder/\">Sneak a Peek at WP</a><a href=\"https://wordpress.org/news/2023/07/episode-60-sneak-a-peek-at-wordpress-6-3-with-special-guest-mike-schroder/\"> 6.3 with Mike Schroder</a><br /><br /> &#x200d;  <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a><br /><br />3&#x20e3; <a href=\"https://make.wordpress.org/core/tag/phase-3/\">Gutenberg Phase 3</a><br /><br />  <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a><br />><br /></a><br /><br />><br /></a><br /><br /></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-1/\">WordPress 6.3 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/episode-60-sneak-a-peek-at-wordpress-6-3-with-special-guest-mike-schroder/\">WP Briefing: Episode 60: Sneak a Peek at WordPress 6.3 with Special Guest Mike Schroder</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/designed-with-wordpress/\">Designed with WordPress</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-40 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\">WordPress 6.3</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-3-accessibility-improvements/\">WordPress 6.3 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-1/\">WordPress 6.3 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-2-release-candidate-phase-2/\">WordPress 6.3 Release Candidate Phase</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/30/6-3-release-parties-schedule-and-hosts/\">6.3 Release Parties Schedule and hosts</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">WordPress 6.3 Beta 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/05/25/wordpress-6-3-design-kickoff/\">WordPress 6.3 design kickoff</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/25/bug-scrub-schedule-for-6-3/\">Bug Scrub Schedule for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/wordpress-6-3-planning-roundup/\">WordPress 6.3 Planning Roundup</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/roadmap-to-6-3/\">Roadmap to 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\">WordPress 6.3 Field Guide and Dev-Notes</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-block-selectors-api/\">Introducing the Block Selectors API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Introducing the WordPress Command Palette API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/layout-updates-in-the-editor-for-wordpress-6-3/\">Layout updates in the editor for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/social-icons-block-applied-colors-now-dynamically-update-based-on-theme-json-and-global-styles/\">Social Icons block: Applied colors now dynamically update based on theme.json and Global Styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-editor-changes-in-wordpress-6-3/\">Miscellaneous Editor changes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/bundled-themes-dropping-internet-explorer-scripts-and-styles/\">Bundled themes dropping Internet Explorer scripts and styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/improvements-to-the-cache-api-in-wordpress-6-3/\">Improvements to the Cache API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/configuring-development-mode-in-6-3/\">Configuring development mode in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">I18N Improvements in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/image-performance-enhancements-in-wordpress-6-3/\">Image performance enhancements in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/wp_query-used-internally-in-get_pages/\">WP_Query used internally in get_pages()</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/registering-scripts-with-async-and-defer-attributes-in-wordpress-6-3/\">Registering scripts with `async` and `defer` attributes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/improved-caching-for-database-queries-in-wp_user_query/\">Improved Caching for Database Queries in WP_User_Query</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-developer-changes-in-wordpress-6-3/\">Miscellaneous developer changes in WordPress 6.3</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-45 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-43 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/07/17/accessibility-team-meeting-agenda-july-21-2023/\">Accessibility Team Meeting Agenda: July 21, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/07/13/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-july-12-2023/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on July 12, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/13/new-handbook-page-for-wordcamp-organizers-wordcamp-speaker-selection-for-content-and-diversity/\">New handbook page for WordCamp Organizers: WordCamp Speaker Selection (for content AND diversity)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/12/summary-of-the-q2-community-team-role-updates/\">Summary of the Q2 Community Team Role Updates</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/06/29/hallway-hangout-performance-improvements-for-wordpress-6-3/\">Hallway Hangout: Performance Improvements for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/a-week-in-core-july-17-2023/\">A Week in Core – July 17, 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" rel=\"noreferrer noopener\">Admin Design</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-1-using-the-wordpress-scripts-package-with-themes/\">Beyond block styles, part 1: using the WordPress scripts package with themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/make-your-sites-typography-make-a-statement/\">Make your site’s typography make a statement</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/whats-new-for-developers-july-2023/\">What’s new for developers? (July 2023)</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/how-to-modify-theme-json-data-using-server-side-filters/\">How to modify theme.json data using server-side filters</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/editor-chat-agenda-july-19th-2023/\">Editor Chat Agenda: July 19th, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/dev-chat-agenda-july-19-2023/\">Dev Chat agenda, July 19, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Design</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/design/2023/07/03/design-share-jun-19-jun-30/\">Design Share: Jun 19–Jun&nbsp;30</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/07/18/call-for-volunteers-to-help-with-6-3-end-user-documentation/\">Call for volunteers to help with 6.3 end-user documentation</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/07/18/agenda-for-docs-team-bi-weekly-meeting-july-18-2023/\">Agenda for Docs Team bi-weekly meeting July 18, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/17/documentation-team-update-july-17-2023/\">Documentation Team Update – July 17, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/11/hosting-team-meeting-agenda-2023-07-12/\">Hosting Team meeting agenda 2023-07-12</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/hosting/2023/05/15/is-wordpress-compatible-with-php-8/\">Is WordPress compatible with PHP 8?</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/06/26/notes-global-marketing-team-meeting-20-june-2023/\">Notes: Global Marketing Team meeting, 20 June 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/marketing/2023/06/19/notes-global-marketing-team-meeting-13-june-2023/\">Notes: Global Marketing Team meeting, 13 June 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/06/20/make-team-dashboards/\">Make Team Dashboards</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/15/triaging-open-issues-on-trac-for-make-teams/\">Triaging open issues on Trac for Make Teams</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/13/new-filter-controls-discover-commercial-and-community-in-the-theme-and-plugin-directory/\">New Filter Controls: Discover “Commercial” and “Community” in the Theme and Plugin Directory</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/11/linking-to-supporting-orgs/\">Linking to Supporting Orgs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/09/new-curation-filter-in-pattern-directory/\">New curation filter in Pattern Directory</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/07/12/mobile-team-update-july-12th/\">Mobile Team Update – July 12th</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/mobile/2023/04/11/contribute-to-the-future-of-the-wordpress-app/\">Contribute to the Future of the WordPress App</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/12/mobile-team-update-july-12th/\">Mobile Team Update – July 12th</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/18/community-meeting-recap-2023-07-18/\">Community Meeting Recap (2023-07-18)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/17/last-week-openverse-2023-07-10-2023-07-17/\">A week in Openverse: 2023-07-10 – 2023-07-17</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/performance-chat-summary-18-july-2023/\">Performance Chat Summary: 11 July 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/06/29/plugin-review-team-update-the-next-phase-begins/\">Plugin Review Team Update: The next phase begins</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/17/plugin-review-team-17-jul-2023/\">Plugin Review Team: 17 Jul 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/19/weekly-polyglots-chat-july-19-2023-1300-utc/\">Weekly Polyglots Chat – July 19, 2023 (13:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/07/13/proposal-for-establishing-a-make-diversity-equity-inclusion-and-belonging-deib-team-within-the-wordpress-community/\">Proposal for Establishing a Make Diversity, Equity, Inclusion, and Belonging (“DEIB”) Team within the WordPress Community</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Support</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/06/wp-contributor-mentorship-program-support-team-edition/\">WP Contributor Mentorship Program: Support team edition</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/07/14/sustainability-chat-summary-july-14-2023/\">Sustainability Chat Summary, July 14, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/07/12/themes-team-update-july-12-2023/\">Themes team update July 12, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/themes/2023/07/13/themes-team-meeting-notes-july-11-2023/\">Themes Team Meeting Notes –&nbsp;July 11, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/learn-wordpress-july-2023-newsletter/\">Learn WordPress July 2023 Newsletter</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/10/training-team-2023-half-year-review/\">Training Team 2023 Half Year Review</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/08/next-steps-for-github-updates/\">Next steps for GitHub updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/08/announcement-updates-to-team-meeting-times/\">Announcement: Updates to team meeting times</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/07/project-thread-learning-pathways-on-learn-wordpress/\">Project Thread: Learning Pathways on Learn WordPress</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/it-choosing-and-installing-a-theme/\">Scegliere e installare un tema</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/7-tips-to-improve-website-security/\">7 Tips to improve website security</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=testing-wordpress-6-3\">Testing WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=come-join-the-wordpress-training-team-4\">Come join the WordPress Training Team!</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-validate-content-feedback-for-the-wordpress-training-team-3\">How to validate content feedback for the WordPress Training Team</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-validate-content-feedback-for-the-wordpress-training-team-2\">How to validate content feedback for the WordPress Training Team</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=mentorship-program-introduction-to-the-wordpress-open-source-project\">Mentorship Program: Introduction to the WordPress Open Source Project</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/tv\">WordPress TV</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/tv/2023/06/15/enhancing-slide-management-for-video-publications/\">Enhancing Slide Management for Video Publications</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordCamp Central</h2>\n\n\n\n<ul>\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-dhaka-2023-has-been-cancelled/\">WordCamp Dhaka 2023 Has Been Cancelled</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-rochester-is-back/\">WordCamp Rochester is Back!</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-san-jose-2023-looking-for-speakers-and-sponsors/\">WordCamp San José 2023: Looking For Speakers And Sponsors!</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/06/wordcamp-finland-back-to-tampere-with-educational-insightful-and-thought-provoking-talks/\">WordCamp Finland: back to Tampere with educational, insightful and thought-provoking talks</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://github.com/PHPMailer/PHPMailer/releases/tag/v6.8.0\">PHPMailer 6.8.0</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong>   <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>.  </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"Post Status: WordPress 6.3 Beta 4 • Help Test • DEIB New Team Proposal • Gutenberg Phase 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://poststatus.com/wordpress-6-3-beta-4-help-test-deib-new-team-proposal/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://poststatus.com/wordpress-6-3-beta-4-help-test-deib-new-team-proposal/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:22073:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (July 11, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">WordPress 6.3 is less than one month away. Get started testing now and tune in for the live product demo. As we head into WordPress 6.4&#8217;s kickoff, it&#8217;s time to set our sights on Gutenberg Phase 3: Collaborative Editing. Your feedback to the ideas presented is important. The first cohort of New Contributor Mentorship Program&hellip; </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kadence-dynamic-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"> WP 6.3, DEIB, Mentorship, Phase 3</h2><p class=\"kt-blocks-info-box-text\">β <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-beta-4/\">WordPress 6.3 Beta 4</a><br /><br />  <a href=\"https://wordpress.org/news/2023/07/6-3-live-product-demo/\">6.3 Live Product Demo</a><br /><br /> &#x200d;  <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a><br /><br />3&#x20e3; <a href=\"https://make.wordpress.org/core/tag/phase-3/\">Gutenberg Phase 3</a><br /><br /> &#x200d;  <a href=\"https://make.wordpress.org/updates/2023/07/12/xpost-announcing-the-inaugural-cohort-of-the-wordpress-contributor-mentorship-program/\">Contributor Mentorship Program!</a><br />><br /></a><br /><br />><br /></a><br /><br /></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-beta-4/\">WordPress 6.3 Beta 4</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/6-3-live-product-demo/\">6.3 Live Product Demo</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/people-of-wordpress-allison-dye/\">People of WordPress: Allison Dye</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/episode-59-a-polyglots-wordpress/\">WP Briefing: Episode 59: A Polyglot’s WordPress</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-50 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-48 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\">WordPress 6.3</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/30/6-3-release-parties-schedule-and-hosts/\">6.3 Release Parties Schedule and hosts</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">WordPress 6.3 Beta 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/05/25/wordpress-6-3-design-kickoff/\">WordPress 6.3 design kickoff</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/25/bug-scrub-schedule-for-6-3/\">Bug Scrub Schedule for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/wordpress-6-3-planning-roundup/\">WordPress 6.3 Planning Roundup</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/roadmap-to-6-3/\">Roadmap to 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/07/07/accessibility-team-meeting-agenda-july-7-2023/\">Accessibility Team Meeting Agenda: July 7, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/07/12/xpost-announcing-the-inaugural-cohort-of-the-wordpress-contributor-mentorship-program/\">Contributor Mentorship Program!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/13/new-handbook-page-for-wordcamp-organizers-wordcamp-speaker-selection-for-content-and-diversity/\">New handbook page for WordCamp Organizers: WordCamp Speaker Selection (for content AND diversity)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/12/summary-of-the-q2-community-team-role-updates/\">Summary of the Q2 Community Team Role Updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/12/announcing-the-inaugural-cohort-of-the-wordpress-contributor-mentorship-program/\">Announcing the Inaugural Cohort of the WordPress Contributor Mentorship Program!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/05/community-team-meeting-agenda-for-6-july-2023/\">Community Team Meeting Agenda for 6 July, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/05/wcus-2023-contributor-day-help-needed/\">WCUS 2023 Contributor Day: Help Needed!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/05/wcus-2023-contributor-day-what-should-we-work-on/\">WCUS 2023 Contributor Day: What should we work on?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/03/incident-report-recent-cancelation-of-a-wordcamp/\">Incident Report: Recent Cancelation of a WordCamp</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/03/wordcamp-mentors-july-check-in/\">WordCamp Mentors’ July check-in!</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/06/29/hallway-hangout-performance-improvements-for-wordpress-6-3/\">Hallway Hangout: Performance Improvements for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/a-week-in-core-july-10-2023/\">A Week in Core – July 10, 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" rel=\"noreferrer noopener\">Admin Design</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/06/the-style-book-a-one-stop-shop-for-styling-block-themes/\">The Style Book: a one-stop shop for styling block themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/06/navigating-the-block-editor-handbook/\">Navigating the Block Editor Handbook</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/06/upgrading-the-site-editing-experience-with-custom-template-part-areas/\">Upgrading the site-editing experience with custom template part areas</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/12/dev-chat-summary-july-12-2023-2/\">Dev Chat Summary: July 12, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/12/developer-blog-editorial-meeting-06-june-2023/\">Developer Blog Editorial Meeting – 06 July 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Design</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/design/2023/07/03/design-share-jun-19-jun-30/\">Design Share: Jun 19–Jun&nbsp;30</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/07/12/xpost-announcing-the-inaugural-cohort-of-the-wordpress-contributor-mentorship-program/\">Contributor Mentorship Program!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/07/06/summary-for-docs-team-meeting-jul-04-2023/\">Summary for Docs Team Meeting, Jul 04, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/11/hosting-team-meeting-agenda-2023-07-12/\">Hosting Team meeting agenda 2023-07-12</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/hosting/2023/05/15/is-wordpress-compatible-with-php-8/\">Is WordPress compatible with PHP 8?</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/06/20/make-team-dashboards/\">Make Team Dashboards</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/15/triaging-open-issues-on-trac-for-make-teams/\">Triaging open issues on Trac for Make Teams</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/13/new-filter-controls-discover-commercial-and-community-in-the-theme-and-plugin-directory/\">New Filter Controls: Discover “Commercial” and “Community” in the Theme and Plugin Directory</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/11/linking-to-supporting-orgs/\">Linking to Supporting Orgs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/09/new-curation-filter-in-pattern-directory/\">New curation filter in Pattern Directory</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/mobile/2023/04/11/contribute-to-the-future-of-the-wordpress-app/\">Contribute to the Future of the WordPress App</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/12/mobile-team-update-july-12th/\">Mobile Team Update – July 12th</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/12/community-meeting-recap-2023-07-11/\">Community Meeting Recap (2023-07-11)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/10/last-week-openverse-2023-07-03-2023-07-10/\">A week in Openverse: 2023-07-03 – 2023-07-10</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/05/priorities-meeting-recap-2023-07-05/\">Priorities Meeting Recap 2023-07-05</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/05/community-meeting-recap-2023-07-04/\">Community Meeting Recap (2023-07-04)</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/performance-chat-summary-11-july-2023/\">Performance Chat Summary: 11 July 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/06/29/plugin-review-team-update-the-next-phase-begins/\">Plugin Review Team Update: The next phase begins</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/12/agenda-weekly-polyglots-chat-july-12-2023-0700-utc/\">Agenda: Weekly Polyglots Chat – July 12, 2023 (07:00 UTC)</a></li>\n</ul>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/06/28/agenda-weekly-polyglots-chat-june-28-2023-0700-utc/\">Agenda: Weekly Polyglots Chat – June 28, 2023 (07:00 UTC)</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/07/13/proposal-for-establishing-a-make-diversity-equity-inclusion-and-belonging-deib-team-within-the-wordpress-community/\">Proposal for Establishing a Make Diversity, Equity, Inclusion, and Belonging (“DEIB”) Team within the WordPress Community</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Support</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/06/wp-contributor-mentorship-program-support-team-edition/\">WP Contributor Mentorship Program: Support team edition</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/06/30/sustainability-chat-summary-june-30-2023/\">Sustainability Chat Summary, June 30, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/07/10/test-team-update-10-july-2023/\">Test Team Update: 10 July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/07/12/themes-team-update-july-12-2023/\">Themes team update July 12, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/themes/2023/07/13/themes-team-meeting-notes-july-11-2023/\">Themes Team Meeting Notes –&nbsp;July 11, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/learn-wordpress-july-2023-newsletter/\">Learn WordPress July 2023 Newsletter</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/10/training-team-2023-half-year-review/\">Training Team 2023 Half Year Review</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/08/next-steps-for-github-updates/\">Next steps for GitHub updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/08/announcement-updates-to-team-meeting-times/\">Announcement: Updates to team meeting times</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/07/project-thread-learning-pathways-on-learn-wordpress/\">Project Thread: Learning Pathways on Learn WordPress</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/06/training-team-meeting-recap-4th-july-2023/\">Training Team Meeting Recap – 4th July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/04/expertise-needed-learn-how-to-vet-content-topic-ideas-for-the-training-team/\">Expertise needed: Learn how to vet content topic ideas for the Training Team</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/03/training-team-meeting-recap-for-june-27th-2023/\">Training Team Meeting Recap for June 27th, 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/7-tips-to-improve-website-security/\">7 Tips to improve website security</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/categories-vs-tags-whats-the-difference/\">Categories vs. Tags: What’s the difference?</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/debugging-in-wordpress/\">Debugging in WordPress</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/designing-with-row-and-stack-blocks/\">Designing with row and stack blocks</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=testing-wordpress-6-3\">Testing WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=come-join-the-wordpress-training-team-4\">Come join the WordPress Training Team!</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordCamp Central</h2>\n\n\n\n<ul>\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-dhaka-2023-has-been-cancelled/\">WordCamp Dhaka 2023 Has Been Cancelled</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-rochester-is-back/\">WordCamp Rochester is Back!</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-san-jose-2023-looking-for-speakers-and-sponsors/\">WordCamp San José 2023: Looking For Speakers And Sponsors!</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/06/wordcamp-finland-back-to-tampere-with-educational-insightful-and-thought-provoking-talks/\">WordCamp Finland: back to Tampere with educational, insightful and thought-provoking talks</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong>   <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>.  </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"Post Status: WordPress 6.3 Beta 2 • Help Test • WPDiversity • Plugin Team Next Phase • Mentorship\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"https://poststatus.com/wordpress-6-3-beta-2-help-test-wpdiversity-plugin-team-next-phase-mentorship/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"https://poststatus.com/wordpress-6-3-beta-2-help-test-wpdiversity-plugin-team-next-phase-mentorship/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:21026:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (June 26, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">Release season is upon us as we approach WordPress 6.3&#8217;s August 8th release. Your help is needed testing the latest changes. Do you run or attend WordPress events and notice only one type of person is attending? What can you do to be a good ally to foster, promote, and support diversity and an inclusive&hellip; </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kadence-dynamic-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">WP6.3b2 • Test • WPDiversity • Mentorship • Plugin Team Next Steps</h2><p class=\"kt-blocks-info-box-text\">β <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">WordPress 6.3 Beta 2</a><br /><br /> &#x200d;  <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a><br /><br />  <a href=\"https://make.wordpress.org/community/2023/06/22/attention-wordpress-event-organizers-this-important-workshop-on-july-20-2023-is-for-you/\">Attention WordPress event organizers: This important workshop on July 20, 2023 is for you!</a><br /><br />  <a href=\"https://make.wordpress.org/plugins/2023/06/29/plugin-review-team-update-the-next-phase-begins/\">Plugin Review Team Update: The next phase begins</a><br /><br /> &#x200d;  <a href=\"https://make.wordpress.org/project/2023/06/23/launch-your-wordpress-contributor-journey-through-the-mentorship-program-pilot/\">Launch your WordPress Contributor Journey through the Mentorship Program Pilot</a><br /><br /></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/06/people-of-wordpress-allison-dye/\">People of WordPress: Allison Dye</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">WordPress 6.3 Beta 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/episode-58-a-new-wave-for-wordpress-events/\">WP Briefing: Episode 58: A New Wave for WordPress Events</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-55 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-53 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\">WordPress 6.3</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/06/30/6-3-release-parties-schedule-and-hosts/\">6.3 Release Parties Schedule and hosts</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">WordPress 6.3 Beta 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/05/25/wordpress-6-3-design-kickoff/\">WordPress 6.3 design kickoff</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/25/bug-scrub-schedule-for-6-3/\">Bug Scrub Schedule for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/wordpress-6-3-planning-roundup/\">WordPress 6.3 Planning Roundup</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/roadmap-to-6-3/\">Roadmap to 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/06/16/accessibility-team-meeting-notes-june-16-2023/\">Accessibility Team Meeting Notes: June 16, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/06/29/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-june-28-2023/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on June 28, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/06/22/attention-wordpress-event-organizers-this-important-workshop-on-july-20-2023-is-for-you/\">Attention WordPress event organizers: This important workshop on July 20, 2023 is for you!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/06/21/meetup-organizer-newsletter-june-2023/\">Meetup Organizer Newsletter: June 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/06/21/wceu-2023-community-table-recap/\">WCEU 2023 Community Table Recap</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/06/19/next-generation-of-wordpress-events-updates/\">Next Generation of WordPress Events: Updates</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/06/29/hallway-hangout-performance-improvements-for-wordpress-6-3/\">Hallway Hangout: Performance Improvements for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/29/whats-new-in-gutenberg-16-1-29-june/\">What’s new in Gutenberg 16.1? (29 June)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/27/a-week-in-core-june-26-2023/\">A Week in Core – June 26, 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/06/the-style-book-a-one-stop-shop-for-styling-block-themes/\">The Style Book: a one-stop shop for styling block themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/06/navigating-the-block-editor-handbook/\">Navigating the Block Editor Handbook</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/06/upgrading-the-site-editing-experience-with-custom-template-part-areas/\">Upgrading the site-editing experience with custom template part areas</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/06/27/dev-chat-summary-june-21-2023/\">Dev Chat Summary: June 21, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/26/editor-chat-agenda-june-28th-2023/\">Editor Chat Agenda: June 28th, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Design</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/design/2023/05/25/wordpress-6-3-design-kickoff/\">WordPress 6.3 design kickoff</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/06/06/design-share-may-22-jun-2/\">Design Share: May 22–Jun 2</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/06/23/online-monthly-docs-team-contributor-day-june-27-2023/\">Online monthly Docs Team Contributor Day June 27, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/06/23/summary-for-docs-team-meeting-june-20-2023/\">Summary for Docs Team meeting, June 20, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/06/28/hosting-team-meeting-agenda-2023-06-28/\">Hosting Team meeting agenda 2023-06-28</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/hosting/2023/05/15/is-wordpress-compatible-with-php-8/\">Is WordPress compatible with PHP 8?</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/06/20/make-team-dashboards/\">Make Team Dashboards</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/15/triaging-open-issues-on-trac-for-make-teams/\">Triaging open issues on Trac for Make Teams</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/13/new-filter-controls-discover-commercial-and-community-in-the-theme-and-plugin-directory/\">New Filter Controls: Discover “Commercial” and “Community” in the Theme and Plugin Directory</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/11/linking-to-supporting-orgs/\">Linking to Supporting Orgs</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/09/new-curation-filter-in-pattern-directory/\">New curation filter in Pattern Directory</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/mobile/2023/04/11/contribute-to-the-future-of-the-wordpress-app/\">Contribute to the Future of the WordPress App</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/06/30/catalog-performance-testing-results/\">Catalog Performance Testing Results</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/06/27/community-meeting-recap-2023-06-27/\">Community Meeting Recap (2023-06-27)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/06/26/last-week-openverse-2023-06-19-2023-06-26/\">A week in Openverse: 2023-06-19 – 2023-06-26</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/06/27/performance-chat-summary-27-june-2023/\">Performance Chat Summary: 27 June 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/06/29/plugin-review-team-update-the-next-phase-begins/\">Plugin Review Team Update: The next phase begins</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/06/28/agenda-weekly-polyglots-chat-june-28-2023-0700-utc/\">Agenda: Weekly Polyglots Chat – June 28, 2023 (07:00 UTC)</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/06/23/launch-your-wordpress-contributor-journey-through-the-mentorship-program-pilot/\">Launch your WordPress Contributor Journey through the Mentorship Program Pilot</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Support</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/06/wp-contributor-mentorship-program-support-team-edition/\">WP Contributor Mentorship Program: Support team edition</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/06/30/sustainability-chat-summary-june-30-2023/\">Sustainability Chat Summary, June 30, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/06/07/fse-program-testing-call-24-momery-makeover/\">FSE Program Testing Call #24: Momery Makeover</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/06/28/themes-team-meeting-notes-june-27-2023/\">Themes Team Meeting Notes – June 27, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/06/24/proposal-lets-actively-promote-the-learn-wordpress-platform-in-learn-wordpress-content/\">Proposal: Let’s actively promote the Learn WordPress platform in Learn WordPress content</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/06/22/training-team-meeting-recap-20th-june-2023/\">Training Team Meeting Recap – 20th June 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/06/20/proposal-new-contributor-guide-program/\">Proposal: New Contributor Guide Program</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/06/19/brainstorm-table-lead-wordcamp-us-2023-contributor-day/\">Brainstorm &amp; Table Lead – WordCamp US 2023 Contributor Day</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/developing-for-multisite/\">Developing for Multisite</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/how-to-start-using-wordpress-playground/\">How to start using WordPress Playground</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/wpphotos-moderator-training/\">WPPhotos Moderator Training</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/using-the-block-editor-tips-and-shortcuts-for-efficiency/\">Using the block editor: Tips and shortcuts for efficiency</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/using-headings-for-accessibility-and-seo/\">How to use headings for accessibility and&nbsp;SEO</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/advanced-multisite-management/\">Advanced Multisite Management</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/fr-the-difference-between-reusable-blocks-block-patterns-templates-and-template-parts/\">Différences entre blocs réutilisables, compositions de blocs, modèles et éléments de modèle</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=common-wordpress-apis-dashboard-widgets\">Common WordPress APIs: Dashboard Widgets</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-8\">WP dev livestream: Sendig block theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=introducing-domains-4\">Introducing… Domains!</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=introducing-domains-3\">Introducing… Domains!</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=tips-and-shortcuts-for-using-the-block-editor-streamlining-content-creation-apac\">Tips and shortcuts for using the block editor &amp; streamlining content creation (APAC)</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=tips-and-shortcuts-for-using-the-block-editor-streamlining-content-creation\">Tips and shortcuts for using the block editor &amp; streamlining content creation</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=using-the-row-and-stack-blocks-apac\">Using the row and stack blocks (APAC)</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-7\">WP dev livestream: Sendig block theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=custom-tables-in-wordpress\">Custom tables in WordPress</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=developer-hours-exploring-editor-extensibility\">Developer Hours: Exploring Editor Extensibility</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=hallway-hangout-lets-chat-about-wordpress-6-3-and-block-theming\">Hallway Hangout: Let’s chat about WordPress 6.3 and block theming</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=the-wordpress-developer-quiz\">The WordPress developer Quiz</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-can-chat-gpt-help-wordpress-developers-and-designers\">How can Chat GPT help WordPress developers and designers?</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-set-up-a-free-wordpress-test-website-and-explore-code-2\">How to set up a free WordPress test website (and explore code!)</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/creating-a-4-page-business-website/\">Creating a 4-page business website</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-04-13-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\">PHP 8.2.6 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-2\">PHP 8.1.19 Released!</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/13.0/\">TC39</a></li>\n\n\n\n<li><a href=\"https://github.com/composer/composer/releases/tag/2.5.5\">Composer 2.5.5</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong>   <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>.  </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"Post Status: The WP Agency Journey with Rob Cairns of Stunning Digital Marketing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://poststatus.com/the-wp-agency-journey-with-rob-cairns-of-stunning-digital-marketing/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://poststatus.com/the-wp-agency-journey-with-rob-cairns-of-stunning-digital-marketing/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:46702:\"<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">In this episode, <a href=\"https://twitter.com/corymiller303\">Cory Miller</a>, CEO of <a href=\"https://poststatus.com/\">Post Status</a>, and <a href=\"https://twitter.com/RobCairns\">Rob Cairns</a>, Founder, CEO, and Chief Creator of Amazing Ideas at <a href=\"https://stunningdigitalmarketing.com/\">Stunning Digital Marketing</a>, discuss the importance of website security, client communication, and managing client expectations. They also talk about the need for businesses to treat their websites as valuable assets and allocate budgets for their maintenance and security. Websites have become an integral part of modern business operations, especially with the impact of the COVID-19 pandemic.</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><strong>Top Takeaways:</strong></p>\n\n\n\n<ul type=\"video\" class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">\n<li><strong>Website Security and Budgeting</strong>: Businesses must prioritize website security and allocate appropriate budgets for maintenance and protection. Websites are now integral to modern business operations, and their value should be recognized and treated as essential as physical security measures.</li>\n\n\n\n<li><strong>Effective Client Communication</strong>: Clear and proactive communication with clients is crucial. Agencies should manage client expectations, set boundaries, and communicate any limitations, such as response times during vacations or other periods of unavailability. Managing client communication helps build trust and ensures a smoother working relationship.</li>\n\n\n\n<li><strong>Community Engagement and Personal Well-being</strong>: Engaging with the WordPress community and participating in events like WordCamps can be valuable for networking, knowledge sharing, and staying updated with industry trends. Additionally, individuals need to prioritize their own well-being and take care of their health.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <a href=\"https://poststat.us/a2-hosting\">A2 Hosting</a></h3>\n\n\n\n<div class=\"wp-block-columns has-theme-palette-8-background-color has-background is-layout-flex wp-container-58 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n\n\n<p>A2Hosting offers solutions for WordPress and WooCommerce that are both blazing fast and ultra-reliable. WordPress can be easily deployed on ANY web hosting plan from A2: Shared, VPS, or Dedicated. A2 also offers Managed WordPress and WooCommerce Hosting. Take a look at a2hosting.com today!</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<img width=\"752\" height=\"470\" src=\"https://poststatus.com/wp-content/uploads/2022/08/imageedit_1_6433774706-752x470.png\" alt=\"A2 Hosting\" class=\"wp-image-104073\" />A2 Hosting\n</div>\n</div>\n\n\n\n<h3 class=\"wp-block-heading eplus-wrapper\" id=\"h-mentioned-in-the-show\">  Mentioned in the show<strong>:</strong></h3>\n\n\n\n<ul>\n<li><a href=\"https://www.lastpass.com/\">LastPass</a></li>\n\n\n\n<li><a href=\"https://twitter.com/kathyzant?lang=en\">Kathy</a>&nbsp;</li>\n\n\n\n<li><a href=\"https://poststatus.com/\">Post Status</a></li>\n\n\n\n<li><a href=\"https://buffalo.wordcamp.org/2023/\">WordCamp Buffalo</a></li>\n\n\n\n<li><a href=\"https://montclair.wordcamp.org/2023/\">WordPress Montclair</a></li>\n\n\n\n<li><a href=\"https://www.linkedin.com/\">LinkedIn</a></li>\n\n\n\n<li><a href=\"https://twitter.com/courtneyr_dev\">Courtney Robertson</a></li>\n\n\n\n<li><a href=\"https://wordpress.com/\">WordPress</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\">  You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/RobCairns\">Rob Cairns</a> (Founder, CEO, &amp; Chief Creator of Amazing Ideas, <a href=\"https://stunningdigitalmarketing.com/\">Stunning Digital Marketing</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis.  <br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>.  </p>\n\n\n\n<h2 class=\"wp-block-heading eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p>Cory Miller (00:00:00) &#8211; All right. Hey, everybody. Welcome back to Post Edits Draft. We&#8217;ve got another interview in our series on agency journeys. And I&#8217;m talking to a long time friend of mine, Rob Carnes, who has been very active in post. It&#8217;s been to a bunch of our meetups and I&#8217;m really excited to share his story today. So Rob, thanks for being on The Post podcast.</p>\n\n\n\n<p>Rob Cairns (00:00:21) &#8211; My pleasure, Corey. Glad to be here.</p>\n\n\n\n<p>Cory Miller (00:00:24) &#8211; Well, Rob, let&#8217;s dive in. Tell us a little bit about yourself and your agency today. Name and what you do. What kind of work primarily you do for your clients.</p>\n\n\n\n<p>Rob Cairns (00:00:34) &#8211; Okay, So my name is Rob Cairns. I&#8217;m in the greater Toronto area of Toronto, Ontario, Canada. I should tell you, before I got into running an agency, I have a very tech heavy background which a lot of agency owners don&#8217;t have. So I come out of an enterprise healthcare environment, doing servers, doing all kinds of cool stuff to support one of Toronto&#8217;s biggest hospitals.</p>\n\n\n\n<p>Rob Cairns (00:00:58) &#8211; Before that I was actually an old time COBOL programmer. There&#8217;s probably a word that you haven&#8217;t heard in a long, long time, and I spent some time in the financial industry, so I&#8217;ve got a bit of a business background. And then I jumped into agency life because, you know, I always tell the story. I never planned to be in marketing because I had a marketing professor in school back in the 80s who came in the class, and her whole thing was, Oh, I&#8217;m good. I&#8217;m here because I want my summers off. And I said, I swore then in there I&#8217;d never be a marketer if you paid me money to. Well, I lied. So, yeah. And I run I run an agency that&#8217;s WordPress focused. A lot of it is WordPress security stuff right now and some builds and then a lot of email marketing and consulting these days. That&#8217;s kind of where I&#8217;m at.</p>\n\n\n\n<p>Cory Miller (00:01:50) &#8211; Yeah. And what&#8217;s your agency name?</p>\n\n\n\n<p>Rob Cairns (00:01:53) &#8211; Stunning digital marketing.</p>\n\n\n\n<p>Cory Miller (00:01:55) &#8211; And what&#8217;s the website for your.</p>\n\n\n\n<p>Rob Cairns (00:01:58) &#8211; Digital marketing is the agency site and digital marketing.info is like my Linktree site. It&#8217;s got links to everything I do on the web and where you can find me.</p>\n\n\n\n<p>Cory Miller (00:02:09) &#8211; Excellent. Excellent. Well, I know as I&#8217;ve gotten to know you through some of the meetups, too, I hear more and more about the work you do, and it always impresses me. You&#8217;re like, Hey, is anybody worried about this particular update? And and I know you managed quite a few sites and it always I always like lean in when you talk about that because it&#8217;s at the heart of what a lot of agency work, particularly at post is that our agencies do is that beast of maintaining WordPress across multiple WordPress client sites. Well, great. Thank you for that. So tell me a little bit about how you got there. I heard a little preface of that, but I wanted to start out with where you are today. Um, and then talk about how you got there. That&#8217;s always the compelling part of these Journey series to me is what happened before.</p>\n\n\n\n<p>Cory Miller (00:02:59) &#8211; So this is today and then what? What&#8217;s a little snippet of how what led up to where you are today?</p>\n\n\n\n<p>Rob Cairns (00:03:06) &#8211; So where I am today was kind of how I got there was us working in healthcare. I wasn&#8217;t happy, I&#8217;ll tell you that now. I was working probably 60 to 70 hours a week at the time. So this is going back 14 years ago was when we started and I was extremely unhappy and somebody said to me, So why don&#8217;t you just go? And I said, Well, I&#8217;ve been here 21 years, so if they want to get rid of me, it&#8217;s going to cost some lots of money to get rid of me. So let&#8217;s force the hand and see where it goes. Well, 14 years ago, my dad was sick with pancreatic cancer at the time he actually passed away July 8th, the anniversary that&#8217;s coming up. And they decided, knowing I was going to be taking some time off, they decided we need to we&#8217;re going to make some changes and you can go away.</p>\n\n\n\n<p>Rob Cairns (00:03:56) &#8211; And at that point, I was already building WordPress websites on the side. So I just kind of transitioned to what I was doing on the side full time. Now here&#8217;s where it got interesting. I decided really quickly only building the website, it&#8217;s only part of getting it out there. You still got a market that site and you got to do it properly. So I made a decision then and there. I was going to build a full stack marketing agency. I&#8217;ve taken some courses, a lot of courses. One of my mentors in this space is a gentleman by the name of Paul Tobey, who I&#8217;m founder of. Paul. Toby&#8217;s actually the father of Adrian Toby, the founder of Groundhog, who you know. So that&#8217;s.</p>\n\n\n\n<p>Cory Miller (00:04:40) &#8211; Love.</p>\n\n\n\n<p>Rob Cairns (00:04:40) &#8211; Adrian Yeah, love Adrian, Love. His dad saw his dad in January, actually, and we sat in his house and listened to him play some jazz tunes for us where we were visiting and and then transitioned in and at one time was offering all kinds of services and then just realized some of these are just don&#8217;t want to do so I just kind of niche down and got out of what I didn&#8217;t want to do so.</p>\n\n\n\n<p>Cory Miller (00:05:10) &#8211; Got you. So how long ago did you go? Full time with the business?</p>\n\n\n\n<p>Rob Cairns (00:05:16) &#8211; 14 years ago.</p>\n\n\n\n<p>Cory Miller (00:05:18) &#8211; 14 years ago. Okay. That&#8217;s awesome. We were going strong about the same time.</p>\n\n\n\n<p>Rob Cairns (00:05:22) &#8211; Yeah, about same time. And you. And you and I connected, I think the first time about 14 years ago when I was in the headway community. And you were running the items community. And you&#8217;d be proud to know two of the products in my security stack back up by the in 19 security are still there to this day so.</p>\n\n\n\n<p>Cory Miller (00:05:40) &#8211; Oh that&#8217;s fantastic to hear. Well, okay, So I&#8217;m really curious. Was there a point when you were like, doing this on the side? What was that juncture when you&#8217;re like, okay, I&#8217;m going to do this full time? A lot of the stories we hear, I hear in It&#8217;s My Own is some event. Something helped kind of catalyze the process to become a full time entrepreneur. And so I&#8217;m curious. So not happy, of course. And then, hey, I think you might have mentioned this just a second ago, but I want to make sure I&#8217;m clear on it.</p>\n\n\n\n<p>Cory Miller (00:06:13) &#8211; So was there event that kind of like, okay, I&#8217;m doing this full time, this is the only thing I&#8217;m doing.</p>\n\n\n\n<p>Rob Cairns (00:06:18) &#8211; So my as I say, my dad was battling pancreatic cancer at the time. Oh, right. Yeah. I went on three weeks vacation after I was on the corporate project, number one, and amassing overtime like nothing. And I walked back in on a Monday morning. I got a call from the director&#8217;s secretary at 10 a.m. and say, Director won&#8217;t see you in a boardroom at 3:00. And the boardroom was not the normal boardroom for meetings. So I just kind of put my feet up and said, okay, I know how this day&#8217;s going to play out. Welcome back from vacation for me. And believe it or not, I actually shipped everything personal home from work at lunchtime in a cab because I saw the writing on the wall. I&#8217;d seen it on the wall for a while. Yeah. Then I get, um, I get called in and the director says, Do you know why you&#8217;re here? I said, So you&#8217;re going to let me go, so let&#8217;s just get it over with.</p>\n\n\n\n<p>Rob Cairns (00:07:16) &#8211; And the h.r. Manager turned to me and said, how do you how do you feel about all this? And my response at the time was, my lawyer will tell you at 9:00 tomorrow morning. Now you&#8217;re like no other comment.</p>\n\n\n\n<p>Cory Miller (00:07:27) &#8211; Now at this time, you were already doing things on the side, though, right? Yeah, I think that&#8217;s important to note in the story because, you know, some of these events that happen, but you were already kind of testing the waters, building some kind of side hustle side gig on the side. So you didn&#8217;t just, you know, jump out into the ether. You had something kind of built up. Were you doing work for like client? I mean, friends? How did the the side gig kind of start parallel to that side gig?</p>\n\n\n\n<p>Rob Cairns (00:07:59) &#8211; Actually, it&#8217;s really interesting you ask that question. Being in tech, I&#8217;m like a resource in my family and you can appreciate that. So I did go to the let&#8217;s send an email to let&#8217;s ask the question.</p>\n\n\n\n<p>Rob Cairns (00:08:13) &#8211; And I actually got fed up with family, believe it or not, and I wrote a website at that time was HTML and said, by the way, here&#8217;s all the family pictures from the event last week because I was also the manager of all that digital stuff. And by the way, here&#8217;s links to all the questions you guys asked me and nobody&#8217;s allowed to ask me a question until you go to these links and and actually do your own homework. So that was my start into domains and all of that and web stuff. And the other thing that started it was this is going back to the days of dial and dialing Internet providers, if we remember those days. Yep. And trauma, they were a dime a dozen. So I used to switch providers, i.e. email services more than most people because I get fed up with one dial in provider and I cancel. I go to another one, I cancel, I go to another one, I cancel. So I finally said, Forget this, I&#8217;m going to register a domain which I still have to this day.</p>\n\n\n\n<p>Rob Cairns (00:09:15) &#8211; And then that was kind of my foray in. And then after doing static sites, I realized WordPress was the way to go and that&#8217;s what kind of opened the door.</p>\n\n\n\n<p>Cory Miller (00:09:24) &#8211; So what was your introduction to WordPress? What kind of time period did you start using?</p>\n\n\n\n<p>Rob Cairns (00:09:28) &#8211; WordPress would have been about 16, 15 years ago. 16 years ago?</p>\n\n\n\n<p>Cory Miller (00:09:32) &#8211; Yeah, right. Right. In its first early heyday for sure. That&#8217;s about the same time I got started with WordPress, this cool platform that you didn&#8217;t have to manage with all these HTML top software and updated 100 pages you could do with one click. Essentially this concept of content management system was really, really crazy and awesome.</p>\n\n\n\n<p>Rob Cairns (00:09:53) &#8211; We all remember the famous five minute WordPress install where our our hosting providers didn&#8217;t have a one click installer like stop flashes or any of them. We had to do it ourselves, right?</p>\n\n\n\n<p>Cory Miller (00:10:05) &#8211; And yeah, we did it. I mean, I&#8217;m trying to remember when I did that, if it was FTP, you know, putting it on the server.</p>\n\n\n\n<p>Cory Miller (00:10:14) &#8211; Yeah, I&#8217;m trying to think back about that. I use soft tactless quite a bit in the early days, but that was magical back then. If you think about it, it&#8217;s like I want the ability to do build a website and I don&#8217;t have to learn too many technical logistics. I remember googling. What does FTP mean? That was one of our first post that I themes because I was like, if I have this question, I bet you a bunch of other people have this question. But yeah, WordPress made it easy.</p>\n\n\n\n<p>Rob Cairns (00:10:40) &#8211; Yeah. I have to tell you a funny story. You appreciate being over it. I think so. I had a client years ago. It was Australian, one of my first big clients, and he didn&#8217;t see the spending the money on something like backup buddy. So the silly client came back to me and said, So write me the documentation process of tobacco and restore a website menu and document it out. And the story goes that the cost to him paying for that documentation at the time would have cost him more than a yearly license for backup money.</p>\n\n\n\n<p>Rob Cairns (00:11:12) &#8211; Well, even or not. So needless to say, he became a backup buddy. Pretty convert pretty quickly. Corey.</p>\n\n\n\n<p>Cory Miller (00:11:20) &#8211; So. Well, okay, so you go full time with the agency starting to do on work. I know somewhere in there was like, Hey, there&#8217;s more to just the actual website build. There&#8217;s marketing different parts around the website. Um, as you look back, you know, 15 years now, what were some of the catalytic events that help you in your agency, personal professional, WordPress, all these things. If you look back where like 3 or 4 of the things that really made the difference in your agency to where you&#8217;re now, I know you&#8217;ve been doing this a long time. I know you&#8217;ve been able to have freedom of life to do different things in your life as part of the business part of WordPress, which is always the magic, I think, WordPress. But if you look back, what are those couple of things that kind of stand out?</p>\n\n\n\n<p>Rob Cairns (00:12:06) &#8211; Um, a couple of things.</p>\n\n\n\n<p>Rob Cairns (00:12:07) &#8211; One is I come from a family of entrepreneurs, so my mother is 78 years old, still alive and still selling houses, believe it or not. As a real estate agent, my aunt who passed away at 92, was one of the top real estate brokers for Century 21 in the Farmington, Detroit area for many, many years. First successful. I come from a family who&#8217;s done business on their own, so that helps. My father was a CFO for an insurance broker, so that helps. That helped install some money sense into me and some business sense into me. I&#8217;m also a lifelong learner. So you and I have talked over the years about how much reading I do or how much listening to other podcasts. I do believe it or not, my own podcast is not on my podcast player backdrop. I&#8217;m busy listening to everybody else&#8217;s because think you got to get a variety of point. And then kind of just people along the way. People like yourself. People like Paul. Toby Paul was a big catalyst for giving me credit and saying, you know, more than like 75% of the world.</p>\n\n\n\n<p>Rob Cairns (00:13:21) &#8211; Just go after it. So Paul was really good for me around mindset more than just technical stuff, so that was good. And then things like in my life recognizing and you and I have had this conversation about mental health challenges and the whole pearls around that. You&#8217;ve been through it. I&#8217;ve been through it. We&#8217;ve talked about it very candidly together over the years. That has helped. Am probably. 200% more mental health. Healthy today in my 50s and was in my 30s. I would say that, you know.</p>\n\n\n\n<p>Cory Miller (00:13:58) &#8211; I think I want to say ditto. I think I think so.</p>\n\n\n\n<p>Rob Cairns (00:14:02) &#8211; And then surrounding yourself with the right people and people like yourself, people like post others group people like, you know, people outside of the post group, people you can go to and say, Hey, I just need an ear or, Hey, I&#8217;m stuck on something technical. I should know doing that. And then kind of. A big part of all this was deciding a number of years ago that I&#8217;m such a security junkie and I always was, even when I was in health care, and I need to dive into the security space and put my time and money there.</p>\n\n\n\n<p>Rob Cairns (00:14:38) &#8211; And that was a big part of it, too. And that&#8217;s how that came to birth. You mentioned, I imagine, websites as of yesterday&#8217;s count 418, believe it or not, just from an update in security perspective and growing by the day. So.</p>\n\n\n\n<p>Cory Miller (00:14:53) &#8211; It&#8217;s it&#8217;s for sure become a thing in a good part of our industry and community that there&#8217;s agencies like yours and I&#8217;ve talked to a lot that that are recognized WordPress is awesome. There&#8217;s a lot of things that go into it as far as keeping those things updated. So somebody goes, Oh, I built it, you know, I built the baseball field, Field of Dreams. It&#8217;s there. Cool. Everybody&#8217;s going to come to it. There&#8217;s two sides of the coin that&#8217;s really interesting with your story. One is that updates security. Part of it got to keep the field maintained. The other side is the marketing part. I found this fascinating because you&#8217;ve got this to blend of marketing and the really the maintenance said that includes this big topic called security.</p>\n\n\n\n<p>Rob Cairns (00:15:37) &#8211; Yep, it&#8217;s true. And like one of the biggest things I think agency owners don&#8217;t do well is they don&#8217;t manage their own mailing lists, let alone their client mailing lists. And email marketing has become one of my strengths over the years and think that is a big deal because the only thing you really own is your website. In your mailing list. Everything is kind of what we call rented land or other people&#8217;s land in the rules change by the day and it gets to be awful.</p>\n\n\n\n<p>Cory Miller (00:16:07) &#8211; So yeah, yeah, it&#8217;s, it&#8217;s interesting. I&#8217;ve talked to a lot of people. I think a lot of the WordPress community saw one thing from my work at things, but I go, you know, one want to know the key to what we built. There&#8217;s a lot of keys, right? But one of the big keys, especially marketing, was email marketing. And I love how you said website, what you really own, the website and email address. You don&#8217;t even own the rankings. You got to keep working on those things.</p>\n\n\n\n<p>Cory Miller (00:16:32) &#8211; You got to you don&#8217;t even necessarily on the traffic. You got to keep working on those things. But when you have the what click for me with email marketing, was this old school, now old school concept of direct marketing when people used to go door to door and still do of course, to sell something to that person directly. And I think that was when it clicked for me is email is direct marketing where I don&#8217;t control the algorithms and whatever tech billionaire is going to buy another of the social media platforms. But if I consistently build I was actually talking to entrepreneur last week about this, just she&#8217;s just getting started with the physical product. And I said, Hey, you know, all the jazz and the sexiness is out on the social media platforms. However, it&#8217;s a great way to get started, push them, funnel them into an email where you can still to date in 2023, directly market. It still works, but so many are adverse to it or don&#8217;t do the work to keep up their keep up, grow, maintain their email lists and use them properly.</p>\n\n\n\n<p>Rob Cairns (00:17:37) &#8211; And to segment them properly. Mean the big issue is. So I&#8217;ll give you an example. I have an email list that&#8217;s running about 7500 active right now. I&#8217;ve probably got, if you count people have an open stuff in like the last 60 days and probably closer to 1200. So the key is not to send emails to your host, send them to the 7500 that are active and then every six months touch base with the other people once in a while, like because honestly, that&#8217;s waste of time and money. Like don&#8217;t put your emphasis there, but you segment your list and figure out what people want from you and who&#8217;s going to open stuff. And as a result, on that 7500, I run an open rate of about listeners about 62% on a regular basis. Which is incredible.</p>\n\n\n\n<p>Cory Miller (00:18:29) &#8211; Yeah, indeed. And it all takes work. Websites, take work, emails take a work to properly do it well. So. So you know, a couple of the things I&#8217;m interested in. The last 15 years or so you&#8217;ve been doing, this is what you&#8217;ve seen kind of transition the evolution of WordPress you know, from and websites within that.</p>\n\n\n\n<p>Cory Miller (00:18:53) &#8211; So you know how WordPress has gone in the last 15 years. Where do you think it is now? Where do you think it&#8217;s going in the future, what your clients are seeing and value in as part of having a great web presence? And I&#8217;m curious your thoughts on those two things. So the underlying technology has grown 15 years. We just celebrated 20th anniversary of WordPress, which is just fascinating to me. Um, and then, you know, this, this changing perception, I think growing, valuing perception of websites, the value of having a WordPress type website.</p>\n\n\n\n<p>Rob Cairns (00:19:29) &#8211; So there&#8217;s a couple of things. When we all started with WordPress, you and I, it was basically a blogging platform and now we&#8217;re building these whole robust membership sites, e-commerce sites, we&#8217;re building all this stuff and it&#8217;s incredible. And people say, Oh, why don&#8217;t you go to an e-commerce platform? Well, I have to tell you, I picked up the paper today, this morning before we jumped on this call. Corey and Shopify, who we all know is one of the big e-commerce products, is in trouble with the Canadian government because they refuse to hand over shopping records to the tax people so they can go after individuals.</p>\n\n\n\n<p>Rob Cairns (00:20:10) &#8211; And the cool thing about WordPress is that&#8217;s all self contained. So as we get into this privacy era, everything&#8217;s within your dashboard and you can even buy marketing solutions like Groundhog Adrian, Toby or Fluent CRM, another one that resides right inside that dashboard which protects your privacy and puts you in control. And I think that&#8217;s the whole thing about WordPress. The other big thing I&#8217;ve seen is a big change in the hosting space. And you&#8217;ll agree with me, um, what&#8217;s old is good and what hosting companies have reinvented themselves in the last while. And two I like to point out to is one over at New fold and we both of us have a mutual friend there in the name of Dave Ryan at Neufeld. So Dave and his team, I&#8217;ve had many dealings with them. They were the old endurance and they came out of that. And they&#8217;re trying to reinvent themselves by running around and buying plug ins like they bought Yoast and they bought it and doing things like that. And then important for new fold, they&#8217;ve become more community aware than they&#8217;ve ever become before.</p>\n\n\n\n<p>Rob Cairns (00:21:19) &#8211; So this was not the idea of eight years ago or nine years ago. I can guarantee that. And they&#8217;ve changed. And then you take somebody like her friends up at GoDaddy and, you know, I know that team pretty well for work I&#8217;ve done, and they&#8217;ve reinvented themselves. They&#8217;ve come out of the ashes of the Danica Patrick ads, as we call them. Remember those? Could you see a sexist ad like that flying in today&#8217;s society? I don&#8217;t think so.</p>\n\n\n\n<p>Cory Miller (00:21:50) &#8211; No. We&#8217;ve evolved past that for sure for for better.</p>\n\n\n\n<p>Rob Cairns (00:21:55) &#8211; But they&#8217;ve also reinvented themselves. And then even in a hosting space, you got companies like Liquid Web and WP Engine and Cloud, and then you&#8217;ve got companies that were leaders that have kind of dropped off. And a company I throw into a group like that is Siteground think, you know. Ten years. Five years ago, they were great. And then somethings kind of happened. So things go cyclical. Um, in terms of the technology more, it&#8217;s worth mentioning where we&#8217;ve gone.</p>\n\n\n\n<p>Rob Cairns (00:22:25) &#8211; So we&#8217;ve gone from coding and WordPress with plugins to page builders and your team and I think this is one of the first with, with your builder product, right? And themes to, to build sites. And then we got into things like headway, which we all know the story of what happened there and they were part of their problems. They were miles ahead of their time and just not adapted. And then we got into the traditional page builders like the Beaver Builders, the Yeah, Elementor, the bricks, that kind of stuff, which is prominent now. And now we&#8217;re headed to this magical thing called blocks. And you know, there&#8217;s a couple block ecosystems. The one I use is cadence. I&#8217;ve been all in with Cadence for a couple of years now. So there&#8217;s evolution, that spot. And I think we&#8217;re we&#8217;re starting to see more is WordPress is becoming more than just a publishing platform. Automattic owns Tumblr, Automattic owns pocket casts, one of the biggest pocket podcast players out there. They own the day One journal, which is a journaling app, um, would encourage anybody out there who needs a journaling product to go get it.</p>\n\n\n\n<p>Rob Cairns (00:23:45) &#8211; It&#8217;s worth every penny of it, like honestly. So they&#8217;re trying to democratize that whole, the whole solution. So, so a lot that&#8217;s gone on in 20. Um.</p>\n\n\n\n<p>Cory Miller (00:23:59) &#8211; Yeah, there&#8217;s a whole history there and everything you talked about. I think what stands out was the hosting industry. It&#8217;s definitely evolved, grown and a lot of money has come into WordPress hosting space in particular. You talk about new Fold in Endurance, for instance, like it&#8217;s turned over, been sold and bought so many acquisitions in the space and for good reason, because WordPress is a great platform for millions of people to build their website on. So but you know, there&#8217;s a trend there too, which is you talked about the reinvention and kind of coming out of stuff. What I&#8217;ve seen in 15 years plus years or so is. Yeah, it starts out good. Trying to claim her to get new customers. New clients, show them, you know, help them with their stuff. And it seems a lot of cyclical ness of like, okay, they reached this point where now they&#8217;re trying to really all the hosting companies, I would say, should make a profit.</p>\n\n\n\n<p>Cory Miller (00:25:02) &#8211; But then there&#8217;s a swath that like, okay, increasingly trying to make it more profitable to understand part of business. However, then you see customer service and support start to kind of fade with some of that and then you get this whole, okay, they&#8217;re going down and then going up. And I&#8217;ve I&#8217;m not going to name the names, but there&#8217;s a lot there where you see the cyclical up and down of that hosting side, which isn&#8217;t always healthy for WordPress either. I get it as a business part. What they need to do for their shareholders, partners, all that kind of stuff. But it&#8217;s definitely changed from like 2008 when I think this was on a shared hosting plan for like, I don&#8217;t know, $5 a month or $10 a month at like HostGator. And it&#8217;s I&#8217;ve kind of bemoaned it some because what the effect now is the experience for the WordPress user, those people that are your clients that are using their website and there&#8217;s that up and down. They&#8217;ve had to ride some of that and it&#8217;s always not good thing for the health of the ecosystem.</p>\n\n\n\n<p>Rob Cairns (00:26:06) &#8211; It&#8217;s true. And the other thing I should add to to this discussion is I think the team up at Automattic, the parent company of WordPress, has been much more receptive to comments, suggestions than ever before. And I know some people don&#8217;t feel that way, but I think we&#8217;re in really good hands with Josepha being the executive director of the WordPress project, you know, and things like that. And I know on the Gutenberg side I&#8217;ve gotten to know Matthias Venture, The Gutenberg lead a little bit and, and people like our friends Polly Hack or people like Jessica Frick over at Percival, which is an automatic company. People like that have put us in pretty good hands, frankly.</p>\n\n\n\n<p>Cory Miller (00:26:52) &#8211; Yeah, my personal opinion is automatic has long term commitment to the industry and I&#8217;m really proud to have them as sponsors a lot of automatic and post status and for good reason. But you know a long term commitment to like they have had the opportunity for many years to really really monetize what WordPress is and have held back. I think this is only my personal opinion.</p>\n\n\n\n<p>Cory Miller (00:27:18) &#8211; No facts really share other&#8217;s leadership there. But get go have had a long term commitment because they believe in open source, they believe in the open web and the ecosystem is healthy. When you have a diverse set of people offering services and products to that, so you get great performance. Obviously they know WordPress inside and out and then the support and those are the things that have that kind of wane over time. In any hosting company that I&#8217;ve been, that I&#8217;ve been around, I&#8217;ve had I&#8217;ve been a customer at many of the ones you talked about had clients and friends at many of the ones that you talked about. And but the consistency, I think, is what matters overall. So I agree with you. Agree. Um, okay. So we&#8217;ve talked about a whole lot of stuff. Now I want to talk I want to ask this specific question related to your clients. What are you hearing from your clients about WordPress, how they&#8217;re using their websites? Because I love talking to our agency owners because tip of the spear for me is the people out there doing the work.</p>\n\n\n\n<p>Cory Miller (00:28:20) &#8211; For those people using WordPress, they might not even know or care that there&#8217;s this open source platform underneath it all. But what are you hearing from your clients about what WordPress and working with the websites?</p>\n\n\n\n<p>Rob Cairns (00:28:32) &#8211; Yeah, there&#8217;s a couple things. I don&#8217;t think my clients care what&#8217;s under the hood. So by that mean they don&#8217;t care if it&#8217;s a WordPress site, if it&#8217;s a custom site, if it&#8217;s something else, as long as it gives them the results they want. So one of the things I&#8217;ve been pushing in the community for the last ten years is don&#8217;t sell the solution. Sell what it brings you. I&#8217;m a big one. Outcome or something, not how you get there. And if anybody doesn&#8217;t believe that, I suggest you go look up a guy by the name of Simon Sinek. Start with why is his book and find his Ted talk and watch it and watch it again. So sell the the what you get out of it. So that&#8217;s the first one. I also think clients hate to say are dropping the security ball big time right now.</p>\n\n\n\n<p>Rob Cairns (00:29:21) &#8211; I&#8217;m working on a site right now where the client couldn&#8217;t find their backup that they were sending to a cloud drive for six days and they took them six days to find out where they put that backup. So one of the things I find with my clients is you have to help them manage their digital assets or their digital stuff, and even more so in small businesses. What happens if the business owner gets run over by a truck tomorrow? What happens if he dies tomorrow? Do you have a succession plan for your business? Do you know how to handle that? Most people don&#8217;t. So that&#8217;s a problem. And then the other thing is, I think a lot of people flock to WordPress because frankly, what are we powering now? 45% in the Internet, 50% somewhere in there. And I think that alone is a selling thing. That&#8217;s attraction. Thing is WordPress is open source. It can&#8217;t be secure the security holes every month. Well, guess what? Microsoft Windows plugs security holes on the first Tuesday every month called Patch Tuesday.</p>\n\n\n\n<p>Rob Cairns (00:30:27) &#8211; And the whole business world runs on Windows more than that. Right. And they&#8217;re still plugging holes. Security is a trust factor, not a it happened or it didn&#8217;t happen.</p>\n\n\n\n<p>Cory Miller (00:30:37) &#8211; So I like that because security is a non-essential part of the digital our digital world, particularly our Internet, it&#8217;s a part of it. The real question is how are the people or companies behind that making sure it&#8217;s always secure. I remember talking to a security expert. I don&#8217;t know, it&#8217;s been eight years now and they said it&#8217;s not a matter this is one that just all they do is security and they go, it&#8217;s not a matter of if we&#8217;ll get hacked, it&#8217;s when and what we&#8217;re doing continually. And I go, that&#8217;s part of the digital age. That&#8217;s where we&#8217;re at. So I love that emphasis from your point. It&#8217;s just not when it&#8217;s if. And what are you doing in the meantime to help proactively do that?</p>\n\n\n\n<p>Rob Cairns (00:31:19) &#8211; And I&#8217;ll take that one more. Corey I have a saying in my business that&#8217;s not if you&#8217;ll be hacked, it&#8217;s when you&#8217;ll be hacked.</p>\n\n\n\n<p>Rob Cairns (00:31:25) &#8211; And how do you recover where I take it? So I kind of look at this mess I&#8217;ve been dealing with, and a big part of the problem was the client didn&#8217;t have a site updated, the client didn&#8217;t have the PHP version updated, the client couldn&#8217;t find the backup. You see where this is going? Yep. And it&#8217;s we got to take care of those assets and we got to treat them like the they&#8217;re important. So that&#8217;s that.</p>\n\n\n\n<p>Cory Miller (00:31:52) &#8211; Just like you would lock your car or your house at night or your car if you&#8217;re driving into the supermarket or the grocery store, whatever that is, you&#8217;d lock your car because, you know, you do those things. We don&#8217;t even think about those things. They&#8217;re so embedded now and we need to be doing that. I love this message. We need to be doing that with our digital assets.</p>\n\n\n\n<p>Rob Cairns (00:32:11) &#8211; We&#8217;re a mutual friend of ours. You know, Kathy&#8217;s N over at K very well. And I turned to Cathy in January and said, I&#8217;m going to make you a prediction.</p>\n\n\n\n<p>Rob Cairns (00:32:20) &#8211; And she said, Oh, I don&#8217;t like your predictions are usually right. And I said, I&#8217;m going to declare 2023 as a year of the vulnerability, the first week of January. And that was coming out of the whole LastPass debacle that happened. And we all know about that one. And sure enough, and I think it&#8217;s partially awareness, but I think there&#8217;s a multitude of factors and it&#8217;s kind of played out that way. The other thing I&#8217;m hearing from clients is clients don&#8217;t realize that websites have to have a budget attached to them for their business. So marketing budget and they say, Oh, we do it in house. And I say, okay, so what&#8217;s your hourly rate worth? Oh, it&#8217;s worth $40 an hour. How many hours a month do you do? Oh five. So your marketing budget is 40 times five. So that&#8217;s the other thing. Business has got to take this stuff seriously and start to budget for.</p>\n\n\n\n<p>Cory Miller (00:33:17) &#8211; I love that Social Security and then budget, and that&#8217;s the mindset.</p>\n\n\n\n<p>Cory Miller (00:33:21) &#8211; So, you know, a lot of the conversations I&#8217;ve been having is the recognition from clients that their website is not just valuable, it&#8217;s an integral part of how they do business. Covid accelerated a lot of that. I think it&#8217;s like, Hey, we got so many physical location, bricks and mortar type businesses realizing when you can&#8217;t actually see a person face to face. So I have two way of a way to be able to do business. So I love that it&#8217;s integral. So security, part of life budgeting, you need to budget for it just like you would any other part of your businesses in the essential part of your business. And so many of the agency owners have talked to here at Post Status, they the clients are recognizing that it&#8217;s in some of the instances, I would say more like a B2B. They see it&#8217;s at a very, very valuable part of their overall sales strategy and they value it deeply. Some run their whole operations or half operations, you know, and items and post those two, we run our whole operation through online space so it feels foreign.</p>\n\n\n\n<p>Cory Miller (00:34:26) &#8211; But that&#8217;s not the way business is traditionally. It&#8217;s, you know, you go to a store, you travel, you walk, you ride in a horse and buggy or a car to get to. Things have changed. And that seems like what I&#8217;m hearing, too, is that mindset needs a change of like this is all a part of business domains, websites, all the platforms you might be on, all as important as that door that opens up into your business.</p>\n\n\n\n<p>Rob Cairns (00:34:51) &#8211; 100% and then look at the criticality of it. So, for example, if you&#8217;re an e-commerce site that&#8217;s making 30,000 US a day profit, then you need a different level of support than somebody that&#8217;s got a brochure site that is out there just to be the face of their business. So you got to think about things like that, too. Very much so.</p>\n\n\n\n<p>Cory Miller (00:35:12) &#8211; Okay, so security and budget. Anything else on your mind about when you when you&#8217;re working with clients and how they&#8217;re valuing their websites? Any perspectives you have to share there too.</p>\n\n\n\n<p>Rob Cairns (00:35:22) &#8211; I think a lot of clients in this day and age are unrealistic and think that&#8217;s the world we live in. So it&#8217;s a very much an I want it now world. It&#8217;s I want it yesterday. There&#8217;s no patience out there like to tell you I don&#8217;t think clients are any different.</p>\n\n\n\n<p>Cory Miller (00:35:39) &#8211; So. Yeah. So it&#8217;s the physical part of business, which I have a friend that has a restaurant supply business and I understand how like when you&#8217;re, you know, stove or cooktop is down, they can&#8217;t sell. And then now that okay, got to have it now. And that service side is pretty intense for them. I can see that now being applied to the business is where they see it as essential. I want to say that&#8217;s a good part, but when it comes with some mindset change of okay, we need to be able to budget for that and pay for that and, and knowing like in the middle of the night or whatever it is to have that kind of service turnaround is not always possible or realistic.</p>\n\n\n\n<p>Rob Cairns (00:36:27) &#8211; And communication is a big part of it too. I don&#8217;t think some clients communicate well, don&#8217;t think some agencies communicate well. Like, for example, I&#8217;m going on vacation next Wednesday. Yay me, I&#8217;ve already sent out an email to my entire client was saying, By the way, the only thing I&#8217;ll deal with while I&#8217;m away is a website down issue. Everything else sits till I get home and just tell them upfront. Now, they might not like to hear it, but that&#8217;s you&#8217;re allowed to take time off. You&#8217;re allowed to recharge.</p>\n\n\n\n<p>Cory Miller (00:36:58) &#8211; The good communication, getting ahead of it to manage those expectations? Yeah, absolutely vital. All right, Rob. Well, anything else you want to share that you&#8217;re excited about, that you&#8217;re working on or doing?</p>\n\n\n\n<p>Rob Cairns (00:37:10) &#8211; I think the big thing is the security side of it. Think, think. We just got to be aware and and make sure you&#8217;re aware and if and if anybody needs help agencies otherwise reach out, be glad to help them and be involved in the community.</p>\n\n\n\n<p>Rob Cairns (00:37:25) &#8211; That&#8217;s a big part of what you and I do. You do not repost status. As you know, I co-manage a large LinkedIn group with Courtney Robertson. I&#8217;ve got a podcast that&#8217;s, you know, it&#8217;s good for business awareness, but it&#8217;s also good for the community too. So get involved. The community. Somebody if you can go to a word camp, go says the guy who&#8217;s got no time to go to work. Camps right now have not been to a five check by I missed word camp Buffalo Oh boy did I take stuff for not being on that one because that was a that&#8217;s an hour and a half away. I didn&#8217;t go to Montclair this weekend because, again, I&#8217;ve got conflicts. And the other thing is, look after you and your family and look after how you feel. Look after your health. Because if you don&#8217;t do that, you can&#8217;t run your business. So keep that.</p>\n\n\n\n<p>Cory Miller (00:38:14) &#8211; Absolutely. Well, thanks, Rob, for being on post staff. Appreciate your work in the community and what you do with WordPress out in the world to our story.</p>\n\n\n\n<p>Rob Cairns (00:38:22) &#8211; Thanks for having me.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 19 Aug 2023 03:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"WPTavern: Equalize Digital Accessibility Checker Plugin Adds New Frontend Highlighting Feature Funded by NASA\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147975\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:120:\"https://wptavern.com/equalize-digital-accessibility-checker-plugin-adds-new-frontend-highlighting-feature-funded-by-nasa\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4865:\"<p><a href=\"https://equalizedigital.com/\">Equalize Digital</a>, a WordPress accessibility products and services company, has added a new frontend highlighting feature to its free <a href=\"https://wordpress.org/plugins/accessibility-checker/\">accessibility checker plugin</a>, which is used to perform audits on self-hosted sites. The feature was <a href=\"https://equalizedigital.com/nasa-funds-development-of-front-end-highlighting-feature-for-equalize-digital-accessibility-checker/\">funded</a> by the National Aeronautics and Space Administration (NASA), through Equalize Digital&#8217;s consulting work on the new NASA websites.</p>\n\n\n\n<p>NASA recently launched the <a href=\"https://beta.nasa.gov/\">beta version</a> of its WordPress-powered flagship site, which WordCamp US attendees may hear about next week during the team&#8217;s sessions, including Friday&#8217;s keynote address: <a href=\"https://us.wordcamp.org/2023/session/friday-keynote/\">For All Userkind: NASA Web Modernization and WordPress</a> and another presentation titled <a href=\"https://us.wordcamp.org/2023/session/hands-on-with-nasas-new-digital-platform/\">Hands on with NASA’s new digital platform.</a></p>\n\n\n\n<p>Equalize Digital was contracted to perform accessibility testing, user testing with screen reader users, and provide accessibility governance recommendations.</p>\n\n\n\n<p>&#8220;As part of the contract for those services, they also contracted us to develop this feature for the plugin,&#8221; Equalize Digital CEO Amber Hinds said. &#8220;They have an enterprise license but we decided in collaboration with them that we would make it a feature in the free plugin so everyone could benefit, not a paid-only feature.</p>\n\n\n\n<p>&#8220;They were actually really interested in that because it&#8217;s part of their mission to give back to humanity.&#8221;</p>\n\n\n\n<p>Prior to developing the frontend highlighting feature, the accessibility checker plugin only had reports inside the post edit screen, with output that is nearly indecipherable for less technical users who are not accustomed to reading HTML.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1493\" height=\"709\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/screenshot-3.png\" alt=\"\" class=\"wp-image-147988\" />\n\n\n\n<p>The new frontend highlighting feature makes the accessibility report&#8217;s output far more approachable for users who may not be developers. It puts a &#8220;view on page&#8221; link next to each issue found in the report, which brings users to the frontend where the element in question is highlighted with a dashed pink box. It also displays a panel that explains the issue in a way that is easier to understand as well as how to fix it.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1800\" height=\"1053\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Accessibility-Checker-Front-End-Highlighting-on-NASA.png\" alt=\"\" class=\"wp-image-147987\" />\n\n\n\n<p>The report in the admin has been updated as well so that it&#8217;s easier to read. A new image column displays any images related to issues and the Actions column includes a &#8220;View on Page&#8221; link leading to the issue highlighted on the frontend. </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"2640\" height=\"1710\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/image-2.png\" alt=\"\" class=\"wp-image-147991\" />\n\n\n\n<p>Hind said her team is working on making the tool more friendly to content creators and not just a development tool. The plugin will stay on the NASA website to help their team as they add and edit content over time.</p>\n\n\n\n<p>&#8220;In the future, we&#8217;re planning to add the ability to jump to the element in the block editor as well,&#8221; Hinds said. &#8220;(That&#8217;s slightly tricky because we scan the whole page, not just the content area so we have to exclude elements created by other parts of the editor or theme.)&#8221;</p>\n\n\n\n<p>Thanks to NASA&#8217;s funding, the new frontend highlighting feature is available to users on the <a href=\"https://wordpress.org/plugins/accessibility-checker/\">free version of the plugin on WordPress.org</a>.</p>\n\n\n\n<p>“Our goal is to make accessibility testing easier for every WordPress user, not just developers,” Equalize Digital CEO Amber Hinds said. “Accessibility Checker was developed to include a robust free version with this in mind. We want to make building websites that work for people with disabilities standard practice and were excited to work with NASA to make accessibility testing reports easier for non-developers to understand and take action on. Adding this feature to the free plugin was a no-brainer for us. We’re looking forward to seeing more WordPress website owners finding and fixing accessibility problems on their websites.”</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 18 Aug 2023 21:00:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"Do The Woo Community: Woo AgencyChat Live with Ash Shaw and Mitch Callahan\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=76066\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://dothewoo.io/woo-agencychat-live-ash-shaw-mitch-callahan/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:410:\"<p>Join Ash Shaw from LightSpeed and Mitch Callahan from Saucal as they share insights from their WooCommerce agencies. </p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/woo-agencychat-live-ash-shaw-mitch-callahan/\">Woo AgencyChat Live with Ash Shaw and Mitch Callahan</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 18 Aug 2023 10:31:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"WPTavern: WordPress Community Summit Travel Fund Contributes $48K in Assistance for Attendees\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147963\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"https://wptavern.com/wordpress-community-summit-travel-fund-contributes-48k-in-assistance-for-attendees\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2052:\"<p>This year&#8217;s WordCamp US includes a Community Summit, an invitation-only contributor-focused event that will take place prior to the main conference on August 22-23, 2023, in National Harbor, Washington, DC. It will be the first summit in six years, since the last one was held in Paris, France in 2017.</p>\n\n\n\n<p>Historically, the summit has offered contributors the rare opportunity to hold in-person discussions on important topics across teams. In order to ensure the gathering is diverse and inclusive, previous community summit organizers have included a travel assistance program to remove the financial barriers of attending.</p>\n\n\n\n<p>The 2023 Community Summit travel fund is <a href=\"https://communitysummit.wordcamp.org/2023/about-the-community-summit-travel-fund/\">providing $48,000 in travel assistance</a>, thanks to a group of sponsors that includes Automattic, A2 Hosting, Elementor, and Weglot. The funding will support 38 attendees with roundtrip transportation ($31K for 24 people) and hotel stays ($16,500 for 66 hotel nights for 22 people).</p>\n\n\n\n<p>Attendees have been reminded about the <a href=\"https://communitysummit.wordcamp.org/2023/non-attribution/\">non-attribution guideline</a> which enables the event to offer a safe and inclusive environment for collaboration where comments are not attributed to specific individuals. Discussions, photographs, recaps, and summaries can be shared as long as they abide by the non-attribution guideline. </p>\n\n\n\n<p>The <a href=\"https://communitysummit.wordcamp.org/2023/schedule/\">schedule</a> has been published, featuring 26 discussion topics. Contributors will have dedicated sessions to discuss the criteria for delaying the upgrade of foundational tech, understanding contributor leadership roles, refining Five for the Future for a robust WordPress community, accessibility in the WordPress project, open source participation in global legislation, backwards compatibility in Gutenberg, among other interesting topics that lend themselves to cross-team collaboration.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 18 Aug 2023 04:02:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WPTavern: WP Community Collective Funds First Fellowship for Accessibility Contributor Alex Stine\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147922\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"https://wptavern.com/wp-community-collective-funds-first-fellowship-for-accessibility-contributor-alex-stine\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3400:\"<img width=\"2227\" height=\"1305\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/02/alex-stine.jpeg\" alt=\"\" class=\"wp-image-141764\" />\n\n\n\n<p>The WP Community Collective (WPCC), a non-profit organization created to support individual WordPress contributors and community-led initiatives, has <a href=\"https://www.thewpcommunitycollective.com/2023/08/17/press-release-wppc-funds-first-fellowship/\">funded its first fellowship</a>. Alex Stine, a fully blind individual contributor who has been working with the WordPress Accessibility team since 2016, is the first recipient of the funds designated for the fellowship.</p>\n\n\n\n<p>WPCC reports that the fellowship received donations from 59 individuals and organizations that want to support the cause of improving the open source project&#8217;s accessibility. The organization uses <a href=\"https://opencollective.com/thewpcc\">Open Collective</a> as the fiscal sponsor for its 501(c)3 status, enabling donations to be classified as charitable giving. All donations coming into the organization are transparent and publicly documented. </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1906\" height=\"1180\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-17-at-5.43.37-PM.png\" alt=\"\" class=\"wp-image-147952\" />\n\n\n\n<p>The fellowship provides Stine with five paid contribution hours per week for six months, which allows him to continue his work on <a href=\"https://core.trac.wordpress.org/search?q=alexstine\">accessibility reviews and patches in WordPress core</a>. It includes a travel stipend for WordCamp US where Stine is volunteering as a co-organizer and participating in the Community Summit. As the first to embark on a WPCC fellowship, Stine will also help establish a framework for future Accessibility Fellowship cohorts.</p>\n\n\n\n<p>&#8220;I am really excited for the future as this will allow me to commit real time to improving the project,&#8221; Stine said. &#8220;The support I received from the community shows me there are others who recognize the importance of accessibility.</p>\n\n\n\n<p>&#8220;Time itself is the biggest win here. The funding allows me to focus more of my day on WordPress and less on side work. The main projects include the Gutenberg post editor.&#8221;</p>\n\n\n\n<p>Stine recently conducted an <a href=\"https://www.youtube.com/watch?v=6H15BUb6_GU\">accessibility audit of Gutenberg</a>, which shows the current state of the block editor in WordPress 6.3. This video is very enlightening for anyone who hasn&#8217;t yet seen how Gutenberg works with assistive technology like a screen reader.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>Stine has performed many accessibility audits for different products in the WordPress ecosystem. The fellowship funds enable him to continue his contributions on existing WordPress open source accessibility initiatives without having to take on as much consulting work.</p>\n\n\n\n<p>“Alex has demonstrated a deep commitment to creating an inclusive experience for all WordPress users,” WPCC co-founder and president Sé Reed said. “We are delighted by the community’s willingness to invest both in Alex and in the future of WordPress accessibility. In supporting his work, we aim to improve accessibility across the entire project, from the core software to the greater WordPress community.”</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Aug 2023 22:04:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"Do The Woo Community: The Metamorphosis of a Woo Agency with Jonny Martin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=76052\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://dothewoo.io/the-metamorphosis-of-a-woo-agency-with-jonny-martin/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:409:\"<p>Jonny Martin from Built Mighty joins Robert, Robert and Mary Voelker from WooCommerce in this Woo AgencyChat.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/the-metamorphosis-of-a-woo-agency-with-jonny-martin/\">The Metamorphosis of a Woo Agency with Jonny Martin</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Aug 2023 15:23:39 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress.org blog: WP20 – A Heartfelt Thanks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15471\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/news/2023/08/wp20-a-heartfelt-thanks/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19589:\"<p>Earlier this year, WordPressers around the globe united to celebrate 20 years of community and innovation. There were parties, blogs, videos, and social media posts aplenty. And, of course, the trending hashtag, “#WP20”.</p>\n\n\n\n<p>Throughout April and May, community members reflected on their journeys &#8211; what brought them to WordPress and its personal meaning. The stories, tweets, and videos were inspiring, nostalgic, and even humorous at times. There was swag, and the cakes were epic.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Let’s take a look!</h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-3 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">On WordPress turning 20, and the Audrey Scholars program: <a href=\"https://t.co/Etwh8H6xh4\">https://t.co/Etwh8H6xh4</a></p>&mdash; Matt Mullenweg (@photomatt) <a href=\"https://twitter.com/photomatt/status/1662582800451776512?ref_src=twsrc%5Etfw\">May 27, 2023</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">WordPress celebrates 20 years tomorrow. It\'s grown from a comment on a blog post to a web spanning phenomenon. Thanks to an outstanding community and the freedoms of Open Source. Happy Birthday, WordPress! <a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://twitter.com/hashtag/WordPress?src=hash&ref_src=twsrc%5Etfw\">#WordPress</a> <a href=\"https://t.co/fght4XMJXb\">pic.twitter.com/fght4XMJXb</a></p>&mdash; Mike Little (@mikelittlezed1) <a href=\"https://twitter.com/mikelittlezed1/status/1662013891856027649?ref_src=twsrc%5Etfw\">May 26, 2023</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Look at this cute <a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> cake from <a href=\"https://twitter.com/RicksBakery?ref_src=twsrc%5Etfw\">@RicksBakery</a>! <a href=\"https://t.co/f88H3usR5R\">pic.twitter.com/f88H3usR5R</a></p>&mdash; Josepha Haden Chomphosy (@JosephaHaden) <a href=\"https://twitter.com/JosephaHaden/status/1662562362979676162?ref_src=twsrc%5Etfw\">May 27, 2023</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"es\" dir=\"ltr\">Tenemos regalitos para los que vengáis esta tarde a la Meetup.<a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/PSPsbWluv7\">pic.twitter.com/PSPsbWluv7</a></p>&mdash; Meetup WordPress Torrelodones (@WPTorrelodones) <a href=\"https://twitter.com/WPTorrelodones/status/1671918091398258688?ref_src=twsrc%5Etfw\">June 22, 2023</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">So <a href=\"https://twitter.com/WordPress?ref_src=twsrc%5Etfw\">@WordPress</a> is turning 20 years old today! <a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> <br /><br />Happy birthday to WordPress and its entire community! from me and <a href=\"https://twitter.com/MariekeRakt?ref_src=twsrc%5Etfw\">@MariekeRakt</a> <a href=\"https://t.co/9N9T0SnsdL\">pic.twitter.com/9N9T0SnsdL</a></p>&mdash; Joost de Valk (@jdevalk) <a href=\"https://twitter.com/jdevalk/status/1662398779360702465?ref_src=twsrc%5Etfw\">May 27, 2023</a></blockquote>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Happy 20th birthday, <a href=\"https://twitter.com/WordPress?ref_src=twsrc%5Etfw\">@WordPress</a>! Our Cebu meetup was a success! <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2728.png\" alt=\"✨\" class=\"wp-smiley\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f382.png\" alt=\"🎂\" class=\"wp-smiley\" /><br /><br />…and our community is growing. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4af.png\" alt=\"💯\" class=\"wp-smiley\" /> Thanks to <a href=\"https://twitter.com/hashtag/enspaceCebu?src=hash&ref_src=twsrc%5Etfw\">#enspaceCebu</a> for hosting our party! <a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://twitter.com/hashtag/WordPressCebu?src=hash&ref_src=twsrc%5Etfw\">#WordPressCebu</a> <a href=\"https://twitter.com/hashtag/WPCebu?src=hash&ref_src=twsrc%5Etfw\">#WPCebu</a> <a href=\"https://t.co/TUFoKjuoxq\">pic.twitter.com/TUFoKjuoxq</a></p>&mdash; Cebu WordPress Meetup (@WPCebu) <a href=\"https://twitter.com/WPCebu/status/1664957630241189888?ref_src=twsrc%5Etfw\">June 3, 2023</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">I\'m sure you\'ve seen by now, but today is WordPress\' 20th birthday! Thank you to <a href=\"https://twitter.com/photomatt?ref_src=twsrc%5Etfw\">@photomatt</a> and <a href=\"https://twitter.com/mikelittlezed1?ref_src=twsrc%5Etfw\">@mikelittlezed1</a> for following through with a seemingly wild idea. I don\'t think anyone could have predicted we\'d end up where we are today. Happy birthday <a href=\"https://twitter.com/WordPress?ref_src=twsrc%5Etfw\">@WordPress</a>! <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f389.png\" alt=\"🎉\" class=\"wp-smiley\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f973.png\" alt=\"🥳\" class=\"wp-smiley\" /> <a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/tAZRlYThuS\">pic.twitter.com/tAZRlYThuS</a></p>&mdash; Jon Desrosiers (@desrosj) <a href=\"https://twitter.com/desrosj/status/1662616708064985088?ref_src=twsrc%5Etfw\">May 28, 2023</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"de\" dir=\"ltr\">Hier ist der Recap vom letzten Zürcher <a href=\"https://twitter.com/hashtag/WordPress?src=hash&ref_src=twsrc%5Etfw\">#WordPress</a> <a href=\"https://twitter.com/hashtag/Meetup?src=hash&ref_src=twsrc%5Etfw\">#Meetup</a> im <a href=\"https://twitter.com/westhive?ref_src=twsrc%5Etfw\">@westhive</a> inkl. Audioaufzeichnungen und Slides der Präsentationen, sowie ein paar visuellen Eindrücken des Abends. <a href=\"https://twitter.com/hashtag/BBQ?src=hash&ref_src=twsrc%5Etfw\">#BBQ</a> <a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/IycEcb4DQL\">https://t.co/IycEcb4DQL</a></p>&mdash; WordPress Zürich (@wpzurich) <a href=\"https://twitter.com/wpzurich/status/1674695261694701568?ref_src=twsrc%5Etfw\">June 30, 2023</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"qme\" dir=\"ltr\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f973.png\" alt=\"🥳\" class=\"wp-smiley\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f973.png\" alt=\"🥳\" class=\"wp-smiley\" /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f973.png\" alt=\"🥳\" class=\"wp-smiley\" /><a href=\"https://twitter.com/hashtag/WCEU?src=hash&ref_src=twsrc%5Etfw\">#WCEU</a> <a href=\"https://twitter.com/hashtag/WCEU2023?src=hash&ref_src=twsrc%5Etfw\">#WCEU2023</a> <a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/Uodqd2OotM\">pic.twitter.com/Uodqd2OotM</a></p>&mdash; Osom Studio WordPress &amp; WooCommerce Agency (@OSOM_STUDIO) <a href=\"https://twitter.com/OSOM_STUDIO/status/1667524236406145024?ref_src=twsrc%5Etfw\">June 10, 2023</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Celebrating <a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> at <a href=\"https://twitter.com/hashtag/WCEU?src=hash&ref_src=twsrc%5Etfw\">#WCEU</a> with <a href=\"https://twitter.com/photomatt?ref_src=twsrc%5Etfw\">@photomatt</a> <a href=\"https://twitter.com/JosephaHaden?ref_src=twsrc%5Etfw\">@JosephaHaden</a> <a href=\"https://twitter.com/matias_ventura?ref_src=twsrc%5Etfw\">@matias_ventura</a> <a href=\"https://t.co/9LM9HnEfYn\">pic.twitter.com/9LM9HnEfYn</a></p>&mdash; Felix Arntz (@felixarntz) <a href=\"https://twitter.com/felixarntz/status/1667536517705736193?ref_src=twsrc%5Etfw\">June 10, 2023</a></blockquote>\n</div>\n</div>\n</div>\n\n\n\n<p>Want to see more tweets? <a href=\"https://wp20.wordpress.net/live/\">Check out the tweet wall here.</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">Bits &amp; Bytes</h2>\n\n\n\n<ul>\n<li><a href=\"https://wp20.wordpress.net\">Official website for WP20</a></li>\n\n\n\n<li>The #WP20 hashtag was used at least 18,000 times between March 1 and June 8, 2023 on social peaking on May 27 with at least 2,700+ metions</li>\n\n\n\n<li>165+ meetups took place to celebrate WP20</li>\n\n\n\n<li>At least 4,661 people attended a meetup across six continents</li>\n\n\n\n<li>100+ kits of swag were shipped to meetup organizers</li>\n</ul>\n\n\n\n<p>Want more social media for WordPress? Check out the official accounts here:</p>\n\n\n\n<ul>\n<li><a href=\"https://twitter.com/WordPress\">Twitter</a></li>\n\n\n\n<li><a href=\"https://www.instagram.com/wordpress/\">Instagram</a></li>\n\n\n\n<li><a href=\"https://www.facebook.com/WordPress/\">Facebook</a></li>\n\n\n\n<li><a href=\"https://www.linkedin.com/company/wordpress\">LinkedIn</a></li>\n\n\n\n<li><a href=\"https://www.youtube.com/wordpress\">YouTube</a></li>\n\n\n\n<li><a href=\"https://www.pinterest.com/WordPress/\">Pinterest</a></li>\n\n\n\n<li><a href=\"https://www.tumblr.com/wordpress\">Tumblr</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Snapshots from WP20 Celebrations</h2>\n\n\n\n\n<img width=\"1024\" height=\"768\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Fz4aD6_XwAICdz-.jpeg?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-15527\" />\n\n\n\n<img width=\"769\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxhuvvbacaagn6c.webp?resize=769%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15518\" />\n\n\n\n<img width=\"768\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxhspnlaqainz1f.webp?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15523\" />\n\n\n\n<img width=\"1024\" height=\"768\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxjpa3oamaaetri.webp?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-15516\" />\n\n\n\n<img width=\"828\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxjparaaqaa1iji.webp?resize=828%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15517\" />\n\n\n\n<img width=\"1024\" height=\"768\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxj2btqaaaakewo.webp?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-15522\" />\n\n\n\n<img width=\"768\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxkqdpmxwaa9zvr.webp?resize=768%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15524\" />\n\n\n\n<img width=\"1024\" height=\"768\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwyami0ja.webp?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-15519\" />\n\n\n\n<img width=\"1024\" height=\"941\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxkanzxwcaativc.webp?resize=1024%2C941&ssl=1\" alt=\"\" class=\"wp-image-15525\" />\n\n\n\n<img width=\"1024\" height=\"768\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxoi01sxgamyqi7.webp?resize=1024%2C768&ssl=1\" alt=\"\" class=\"wp-image-15520\" />\n\n\n\n<img width=\"1024\" height=\"851\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxoukosaeaaa-sk.webp?resize=1024%2C851&ssl=1\" alt=\"\" class=\"wp-image-15521\" />\n\n\n\n<img width=\"1024\" height=\"769\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/fxm7nexxsaa5vec.webp?resize=1024%2C769&ssl=1\" alt=\"\" class=\"wp-image-15526\" />\n\n\n\n\n<h2 class=\"wp-block-heading\">Props</h2>\n\n\n\n<p>WP20 celebrations, swag, websites, social media, graphics, and so much more could not have happened without the wonderful contributions of so many. Beyond the organizers of the 165+ events, there were many people working behind the scenes to ensure WordPress got the recognition it deserved. Thank you to everyone who worked behind the scenes to organize the meetups, create swag, and to spread the word. Some of these hardworking folks include: <a href=\"https://profiles.wordpress.org/nomadskateboarding/\">Mark Andrew</a>, <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a>, <a href=\"https://profiles.wordpress.org/tinobarreiro/\">Tino Barreiro</a>, <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a>, <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a>, <a href=\"https://profiles.wordpress.org/mysweetcate/\">Cate DeRosia</a>, <a href=\"https://profiles.wordpress.org/triforcepower/\">Em DeRosia</a>, <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a>, <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a>, <a href=\"https://profiles.wordpress.org/ngreennc/\">Nyasha Green</a>, <a href=\"https://profiles.wordpress.org/nickhamze/\">Nick Hamze</a>, <a href=\"https://profiles.wordpress.org/meaganhanes/\">Meagan Hanes</a>, <a href=\"https://profiles.wordpress.org/kellychoffman/\">Kelly Hoffman</a>, <a href=\"https://profiles.wordpress.org/pablohoneyhoney/\">Pablo Honey</a>, <a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a>, <a href=\"https://profiles.wordpress.org/markoserb/\">Marko Ivanovic</a>, <a href=\"https://profiles.wordpress.org/angelasjin/\">Angela Jin</a>, Winston Koone, Megan Marcel, <a href=\"https://profiles.wordpress.org/ninianepress/\">Jenni McKinnon</a>, <a href=\"https://profiles.wordpress.org/bjmcsherry/\">Brett McSherry</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a>, <a href=\"https://profiles.wordpress.org/sereedmedia/\">Se Reed</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a>, <a href=\"https://profiles.wordpress.org/fcoveram/\">Francisco Vera</a>, Andrew Wikel, and <a href=\"https://profiles.wordpress.org/adamwood/\">Adam Wood</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Some More Fun</h2>\n\n\n\n<p>A WordPress event is not complete without a Wapuu, and not only was there one, but there was a whole campaign to color it in! Thanks to <a href=\"https://profiles.wordpress.org/triforcepower/\">Em DeRosia</a> for creating the commemorative Wapuu!</p>\n\n\n\n\n<img width=\"737\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Fs33fvqWcAAKRbx.png?resize=737%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15532\" />\n\n\n\n<img width=\"737\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FrU8oOFaQAEZLPY.jpeg?resize=737%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15528\" />\n\n\n\n<img width=\"722\" height=\"956\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Ft8DCn9WcA08xYZ.jpeg?resize=722%2C956&ssl=1\" alt=\"\" class=\"wp-image-15531\" />\n\n\n\n<img width=\"832\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FtyXUDZXgAA1G1K.jpeg?resize=832%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15534\" />\n\n\n\n<img width=\"819\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FuvXFqHWAAY7Yob.jpeg?resize=819%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15533\" />\n\n\n\n<img width=\"1024\" height=\"829\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FxHdOAdXwAE_4w9.jpeg?resize=1024%2C829&ssl=1\" alt=\"\" class=\"wp-image-15530\" />\n\n\n\n<img width=\"1024\" height=\"712\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FtsDGoiaUAA91ug.jpeg?resize=1024%2C712&ssl=1\" alt=\"\" class=\"wp-image-15535\" />\n\n\n\n<img width=\"709\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FtxoedaacAYaIeq.jpeg?resize=709%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15536\" />\n\n\n\n<img width=\"737\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/FxIvqkGWIAEPKt8.jpeg?resize=737%2C1024&ssl=1\" alt=\"\" class=\"wp-image-15529\" />\n\n\n\n\n<p>The Marketing team ran an interactive campaign, <a href=\"https://make.wordpress.org/marketing/2023/05/02/20-days-to-celebrate-20-years-of-wordpress-from-blogs-to-blocks/\"><em>From Blogs to Blocks</em></a>, a series of prompts across 20 days for WordPress enthusiasts to celebrate all-things WordPress.</p>\n\n\n\n<p>Additional campaigns took place on social media and included prompting folks to share their favorite WordPress memory and most cherished WordPress swag item, to highlight the 21 contributing teams, and even to share a birthday greeting.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">My fav <a href=\"https://twitter.com/hashtag/WordPress?src=hash&ref_src=twsrc%5Etfw\">#WordPress</a> swag, which I use daily! This was the speaker swag from <a href=\"https://twitter.com/hashtag/WCBos?src=hash&ref_src=twsrc%5Etfw\">#WCBos</a> 2019. <a href=\"https://twitter.com/melchoyce?ref_src=twsrc%5Etfw\">@melchoyce</a>, I think you designed this stunning logo? <a href=\"https://twitter.com/hashtag/WP20?src=hash&ref_src=twsrc%5Etfw\">#WP20</a> <a href=\"https://t.co/1sEIEMGzM9\">https://t.co/1sEIEMGzM9</a> <a href=\"https://t.co/F0ufF9msqP\">pic.twitter.com/F0ufF9msqP</a></p>&mdash; Angela Jin (@AngelaSJin) <a href=\"https://twitter.com/AngelaSJin/status/1650832707683864578?ref_src=twsrc%5Etfw\">April 25, 2023</a></blockquote>\n</div>\n\n\n\n<p>We had lots of digital goodies too! From 3D desktop wallpaper, to selfie-props for the celebrations, and more. <a href=\"https://wp20.wordpress.net/swag/\">You can download them here</a>.</p>\n\n\n\n<div class=\"wp-block-jetpack-tiled-gallery aligncenter is-style-rectangular\"><div class=\"tiled-gallery__gallery\"><div class=\"tiled-gallery__row\"><div class=\"tiled-gallery__col\"><img alt=\"\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-selfie-glasses-1024x576.png?ssl=1\" /><img alt=\"\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/wp20-celebrate-desktop.jpg?ssl=1\" /></div><div class=\"tiled-gallery__col\"><img alt=\"WP20\" src=\"https://i1.wp.com/wordpress.org/news/files/2023/08/wp20-logo-blueberry3x-1024x783.png?ssl=1\" /></div></div></div></div>\n\n\n\n<h2 class=\"wp-block-heading\">Got Swag? Need Swag?</h2>\n\n\n\n<p>It&#8217;s not too late to order your WP20 commemorative items. <a href=\"https://mercantile.wordpress.org/product-category/wp20/\">Find shirts, stickers, and more, while supplies last</a>!</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>See you in five years for the 25th!</strong></h2>\n\n\n\n<p>Sign up here to stay in the &#8220;know&#8221;!</p>\n\n\n	<div class=\"wp-block-jetpack-subscriptions__supports-newline wp-block-jetpack-subscriptions\">\n		<div class=\"jetpack_subscription_widget\">\n			<div class=\"wp-block-jetpack-subscriptions__container\">\n				<form action=\"https://wordpress.org/news/feed/\" method=\"post\" accept-charset=\"utf-8\" id=\"subscribe-blog-1\">\n					<p id=\"subscribe-email\">\n						<label id=\"jetpack-subscribe-label\" class=\"screen-reader-text\" for=\"subscribe-field-1\">\n							Type your email…						</label>\n						<input type=\"email\" name=\"email\" class=\"no-border-radius  required\" value=\"\" id=\"subscribe-field-1\" />\n					</p>\n\n					<p id=\"subscribe-submit\">\n						<input type=\"hidden\" name=\"action\" value=\"subscribe\" />\n						<input type=\"hidden\" name=\"blog_id\" value=\"14607090\" />\n						<input type=\"hidden\" name=\"source\" value=\"https://wordpress.org/news/feed/\" />\n						<input type=\"hidden\" name=\"sub-type\" value=\"subscribe-block\" />\n						<input type=\"hidden\" name=\"redirect_fragment\" value=\"subscribe-blog-1\" />\n												<button type=\"submit\" class=\"wp-block-button__link no-border-radius\" name=\"jetpack_subscriptions_widget\">\n							Subscribe						</button>\n					</p>\n				</form>\n\n							</div>\n		</div>\n	</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Aug 2023 14:54:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Dan Soschin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WPTavern: group.one Acquires BackWPup, Adminimize, and Search &amp; Replace Plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147855\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://wptavern.com/group-one-acquires-backwpup-adminimize-and-search-replace-plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2191:\"<p><a href=\"https://www.group.one/en\">group.one</a>, a European cloud hosting and digital marketing services provider, has <a href=\"https://inpsyde.com/en/inpsyde-announces-sale-of-backwpup-adminimize-and-searchreplace/\">acquired</a> the <a href=\"https://backwpup.com/\">BackWPup</a>, <a href=\"https://wordpress.org/plugins/adminimize/\">Adminimize</a>, and <a href=\"https://wordpress.org/plugins/search-and-replace/\">Search &amp; Replace</a> plugins from Inpsyde. Together the products have more than 1.1 million active installs and will join group.one&#8217;s growing portfolio of WordPress products, which include <a href=\"https://wp-rocket.me/\">WP Rocket</a>, <a href=\"https://imagify.io/\">Imagify</a>, and <a href=\"https://rankmath.com/\">Rank Math SEO</a>.</p>\n\n\n\n<p>Inpsyde sold the plugins to focus more on its consulting and product services.</p>\n\n\n\n<p>&#8220;This sale lets us concentrate on our core competencies and work more closely with our clients, like PayPal, Payoneer, and Mollie, providing the know-how to develop and reach their full potential with new avenues for advancement,&#8221; Inpsyde CEO Alex Frison said.</p>\n\n\n\n<p> The acquired plugins will be managed by the development team at WP Media, one of group.one&#8217;s brands, expanding its offerings beyond optimization and SEO to include backup and site management capabilities. </p>\n\n\n\n<p>&#8220;Backup and recovery solutions are crucial to protect websites against data loss and we look forward to further developing BackWPup, along with Adminimize and Search &amp; Replace,&#8221; group.one CEO Daniel Hagemeier said. &#8220;Together with WordPress hosting from WP.one and one.com, and our flagship products WP Rocket, Imagify, and Rank Math SEO, WordPress users can now come to group.one to optimize, secure, maintain and promote their online presence.”</p>\n\n\n\n<p>When asked what specific features are being prioritized on the immediate roadmap, group.one representative Simon Kraft said &#8220;the smooth transition over to WP Media&#8221; is their focus following the sale. He was unable to comment on whether the commercial versions of the acquired plugins would be subject to any pricing changes.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Aug 2023 03:08:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"WPTavern: Should WordPress.org Support Threads Auto-Close After 6 Months?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147304\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://wptavern.com/should-wordpress-org-support-threads-auto-close-after-a-year\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5389:\"<p>WordPress.org&#8217;s <a href=\"https://wordpress.org/support/forums/\">support forums</a> are a vital resource and communication tool for users supporting their own sites and developers extending the software. Visiting the forums often means users have gotten stuck somehow and need to have a successful support experience in order to continue on their WordPress journeys. They are looking for help deciphering the meaning of error messages, migrating sites, debugging their sites after an update, and many other common struggles of self-hosting.</p>\n\n\n\n<p>A <a href=\"https://meta.trac.wordpress.org/ticket/7161\">ticket</a> on Meta trac, which was opened three weeks ago, proposes that WordPress.org remove auto-closure from support forum threads and instead add a warning that the thread is old. Threads currently auto-close six months after last reply, unless manually closed sooner than that.</p>\n\n\n\n<p>Amber Hinds, plugin author and CEO of Equalize Digital, made a case for instances where it is necessary to respond to an old thread:</p>\n\n\n\n<ul>\n<li>As a plugin dev, we forgot to subscribe to a plugin&#8217;s forum and only saw support threads many months later. Currently, there is no way to provide assistance on these threads.</li>\n\n\n\n<li>If a user requests a feature that is not currently available and you release it many months later, it would be nice to update their support request and let them know.</li>\n</ul>\n\n\n\n<p>Hinds referenced a conversation on Post Status&#8217; Slack where Matt Mullenweg recommended removing the closure for old threads completely and adding a warning in its place:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Let&#8217;s move away from auto-closing to just having a warning that you&#8217;re replying to an old thread</p>\n</blockquote>\n\n\n\n<p>Not all participants in the discussion are in favor of leaving support tickets open. Several contributors contended that this approach can lead to unproductive replies piling up or multiple people jumping in on threads with similar unrelated issues, making it difficult for developers to solve the original request. </p>\n\n\n\n<p>&#8220;Old topics mostly attract spam, me-too-pile&#8217;ons and random replies,<br />its very rare when an actual reply is needed to something that has no activity for&nbsp;<strong>six months</strong>,&#8221; WordPress support forums moderator Yui said.</p>\n\n\n\n<p>&#8220;Current policy is to leave such topics closed, however, making an&nbsp;<strong>exclusion</strong>&nbsp;and manually reopen it at request can be made possible when the reasons for it are&nbsp;<strong>compelling</strong>&nbsp;(It can be discussed on Support team weekly chat, if needed).&#8221;</p>\n\n\n\n<p>WordPress accessibility contributor Joe Dolson is in favor of giving plugin authors the ability to determine when a thread gets closed, a modification that partially addresses the issues at play.</p>\n\n\n\n<p>&#8220;It would help alleviate it to give plugin authors the ability to close a thread,&#8221; Dolson said. &#8220;Though when you have thousands of open support threads, that would still be a pretty significant potential burden.</p>\n\n\n\n<p>&#8220;I think there should be a better way of handling closed support threads &#8211; it&#8217;s a problem that auto-closed threads literally *cannot* be re-opened because they&#8217;ll just auto-close again. But I&#8217;m dubious about just leaving them open.</p>\n\n\n\n<p>&#8220;At the least, I think that removing the auto-closing *must* come with some ability for plugin authors to close threads; otherwise this would become totally unmanageable.&#8221;</p>\n\n\n\n<p>Changing thread closure policy could also impact the metric displayed on plugins, indicating how many issues have been marked as resolved in the last two months. If more people are allowed to jump in on threads with them open, the resolved threads metric may not be as meaningful.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"806\" height=\"510\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-16-at-4.06.11-PM.png\" alt=\"\" class=\"wp-image-147891\" />\n\n\n\n<p>Hinds recommends a hybrid approach, keeping auto-close in place but allowing plugin contributors to reopen threads, restarting the clock for auto-closure.</p>\n\n\n\n<p>&#8220;I discovered 12 support tickets yesterday on a plugin I had not realized we were not subscribed to, which I want to at least comment on to see if they still need help,&#8221; Hinds said. &#8220;I can&#8217;t do this. It&#8217;s a frustrating experience for me and clearly a poor user experience for the original poster or anyone else who encounters that thread with a similar problem.</p>\n\n\n\n<p>&#8220;Another option might be to auto-close them but add a button that allows them to be reopened by plugin contributors that sets another six-month (or maybe a shorter time period) timeline before auto-close.&#8221;</p>\n\n\n\n<p>It&#8217;s easy to forget that most people do have a vast network of WordPress professionals available to answer questions for them on Twitter or other networks, so the forums remain an important lifeline for users. Contributors have not yet come to a decision about whether leaving threads open for longer will provide a better experience or not. The discussion on <a href=\"https://meta.trac.wordpress.org/ticket/7161\">changing the auto-close policy</a> continues on Meta trac.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Aug 2023 21:10:39 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"Do The Woo Community: More WordCamp US Speakers Tips and Teasers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=76044\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://dothewoo.io/more-wordcamp-us-speakers-tips-and-teasers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:387:\"<p>Listen to Courtney Patubo Kranzke, Sean Blakely, Jonathan Desrosiers, Sumner Davenport and Destiny Kanno.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/more-wordcamp-us-speakers-tips-and-teasers/\">More WordCamp US Speakers Tips and Teasers</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Aug 2023 17:02:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"Do The Woo Community: WordCamp US Speakers Tips and Teasers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=76029\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://dothewoo.io/wordcamp-us-speakers-tips-and-teasers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:394:\"<p>Here tips and teasers from George Woodard, Danielle Zacaro, Hari Shanker, Aid Correa-Jackson, Ryan Smith and Shambi Broome</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/wordcamp-us-speakers-tips-and-teasers/\">WordCamp US Speakers Tips and Teasers</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Aug 2023 14:37:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"HeroPress: New life thanks to WordPress – Una nueva vida gracias a WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=5738\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"https://heropress.com/essays/new-life-thanks-to-wordpress/#utm_source=rss&utm_medium=rss&utm_campaign=new-life-thanks-to-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7201:\"<img width=\"1024\" height=\"512\" src=\"https://heropress.com/wp-content/uploads/2023/08/081423-min.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: WordPress empowered me to craft a better life for my family. WordPress me permitió forjar una vida mejor para mi familia.\" />\nHear Jennifer&#8217;s story in her own voice.\n\n\n\n\n\n\n<p><a href=\"https://heropress.com/feed/#espanol\">Este ensayo también está disponible en español.</a></p>\n\n\n\n<p>Hello, my name is Jennifer Farhat, and I reside in Burnaby, a charming city nestled in British Columbia, Canada. My role as a Frontend Engineer at WebDevStudios, an amazing and globally distributed company entirely devoted to WordPress, allows me to collaborate with a diverse team across the world. Today, I&#8217;m excited to share my journey with you.</p>\n\n\n\n<p>I was born In &nbsp;the enchanting land of Venezuela, a South American gem renowned for its warm-hearted people and diverse climate, It has snow-dusted landscapes in Mérida, gentle plains of Los Llanos, and the sun-soaked beaches along the eastern shores.</p>\n\n\n\n<p>Before my journey to British Columbia, I enjoyed a vibrant life on Margarita Island, often dubbed the &#8220;pearl of the Caribbean.&#8221; This paradise on earth nurtured my passion for tennis from a young age. I climbed the ranks and became one of the top players in my country. Transitioning into a Tennis Coach, I imparted my knowledge to players of all ages. This continued even as I pursued my studies in computer science, graduating in 2010. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>My path naturally evolved to web development, and despite the bittersweet decision to step away from coaching, it marked the beginning of my journey as a dedicated web developer. </p>\n</blockquote>\n\n\n\n<p>My path intertwined with WordPress, a platform I quickly grew to adore. The company I worked for began embracing it, using WordPress to cater to our clients&#8217; needs.</p>\n\n\n\n<p>However, the backdrop of my homeland&#8217;s struggles was undeniable. By 2016, the economic and political turmoil had escalated. Basic essentials became hard to find, despite having the means to acquire them. This dire scenario pressed upon my family, particularly my eight-month-old daughter who faced shortages of formula and diapers. The pivotal moment arrived in August 2016 when my family and I embarked on a tough choice – leaving our homeland. Our journey took us through Colombia before finally settling in the picturesque city of Vancouver, where reality felt like a picture-perfect postcard.</p>\n\n\n\n<p>The initial phase was an uphill battle, marked by paperwork hurdles and employment challenges due to our uncertain legal status. Just when we were about to give up and were contemplating leaving Vancouver, an opportunity surfaced – centered around WordPress. This newfound role not only offered the means to secure legal status but also laid the foundation for a brighter future for my daughter and my two-year-old son, who was born in our new home years later.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Grateful for this transformation, I credit WordPress for extending a lifeline at a crucial and difficult moment of my life.</p>\n</blockquote>\n\n\n\n<p>It empowered me to craft a better life for my family. In return, I remain dedicated to contributing to the community that has given me so much, knowing that my efforts will always fall short of the boundless generosity I&#8217;ve received.</p>\n\n\n\n<h1 id=\"espanol\" class=\"kt-adv-heading5738_ccceef-d5 wp-block-kadence-advancedheading\"><strong>Una nueva vida gracias a WordPress</strong></h1>\n\n\n\nEscucha el ensayo de Jennifer con su propia voz\n\n\n\n<p>Hola, mi nombre es Jennifer Farhat, y actualmente resido en Burnaby, una encantadora ciudad ubicada en British Columbia, Canadá. Mi rol como Frontend Engineer en WebDevStudios, una asombrosa empresa 100% remota a nivel global completamente dedicada a WordPress, me permite colaborar con un equipo diverso alrededor del mundo. Hoy, estoy emocionada por compartir mi historia.</p>\n\n\n\n<p>Nací en el maravilloso país &nbsp;de Venezuela, una joya sudamericana reconocida &nbsp;por su gente cálida y su clima variado. Cuenta con paisajes diversos, desde la increíble &nbsp;Mérida, las suaves llanuras en Los Llanos y hasta playas bañadas por el sol en las costas orientales.</p>\n\n\n\n<p>Antes de mi travesía a British Columbia, disfruté de una vida vibrante en la Isla de Margarita, a menudo llamada &#8220;la perla del Caribe&#8221;. Este paraíso en la tierra nutrió mi pasión por el tenis desde joven. Escalé posiciones y me convertí en una de las mejores jugadoras de mi país. Pase luego a ser Entrenadora de Tenis, compartiendo mis conocimientos con jugadores de todas las edades. Esto continuó mientras estudiaba en la Universidad, graduándome en 2010. </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Mi camino naturalmente evolucionó hacia el desarrollo web, a pesar de la agridulce decisión de apartarme del deporte, marcando el inicio de mi camino como una desarrolladora Web dedicada al 100%. </p>\n</blockquote>\n\n\n\n<p>Mi camino se entrelazó con WordPress, una plataforma que rápidamente llegué a adorar. La empresa para la que trabajaba comenzó a adoptarla, usando WordPress para atender las necesidades de nuestros clientes.</p>\n\n\n\n<p>Sin embargo, la situación por la que pasaba mi país era innegable. Hacia 2016, los problemas económicos y políticos habían escalado. Productos de básica necesidad &nbsp;se volvieron difíciles de encontrar. Esta difícil situación &nbsp;afectó a mi familia, particularmente a mi hija de ocho meses que enfrentaba escasez de fórmula y pañales. El momento crucial llegó en agosto de 2016, cuando mi familia y yo tomamos la difícil decisión de dejar nuestra patria. Nuestro viaje nos llevó primero a Colombia y finalmente a la pintoresca ciudad de Vancouver, donde parece que uno vive dentro de una un postal perfecta.</p>\n\n\n\n<p>La fase inicial fue una batalla cuesta arriba, marcada por obstáculos &nbsp;y desafíos laborales debido a nuestra incierta situación legal. Justo cuando estábamos a punto de rendirnos y pensábamos en dejar Vancouver, surgió una oportunidad de trabajo centrada en WordPress. Este nuevo rol no solo ofreció los medios para asegurar un estatus legal, sino que también sentó las bases para un mejor futuro para mi hija y mi hijo de dos años, quien nació años después en nuestro nuevo hogar.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Agradecida por esta transformación, le doy crédito a WordPress por brindarme una oportunidad en un momento crucial y difícil en mi vida. </p>\n</blockquote>\n\n\n\n<p>Me permitió forjar una vida mejor para mi familia. A cambio, estoy comprometida a contribuir a la comunidad que tanto me ha dado, sabiendo que mis esfuerzos siempre quedarán cortos frente a la generosidad sin límites que he recibido.</p>\n<p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/new-life-thanks-to-wordpress/\">New life thanks to WordPress &#8211; Una nueva vida gracias a WordPress</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Aug 2023 14:34:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Jennifer Farhat\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WPTavern: #87 – Jonathan Wold on Guildenberg, What It Is and How It Aims to Help Product Owners\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=147811\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:110:\"https://wptavern.com/podcast/87-jonathan-wold-on-guildenberg-what-it-is-and-how-it-aims-to-help-product-owners\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:65646:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley. Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case Guildenberg, what it is and how it aims to help product owners.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice. Or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you or your idea featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox and use the form there.</p>\n\n\n\n<p>So on the podcast today we have Jonathan Wold.</p>\n\n\n\n<p>Jonathan has been deeply involved in the WordPress community for almost two decades. He began writing tutorials and freelancing, which eventually died him to the agency world, where he worked on large enterprise projects. In the past five to six years, Jonathan has shifted his focus to the broader WordPress ecosystem. He&#8217;s also had the opportunity to work at WooCommerce and collaborate with the team at Automattic. Despite the demands of his busy career, Jonathan&#8217;s passion for WordPress has only grown stronger over the years.</p>\n\n\n\n<p>Jonathan is one of the co-founders of Guildenberg, and in the podcast today we discuss what this project is and how it aims to revolutionize the WordPress product ecosystem.</p>\n\n\n\n<p>We start the conversation by highlighting the importance of behavior in the WordPress community and the core values that drive the platform. Autonomy, meritocracy, utility, and giving credit where credit is due. Jonathan emphasizes the significance of giving credit to the original creators of work, even though it may not be legally required.</p>\n\n\n\n<p>We move on to talk about how Guildenberg aims to solve some of the key problems faced by WordPress product owners, such as monetization, compatibility and distribution. Jonathan envisions a system where product owners pay a fee for distribution of their products. With a portion of that revenue going back to the Guildenberg project. By aligning incentives and providing economic motivations for contributors, Guildenberg seeks to create a sustainable and thriving ecosystem for the open web.</p>\n\n\n\n<p>We get into the inspiration behind the name Guildenberg, which combines the idea of Gutenberg and the guild institutions from medieval Europe.</p>\n\n\n\n<p>We also discussed the team&#8217;s longterm vision of creating an app store for WordPress that spans the majority of installations, offering monetization options, and enforcing compatibility standards.</p>\n\n\n\n<p>If you&#8217;re a WordPress developer, who&#8217;s keen to find a way to create visibility for your product this podcast is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading to. WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Jonathan Wold.</p>\n\n\n\n<p>I am joined on the podcast today by Jonathan Wold. Hello, Jonathan.</p>\n\n\n\n<p>[00:03:58] <strong>Jonathan Wold:</strong> Hey Nathan, how are you?</p>\n\n\n\n<p>[00:04:00] <strong>Nathan Wrigley:</strong> Very good. Jonathan&#8217;s joining us, I think, for the second time on the Jukebox podcast. We&#8217;re going to have an in depth conversation about something which is close to his heart. It&#8217;s called Guildenberg. I&#8217;m going to make a link in the show notes to an article which I think probably would be a wise idea to read to give you some perspective.</p>\n\n\n\n<p>Before we begin and dive into the subject matter though, Jonathan just tell us who you are. Tell us about your WordPress journey.</p>\n\n\n\n<p>[00:04:27] <strong>Jonathan Wold:</strong> So I&#8217;ve been immersed in the world of WordPress now for about 18 years. I started out writing tutorials and I did a bunch of freelance early on. Spent a couple of years in the agency world doing some big enterprise stuff. And then spent the past five, six years or so focused on the ecosystem more broadly.</p>\n\n\n\n<p>I also got to spend some time at WooCommerce. The lovely folks over at Automattic, and yeah it&#8217;s been quite nonstop for me. I think a good indicator is that I like WordPress even more 18 years later than I did when I started. And I think that the community is a massive part of that. That&#8217;s what got me hooked initially.</p>\n\n\n\n<p>Folks on the .org forums answering my questions and showing me, oh wow, there&#8217;s something about this like open source space. And not just open source, but WordPress specifically that drew me. And yeah never looked back.</p>\n\n\n\n<p>[00:05:23] <strong>Nathan Wrigley:</strong> Great, thank you. So we&#8217;re going to be talking about something called Guildenberg. I&#8217;m going to repeat that word, Guildenberg. It&#8217;s not the word that I&#8217;m used to saying, which is Gutenberg. So we&#8217;ve got the berg bit, that&#8217;s the same. But then we&#8217;ve got this guild bit at the beginning and I guess maybe Europeans, I don&#8217;t know, maybe I&#8217;m mischaracterizing that, but it feels like Europeans who have a thirst for historical knowledge perhaps know what guilds are.</p>\n\n\n\n<p>I don&#8217;t know if it was something that came across the pond to North America, but did it? And if it didn&#8217;t, what are guilds?</p>\n\n\n\n<p>[00:05:57] <strong>Jonathan Wold:</strong> So that&#8217;s a fun way to frame it. So first I&#8217;ll call out that one of the things that I&#8217;ve loved about this community. Because it is by default, like international in nature, I&#8217;ve had the privilege of being exposed to a lot of ideas that might not have been as prevalent to me with my North American base otherwise.</p>\n\n\n\n<p>I can&#8217;t recall where the concept of the guild first came up, but where I went to immediately was reading about the history of guilds in Europe, right? That&#8217;s the foundation for a lot of my initial thinking about this. Here in the States we have the concept of unions, which has some parallels, but it&#8217;s focused more on trade and specific lines of work.</p>\n\n\n\n<p>Yeah my basis for this was reading about the history of guilds in Europe. The positives and the negatives from a few different perspectives and I found that super helpful.</p>\n\n\n\n<p>[00:06:49] <strong>Nathan Wrigley:</strong> I think at least anyway, that the guild traditionally was an organization which would bind together people who did a very similar thing. So, for example, you might have, I don&#8217;t know, a printer&#8217;s guild. Or you might have a blacksmith&#8217;s guild or something like that. And it would be a kind of club, for want of a better word, of people so that they could share their experience. They could share their knowledge. They could keep up to date with what the other people were doing. I think I&#8217;ve got that right.</p>\n\n\n\n<p>[00:07:18] <strong>Jonathan Wold:</strong> Yes, and it&#8217;s curious too that just by the nature of who&#8217;d be involved you&#8217;d often have competitors. Yet they were working together. There&#8217;s benefits and trade offs, right? But overall though the idea is that they&#8217;d work together to improve the quality of their work.</p>\n\n\n\n<p>So you had guilds that took this quite far where they also have seals that, you know, used by the guild to say okay, we have a quality approval here. Others who it was more loose, like an association where we&#8217;re supporting each other, sharing ideas, et cetera. Some got pretty heavy into regulating production and monitoring, and there&#8217;s a lot of different facets of it.</p>\n\n\n\n<p>The heart of it though, and my primary interest is facilitating cooperation in what would otherwise be a decentralized space. And many of these just somewhat by their nature, the folks who&#8217;d be involved in these guilds, they were individual entrepreneurs doing their own things and decided to come together to facilitate cooperation, collaboration around opportunities of mutual interest.</p>\n\n\n\n<p>[00:08:21] <strong>Nathan Wrigley:</strong> So you&#8217;ve put a article together. It was written at the latter part of last year, August, 2022. It&#8217;s called a Guild for WordPress Businesses. And helpfully you start out explaining your knowledge of what a guild is. But the intention of that really is to begin the conversation in which you propose, perhaps there should be a WordPress businesses guild. And you&#8217;ve come up with the name Guildenberg which for obvious reasons, kind of fits the ecosystem just perfectly.</p>\n\n\n\n<p>Now in order to have a solution to something, presumably you have to have a problem for it to be solving. So again, right near the top of the article you outline three problems which you see going on in the WordPress product business space at the moment.</p>\n\n\n\n<p>Now I could introduce them but I feel it&#8217;s probably better to just hand it over to you and you tell us what your thoughts are.</p>\n\n\n\n<p>[00:09:11] <strong>Jonathan Wold:</strong> So quick shout out to my co founder Anna Maria Radu. She came up with the name, and it was a fun process. Like what are we going to call this thing? And she&#8217;s the one who picked it up and combined the idea of Gutenberg and the guild together. So she gets that credit, among many other credits.</p>\n\n\n\n<p>The key starting point here was like what problems are we setting to work on, right? And it was that problem set that we&#8217;ll touch on in a moment that became the basis for saying, okay, what construct could we use to solve these? And that&#8217;s where the concept of the guild began to fit in.</p>\n\n\n\n<p>So within WordPress specific product businesses, and I think that&#8217;s important to call out too. I care about the agency space, I have a lot of context and background for that. But what I think, let me take a step back. For about five, six years now I&#8217;ve been thinking more and more about WordPress as an ecosystem, and thinking about, okay, what are some of the leverage points?</p>\n\n\n\n<p>What are ways that we can grow and improve this ecosystem? And for me that matters because of the position that WordPress takes within the context of the open web. I believe that the healthier our ecosystem is, the better it is for the web.</p>\n\n\n\n<p>I like the proprietary platforms that they hold. They can foster innovation. They can bring clear value. I don&#8217;t want to see a web though dominated by proprietary platforms. And so I look at WordPress&#8217; place today, it&#8217;s great in terms of its market share. We want to see it become even healthier and stronger, and be in a place where the proprietary and open source are meeting together. But there&#8217;s a balance of power there.</p>\n\n\n\n<p>So that&#8217;s a starting point. What can we do to grow the ecosystem and make it stronger? At first, and for several years, I was quite convinced that helping hosting companies work together was going to be how we move the ecosystem forward. I still think that&#8217;s a piece of the puzzle.</p>\n\n\n\n<p>But what I focused on, what I realised, in that process is that you have to figure out a way to align incentives. And there were some inherent problems with facilitating cooperation amongst the hosts. And that could be a whole topic in and of itself. What I ended up settling on though is that of the three primary business groups in the ecosystem, you have the service providers, that&#8217;s your agencies and freelancers, you have the hosting providers, and you have the product companies.</p>\n\n\n\n<p>I believe that the product companies have the greatest opportunity for leverage, to grow and improve the ecosystem. Because they&#8217;re the ones that are directly touching, okay so there&#8217;s that idea that they have the greatest leverage. And I think that the reason why is when you look at WordPress through this framing of being an operating system for creating on the open web, which is something that Matt Mullenweg has been talking about for years now. He first introduced that idea.</p>\n\n\n\n<p>If you think about WordPress as an operating system, and then you think about the products as being on the app store, that&#8217;s where I think it starts to come into perspective.</p>\n\n\n\n<p>You need a whole ecosystem of hosting providers and service providers, but the products are like the apps that bring the core value. And if you think about it there&#8217;s very few people these days who would use WordPress without any plugins, without any apps, if you will.</p>\n\n\n\n<p>And so I ended up settling on, okay, product companies are the key leverage point for being able to grow and strengthen the ecosystem. So what problems do they have? And there are three problems that stand out to me that are faced by product companies in the space. And I&#8217;m going to focus first on those that are just WordPress specific. SaaS is another category but they have some of their own, they have a different set of problems.</p>\n\n\n\n<p>For WordPress founders the first one is what I just call like monetisation. This category of monetisation. A lot of folks who grew up in the WordPress space, created products, often had developer backgrounds. Monetisation has been something that we&#8217;ve struggled with. Whether it&#8217;s pricing, whether it&#8217;s business model, whether it&#8217;s just that we&#8217;re copying someone else who didn&#8217;t get that figured out. We tend to be poorly monetised in the space.</p>\n\n\n\n<p>And the key here is it&#8217;s misaligned with value. There are end users, for instance, that look at the price of a WordPress product and don&#8217;t trust it. You&#8217;re telling me that I&#8217;m going to build my business on this product that only costs a couple hundred dollars. I&#8217;m supposed to have confidence in that when the SaaS counterparts are thousands of dollars.</p>\n\n\n\n<p>So there&#8217;s more to it than that. It&#8217;s great to be able to pass on value to the end users but it needs to be a conscious decision. And a lot of times folks making decisions on monetisation don&#8217;t have a strong basis for it. And they&#8217;re not focused on aligning with value to the end user. They&#8217;re just picking an arbitrary price. So that&#8217;s problem one.</p>\n\n\n\n<p>Problem two is compatibility. And it&#8217;s this idea that a lot of these products just don&#8217;t work well together. Not because they don&#8217;t intend to but because there&#8217;s so many different ways of doing things. There aren&#8217;t any shared, well there are intentions towards shared standards, but there&#8217;s missing alignment of interest to actually enforce those standards and improve them.</p>\n\n\n\n<p>It&#8217;s like product developers will do so because they care about it, but those tend to be the minority. And oftentimes some of the most popular plugins don&#8217;t do that. It&#8217;s a lot of work and there&#8217;s not a lot of incentive to make things all work well together.</p>\n\n\n\n<p>The last one, and I think the one that shows the most, that sticks out the most, that&#8217;s the most pressing, the most problematic for folks, is distribution.</p>\n\n\n\n<p>You have these products that solve a clear problem for their audience. There&#8217;s a clear value proposition. They have that, what we&#8217;d call product market fit. And yet the majority of their addressable market within the WordPress ecosystem has no idea that they even exist. According to WebPro&#8217;s data we have 92 million active WordPress sites.</p>\n\n\n\n<p>And on the one hand, if you&#8217;re building a product in the WordPress space that&#8217;s fantastic, right? You have a massive addressable market that you can get to. But on the other, there&#8217;s no clear cut way today to actually get to that addressable market. For the simple fact that all of those 92 million are spread out over thousands of different hosting companies, who are somewhat effectively their own ecosystems in and of themselves.</p>\n\n\n\n<p>[00:15:15] <strong>Nathan Wrigley:</strong> Makes perfect sense. So let&#8217;s deal with those in turn. The monetisation piece where you talk about the fact that businesses are often either undervaluing their offering, or there&#8217;s a perceived, prejudice is the wrong word, but just the idea that things in the WordPress ecosystem ought to be cheap, everybody else is cheap so I should probably be cheap because I need to undercut my main competitor.</p>\n\n\n\n<p>I don&#8217;t really have any insight into the world outside of WordPress, so I don&#8217;t really know how far that argument carries. Perhaps you do? What I&#8217;m really asking for there is a bit of clarification. Are we orders of magnitude behind in terms of the value that we put on our products? Are we, for example, charging a fifth, a quarter, a third of what you might typically find elsewhere?</p>\n\n\n\n<p>[00:16:02] <strong>Jonathan Wold:</strong> So it depends. I would say at least from what I&#8217;ve observed and my sense of things on just the small business front, we&#8217;re behind but not terribly behind. Where it really starts to show up is with mid market and enterprise pricing. If we even go that far, right?</p>\n\n\n\n<p>Like enterprise certainly makes use of WordPress and there&#8217;s a pretty big disconnect overall between value and price and business model even. And just for instance, offering enterprise level support.</p>\n\n\n\n<p>It&#8217;s hard to pin down because sometimes it will be based on verticals, like you&#8217;ll have a WordPress creator or WordPress product that will focus on a particular vertical. But they&#8217;re not really matching the expectations in that vertical. It&#8217;s all over the board. On the one hand, it&#8217;s delightfully autonomous, people have the freedom to do whatever they want.</p>\n\n\n\n<p>The real problem that I see with this is that they&#8217;re not explicitly aligning it with value to that end user, which can vary. An enterprise, for instance, they have a whole different, they&#8217;re doing millions of dollars a month in revenue and the plugin that they&#8217;re using as a basis for that is only a couple hundred dollars, that kind of scares them, right? Like how do we know that we&#8217;re gonna get the support that we need? And the author hasn&#8217;t even necessarily considered that.</p>\n\n\n\n<p>[00:17:17] <strong>Nathan Wrigley:</strong> It is interesting as well, you were talking about products that were in the region of sort of $200 and presumably that was the sort of southern estimate. But it&#8217;s not difficult to find plugins that are considerably cheaper than that as well. You know the number 49 and 47 dollars for a license, for a single site license, for something might be something that you see all over the place. And it does beg the question, how many of those licenses does a product developer need to move in order for their business to become worthwhile to them?</p>\n\n\n\n<p>You know if you&#8217;re going to be putting in the time to have that as your single focus, which in many cases I&#8217;m sure the developers would love to have. You really do have to be shifting tens of thousands of those, for support and all of the things that go along with that. So yeah, I think undervalued is an interesting term there.</p>\n\n\n\n<p>[00:18:08] <strong>Jonathan Wold:</strong> And it&#8217;s interesting. Some folks might infer from this that, oh we just want to like price fix the ecosystem. Like no that&#8217;s not interesting to me at all. I love folks having the autonomy to price whatever they want to. What I&#8217;m concerned about, because it&#8217;s also a good way to drive innovation too, right?</p>\n\n\n\n<p>If you&#8217;re going to charge more it should be tied to value. It&#8217;s not just about extracting. It&#8217;s how do you align with additional value to the end user? And just the general challenge I see, and I think this is one that we solve through education and through modeling, is developers and product owners, entrepreneurs who just aren&#8217;t asking the right questions, and aren&#8217;t focused on that value piece.</p>\n\n\n\n<p>That&#8217;s like oh okay, well my competitors are generally doing this so I&#8217;ll just do less. Or they&#8217;ll think oh if I just do less I&#8217;ll get more volume. But they&#8217;re not considering the longterm consequences of charging less, and whether they&#8217;ll be able to support it longterm.</p>\n\n\n\n<p>So it&#8217;s a problem that we solve I think through education and through better examples in the space, and we&#8217;re starting to get more of those. But I just wanted to point out it&#8217;s not like I just want everyone to increase their prices. I want people to align with value for the end users. And a lot of cases that does include increasing your prices so that you can provide more value to them. But that&#8217;s not always the case. Sometimes it&#8217;s keep the price low.</p>\n\n\n\n<p>[00:19:22] <strong>Nathan Wrigley:</strong> Yeah. And then compatibility was the second point that you mentioned. This is really curious, isn&#8217;t it? Because I guess if you&#8217;re developing your own SaaS platform, really you don&#8217;t have any compatibility problems. You simply need to develop your own stack and you can ship whatever you like, whenever you like. So that doesn&#8217;t exist.</p>\n\n\n\n<p>But also if you are building on top of, let&#8217;s say WordPress&#8217; rivals, for example Wix or Squarespace or Shopify. Again, you&#8217;ve really only got one target to worry about. And that&#8217;s what Wix are doing and what Shopify are doing. So long as you&#8217;re keeping abreast of all of that, you&#8217;re good to go.</p>\n\n\n\n<p>Whereas, as you say, in the WordPress space, 60,000 plus I think it is at the moment, WordPress plugins, the combinations there are almost infinite. And that really can upset your business. I would imagine that a typical WordPress company support channel is constantly filled up with emails saying, well I&#8217;ve got these plugins and they don&#8217;t seem to work together, what do I do? And yeah, what do you do? So yeah, this is interesting endeavor.</p>\n\n\n\n<p>[00:20:21] <strong>Jonathan Wold:</strong> This especially shows up with the hosting providers, right? They&#8217;re the ones who often hear this first from the end users. And it&#8217;s a bit classic, right? If something&#8217;s not working, a lot of times folks will, one of the standard advice is well try to disable all the plugins and then kind work backwards from there. Which is a bit of a nightmare scenario really. To uninstall all your apps, I&#8217;m like what I don&#8217;t to do that. Like I picked these, there&#8217;s a reason for all this.</p>\n\n\n\n<p>So this often comes up with hosts and compatibility is overall in all my conversations with hosts, like one of, if not the number one cost centre for WordPress is stuff that just doesn&#8217;t work together.</p>\n\n\n\n<p>And again, I think that the core problem here is aligning incentives. It&#8217;s open source. One of the things we love about WordPress is the flexibility to do whatever we want. What often happens, and there&#8217;s benefits to this, but you&#8217;ll have developers who will do their own custom interfaces. They&#8217;ll try some new things. They&#8217;ll bring this thing, this development practice in or that one. They&#8217;ll try to use this SDK or something else. Like it&#8217;s just all over the board.</p>\n\n\n\n<p>The flexibility is great, but the trade off really shows up on the compatibility front where these things just don&#8217;t work together. And there&#8217;s a lot of cost to the end user or to the developer, when they&#8217;re trying to make things work with someone else. Including just a lot that&#8217;s outside of their control entirely. You could care about compatibility, put in all the effort, maybe you even create a patch for some other plugin author, and there&#8217;s no guarantee they&#8217;ll ever do anything with it.</p>\n\n\n\n<p>[00:21:47] <strong>Nathan Wrigley:</strong> That&#8217;s true. I speak to developers fairly frequently, some of whom do literally patch other people&#8217;s plugins so that they can get their support ticket queue down to zero. Yeah that&#8217;s really interesting. I guess the model that we would love to have, on the one hand, would be something akin to you know the Apple ecosystem where if an app is literally crashing the iPhone, Apple will just remove it from the ecosystem until it&#8217;s mended.</p>\n\n\n\n<p>Now that&#8217;s brilliant in the one sense that you can just get rid of all problems with the flick of one switch. But the downside of that is that system is about as closed as it possibly gets, and 30% of the revenue goes to Apple in that case. So swings and roundabouts really. Seemingly this is going to be a really difficult one to tackle.</p>\n\n\n\n<p>So is your endeavor around compatibility really just promoting what compatibility is? And just letting people know what the guidelines are for developing things and just making people good citizens of the WordPress development landscape.</p>\n\n\n\n<p>[00:22:45] <strong>Jonathan Wold:</strong> That&#8217;s a part of it, but I really think we have to align incentives. Let&#8217;s talk about the app store piece. My longterm vision, so on the one hand, I&#8217;m okay with this looking like any number of things so I&#8217;m not caught up on the details of it. But like my longterm vision and what we&#8217;re laying the groundwork now with Gildenberg is for there to be a quote unquote app store that spans 80% of all the WordPress installs out there. That solves a lot of these problems built into it, right?</p>\n\n\n\n<p>You&#8217;d have the monetisation piece taken care of by just accounting for standard models and having examples, etc. You&#8217;d have compatibility built in by having standards that are enforced at that submission level. If you&#8217;re going to be in this app store you have to follow these standards and guidelines and best practices. There&#8217;s a review process, etc.</p>\n\n\n\n<p>The incentive is there because you&#8217;re offering distribution. They&#8217;re like yeah this is worth doing. A developer is like yeah we&#8217;ll align around this shared standard which is ideally community created because we want the distribution on the other side of this.</p>\n\n\n\n<p>Now no one has to do it. This is I think where the difference shows up between what Apple has done. And there&#8217;s some comparisons to like, what do you have in the Android ecosystem? Our goal is not a hundred percent. Our goal is just the majority of WordPress installs. There&#8217;ll always be people who don&#8217;t want it.</p>\n\n\n\n<p>But it&#8217;s more than enough to be significant and to create those aligned incentives for folks to say oh yeah I&#8217;m going to follow these standards. And we get the, I don&#8217;t want to just have guidelines and playbooks and things that kind of on their own. There needs to be real incentives for people to do it. And distribution to me is the big incentive.</p>\n\n\n\n<p>[00:24:23] <strong>Nathan Wrigley:</strong> So distribution then, which is the third part, you mentioned it in terms of the 40 plus percent of the web which is using WordPress. And I think I&#8217;m right in saying that, is this really around discoverability as much as anything else? It&#8217;s trying to get traction for your product in a marketplace where you&#8217;re up against thousands of people. So if a guild were to be created there would at least be some structure, some formal network that you could rely upon to help spread the word if you like.</p>\n\n\n\n<p>[00:24:50] <strong>Jonathan Wold:</strong> Yeah it&#8217;s a combination of things. Discoverability is one of them and there&#8217;s different ways that you solve that. But .org for all the things that it does well is not built around, nor incentivized to solve, commercial interest problems. Not today at least, not that it couldn&#8217;t be in the future.</p>\n\n\n\n<p>The plugin review team is volunteer led. We have specific guidelines for specific reasons. And while we want to see growth and improvement there&#8217;s only so much that you can expect given the incentives, right? Like it&#8217;s volunteers and they work really hard to be as agnostic and neutral as possible. And at the end of the day, just from a end users and a product perspective, from a product perspective being listed on .org is no guarantee that you&#8217;ll be discovered by anyone, right? It&#8217;s par for the course, but .org is not trying to solve the discoverability problem. And ultimately plenty of folks get stuff like outside of .org.</p>\n\n\n\n<p>[00:25:49] <strong>Nathan Wrigley:</strong> So the idea then behind all of those three problems is that you&#8217;ve got a potential solution, this idea of a guild.</p>\n\n\n\n<p>So let&#8217;s move on to that then and describe what that guild looks like. Again, I guess it&#8217;s probably apropos right now to say you have not really fixed upon these ideas. This is the beginning of this conversation.</p>\n\n\n\n<p>You presumably would love for people having heard this podcast get back in touch with you and say I like this idea. I want to put my idea to you, see if we can take it in this direction. But yeah just outline what is the guild that you would hope to build? What are the designs that you&#8217;ve got behind it?</p>\n\n\n\n<p>[00:26:22] <strong>Jonathan Wold:</strong> The core idea right is to say okay what vehicle, what construct, is best suited to solving these three problems? It&#8217;s all rooted in this idea of finding and aligning incentives. So the App Store vision is the North Star. And the idea behind Guildenberg is okay, how do we lay a foundation for these things?</p>\n\n\n\n<p>So what I&#8217;ve been focused on over the past year or so with my co founders is, what&#8217;s the right economic engine for this? Like there&#8217;s a ton of stuff that we want to do. We want to create playbooks, open source things, facilitate just a bunch of stuff in the space. I&#8217;m super interested in how this connects to Five for the Future.</p>\n\n\n\n<p>And for all of that it&#8217;s like we need a strong economic engine that enables us, that aligns with value, that builds momentum in the right direction and enables us to do these things. And in my piece I originally outlined some different ideas on revenue models et cetera.</p>\n\n\n\n<p>What&#8217;s become clearer since, and what I&#8217;m focused on now is this the distribution problem itself. Like monetisation and compatibility, those are things that are going to become clearer with time. What I&#8217;m focused on now is okay, how do we start helping products today grow through distribution? And distribution itself then becomes our core economic engine. That&#8217;s the business of Gildenberg Inc, Gildenberg .com if you will.</p>\n\n\n\n<p>And so basically what we do today is we take products, we onboard them, we evaluate, review things, give them guidance, give them a roadmap. And then we help those products get distribution deals with hosting providers. And we&#8217;re basically the ones facilitating that.</p>\n\n\n\n<p>And so the idea, and I&#8217;m curious to see where it evolves, is to say okay let&#8217;s solve those three problems now and do so in a way that lets us build momentum and scale over time. And I think there&#8217;s a lot of things yet to be worked out and much of that&#8217;s going to come through who we work with, right?</p>\n\n\n\n<p>So right now it&#8217;s a small group of products, but I&#8217;m rapidly expanding that. And with each new product that comes in, where they&#8217;re bringing new ideas, new questions. The heart of this has been how do we create something that naturally builds on itself as we have success with what&#8217;s in front of us?</p>\n\n\n\n<p>[00:28:34] <strong>Nathan Wrigley:</strong> The model that you&#8217;ve just described is you&#8217;re building this, as a company comes in you&#8217;ll onboard them and give them the benefits that you can provide at the moment. Presumably the idea is that over time more and more of these will come on.</p>\n\n\n\n<p>And then you will have some kind of quorum of companies, enough to make this guild have enough clout out there so that you&#8217;re widely recognized. The name is out there. Everybody knows there&#8217;s benefits in this. But you&#8217;re in that kind of onboarding phase.</p>\n\n\n\n<p>Now it strikes me that if I were to join a guild, maybe there&#8217;s a piece of me coming to you that would have some sort of exclusionary principle in the back of my mind. In other words, okay I am, I don&#8217;t know, let&#8217;s say I&#8217;m an SEO plugin or something like that. And I&#8217;m thinking to myself, I&#8217;m seeing Guildenberg all over the place. This looks like something I could be a part of. But I want to be the SEO person. How do we work around that?</p>\n\n\n\n<p>Because I think in the traditional guild structure that was part of the deal, right? You got to be part of the guild and then you were the person in and we closed the door a little bit behind you because you&#8217;re living in that geographical area or whatever it may be.</p>\n\n\n\n<p>So the way to describe that here would be, okay you&#8217;re the SEO plugin. You&#8217;re the form plugin. You&#8217;re the speed optimization plugin. From the article that I&#8217;ve read you don&#8217;t want to do that. You want to welcome as many people in as you can, but from a product point of view, I guess I&#8217;d be thinking well I don&#8217;t really want to be in a guild with all my competitors.</p>\n\n\n\n<p>[00:30:03] <strong>Jonathan Wold:</strong> That&#8217;s a great question. And I think this is a good example where like the guild framing is, I think, the right framing for how we facilitate cooperation and collaboration amongst peers and that includes competitors.</p>\n\n\n\n<p>The piece of it though that puts it all in perspective is the app store direction, right? Like an app store that only has one SEO plugin for instance, I would argue and I think most people would agree, is not the best for the end users, right? And this is certainly the case for the hosting providers as well. They&#8217;re looking for options.</p>\n\n\n\n<p>So for us to do our jobs effectively, it&#8217;s not for us to like decide who&#8217;s the best one in this space. It&#8217;s to level the playing field to the benefit of the end users and for the host. Like okay let&#8217;s have security standards now, performance standards. Let&#8217;s have standardized design kits that can be used, right? Let&#8217;s abstract out the baseline stuff and let the product creators innovate on top of that and let the market determine. Let the end users determine which ones are the best through that feedback loop.</p>\n\n\n\n<p>So I think there&#8217;s people who certainly won&#8217;t like it. Oh there&#8217;s a competitor in here as well. But if you just take it through the app store framing, I certainly don&#8217;t want to be part of an app store or have one that only has one app for a particular category. It&#8217;s like I want choices.</p>\n\n\n\n<p>[00:31:23] <strong>Nathan Wrigley:</strong> Yeah it&#8217;s interesting because it&#8217;s just the language of guild I think is what promoted that question because it kind of feels like that maybe was the value of a guild back in the day.</p>\n\n\n\n<p>[00:31:31] <strong>Jonathan Wold:</strong> And certain types of guilds, right? One of the common examples was of a trade craft. Everyone in the guild was a certain type of trades person and they&#8217;re all competitors. So to your point yes, sometimes there was geographic differences but there&#8217;s also plenty of these be in the same city. But they were aligning their interests against sometimes other guilds. As long as you&#8217;re clear on what you&#8217;re after there&#8217;s not a problem with people competing.</p>\n\n\n\n<p>It&#8217;s going to be a challenge I&#8217;m certain of that. And part of why it&#8217;s so important to get the incentives right is much of that can sort itself out when you&#8217;re clear on what you&#8217;re here to do. And for me I&#8217;d always bring it back to hey we&#8217;re here to create a better ecosystem for end users. We all benefit from that.</p>\n\n\n\n<p>And so for instance one of the dilemmas ends up being, someone creates a great WordPress plugin. How do they handle it becoming part of Core? Or if some piece of it&#8217;s sort of taken out. And those are examples of things that we have to come to terms with.</p>\n\n\n\n<p>I&#8217;m sure that there are people who are upset when Apple baked a flashlight into iOS. The flashlight apps kind of died overnight, right? But from an overall good of the ecosystem perspective, I think the majority of folks would agree that that was useful and that was best to have just built directly in.</p>\n\n\n\n<p>So there are things like that that you have to deal with. And my hope is that the construct of a guild on the people side of things gives us a place to do those things fairly and openly, rather than just like arbitrary and behind the scenes. There will be challenges. I think if we stay fixed on where the incentives are and aligning them, it&#8217;s going to be at least easier to navigate the challenges.</p>\n\n\n\n<p>[00:33:04] <strong>Nathan Wrigley:</strong> Yeah. You mentioned earlier that the kind of app store, for want of a better word, was the North Star. Now you&#8217;re not there yet. Presumably the distribution piece, which is what you said you&#8217;re concentrating on at the moment, that&#8217;s the low hanging fruit, because if people come to you you&#8217;re very well connected, you have that within your grasp. You can connect people. You know people in the ecosystem.</p>\n\n\n\n<p>The other bits and pieces will come over time. But now this raises the always difficult question of finance. Because something like this will not be easy. And if it&#8217;s going to stretch just beyond the bounds of you and your co founder then presumably real work needs to be done, real time needs to be spent. And although that could be done with volunteers, really what would be the difference with what we&#8217;ve got now?</p>\n\n\n\n<p>So let&#8217;s talk about that. Let&#8217;s talk about how you&#8217;re thinking of structuring this financially. I&#8217;m guessing at the moment people that come to you are paying you a fee. Maybe not. But in the future do you want to move this to more of a, I don&#8217;t know, subscription model, a percentage of revenue model? Something like that.</p>\n\n\n\n<p>[00:34:10] <strong>Jonathan Wold:</strong> So great question. That&#8217;s a lot of what we focus on figuring out. So I have two co founders, Anna Maria Radu and Matt Fields. And so the three of us together, sort of the core base. We started this a year and a half ago but we&#8217;re slowly but surely also expanding the team.</p>\n\n\n\n<p>So the way that we make money, we have the Gildenberg Partnership Program, that&#8217;s the one that focuses on distribution. For a product that wants to get distribution they come in and they pay an onboarding fee. That will vary. It generally starts at like 10,000 up to 30,000, but it&#8217;s dependent on sort of what&#8217;s involved.</p>\n\n\n\n<p>And that covers our work on especially the first two things. So we look at the monetisation, we look at compatibility, we create a roadmap for that product. Like, all right, these are the things that you need to do to get ready for distribution. We look at the foundation for partnerships.</p>\n\n\n\n<p>So there&#8217;s just time upfront there that&#8217;s involved. My hope is to see that reduce as time goes on, right? Become more standardized, more just open source as we create playbooks. That&#8217;s a starting point but the real heart of the business is a rev share model. So what we do is when we bring in a product and we do distribution deals with them, our standard approach is 25% of the deals in the first year. And then it goes down to 15% on average thereafter.</p>\n\n\n\n<p>So if we take in a new product and we help them sign a million dollar deal then $250,000 of that revenue goes to Guildenberg. And so we&#8217;re not taking from their existing. We&#8217;re not tapping into that business. It&#8217;s all on what we add which is the heart of what brings folks to us to begin with.</p>\n\n\n\n<p>What&#8217;s great about that is that we&#8217;re able to be really upfront with the hosts. When we go to a host and bring them in as distribution partners we&#8217;re not taking anything from them. We&#8217;re aligned on the interests of the products. And when the product is winning that&#8217;s when we get paid.</p>\n\n\n\n<p>[00:35:59] <strong>Nathan Wrigley:</strong> So just to be clear on that, in the scenario of a million dollars, so you connect company A with hosting company B. And the deal there was a million dollars. I think you mentioned $250,000 would go where?</p>\n\n\n\n<p>[00:36:13] <strong>Jonathan Wold:</strong> So that&#8217;s actually a good question. That somewhat depends. And this is a good example of what we&#8217;re working out. So in some situations we might be splitting that with the host who did the deal. And others the host would be on top of that. That somewhat depends on the product type and the category.</p>\n\n\n\n<p>That&#8217;s a lot of what work we&#8217;re doing now is figuring out what&#8217;s fair, what makes sense. The guidance is we want to win for all involved, right? But the heart of it is, it&#8217;s like two things. One we&#8217;re incentivising ourselves. We make our money on the successful distribution side, right? So the revenue share is the heart of Guildenberg&#8217;s economic engine.</p>\n\n\n\n<p>And two, we&#8217;re directionally going towards that app store. You can imagine the future state where it&#8217;s a straight 15%, right? And that covers the app store costs. And there&#8217;s a split there with the hosting providers who also offer it. So it&#8217;s like I&#8217;ll be flexible along the way to get there and do what makes sense, but I&#8217;m very clear on where we&#8217;re going. Which is going to be this sort of standardized target of 15% across products.</p>\n\n\n\n<p>[00:37:18] <strong>Nathan Wrigley:</strong> Okay so in the Apple ecosystem which we had a moment ago, we were talking about that, there was some parallels there. The entire model of the Apple ecosystem really is profit, and dividends to shareholders. That&#8217;s the mantra. So I guess that question has to come next. Is there some alignment there? Is this the model that you&#8217;re going to be promoting?</p>\n\n\n\n<p>In other words, if you grow do the coffers of Gildenberg grow? Or is there some reasonable, I don&#8217;t know, churn of those finances giving back to the community, giving back to the WordPress project? How does all of that work? In other words is Guildenberg a for profit? Is it a for profit with benefits to the WordPress community? Is it just a not for profit? What&#8217;s going on?</p>\n\n\n\n<p>[00:38:02] <strong>Jonathan Wold:</strong> That&#8217;s a great question. This is another good example of something that I&#8217;m still working out. So let me start with my intentions. One of my motivating pieces behind this, if I could just wave a wand based on how I see things today, acknowledging that they could change and there&#8217;s pieces that I&#8217;m sure I&#8217;m missing. My ideal would be to get to where a product is paying 15% for distribution. And 5%, so 33 of that 15, of that revenue is going directly to the project.</p>\n\n\n\n<p>In my current thinking we have two organizations if you will. Guildenberg Inc. which is for profit and does the distribution work, and returns dividends to its shareholders. Which can include members, it includes investors, etc. I want to be moving increasingly towards being community owned.</p>\n\n\n\n<p>And then you have the .org, if you will, which is basically the member pool. So in my ideal an increasing amount of revenue goes into that pool to then be managed and directed by the members, right?</p>\n\n\n\n<p>As one example, let&#8217;s say someone joins the app store in the future. They&#8217;re paying the 15%, they don&#8217;t really care about the project at all. So 5% or 33 of that 15 goes into the member pool on their behalf. And they really have no say over what it. So it&#8217;s directed by the members into projects, into initiatives and .org that matter to them.</p>\n\n\n\n<p>Now, if that member, that product, decides that they do care they can then join the guild and now they have a say over where their funds go. They might say oh I care more about this initiative over here. So that&#8217;s the high level idea. Part of what set me out, what I set out to do here is like, how do we solve an incentives problem across the space?</p>\n\n\n\n<p>I don&#8217;t want people to do Five For The Future just because they love WordPress. I want there to be an economic incentive behind it. And to me, what I&#8217;m intrigued by, what I&#8217;m working towards is, how do you just build that into this App Store model?</p>\n\n\n\n<p>So that&#8217;s the direction. I don&#8217;t know how we get there. I suspect that you have the for profit piece and then a separate organization for the member pool. I don&#8217;t know and people have ideas, I want to hear them. I&#8217;ve had a number of inputs already. We don&#8217;t have to solve that problem today. We&#8217;re working on just getting the economic engine up and running, but that&#8217;s the stuff that I find especially motivating.</p>\n\n\n\n<p>And that&#8217;s been a big piece of this. How do we create incentives that provide funding that the project needs to work on the things that might not get the attention otherwise?</p>\n\n\n\n<p>[00:40:29] <strong>Nathan Wrigley:</strong> You said something a moment ago which, I&#8217;ve got to say, I&#8217;m not entirely sure I understood it. Because you implied that you could opt out say of the Five For The Future piece if you weren&#8217;t a part of the guild, or if you hadn&#8217;t joined the guild. But the implication would have been that you were still part of the App Store, let&#8217;s call it that. So have I misunderstood? Can you be somebody who can have a plugin on the Guildenberg marketplace but not be a part of the guild?</p>\n\n\n\n<p>[00:40:56] <strong>Jonathan Wold:</strong> Yes. The idea is, so at least in my current thinking, what would happen is that if you just join the app store, it&#8217;s like a level one, there&#8217;s requirements and standards to do that. But you don&#8217;t have to be active in the community and be participating and kind of doing all this stuff.</p>\n\n\n\n<p>You can join for just the pure business incentives. As long as you play by the rules you&#8217;re in, right? Because it&#8217;s merit based, it&#8217;s based on your behavior. As long as you&#8217;re playing by the rules, you&#8217;re in. And my thinking, so at that level, you don&#8217;t care where your 15% goes to.</p>\n\n\n\n<p>We&#8217;re going to spend it on your behalf on the project, we&#8217;ll direct the funds. And the idea is that a year later you&#8217;re like hey this WordPress community is quite cool. You discover that the guild is something that you can join and you apply to do so, the members accept you. Then at that point, that 5% of the 15, the funds that have been allocated on your behalf automatically, you could now have a say over where they go. That&#8217;s the idea. Does that make sense?</p>\n\n\n\n<p>[00:41:56] <strong>Nathan Wrigley:</strong> That&#8217;s cleared that up. Yeah thank you. That makes sense. Now you said the word behavior there, which is kind of interesting. Let&#8217;s extrapolate that because if we run that forwards, you can imagine a nightmare scenario where there is just this cabal of people who have control over the behavior.</p>\n\n\n\n<p>What the behavior is that&#8217;s appropriate to be in and out of this community. And you can imagine a scenario in, let&#8217;s say that in 10 years from now Guildenberg is monstrously successful. Almost everybody&#8217;s going there to inquire about premium plugins and what have you. And yet we have gatekeepers of behavior and all of that.</p>\n\n\n\n<p>So I want to address that. Almost every part of human history shows that given power things start to go a little bit pear shaped. And maybe the incentives that were there at the beginning of the project are not the incentives that approach when money is involved, or you&#8217;re becoming successful, or you sense that somebody else has an idea which conflicts with you.</p>\n\n\n\n<p>So let&#8217;s just get into that. Who moderates the behavior? Who creates that charter? And how do we ensure that this cabal doesn&#8217;t occur?</p>\n\n\n\n<p>[00:43:07] <strong>Jonathan Wold:</strong> Okay so there are two threads here that we have to look at. First, why behavior, and then second, how do you do the governance piece? It&#8217;s basically what we&#8217;re touching on, right?</p>\n\n\n\n<p>Oh I love this stuff. So first one of the challenges when I was looking at the history of guilds is that because of human nature I&#8217;d argue, we tend towards exclusivity. We want to work with people like us, that look like us, talk like us, whatever the reasons are, right?</p>\n\n\n\n<p>And so this is just like how we tend. So while there were a lot of good things that guilds did, they were also highly exclusionary at times, right? Where it just sort of propagated and just made even more prevalent some of the challenges that we recognize today of inclusivity and diversity, right?</p>\n\n\n\n<p>So I feel like we can&#8217;t trust ourselves because we&#8217;re going to tend by default to just attract people that are like us. Which I&#8217;d argue is not good for the ecosystem as a whole. So in sorting through that for a while, it&#8217;s like well okay then what can you use? What becomes the basis?</p>\n\n\n\n<p>And the only thing that stands out to me as fair is behavior. So it doesn&#8217;t matter where you&#8217;re from, what you look like etc. If you abide by the same rules. And so let&#8217;s start with this. It feels to me like the right idea in principle. The question becomes, how do you practice it?</p>\n\n\n\n<p>[00:44:24] <strong>Nathan Wrigley:</strong> The devil is in the detail here, isn&#8217;t it.</p>\n\n\n\n<p>[00:44:26] <strong>Jonathan Wold:</strong> But you got to get that right first, right? So it&#8217;s like okay we can say behavior. Now there&#8217;s a couple of things we have to work with. We have our core values in WordPress. Andrea Middleton did a fantastic talk on this a couple of years ago. And there are a few things that stand out. Someone didn&#8217;t make a list somewhere these are just what we practice. And she did the work sorting through them.</p>\n\n\n\n<p>We have this concept of autonomy. We value in WordPress doing what we want and we respect the freedom of others to do the same right?</p>\n\n\n\n<p>We also have this concept of like a duocracy, like you get credit for doing. We care about utility, making stuff that works, that solves problems. We&#8217;re generally skeptical as a community. This conversation is a great example of it, right? We ask why, and we keep asking. And then quite importantly, we do a good job at our core of giving credit where credit&#8217;s due, right?</p>\n\n\n\n<p>And so there&#8217;s a lot here Nathan to be figured out but I&#8217;ll just kind of give you one example. One of the behaviors that I would expect members to adhere to is, let&#8217;s take that last one, giving credit where credit is due. This is GPL, right? So on the one hand, you&#8217;re free to take someone else&#8217;s work, change the name on it and resell it as your own. You&#8217;re legally free to do that. And I respect your choice and freedom to do that anytime that you want to.</p>\n\n\n\n<p>But in terms of who I want to work with, I wouldn&#8217;t want to work with someone who doesn&#8217;t give the credit to the person who originally did that. They&#8217;re legally not obligated to do so, right?</p>\n\n\n\n<p>You can just kind of do whatever you want, it&#8217;s GPL. But when I think about the behavior that I would want to build around it&#8217;s like hey yeah I copied someone else&#8217;s work and I gave them credit for doing so and built on that.</p>\n\n\n\n<p>That&#8217;s one example of a behavior where I would want people in who are happy to give the credit where it&#8217;s due to those that they worked with. And if you made a mistake, oh wow yeah I forgot to give attribution there. No problem. Let&#8217;s fix that. And they prioritize that because that&#8217;s one of the things that we value.</p>\n\n\n\n<p>[00:46:29] <strong>Nathan Wrigley:</strong> I guess the other piece there would be the cabal piece as I mentioned, you know, just idea that you would have people who had been there from the very beginning. You can see how this works. It all boils down really to the word governance I think.</p>\n\n\n\n<p>Who&#8217;s governing and what gives them the right to stay in that position? And who ultimately would be the person to say well you&#8217;re right at the top of this pyramid here? But your behavior isn&#8217;t living up to the code therefore you&#8217;re going to have to think about either modifying your behavior or going elsewhere. That&#8217;s a difficult thing to do because they&#8217;re the people that are governing, if you like, and yet you&#8217;re wanting them to adapt their behavior.</p>\n\n\n\n<p>[00:47:06] <strong>Jonathan Wold:</strong> Okay so let&#8217;s talk about that. So again, that&#8217;s another one, lots to figure out there. But my guiding point, my starting point here, Leslie Sims pointed me to Elinor Ostrom&#8217;s book, Governing The Commons: The Evolution of Institutions for Collective Action. It&#8217;s a fascinating book. I highly recommend it.</p>\n\n\n\n<p>And it goes back and looks at the history of commons. And contrary to what people think there are groups who&#8217;ve successfully self governed for as long as a thousand years over scarce fixed resources. And what Ostrom does in her work here is she looks at all the data and breaks it down. Figures out what&#8217;s working, what doesn&#8217;t. And she came up with eight design principles for what she calls a common pool resource.</p>\n\n\n\n<p>So I&#8217;ve still yet to figure this out. But in my mind part of the key here is you have the commercial interest like the Guildenberg .com, right, if you will? And then you have this member pool which is like that Five For The Future type resource.</p>\n\n\n\n<p>And the key there is that over time we want that to become the biggest thing, right? If the .com interests are successful we&#8217;re slowly but surely making the guild more and more powerful, if you will, by it having more and more resources. Every new product that comes in, that is growing.</p>\n\n\n\n<p>So then it comes down to okay how do we then govern that growing pool of resources? And this is where Ostrom&#8217;s work comes in. She has eight principles for self governance in a commons scenario. And there are a couple of different pieces to it.</p>\n\n\n\n<p>The first one is this idea of having clear boundaries. So there&#8217;s a very clear definition of what it means to be a member. This is where the behavior standards come in. You need to make sure that those make sense for the ecosystem that you&#8217;re in. They need to hold up to scrutiny. You need to make sure that the members themselves can modify the rules. That&#8217;s the key piece here, right?</p>\n\n\n\n<p>And there&#8217;s a number of things that you have to think through. It&#8217;s not, it&#8217;s tricky, and a lot of it is this idea of you&#8217;ve creating an environment where there&#8217;s intended to be a healthy tension. And that&#8217;s part of how you prevent capture, right? So it&#8217;s not trivial.</p>\n\n\n\n<p>But we have plenty of examples of how people have done this in the past. And the heart of my interest and what I&#8217;m moving towards is like okay let&#8217;s take what&#8217;s already been established here, let&#8217;s combine some of these ideas. The construct of a guild but then adding in the concept of a member, a resource pool, that is governed by the members. Which is something that guilds often didn&#8217;t do. It tended to be kind of arbitrary but they had some of these pieces.</p>\n\n\n\n<p>So yeah there&#8217;s a lot of work to be done there. I feel directionally clear and the focus right now is on the economic engine. But as time goes on what I&#8217;m excited about is drawing in people who have a lot more experience than I do to take some of these ideas and break them down.</p>\n\n\n\n<p>I know that we&#8217;ll make mistakes and my intention is that by staying focused on aligning incentives we&#8217;re giving ourselves a reason to learn from those mistakes and make it better. Yeah I at least feel confident in the direction where it&#8217;s all going.</p>\n\n\n\n<p>[00:50:12] <strong>Nathan Wrigley:</strong> Yeah. So you&#8217;re working on the distribution piece at the moment. It in a sense is the underpinnings of the monetisation and the compatibility pieces. They&#8217;re going to grow hopefully out of all of the distribution model that you&#8217;re working on.</p>\n\n\n\n<p>Okay so you&#8217;re a year and a half in. This is the final question I&#8217;ve got for you. Do you have cause to be optimistic? Having had 18 months of playing around with this and obviously bringing some people on board. Do you have optimism? Does this still seem like it&#8217;s a long way off? Or do you feel that there&#8217;s legs to this? And two years from now we might be having a more in depth conversation about something that&#8217;s moved forward.</p>\n\n\n\n<p>[00:50:47] <strong>Jonathan Wold:</strong> So I&#8217;m optimistic by nature. What&#8217;s been interesting to me about this is that I&#8217;ve tried somewhat hard over the years to kind of convince myself out of doing this. And Nathan after a year and a half of effectively full time on this, if I knew how hard it was going to be I probably would have tried harder to convince myself to not do it.</p>\n\n\n\n<p>So hey I&#8217;m optimistic as a visionary. And I&#8217;ve been cautious about this. But the main reason that we are where we are and we have had significant traction is that at every turn I&#8217;ve either had yeses or affirmation of direction, or we&#8217;ve identified an obstacle that has offered an opportunity to clarify which has then led to a yes.</p>\n\n\n\n<p>So my core focus has been talking with product companies and with hosting companies. And in those conversations I&#8217;ve just continued to get clearer and clearer on the problem sets and where the incentives are and what&#8217;s motivating. And I&#8217;ve either had explicit like, yes we want to be a part of this or, yes if you solve that of course we want to, like, let&#8217;s talk again.</p>\n\n\n\n<p>And so it&#8217;s been a curious tension for me where it&#8217;s really hard because you&#8217;re tackling a lot of pieces at once. There&#8217;s a lot of moving parts. But it&#8217;s also easy in the sense that what we&#8217;re really just trying to do is create incentives to solve these problems that people recognize exist.</p>\n\n\n\n<p>I&#8217;m happy with the progress. A lot of it&#8217;s been around like for me, one of my marks or my indicators is what am I hearing when I go to a WordCamp, right? I was starting some of these conversations about a year ago at WordCamp Europe. And if I look at what was happening then which was encouraging and optimistic, encouraged my optimism then versus now, it&#8217;s all just dialed up.</p>\n\n\n\n<p>And now I&#8217;m having conversations with investors about giving us more capital to grow more quickly. And those are also going well. So we&#8217;ll see. We&#8217;ll see what happens but I&#8217;m encouraged. And this is one where as much as I believe in it, I&#8217;ve tried pretty hard to convince myself to like go do something easier.</p>\n\n\n\n<p>And it just kept coming back. And my co founders are also encouraged that they don&#8217;t share my optimism. And so when I talked to Anna or Matt about this and they&#8217;re really like okay this is good. We&#8217;re seeing pieces of the puzzle sort of come together and they&#8217;re encouraged. I&#8217;m like okay well, then that&#8217;s another indicator that we&#8217;re going the right direction.</p>\n\n\n\n<p>And what&#8217;s going to really matter though, what it all boils down to, is are we able to successfully help these products get distribution? And can we do that at scale? I&#8217;ve done it for individual products. We&#8217;re seeing good early signs, it does take time. And that&#8217;s going to be the proof, right? Can we have a meaningful impact on these products?</p>\n\n\n\n<p>And that&#8217;s what all of our focus is on right now. I&#8217;m encouraged with what I&#8217;m seeing. And I think what you&#8217;ll see over the next year or two is that becoming a lot more public. And what I want to see happen out of this is to take the things that work and open source them. Make it available for folks. There&#8217;s no benefit because we have this clear overall guidance to grow and improve the ecosystem. We&#8217;re not trying to keep it to ourselves.</p>\n\n\n\n<p>[00:53:55] <strong>Nathan Wrigley:</strong> It certainly will be worth listening back to this in a year&#8217;s time and see where you are. Obviously from my point of view, I hope it goes well. Fingers crossed that it&#8217;s going to all pan out for you. If somebody has listened to this and I would imagine probably they are a product maker will be most interested to get in touch with you because they&#8217;ve got things that they want to discuss with you. What are the best places for us to find you?</p>\n\n\n\n<p>[00:54:16] <strong>Jonathan Wold:</strong> Just reach out to me through the Guildenberg website, guildenberg.com, jonathan@guildenberg.com. Or find me at a WordCamp. I&#8217;ll be at WordCamp US. Looking forward to WordCamp Asia next year, WordCamp Europe, and I&#8217;m going to start going out to some of the regional ones as well.</p>\n\n\n\n<p>[00:54:31] <strong>Nathan Wrigley:</strong> Jonathan Wold, thank you for chatting to me today on the podcast.</p>\n\n\n\n<p>[00:54:34] <strong>Jonathan Wold:</strong> Thanks for having me, Nathan.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://jonathanwold.com/\">Jonathan Wold</a>.</p>\n\n\n\n<p>Jonathan has been deeply involved in the WordPress community for almost two decades. He began writing tutorials and freelancing, which eventually led him to the agency world where he worked on large enterprise projects. In the past five to six years, Jonathan has shifted his focus to the broader WordPress ecosystem. He’s also had the opportunity to work at WooCommerce and collaborate with the team at Automattic. Despite the demands of his busy career, Jonathan&#8217;s passion for WordPress has only grown stronger over the years.</p>\n\n\n\n<p>Jonathan is one of the co-founders of <a href=\"https://guildenberg.com/\">Guildenberg</a>, and in the podcast today we discuss what this project is, and how it aims to revolutionise the WordPress product ecosystem.</p>\n\n\n\n<p>We start the conversation by highlighting the importance of behaviour in the WordPress community and the core values that drive the platform; autonomy, meritocracy, utility, and giving credit where credit is due. Jonathan emphasises the significance of giving credit to the original creators of work, even though it may not be legally required.</p>\n\n\n\n<p>We move on to talk about how Guildenberg aims to solve some of the key problems faced by WordPress product owners, such as monetisation, compatibility, and distribution. Jonathan envisions a system where product owners pay a fee for distribution of their products, with a portion of that revenue going back to the Gildenberg project. By aligning incentives and providing economic motivations for contributors, Guildenberg seeks to create a sustainable and thriving ecosystem for the open web.</p>\n\n\n\n<p>We get into the inspiration behind the name Guildenberg, which combines the ideas of Gutenberg and the guild institutions from mediaeval Europe. We also discuss the team&#8217;s long-term vision of creating an app store for WordPress that spans the majority of installations, offering monetisation options and enforcing compatibility standards.</p>\n\n\n\n<p>If you’re a WordPress developer who is keen to find a way to create visibility for your product, this podcast is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://guildenberg.com/\">Guildenberg website</a></p>\n\n\n\n<p><a href=\"https://jonathanwold.com/a-guild-for-wordpress-product-businesses/\">Jonathan&#8217;s article &#8211; A Guild for WordPress Product Businesses</a></p>\n\n\n\n<p><a href=\"https://archive.org/details/ElinorOstromGoverningTheCommons\">Elinor Ostrom&#8217;s book, Governing The Commons: The Evolution of Institutions for Collective Action</a></p>\n\n\n\n<p><a href=\"https://wordpress.tv/2019/10/31/andrea-middleton-will-what-got-us-here-get-us-there-wordpress-community-at-scale/\">Andrea Middleton: Will What Got Us Here, Get Us There? WordPress Community at Scale</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Aug 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:164:\"Post Status: Translations Across the Project • Admin Design • New Blocks Page • Working Group on Organizations Supporting WordPress • Contributor Mentorship\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=150145\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:159:\"https://poststatus.com/translations-across-the-project-admin-design-new-blocks-page-working-group-on-organizations-supporting-wordpress-contributor-mentorship/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19788:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (August 7, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">With just a few days before Community Summit, Contributor Day, and WordCamp US, many initiatives across the project are gearing up for time well-spent together. Docs, Training, and several other teams are joining together to work on translations and localizations in a way that supports Gutenberg Phase 4 Multilingual.The Design team is working on the&hellip; </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box150145_a5ac79-bb\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fas_globe-asia kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\">Translations, Dashboard Redesign, Blocks page, Supporting Orgs, Mentorship</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4ac.png\" alt=\"💬\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/polyglots/2023/08/15/discussion-for-a-proposal-for-wp-org-content-translation-and-localization/\">Discussion for a proposal for WP.org content translation and localization</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a8.png\" alt=\"🎨\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">Admin Design Kickoff</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f195.png\" alt=\"🆕\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/meta/2023/08/11/introducing-wordpress-org-blocks/\">Introducing WordPress.org/blocks</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f44d-1f3ff.png\" alt=\"👍🏿\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/meta/2023/08/09/organizations-supporting-wordpress-org/\">Organizations Supporting WordPress.org</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f9d1-1f3fc-200d-1f3eb.png\" alt=\"🧑🏼‍🏫\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/project/2023/08/11/the-inaugural-cohort-of-the-wordpress-contributor-mentorship-program-has-concluded/\">The Inaugural Cohort of the WordPress Contributor Mentorship Program has Concluded</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-150145_9cb3a4-58\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-150145_050cc2-2e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-2 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://jeanbaptisteaudras.com/2023/08/contribution-stats-for-wordpress-6-3-lionel/\">Contribution Stats for WordPress 6.3 « Lionel »</a></blockquote>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-7 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-5 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/08/16/contributor-working-group-mentorship-chat-agenda-august-17th-0700-utc-apac-emea-and-1600-utc-amer/\">Contributor Working Group: Mentorship Chat Agenda | August 17th 07:00 UTC (APAC/EMEA) and 16:00 UTC (AMER)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/14/wcus-2023-community-team-event-at-contributor-day/\">WCUS 2023: Community Team event at Contributor Day</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/09/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-august-9-2023/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on August 9, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/16/a-week-in-core-august-14-2023/\">Two Weeks in Core – August 14, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/15/status-update-on-the-interactivity-api/\">Status update on the Interactivity API</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" target=\"_blank\" rel=\"noreferrer noopener\">Admin Design</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">Admin Design Kickoff</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/08/whats-new-for-developers-august-2023/\">What’s new for developers? (August 2023)</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/15/dev-chat-agenda-august-16-2023/\">Dev Chat agenda, August 16, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/14/editor-chat-agenda-16-august-2023/\">Editor Chat Agenda: 16 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/design\">Design</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/design/2023/08/14/design-share-jul-31-aug-11/\">Design Share: Jul 31-Aug 11</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">Admin Design Kickoff</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/08/15/agenda-for-docs-team-bi-weekly-meeting-august-15-2023/\">Agenda for Docs Team bi-weekly meeting August 15, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/14/documentation-team-update-august-14-2023/\">Documentation Team Update – August 14, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/08/16/hosting-team-meeting-agenda-8-16-2023/\">Hosting Team Meeting Agenda 8-16-2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/wordpress-hosting-survey/\">WordPress Hosting Survey</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2023/07/10/notes-global-marketing-team-meeting-4-july-2023/\">Notes: Global Marketing Team meeting, 4 July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/14/marketing-team-update-the-first-half-of-2023/\">Marketing Team Update: The first half of 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/08/11/introducing-wordpress-org-blocks/\">Introducing WordPress.org/blocks</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/08/09/organizations-supporting-wordpress-org/\">Organizations Supporting WordPress.org</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/08/03/matrix-chat-summary-august/\">Matrix chat Summary – August 3, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/08/mobile-team-update-august-8th/\">Mobile Team Update – August 8th</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/08/07/last-week-openverse-2023-07-31-2023-08-07/\">A week in Openverse: 2023-07-31 – 2023-08-07</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/28/openverse-monthly-priorities-meeting-2023-08-02/\">Openverse Monthly Priorities Meeting 2023-08-02</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/15/performance-chat-summary-15-august-2023/\">Performance Chat Summary: 15 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/14/plugin-review-team-14-august-2023/\">Plugin Review Team: 14 August 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/16/agenda-weekly-polyglots-chat-august-16-2023-1300-utc/\">Agenda: Weekly Polyglots Chat – August 16, 2023 (13:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/15/discussion-for-a-proposal-for-wp-org-content-translation-and-localization/\">Discussion for a proposal for WP.org content translation and localization</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/08/11/the-inaugural-cohort-of-the-wordpress-contributor-mentorship-program-has-concluded/\">The Inaugural Cohort of the WordPress Contributor Mentorship Program has Concluded</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/07/28/sustainability-chat-summary-july-28-2023/\">Sustainability Chat Summary, July 28, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/08/15/test-team-reps-call-for-nominations-3/\">Test Team Reps: Call for Nominations</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/08/15/test-team-at-wcus-2023/\">Test Team at WCUS 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/14/test-team-update-14-august-2023/\">Test Team Update: 14 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/08/11/blue-note-the-second-community-theme-is-released/\">Blue Note: The second community theme is released</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/15/themes-team-update-august-15-2023/\">Themes team update August 15, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/08/04/wcus-contributor-day-tutorials-workshop-in-person-remote/\">WCUS Contributor Day: Tutorials Workshop (In-Person &amp; Remote)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/03/introducing-the-training-team-guide-program/\">Introducing the Training Team Guide Program!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">Announcing the first Learn WordPress Course Cohort.</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/14/training-team-meeting-recap-8th-august-2023/\">Training Team Meeting Recap – 8th August 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/embedding-media-and-third-party-content-on-your-website/\">Embedding media and third-party content on your website</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/testing-your-plugins-for-php-version-compatibility/\">Testing your plugins for PHP version compatibility</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=https-www-meetup-com-learn-wordpress-online-workshops-events-295453051\">The Wide World of WordPress Events</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=contributing-to-the-learn-wordpress-platform-part-1\">Contributing to the Learn WordPress platform – part 1</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=whats-new-for-developers-august-2023\">What’s new for developers? (August 2023)</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-12\">WP dev livestream: Sendig block theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=training-team-contributor-hour\">Training Team Contributor Hour</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=website-auditing-and-conversion-optimization\">Website auditing and conversion optimization</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wordpress-database-optimization-and-maintenance\">WordPress database optimization and maintenance</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=creating-a-contact-page\">Creating a contact page</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/tv\">WordPress TV</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/tv/2023/06/15/enhancing-slide-management-for-video-publications/\">Enhancing Slide Management for Video Publications</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://github.com/PHPMailer/PHPMailer/releases/tag/v6.8.0\">PHPMailer 6.8.0</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Aug 2023 13:25:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"WPTavern: WordPress.org Adds New Page to Explain Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147861\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://wptavern.com/wordpress-org-adds-new-page-to-explain-blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4226:\"<p>What are blocks? WordPress has added a new resource to its website at <a href=\"https://wordpress.org/blocks/\">wordpress.org/blocks</a> that attempts to explain blocks visually with simple language. The landing page is aimed at those who are new to the block paradigm or those who may not yet fully understand blocks&#8217; ease of use and powerful features.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"2224\" height=\"1200\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-15-at-9.25.01-PM.png\" alt=\"\" class=\"wp-image-147867\" />\n\n\n\n<p>Automattic-sponsored core contributor Anne McCarthy <a href=\"https://make.wordpress.org/meta/2023/08/11/introducing-wordpress-org-blocks/\">announced</a> the new page on WordPress.org with a request for feedback, as this is the first iteration. The project was born out of <a href=\"https://github.com/WordPress/wporg-main-2022/issues/245\">ticket</a> on GitHub which outlines the need for more effective block marketing:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Currently, there isn&#8217;t a page on wordpress.org that explains in a compelling way what &#8216;Blocks&#8217; are or markets it very effectively on the website. We have a <a href=\"https://wordpress.org/plugins/browse/blocks/\">filter</a> in the plugin directory, which is useful, but that page is lacking the context of what blocks are, what the block editor is, and why it is so exciting. There are other pages, such as the <a href=\"https://wordpress.org/documentation/article/wordpress-block-editor/\">documentation</a>, that explains what the block editor is, but IMO it&#8217;s a bit wordy and explains how to use the editor, but not necessarily <em>why</em> you should use the editor and why it is unique and exciting.</p>\n<cite>WordPress.org GitHub Repository issue: <a href=\"https://github.com/WordPress/wporg-main-2022/issues/245\">Create &#8216;Blocks&#8217; Landing Page #245</a> &#8211; created by Ben Greeley</cite></blockquote>\n\n\n\n<p>One important consideration for contributors working on this project is the overlap with <a href=\"http://wordpress.org/gutenberg\">wordpress.org/gutenberg</a>. The Blocks page is more of a static brochure style introduction, whereas the Gutenberg page is a fully interactive demo that offers an overview of how the editor works. Although they are similar resources, they both have distinct purposes. </p>\n\n\n\n<p>McCarthy created a <a href=\"https://github.com/WordPress/wporg-main-2022/issues/318\">tracking issue</a> for the first iteration of this page, which functions as a mini roadmap for future improvements based on feedback she has already received. More accessibility improvements are coming in future versions, along with some sort of visual that will concisely demonstrate the connection between blocks, patterns, and themes. Contributors are also considering integrating WP Sandbox to make it possible to see blocks in action.</p>\n\n\n\n<p>&#8220;This is intended to be a starting point and not a final destination,&#8221; McCarthy said. &#8220;Your feedback is welcomed and needed to get to the next iteration.&#8221; </p>\n\n\n\n<p>The blocks page is one area of contribution where even people who are brand new to blocks could help to make the content more compelling and less confusing by leaving feedback on the <a href=\"https://make.wordpress.org/meta/2023/08/11/introducing-wordpress-org-blocks/\">post</a>.</p>\n\n\n\n<p>Blocks are something many casual WordPress users may still be trying to wrap their heads around, not to mention how they impact the ecosystem of plugins and themes. The <a href=\"https://wordpress.org/plugins/classic-editor/\">Classic Editor</a> plugin, which insulates users from the world of blocks, remains one of the most popular plugins with more than 5 million users. Its continued support is not guaranteed forever, especially as WordPress looks to <a href=\"https://wptavern.com/wordpress-kicks-off-admin-design-overhaul-with-discussion-on-initial-mockups\">revamp the admin design</a> to be more similar to the block editor. This landing page&#8217;s marketing for blocks offers a safe entry point for those who are curious about the block editor and want to explore more resources.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Aug 2023 03:40:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"Do The Woo Community: Diving Into the WordPress Community with Jorge Casals\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=75981\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://dothewoo.io/diving-into-the-wordpress-community-with-jorge-casals/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:437:\"<p>From his earlier experiences to an active WordPress community member, Jorge shares his journey and building products for WooCommerce.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/diving-into-the-wordpress-community-with-jorge-casals/\">Diving Into the WordPress Community with Jorge Casals</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 15 Aug 2023 09:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"WPTavern: Crocoblock to Host WordPress Web Agency AI Summit, September 28-30, 2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147593\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://wptavern.com/crocoblock-to-host-wordpress-web-agency-ai-summit-september-28-30-2023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1510:\"<p><a href=\"https://crocoblock.com/\">Crocoblock</a>, a Ukraine-based company with <a href=\"https://profiles.wordpress.org/crocoblock/\">plugins on WordPress.org</a> as well as commercial products, is hosting a <a href=\"https://crocoblock.com/wordpress-web-agency-ai-summit/\">WordPress Web Agency AI Summit</a> event on September 28-30, 2023. The company has a community of more than <a href=\"https://www.facebook.com/groups/CrocoblockCommunity\">24K+ freelancers and web agencies on Facebook</a> and is moving to organize its first large virtual event that will be free for all attendees.</p>\n\n\n\n<p>The summit will cover practical use cases for AI in development, marketing, design, web agency management, and freelance services. It will include mixed formats, including case studies, workshops, and live panel discussions with Q&amp;A.</p>\n\n\n\n<p>Over the course of three days, speakers will give presentations in English from 10am &#8211; 2pm EST. The schedule features 10 speakers with commercial experience and proven success at applying AI to build WordPress sites. They will cover topics like how to build a search engine for a website using AI, AI tools for daily tasks, AI and accessibility, AI translations, and more.</p>\n\n\n\n<p>If you are interested to learn more about AI&#8217;s impact on the WordPress ecosystem and how to apply it to agency work, add the event to your calendar and <a href=\"https://crocoblock.com/wordpress-web-agency-ai-summit/\">sign up for free</a> on the Crocoblock website.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 15 Aug 2023 02:14:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"WPTavern: WordPress Themes Team Releases Blue Note, A Community-Supported Theme for Bloggers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147784\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"https://wptavern.com/wordpress-themes-team-releases-blue-note-a-community-supported-theme-for-bloggers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2617:\"<p>WordPress&#8217; Themes team launched its <a href=\"https://wptavern.com/wordpress-themes-team-proposes-community-themes-initiative\">Community Themes initiative</a> earlier this year with the goal of bringing together contributors to build block themes year round, the same way that default themes are built and officially supported. Their first theme release was <a href=\"https://wptavern.com/wordpress-themes-team-releases-stacks-a-community-theme-for-building-slide-decks\">Stacks</a>, a single-purpose theme for creating slide decks that can be used for a presentation.</p>\n\n\n\n<p>The team has now <a href=\"https://make.wordpress.org/themes/2023/08/11/blue-note-the-second-community-theme-is-released/\">released</a> its second community theme called Blue Note, inspired by American jazz record label “<a href=\"https://www.bluenote.com/\">Blue Note Records</a>.&#8221; It&#8217;s more versatile than Stacks, as it can be used for writing/blogging, a personal website, portfolio, nonprofit, memorial, event, or other types of landing pages.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1144\" height=\"858\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/blue-note-screenshot.webp\" alt=\"\" class=\"wp-image-147821\" />\n\n\n\n<p>Although Blue Note does not package any style variations, it comes with 14 beautifully designed patterns inspired by jazz record covers. The patterns enable users to quickly add images with text or quotes with multiple designs for each. There are also patterns with striped images, an artful way to break up a single image, paired with text. Users can select from multiple headers and footers, among seven page templates and four template parts.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"2852\" height=\"1290\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-14-at-1.25.50-PM.png\" alt=\"\" class=\"wp-image-147826\" />\n\n\n\n<p>Blue Note was designed by Automattic-sponsored contributor Beatriz Fialho, inspired by her work on the State of the Word slides in 2020. It was developed during the WCEU contributor day with the help of more than a dozen <a href=\"https://github.com/WordPress/community-themes/blob/trunk/blue-note/CREDITS.md\">contributors</a>.  The <a href=\"https://github.com/WordPress/community-themes/\">Community Themes GitHub repository</a> has other themes they are working on which are in various stages of development. </p>\n\n\n\n<p>Check out <a href=\"https://wordpress.org/themes/blue-note/\">Blue Note</a> on WordPress.org and download it for free via the Themes browser inside the admin. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 14 Aug 2023 21:09:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"Do The Woo Community: A DevChat on WooCommerce Support with Andrew Wikel\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=70794\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://dothewoo.io/a-devchat-on-woocommerce-support/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:408:\"<p>Andrew Wikel shares thoughts and insights working on WooCommerce support specifically for builders and developers of Woo shops. </p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/a-devchat-on-woocommerce-support/\">A DevChat on WooCommerce Support with Andrew Wikel</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 13 Aug 2023 14:45:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"Do The Woo Community: WooCommerce Developer Life Snippets\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=71199\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://dothewoo.io/woocommerce-developer-life-snippets/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:389:\"<p>With every developer we have a conversation with, there is a story. Woo DevLife brings those short stories to the reader.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/woocommerce-developer-life-snippets/\">WooCommerce Developer Life Snippets</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 13 Aug 2023 14:30:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"Do The Woo Community: Site Ownership, WooCommerce and Insights into the Open Web with Aaron Campbell\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=71078\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://dothewoo.io/site-ownership-woocommerce-and-insights-into-the-open-web/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:478:\"<p>Aaron Campbell has a passion for the Open Web, open source and WordPress with the goal that everyone should have access to all things on the web.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/site-ownership-woocommerce-and-insights-into-the-open-web/\">Site Ownership, WooCommerce and Insights into the Open Web with Aaron Campbell</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 13 Aug 2023 14:30:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Do The Woo Community: A Conversation: WooCommerce Custom Tables\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=70941\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://dothewoo.io/a-conversation-woocommerce-custom-tables/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:420:\"<p>We have an in-depth conversation on custom tables including a recent experience with them migrating from Joomla to WordPress and WooCommerce.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/a-conversation-woocommerce-custom-tables/\">A Conversation: WooCommerce Custom Tables</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 13 Aug 2023 14:30:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:106:\"Do The Woo Community: Accessibility, the Payoff for Your Clients WooCommerce Shop with Anne-Mieke Bovelett\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=71265\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://dothewoo.io/accessibility-the-payoff-for-your-clients-woocommerce-shop/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:471:\"<p>Atarim Web Agency Summit speaker Anne-Mieke Bovelett shares a valuable tip on accessibility and WooCommerce design and development.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/accessibility-the-payoff-for-your-clients-woocommerce-shop/\">Accessibility, the Payoff for Your Clients WooCommerce Shop with Anne-Mieke Bovelett</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 13 Aug 2023 14:00:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"Do The Woo Community: A WordPress and WooCommerce Presence at CloudFest\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=71256\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://dothewoo.io/a-wordpress-and-woocommerce-presence-at-cloudfest/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:410:\"<p>Co-hosts Robert and Jonathan both attended CloudFest 2022 and share some interesting perspectives and comparisons.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/a-wordpress-and-woocommerce-presence-at-cloudfest/\">A WordPress and WooCommerce Presence at CloudFest</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 13 Aug 2023 14:00:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"Do The Woo Community: Grow Your Developer Network, Career and Business with Marcus and Courtney\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=71280\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://dothewoo.io/build-your-developer-network-career-and-business/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:455:\"<p>Whether you are looking to grow or change your WordPress or WooCommerce development career, here are some tips from Marcus and Courtney.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/build-your-developer-network-career-and-business/\">Grow Your Developer Network, Career and Business with Marcus and Courtney</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 13 Aug 2023 13:45:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"Do The Woo Community: Three WooCommerce Tips for Simplifying the Complex\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=71270\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://dothewoo.io/three-woocommerce-tips-for-simplifying-the-complex/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:432:\"<p>Atarim Web Agency Summit speakers Maciek Palmowski, David Mainayar and Nev Harris share tips for WooCommerce agencies and freelancers.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/three-woocommerce-tips-for-simplifying-the-complex/\">Three WooCommerce Tips for Simplifying the Complex</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 13 Aug 2023 13:45:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"Do The Woo Community: Where Are All the WooCommerce Alternatives?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=71292\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://dothewoo.io/where-are-all-the-woocommerce-alternatives/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:404:\"<p>A single tweet inspired this commentary from me about why we are not seeing many, if any real competitors to WooCommerce.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/where-are-all-the-woocommerce-alternatives/\">Where Are All the WooCommerce Alternatives?</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 13 Aug 2023 09:30:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"WPTavern: WordPress Kicks Off Admin Design Overhaul with Discussion on Initial Mockups\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147726\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://wptavern.com/wordpress-kicks-off-admin-design-overhaul-with-discussion-on-initial-mockups\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7793:\"<p> The monumental task of <a href=\"https://wptavern.com/wordpress-plans-ambitious-admin-ui-revamp-with-design-system-galvanizing-broad-support-from-the-developer-community\">overhauling WordPress&#8217; aging admin design</a> is coming into focus, as contributors <a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">kicked off explorations of some initial mockups</a> this week. Gutenberg&#8217;s Phase 3 is focused on Collaboration and this admin revamp is part of that road map.</p>\n\n\n\n<p>As a starting point, Automattic-sponsored product designer Saxon Fletcher published some images and videos with a design that appears to have grown out of the editor&#8217;s interface to make it a more natural part of the admin. As part of the impetus for this project, he called out plugin developers that have <a href=\"https://wptavern.com/yoast-seo-20-0-introduces-new-admin-interface\">introduced their own admin interfaces</a> in the interim while waiting for WordPress to prioritize this project:</p>\n\n\n\n<p>&#8220;The added risk here is that plugin authors are side stepping outdated UI by introducing their own which can further fragment the WordPress experience,&#8221; he said.</p>\n\n\n\n<p>Fletcher emphasized that these mockups are &#8220;broad strokes and the first of many iterations.&#8221; The structural concepts Fletcher introduced include three main areas:</p>\n\n\n\n<ul>\n<li>A Sidebar for navigation </li>\n\n\n\n<li>A Page area for the main content, management, and settings</li>\n\n\n\n<li>A Frame representing the front-end of the site, which can be in an edit or read-only state</li>\n</ul>\n\n\n\nFrame mockup &#8211; video source: <a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">Admin Design Kickoff</a>\n\n\n\n<p>&#8220;The frame can be used for previewing any type of content, including your entire site, templates, patterns etc,&#8221; Fletcher said. &#8220;Plugins can decide as to whether they benefit from having the frame in view while a task is being worked on, or hidden away. If a plugin doesn’t make use of the main content area, the frame will be in its expanded state.&#8221;</p>\n\n\n\n<p>The admin bar may also be getting a makeover as part of this project, although Fletcher did not elaborate on how it might change. The admin bar doesn&#8217;t appear in any of the mockups.</p>\n\n\n\n<p>&#8220;With the introduction of the frame, which represents the front-end of your site, we have an opportunity to re-think what transitioning between the front and back of your site looks like,&#8221; he said.</p>\n\n\n\n<p>The initial mockups explore the idea of implementing a drill down navigation UI that can also be used to house basic content, but Fletcher acknowledged the challenges of navigating up/down the submenus more challenging. Design contributors are exploring workarounds for this, including introducing breadcrumbs or highlighting recently visited sections.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\nDrill down menus mockup &#8211; video source: <a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">Admin Design Kickoff</a>\n\n\n\n<p>This concept for drill down navigation has received the most critical feedback in the comments of the post, as developers are concerned it will make navigation too complicated.</p>\n\n\n\n<p>&#8220;Not a fan of hiding all the Admin Menus behind a maze of Breadcrumbs, also there are many complex UIs that will not convert well this idea for the menu system, the current benefit with our current menu system is that is very fast to change from one&nbsp;plugin&nbsp;to another or another area of WordPress with very few clicks,&#8221; designer Adam Pickering <a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/#comment-26834\">commented</a>. &#8220;This proposal for the new admin menu makes that whole&nbsp;UX&nbsp;a lot more time consuming and frustrating for the user. Even if a proposal comes along where you put the previous menu item above the current position of where you are it won’t fix the issue as noted.&#8221;</p>\n\n\n\n<p>Others are also concerned that the drill-down menu requires too many clicks and maybe even a popup menu on hover/long touch on mobile that pops out more options. Developer Anthony Hortin <a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/#comment-26840\">commented</a> on how similar it is to the Customizer&#8217;s navigation: </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>As others have mentioned, this “drill down navigation pattern” would be incredibly frustrating to use, not only for new users, but experienced users as well. Not being able to see what options are under each menu forces the user to constantly click on each menu item, exit, click on the next menu item, exit, and so forth, until they find the screen they’re looking for. Even as someone who’s been using WordPress for 17+ years, I quite often have to hover over menus to remind myself where to find things.</p>\n\n\n\n<p>This is also seen in the&nbsp;Customizer, which has had this style of navigation for years. When working on a new client’s site, it’s frustrating as hell trying to find options within the Customizer if they have a theme that you’re not familiar with. I would hate to see the whole Dashboard go in the same direction.</p>\n</blockquote>\n\n\n\n<p>Participants in the discussion were also critical of the Frame concept for the admin, as most admin tasks don&#8217;t lend themselves to frontend previews.</p>\n\n\n\n<p>&#8220;I’m most skeptical of the &#8216;surfaces&#8217; approach and moving to a &#8216;front end first&#8217; approach to things,&#8221; developer Jon Brown said. &#8220;Aside from theme edits, almost nothing I do in wp-admin requires or would benefit from a front-end view. If I’m managing orders on a WC site, I certainly don’t need/want to see the front end. If I’m editing&nbsp;plugin&nbsp;settings, again no front end. I get it makes sense for authoring new content, but that’s about it.&#8221;</p>\n\n\n\n<p>As part of the Collaboration phase, Fletcher also proposed that the admin become more customizable for different use cases, so its navigation and system variables would make performing certain tasks more efficient for blogs, e-commerce, portfolios, and multisite, for example. He also hinted at the ability for the community to share their configurations.</p>\n\n\n\n<p>&#8220;We’d like to see WordPress become a fun platform to build multiuser products on top of, more so than it already is,&#8221; he said.</p>\n\n\n\n<p>WordPress developers will have a major transition ahead to make their extensions compatible with the new admin. Some individuals and teams are better positioned than others to make that step forward. Fletcher&#8217;s proposal recognizes that backwards compatibility will be an important consideration for not breaking settings pages for plugins that don&#8217;t get updated.</p>\n\n\n\n<p>&#8220;Perhaps the trickiest part of this whole initiative is rolling admin changes out in a way that is iterative, doesn’t break existing workflows and encourages gradual adoption,&#8221; Fletcher said. &#8220;The site editor has given us a space to experiment, including being able to browse your site’s pages in the latest 6.3 release, and that may extend to other core admin pages like site settings, but at some point we’ll need to &#8216;break out&#8217; of the editor to prevent too much duplication. We also need to support plugin pages that may never update, and do it in a way that feels seamless.&#8221;</p>\n\n\n\n<p>The <a href=\"https://make.wordpress.org/design/2023/08/10/admin-design-kickoff/\">discussion</a> continues and the developer community is invited to weigh in on the initial concepts and structural elements proposed in the post.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 12 Aug 2023 01:41:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"WPTavern: WordPress Publishes 6.3 Release Video and Landing Page Demo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147720\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wptavern.com/wordpress-publishes-6-3-release-video-and-landing-page-demo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2733:\"<p><a href=\"https://wptavern.com/wordpress-6-3-lionel-introduces-command-palette-expands-pattern-management-and-design-tools\">WordPress 6.3</a> &#8220;Lionel&#8221; was released earlier this week with an overview video that offers a beautiful, dizzying demo of the many new features packed into this update. It&#8217;s a two-minute guided tour of WordPress&#8217; greatly expanded customization features, streamlined Site Editor interface, pattern creation and management, and the new Command Palette in action. </p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>For the first time, the release marketing also includes a new <a href=\"https://wordpress.org/download/releases/6-3/\">web experience</a> that showcases the features in 6.3 through a visual tour. It is essentially a release landing page with a beautiful dark mode style design and includes video demos for each major new feature. This visual resource is especially helpful for users who may have a difficult time getting a handle on a release that is so packed with updates. It&#8217;s also a resource that lasts long after all the Twitter buzz and other marketing has died down.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1936\" height=\"1146\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-11-at-11.54.43-AM.png\" alt=\"\" class=\"wp-image-147730\" />\n\n\n\n<p>During the past few release cycles, WordPress contributors have stepped up the product demos to help make the world aware of all the new capabilities landing in these updates. WordPress 6.3 Editor Triage co-lead Anne McCarthy, who co-hosted the <a href=\"https://wptavern.com/wordpress-6-3-rc2-released-watch-the-live-product-demo\">6.3 live product demo</a> with fellow contributor Rich Tabor, gave <a href=\"https://nomad.blog/2023/08/08/how-to-run-the-official-product-demos-in-wordpress-release-cycles/\">a glimpse behind the scenes</a> at the immense amount of effort and attention to detail and design that goes into these official project demos. </p>\n\n\n\n<p>As WordPress is expanding these resources and improving its marketing, McCarthy extended an invitation to any contributors who are able to follow a release in depth, understand the overarching vision, connect the dots on all the details, and artfully present them to the public. This is a somewhat rare combination of skills but a contribution opportunity with a high level of impact. Anyone interested can <a href=\"https://nomad.blog/2023/08/08/how-to-run-the-official-product-demos-in-wordpress-release-cycles/\">get in touch with McCarthy</a>, who said she wants to enable others to take this on in the future &#8220;to ensure a diverse set of folks can step into the spotlight.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 11 Aug 2023 16:46:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"Do The Woo Community: All Things WordCamp US with Julia, Aaron and Kevin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=75842\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"https://dothewoo.io/wordcampus-2023-organizers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:415:\"<p>Join us as we chat with three of the lead organizers from the team of volunteers to learn about WordCamp US 2023 in National Harbor, Maryland</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/wordcampus-2023-organizers/\">All Things WordCamp US with Julia, Aaron and Kevin</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 11 Aug 2023 11:11:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 24 Aug 2023 21:45:22 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:13:\"last-modified\";s:29:\"Thu, 24 Aug 2023 21:30:29 GMT\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 5\";}}s:5:\"build\";s:14:\"20230823183351\";}", "no");
INSERT INTO `wp_options` VALUES("861", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1692956722", "no");
INSERT INTO `wp_options` VALUES("862", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1692913522", "no");
INSERT INTO `wp_options` VALUES("863", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1692956722", "no");
INSERT INTO `wp_options` VALUES("864", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/08/wp20-a-heartfelt-thanks/\'>WP20 – A Heartfelt Thanks</a></li><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/08/lionel/\'>WordPress 6.3 “Lionel”</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/wordpress-unveils-design-for-upcoming-twenty-twenty-four-default-theme\'>WPTavern: WordPress Unveils Design for Upcoming Twenty Twenty-Four Default Theme</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/organic-themes-launches-apparel-store-to-raise-money-for-the-maui-strong-fund\'>WPTavern: Organic Themes Launches Apparel Store to Raise Money for the Maui Strong Fund</a></li><li><a class=\'rsswidget\' href=\'https://ma.tt/2023/08/open-sourcing-algorithmic-choice/\'>Matt: Open Sourcing Algorithmic Choice</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("865", "_site_transient_timeout_wporg_theme_feature_list", "1692925969", "no");
INSERT INTO `wp_options` VALUES("866", "_site_transient_wporg_theme_feature_list", "a:3:{s:6:\"Layout\";a:8:{i:0;s:11:\"grid-layout\";i:1;s:10:\"one-column\";i:2;s:11:\"two-columns\";i:3;s:13:\"three-columns\";i:4;s:12:\"four-columns\";i:5;s:12:\"left-sidebar\";i:6;s:13:\"right-sidebar\";i:7;s:11:\"wide-blocks\";}s:8:\"Features\";a:26:{i:0;s:19:\"accessibility-ready\";i:1;s:14:\"block-patterns\";i:2;s:12:\"block-styles\";i:3;s:10:\"buddypress\";i:4;s:17:\"custom-background\";i:5;s:13:\"custom-colors\";i:6;s:13:\"custom-header\";i:7;s:11:\"custom-logo\";i:8;s:11:\"custom-menu\";i:9;s:12:\"editor-style\";i:10;s:21:\"featured-image-header\";i:11;s:15:\"featured-images\";i:12;s:15:\"flexible-header\";i:13;s:14:\"footer-widgets\";i:14;s:20:\"front-page-post-form\";i:15;s:17:\"full-site-editing\";i:16;s:19:\"full-width-template\";i:17;s:12:\"microformats\";i:18;s:12:\"post-formats\";i:19;s:20:\"rtl-language-support\";i:20;s:11:\"sticky-post\";i:21;s:16:\"style-variations\";i:22;s:16:\"template-editing\";i:23;s:13:\"theme-options\";i:24;s:17:\"threaded-comments\";i:25;s:17:\"translation-ready\";}s:7:\"Subject\";a:9:{i:0;s:4:\"blog\";i:1;s:10:\"e-commerce\";i:2;s:9:\"education\";i:3;s:13:\"entertainment\";i:4;s:14:\"food-and-drink\";i:5;s:7:\"holiday\";i:6;s:4:\"news\";i:7;s:11:\"photography\";i:8;s:9:\"portfolio\";}}", "no");
INSERT INTO `wp_options` VALUES("867", "_site_transient_timeout_theme_roots", "1692917050", "no");
INSERT INTO `wp_options` VALUES("868", "_site_transient_theme_roots", "a:1:{s:17:\"twentytwentythree\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("870", "_site_transient_timeout_wp_remote_block_patterns_63ba30730e414de2219f2d1f17ebfde9", "1692917596", "no");
INSERT INTO `wp_options` VALUES("871", "_site_transient_wp_remote_block_patterns_63ba30730e414de2219f2d1f17ebfde9", "a:46:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:310547;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Cover Poster on Left, Paragraph on Right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3610:\"\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-center\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#36220c\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-space-between is-layout-flex wp-container-8 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-cover is-light has-custom-content-position is-position-top-right wp-container-content-2 wp-duotone-rgb137750-rgb210210210-4\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:75vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2023/04/654642d52f20d6367.57324872.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-vertical is-content-justification-right is-nowrap is-layout-flex wp-container-1 wp-block-group-is-layout-flex\">\n<p class=\"has-text-color\" style=\"color:#e5683a;font-size:140px;font-style:normal;font-weight:800;letter-spacing:-6px;line-height:0.8;text-transform:uppercase\">Wardell</p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#e5683a;font-size:130px;font-style:normal;font-weight:800;letter-spacing:-6px;line-height:0.8;text-transform:uppercase\">gray</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#d09c9c;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:1;text-transform:uppercase\">Plays</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#e59937;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:0.8;text-transform:uppercase\">Bebop &amp;</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#e59937;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:1;text-transform:uppercase\">SWING</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-group wp-container-content-6 is-vertical is-nowrap is-layout-flex wp-container-7 wp-block-group-is-layout-flex\">\n<p class=\"has-text-color\" style=\"color:#e59937;font-size:18px;font-style:normal;font-weight:400;letter-spacing:0px;line-height:1.7\">Wardell Gray was born in Oklahoma City, the youngest of four children. His early childhood years were spent in Oklahoma, before moving with his family to Detroit in 1929. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#e59937;font-size:18px;font-style:normal;font-weight:400;letter-spacing:0px;line-height:1.7\">In early 1935, Gray began attending Northeastern High School, and then transferred to Cass Technical High School, which is noted for having Donald Byrd, Lucky Thompson and Al McKibbon as alumni. </p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-5 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:700;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color wp-element-button\" style=\"border-radius:0px;color:#e59937;padding-top:16px;padding-right:32px;padding-bottom:16px;padding-left:32px\">Listen Now</a></div>\n</div>\n\n\n\n<div style=\"height:7.5vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:73:\"core/button,core/buttons,core/cover,core/group,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:6343:\"<!-- wp:cover {\"customOverlayColor\":\"#36220c\",\"contentPosition\":\"top center\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-center\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#36220c\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"3vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"stretch\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:cover {\"url\":\"https://pd.w.org/2023/04/654642d52f20d6367.57324872.jpg\",\"id\":334,\"dimRatio\":50,\"minHeight\":75,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top right\",\"isDark\":false,\"style\":{\"layout\":{\"selfStretch\":\"fill\"},\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"}},\"color\":{\"duotone\":[\"rgb(137, 75, 0)\",\"rgb(210, 210, 210)\"]}}} -->\n<div class=\"wp-block-cover is-light has-custom-content-position is-position-top-right\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:75vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2023/04/654642d52f20d6367.57324872.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"140px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-6px\"},\"color\":{\"text\":\"#e5683a\"}}} -->\n<p class=\"has-text-color\" style=\"color:#e5683a;font-size:140px;font-style:normal;font-weight:800;letter-spacing:-6px;line-height:0.8;text-transform:uppercase\">Wardell</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"130px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-6px\"},\"color\":{\"text\":\"#e5683a\"}}} -->\n<p class=\"has-text-color\" style=\"color:#e5683a;font-size:130px;font-style:normal;font-weight:800;letter-spacing:-6px;line-height:0.8;text-transform:uppercase\">gray</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"style\":{\"typography\":{\"fontSize\":\"90px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"},\"color\":{\"text\":\"#d09c9c\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#d09c9c;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:1;text-transform:uppercase\">Plays</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"style\":{\"typography\":{\"fontSize\":\"90px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"letterSpacing\":\"0px\",\"lineHeight\":\"0.8\"},\"color\":{\"text\":\"#e59937\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#e59937;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:0.8;text-transform:uppercase\">Bebop &amp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"style\":{\"typography\":{\"fontSize\":\"90px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"},\"color\":{\"text\":\"#e59937\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#e59937;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:1;text-transform:uppercase\">SWING</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"420px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1.7\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"color\":{\"text\":\"#e59937\"}}} -->\n<p class=\"has-text-color\" style=\"color:#e59937;font-size:18px;font-style:normal;font-weight:400;letter-spacing:0px;line-height:1.7\">Wardell Gray was born in Oklahoma City, the youngest of four children. His early childhood years were spent in Oklahoma, before moving with his family to Detroit in 1929. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1.7\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"color\":{\"text\":\"#e59937\"}}} -->\n<p class=\"has-text-color\" style=\"color:#e59937;font-size:18px;font-style:normal;font-weight:400;letter-spacing:0px;line-height:1.7\">In early 1935, Gray began attending Northeastern High School, and then transferred to Cass Technical High School, which is noted for having Donald Byrd, Lucky Thompson and Al McKibbon as alumni. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#e59937\"},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"16px\",\"right\":\"32px\",\"bottom\":\"16px\",\"left\":\"32px\"}},\"typography\":{\"fontSize\":\"16px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:700;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color wp-element-button\" style=\"border-radius:0px;color:#e59937;padding-top:16px;padding-right:32px;padding-bottom:16px;padding-left:32px\">Listen Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":\"7.5vw\"} -->\n<div style=\"height:7.5vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:309935;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Centered image with two-tone background color\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1278:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-11 is-layout-constrained wp-container-12 wp-block-group-is-layout-constrained\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large is-style-default wp-duotone-000000-ffffff-10\"><img decoding=\"async\" src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">Etcetera</h2>\n\n\n\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:18:\"Gradient, Two-Tone\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:57:\"core/cover,core/group,core/heading,core/image,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2134:\"<!-- wp:cover {\"minHeight\":66,\"minHeightUnit\":\"vh\",\"customGradient\":\"linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"600px\",\"wideSize\":\"1200px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"color\":{\"duotone\":[\"#000000\",\"#ffffff\"]}},\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"50px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"32px\",\"lineHeight\":\"1\"},\"spacing\":{\"padding\":{\"left\":\"32px\"}}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">Etcetera</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:309925;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:43:\"Fullwidth Dark Banner with Heading Top Left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1031:\"\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-14 is-vertical is-nowrap is-layout-flex wp-container-15 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:16:\"Jazz, Fulllwidth\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1697:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\",\"id\":333,\"dimRatio\":90,\"customOverlayColor\":\"#141414\",\"focalPoint\":{\"x\":0.5,\"y\":0},\"minHeight\":50,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top left\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"fontStyle\":\"italic\",\"fontWeight\":\"900\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\",\"textTransform\":\"none\"},\"color\":{\"text\":\"#d8a557\"}},\"fontFamily\":\"source-serif-pro\"} -->\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:309230;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:44:\"Fullwidth cover with repeating gradient text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1724:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-36345d-abaaaa-19\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-nowrap is-layout-flex wp-container-17 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:48:\"Fullwidth, Background Image, Gradient, Uppercase\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3135:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\",\"id\":334,\"dimRatio\":60,\"customOverlayColor\":\"#c2b7a4\",\"focalPoint\":{\"x\":0.5,\"y\":0.05},\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#36345d\",\"#abaaaa\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#c8c4d3\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#ac94b2\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#71689c\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#444178\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:309224;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:72:\"Fullwidth, vertically aligned headline on right with description on left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2130:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flex wp-container-26 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-22 is-layout-flow wp-container-23 wp-block-group-is-layout-flow\">\n<p class=\"wp-container-content-20\" style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let &#8217;em Roll is an album by American organist Big John Patton recorded in 1965 and released on the Blue Note label.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">Shop Now</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-24 is-layout-flow wp-container-25 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>&#8216;EM<br>Roll</p>\n\n\n\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Big<br>John<br>Patton</p>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:60:\"vertically, bold, jazz, shop, store, headline, hero, product\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:61:\"core/button,core/buttons,core/cover,core/group,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3726:\"<!-- wp:cover {\"customOverlayColor\":\"#e68b14\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"320px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"330px\"},\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"1.4\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"}}} -->\n<p style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let \'em Roll is an album by American organist Big John Patton recorded in 1965 and released on the Blue Note label.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"14px\",\"bottom\":\"14px\",\"left\":\"36px\",\"right\":\"36px\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"right\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"left\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">Shop Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>\'EM<br>Roll</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Big<br>John<br>Patton</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:309236;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:60:\"Fullwidth headline with links and gradient offset background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1893:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-space-between is-layout-flex wp-container-33 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-28 is-layout-flow wp-container-29 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color wp-elements-52dc92f2ee4b8dfde042239a7e68e30d\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-31 is-layout-flow wp-container-32 wp-block-group-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-30 wp-block-group-is-layout-flex\">\n<p class=\"has-white-color has-text-color has-link-color wp-elements-c8902903bdf5ea1baed310a565cbd10e\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">A new collection</p>\n\n\n\n<p class=\"has-white-color has-text-color has-link-color wp-elements-669af571686ebf2235f18cd2403659b5\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">Learn More → </p>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:41:\"Offset, Gradient, Jazz, Headline, Feature\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3195:\"<!-- wp:cover {\"customGradient\":\"linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"5vw\",\"bottom\":\"48px\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"172px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.7\",\"letterSpacing\":\"-10px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"400px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">A new collection</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">Learn More → </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"260px\"} -->\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:308937;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:42:\"Heading, Paragraph, Button with Two Images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2550:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-layout-flex wp-container-45 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group alignwide wp-container-content-36 is-content-justification-left is-layout-constrained wp-container-37 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">Time for an adventure</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-35 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-44 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-40 is-layout-flow wp-block-group-is-layout-flow\">\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-38 wp-duotone-rgb000-rgb21788120-39\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-42 wp-duotone-rgb000-rgb21788120-43\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:4102:\"<!-- wp:cover {\"customOverlayColor\":\"#eb4c77\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"6vw\",\"right\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"center\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\"}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"0.9\"}},\"textColor\":\"contrast\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">Time for an adventure</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"textColor\":\"contrast\"} -->\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"contrast\",\"textColor\":\"base\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"8vw\"} -->\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:308949;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:42:\"Bold sale banner with geometric background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1663:\"\n<div class=\"wp-block-cover alignfull wp-duotone-rgb4448102-ffb23d-50\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flow wp-container-48 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Enjoy</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% Off</p>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-47 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">Shop Now</a></div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:43:\"store, shop, coupon, jazz, background image\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:73:\"core/button,core/buttons,core/cover,core/group,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2819:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\",\"id\":334,\"dimRatio\":90,\"customOverlayColor\":\"#2c3066\",\"minHeight\":50,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(44, 48, 102)\",\"#ffb23d\"]}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Enjoy</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% Off</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#ffb23d\",\"text\":\"#2c3066\"},\"spacing\":{\"padding\":{\"top\":\"32px\",\"right\":\"48px\",\"bottom\":\"32px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"20px\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">Shop Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:308924;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Offset bold paragraph text with varying opacity\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1592:\"\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-51 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">adventure and explore the beauty of nature&#8217;s best…</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">In the</p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">WOODS.</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3052:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"white\"} -->\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"700px\",\"contentSize\":\"700px\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"120px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffff61\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffff73\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffffad\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">adventure and explore the beauty of nature\'s best…</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffffd1\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">In the</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"162px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#fffffff5\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">WOODS.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:308916;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Offset text with a brutalist design vibe\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1389:\"\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-53 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> Walk</p>\n\n\n\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">In the</p>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Park</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2631:\"<!-- wp:cover {\"customOverlayColor\":\"#ffb43c\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"black\"} -->\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"1200px\",\"contentSize\":\"800px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> Walk</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">In the</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Park</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"140px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"200\",\"letterSpacing\":\"0px\",\"lineHeight\":\"0.9\"},\"color\":{\"text\":\"#a65a00\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:308901;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Fullscreen image with right content area\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2040:\"\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-flex wp-container-59 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large wp-container-content-55\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n\n\n\n<div class=\"wp-block-group alignwide wp-container-content-57 is-content-justification-left is-layout-constrained wp-container-58 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">wAndering through the woods</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-56 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n</div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3261:\"<!-- wp:cover {\"customOverlayColor\":\"#376a23\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"80px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"700\",\"lineHeight\":\"1.0\"}},\"textColor\":\"black\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">wAndering through the woods</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:308871;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:46:\"Cover Image with Bold Heading and Button, Left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1525:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-094850-f9644e-64\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-61 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-62 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2443:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#094850\",\"#f9644e\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"75%\",\"justifyContent\":\"left\",\"wideSize\":\"75%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:308868;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Cover Image with Bold Heading and Button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1533:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-rgb4247103-rgb21419442-68\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-65 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-nowrap is-layout-flex wp-container-66 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2449:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(42, 47, 103)\",\"rgb(214, 194, 42)\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"80%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:303828;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:30:\"Fullscreen cover image gallery\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:895:\"\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-nowrap is-layout-flex wp-container-69 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:43:\"gallery, images, columns, background, cover\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:32:\"core/cover,core/group,core/image\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1259:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:277265;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth posts with uppercase titles\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6991:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><ul style=\"text-transform:none;\" class=\"wp-block-post-template is-layout-flow wp-block-post-template-is-layout-flow\"><li class=\"wp-block-post post-2071 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-72 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-71 wp-block-group-is-layout-flex\">\n<p>✴︎</p>\n\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; text-transform:uppercase;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date has-small-font-size wp-elements-4003f76eccbf507a9e3d7e84a42ea154\"><time datetime=\"2021-07-06T21:31:35+00:00\">Jul 6, 2021</time></div></div>\n\n\n<div style=\"text-transform:uppercase\" class=\"taxonomy-category has-link-color has-text-color has-contrast-color wp-block-post-terms wp-elements-d846021732facad792835971f80af878\"><span class=\"wp-block-post-terms__prefix\">✴︎ </span><a href=\"https://wordpress.org/patterns/category/space/\" rel=\"tag\">Space</a></div></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-75 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><h2 style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:5.2rem;font-style:normal;font-weight:500;line-height:1.1;text-transform:uppercase;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-eba6f7f6e0a9160611aa886fe4e31449 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/jupiter/\" target=\"_self\" >Jupiter</a></h2></div>\n\n</li><li class=\"wp-block-post post-2069 post type-post status-publish format-standard hentry category-space tag-stars\">\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-77 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-76 wp-block-group-is-layout-flex\">\n<p>✴︎</p>\n\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; text-transform:uppercase;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date has-small-font-size wp-elements-4003f76eccbf507a9e3d7e84a42ea154\"><time datetime=\"2021-07-06T21:30:31+00:00\">Jul 6, 2021</time></div></div>\n\n\n<div style=\"text-transform:uppercase\" class=\"taxonomy-category has-link-color has-text-color has-contrast-color wp-block-post-terms wp-elements-d846021732facad792835971f80af878\"><span class=\"wp-block-post-terms__prefix\">✴︎ </span><a href=\"https://wordpress.org/patterns/category/space/\" rel=\"tag\">Space</a></div></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-80 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><h2 style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:5.2rem;font-style:normal;font-weight:500;line-height:1.1;text-transform:uppercase;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-eba6f7f6e0a9160611aa886fe4e31449 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/star-clusters-in-hurcules/\" target=\"_self\" >Star Clusters in Hurcules</a></h2></div>\n\n</li><li class=\"wp-block-post post-2067 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-82 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-81 wp-block-group-is-layout-flex\">\n<p>✴︎</p>\n\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; text-transform:uppercase;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date has-small-font-size wp-elements-4003f76eccbf507a9e3d7e84a42ea154\"><time datetime=\"2021-07-05T21:29:00+00:00\">Jul 5, 2021</time></div></div>\n\n\n<div style=\"text-transform:uppercase\" class=\"taxonomy-category has-link-color has-text-color has-contrast-color wp-block-post-terms wp-elements-d846021732facad792835971f80af878\"><span class=\"wp-block-post-terms__prefix\">✴︎ </span><a href=\"https://wordpress.org/patterns/category/space/\" rel=\"tag\">Space</a></div></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-85 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><h2 style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:5.2rem;font-style:normal;font-weight:500;line-height:1.1;text-transform:uppercase;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-eba6f7f6e0a9160611aa886fe4e31449 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/saturn/\" target=\"_self\" >Saturn</a></h2></div>\n\n</li></ul></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"><nav class=\"wp-block-query-pagination is-content-justification-left is-nowrap is-layout-flex wp-container-88 wp-block-query-pagination-is-layout-flex\" aria-label=\"Pagination\">\n\n\n<a href=\"/patterns/wp-json/wp/v2/wporg-pattern?page=1&#038;per_page=100&#038;order=desc&#038;orderby=date&#038;locale=en_US&#038;wp-version=6.3&#038;pattern-keywords=11&#038;_fields=id%2Ctitle%2Ccontent%2Cmeta%2Ccategory_slugs%2Ckeyword_slugs%2Cpattern_content&#038;query-31-page=2\" style=\"text-transform:uppercase;\" class=\"wp-block-query-pagination-next has-small-font-size\">Next</a>\n</nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:30:\"star, posts, loop, blog, index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and start accents.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:182:\"core/group,core/paragraph,core/post-date,core/post-template,core/post-terms,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3502:\"<!-- wp:query {\"queryId\":31,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:post-template {\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"1px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"right\":\"16px\",\"bottom\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p>✴︎</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"M j, Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-terms {\"term\":\"category\",\"prefix\":\"✴︎ \",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"bottom\":\"var:preset|spacing|70\",\"right\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"1.1\",\"textTransform\":\"uppercase\",\"fontSize\":\"5.2rem\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"right\":\"16px\",\"left\":\"16px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<!-- wp:query-pagination-previous {\"label\":\"Previous\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:query-pagination-next {\"label\":\"Next\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:15;O:8:\"stdClass\":7:{s:2:\"id\";i:277127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Fullwidth posts titles with dates\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6509:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><ul style=\"text-transform:none;\" class=\"alignfull wp-block-post-template is-layout-flow wp-block-post-template-is-layout-flow\"><li class=\"wp-block-post post-2071 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-container-93 wp-block-group-is-layout-flow\" style=\"padding-bottom:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-91 wp-block-group-is-layout-flex\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5813a8450eb0347cfdf34f1870882db6\"><time datetime=\"2021-07-06T21:31:35+00:00\">07.6</time></div>\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-672016f5c95dcb277e0d666c7795c645\"><time datetime=\"2021-07-06T21:31:35+00:00\">2021</time></div></div>\n\n\n<h2 style=\"padding-top:var(--wp--preset--spacing--30); font-size:4.6rem;font-style:normal;font-weight:600;line-height:1.1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-b5fa43084743aafd1d185f08a32e7678 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/jupiter/\" target=\"_self\" >Jupiter</a></h2></div>\n\n</li><li class=\"wp-block-post post-2069 post type-post status-publish format-standard hentry category-space tag-stars\">\n\n<div class=\"wp-block-group is-layout-flow wp-container-96 wp-block-group-is-layout-flow\" style=\"padding-bottom:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-94 wp-block-group-is-layout-flex\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5813a8450eb0347cfdf34f1870882db6\"><time datetime=\"2021-07-06T21:30:31+00:00\">07.6</time></div>\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-672016f5c95dcb277e0d666c7795c645\"><time datetime=\"2021-07-06T21:30:31+00:00\">2021</time></div></div>\n\n\n<h2 style=\"padding-top:var(--wp--preset--spacing--30); font-size:4.6rem;font-style:normal;font-weight:600;line-height:1.1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-b5fa43084743aafd1d185f08a32e7678 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/star-clusters-in-hurcules/\" target=\"_self\" >Star Clusters in Hurcules</a></h2></div>\n\n</li><li class=\"wp-block-post post-2067 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-container-99 wp-block-group-is-layout-flow\" style=\"padding-bottom:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-97 wp-block-group-is-layout-flex\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5813a8450eb0347cfdf34f1870882db6\"><time datetime=\"2021-07-05T21:29:00+00:00\">07.5</time></div>\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-672016f5c95dcb277e0d666c7795c645\"><time datetime=\"2021-07-05T21:29:00+00:00\">2021</time></div></div>\n\n\n<h2 style=\"padding-top:var(--wp--preset--spacing--30); font-size:4.6rem;font-style:normal;font-weight:600;line-height:1.1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-b5fa43084743aafd1d185f08a32e7678 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/saturn/\" target=\"_self\" >Saturn</a></h2></div>\n\n</li></ul></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><nav class=\"wp-block-query-pagination is-content-justification-space-between is-nowrap is-layout-flex wp-container-102 wp-block-query-pagination-is-layout-flex\" aria-label=\"Pagination\">\n\n\n<a href=\"/patterns/wp-json/wp/v2/wporg-pattern?page=1&#038;per_page=100&#038;order=desc&#038;orderby=date&#038;locale=en_US&#038;wp-version=6.3&#038;pattern-keywords=11&#038;_fields=id%2Ctitle%2Ccontent%2Cmeta%2Ccategory_slugs%2Ckeyword_slugs%2Cpattern_content&#038;query-1-page=2\" style=\"font-size:2rem;font-style:normal;font-weight:600;text-transform:uppercase;letter-spacing:1px;\" class=\"wp-block-query-pagination-next\">Next Page</a>\n</nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:31:\"Posts, Query, Loop, Blog, Index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and numeral dates.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:151:\"core/group,core/post-date,core/post-template,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3583:\"<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:post-template {\"align\":\"full\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"bottom\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"m.j\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /-->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"4.6rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\"}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<!-- wp:query-pagination-previous {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n\n<!-- wp:query-pagination-next {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:16;O:8:\"stdClass\":7:{s:2:\"id\";i:229116;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Fullwidth header with hero image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4827:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-109 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group is-layout-flex wp-container-106 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-105 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title has-medium-font-size wp-elements-234e57400cf5587740bb7caa261d6fc4\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n</div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-108 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-107\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-107\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-107-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Header on a white background followed by a full-width hero image.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2566:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":0,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":40,\"minHeightUnit\":\"vw\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:17;O:8:\"stdClass\":7:{s:2:\"id\";i:229092;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Header inside full-width background image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4895:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color wp-elements-a5c55c350363e1349d710a58148fd7b6 is-content-justification-space-between is-layout-flex wp-container-115 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size is-style-default wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-white-color wp-block-site-title has-medium-font-size wp-elements-e24c80986e13ab3d929b38d6b46e3019\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"has-text-color has-white-color is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-114 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-113\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-113\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-113-content\">\n							<ul class=\"wp-block-navigation__container has-text-color has-white-color is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:100:\"Simple header with logo, site title, navigation and a full-width background image with dark overlay.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2554:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":50,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":50,\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"textColor\":\"base\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"className\":\"is-style-default\"} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"textColor\":\"white\",\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"textColor\":\"white\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"33vw\"} -->\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:18;O:8:\"stdClass\":7:{s:2:\"id\";i:229097;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Simple header with dark background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3967:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-4956719e1d36ae31d9fb9c185b0a148a is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-121 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-f1e98d6c897e424c7d4e8232ded39f0a\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-120 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-119\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-119\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-119-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:76:\"Simple header with logo, site title, navigation links and a dark background.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1232:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:19;O:8:\"stdClass\":7:{s:2:\"id\";i:229101;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Text-only header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3727:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-126 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-125 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-124\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-124\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-124-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:53:\"Header with site title, tagline and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:60:\"core/group,core/navigation,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:966:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:20;O:8:\"stdClass\":7:{s:2:\"id\";i:229105;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Simple header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4296:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-7479bd1e590756c4aa927894dbdbef4e is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-132 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-129 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-128 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline has-small-font-size\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n</div>\n\n\n<nav class=\"has-small-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-small-font-size is-content-justification-right is-layout-flex wp-container-131 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-130\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-130\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-130-content\">\n							<ul class=\"wp-block-navigation__container has-small-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:92:\"Header with site logo, title and tagline on the left and with navigation links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/navigation,core/site-logo,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1389:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:21;O:8:\"stdClass\":7:{s:2:\"id\";i:229111;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:36:\"Fullwidth site title and menu button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3499:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-e0434f7bbe3c9d87e2f1562e19b734da is-content-justification-space-between is-layout-flex wp-container-136 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-135 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open always-shown\" data-micromodal-trigger=\"modal-134\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container hidden-by-default \" style=\"\" id=\"modal-134\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-134-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Header with site title and a hamburger menu button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:794:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title /-->\n\n<!-- wp:navigation {\"overlayMenu\":\"always\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\";}i:22;O:8:\"stdClass\":7:{s:2:\"id\";i:229080;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:25:\"Centered header with logo\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3794:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-vertical is-content-justification-center is-layout-flex wp-container-139 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-contrast-color wp-block-site-title has-large-font-size wp-elements-9728cce79011b64628d7f6beff066787\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-center is-fallback wp-block-navigation is-content-justification-center is-layout-flex wp-container-138 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-137\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-137\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-137-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-center is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Center aligned header with logo, site title and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:926:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:23;O:8:\"stdClass\":7:{s:2:\"id\";i:229084;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth header with large font size\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3627:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-4b5a1e7a31f9f44eaeb3ab45e5ae60f1 is-content-justification-space-between is-layout-flex wp-container-143 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"has-large-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-large-font-size is-content-justification-right is-layout-flex wp-container-142 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-141\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-141\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-141-content\">\n							<ul class=\"wp-block-navigation__container has-large-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-large-font-size\"><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:80:\"Header with a large site title and navigation links in the same large font size.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:811:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title {\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"large\"} /--></div>\n<!-- /wp:group -->\";}i:24;O:8:\"stdClass\":7:{s:2:\"id\";i:229088;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Simple header\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3830:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-147 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-144 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-146 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-145\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-145\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-145-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Simple header with logo, site title and navigation.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1021:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:25;O:8:\"stdClass\":7:{s:2:\"id\";i:229123;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4180:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-151 wp-block-group-is-layout-flex\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-150 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-149 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:82:\"Centered footer with the sentence \"Proudly powered by WordPress\" and social links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:25:\"core/group,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1495:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"30vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"8px\",\"left\":\"8px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:26;O:8:\"stdClass\":7:{s:2:\"id\";i:229127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Footer with search, site title, and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2962:\"\n<div class=\"wp-block-group alignfull has-background is-layout-constrained wp-block-group-is-layout-constrained\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-158 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-153 is-content-justification-left is-layout-constrained wp-container-154 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n\n\n<form role=\"search\" method=\"get\" action=\"https://wordpress.org/patterns/\" class=\"wp-block-search__button-outside wp-block-search__icon-button wp-block-search\"><label class=\"wp-block-search__label screen-reader-text\" for=\"wp-block-search__input-152\" >Search</label><div class=\"wp-block-search__inside-wrapper \"  style=\"width: 100%\"><input class=\"wp-block-search__input\" id=\"wp-block-search__input-152\" placeholder=\"\" value=\"\" type=\"search\" name=\"s\" required  style=\"border-width: 1px\"/><button aria-label=\"Search\" class=\"wp-block-search__button has-icon wp-element-button\" type=\"submit\"  style=\"border-width: 1px\"><svg class=\"search-icon\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\n					<path d=\"M13 5c-3.3 0-6 2.7-6 6 0 1.4.5 2.7 1.3 3.7l-3.8 3.8 1.1 1.1 3.8-3.8c1 .8 2.3 1.3 3.7 1.3 3.3 0 6-2.7 6-6S16.3 5 13 5zm0 10.5c-2.5 0-4.5-2-4.5-4.5s2-4.5 4.5-4.5 4.5 2 4.5 4.5-2 4.5-4.5 4.5z\"></path>\n				</svg></button></div></form></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-157 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-156 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n\n\n\n<div class=\"wp-block-group has-small-font-size is-vertical is-content-justification-left is-layout-flex wp-container-155 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-160 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:88:\"Footer with search field and site title on the left, and small credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:65:\"core/group,core/paragraph,core/search,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3254:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\",\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\"}},\"color\":{\"background\":\"#00000008\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|60\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"1px\"}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":[]},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group has-small-font-size\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:27;O:8:\"stdClass\":7:{s:2:\"id\";i:229131;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with site title and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:840:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-163 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with site title on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/paragraph,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1095:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:28;O:8:\"stdClass\":7:{s:2:\"id\";i:229135;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with navigation and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3733:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-168 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><nav class=\"has-small-font-size is-responsive items-justified-left is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-layout-flex wp-container-166 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-165\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-165\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-165-content\">\n							<ul class=\"wp-block-navigation__container has-small-font-size is-responsive items-justified-left is-fallback wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with navigation on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/navigation,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1174:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:29;O:8:\"stdClass\":7:{s:2:\"id\";i:229139;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:56:\"Fullwidth footer with background color and three columns\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2963:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-8d0170a0199cafe7fbcba6c0b4dac464 is-vertical is-content-justification-stretch is-layout-flex wp-container-178 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-columns alignwide has-small-font-size is-layout-flex wp-container-176 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Location</p>\n\n\n\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-center is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-center is-nowrap is-layout-flex wp-container-172 wp-block-navigation-is-layout-flex\" aria-label=\"\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-center is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Follow us</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-layout-flex wp-container-174 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-center is-layout-flex wp-container-177 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:57:\"Text-only footer with background color and three columns.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:78:\"core/column,core/columns,core/group,core/navigation,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3225:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|60\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"},\"dimensions\":{\"minHeight\":\"40vh\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"align\":\"wide\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-columns alignwide has-small-font-size\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Location</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Follow us</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:30;O:8:\"stdClass\":7:{s:2:\"id\";i:229143;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4120:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-180 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><div style=\"margin-bottom:6px;\" class=\"is-default-size aligncenter wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-179 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-facebook  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12 2C6.5 2 2 6.5 2 12c0 5 3.7 9.1 8.4 9.9v-7H7.9V12h2.5V9.8c0-2.5 1.5-3.9 3.8-3.9 1.1 0 2.2.2 2.2.2v2.5h-1.3c-1.2 0-1.6.8-1.6 1.6V12h2.8l-.4 2.9h-2.3v7C18.3 21.1 22 17 22 12c0-5.5-4.5-10-10-10z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Facebook</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-wordpress  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12.158,12.786L9.46,20.625c0.806,0.237,1.657,0.366,2.54,0.366c1.047,0,2.051-0.181,2.986-0.51 c-0.024-0.038-0.046-0.079-0.065-0.124L12.158,12.786z M3.009,12c0,3.559,2.068,6.634,5.067,8.092L3.788,8.341 C3.289,9.459,3.009,10.696,3.009,12z M18.069,11.546c0-1.112-0.399-1.881-0.741-2.48c-0.456-0.741-0.883-1.368-0.883-2.109 c0-0.826,0.627-1.596,1.51-1.596c0.04,0,0.078,0.005,0.116,0.007C16.472,3.904,14.34,3.009,12,3.009 c-3.141,0-5.904,1.612-7.512,4.052c0.211,0.007,0.41,0.011,0.579,0.011c0.94,0,2.396-0.114,2.396-0.114 C7.947,6.93,8.004,7.642,7.52,7.699c0,0-0.487,0.057-1.029,0.085l3.274,9.739l1.968-5.901l-1.401-3.838 C9.848,7.756,9.389,7.699,9.389,7.699C8.904,7.67,8.961,6.93,9.446,6.958c0,0,1.484,0.114,2.368,0.114 c0.94,0,2.397-0.114,2.397-0.114c0.485-0.028,0.542,0.684,0.057,0.741c0,0-0.488,0.057-1.029,0.085l3.249,9.665l0.897-2.996 C17.841,13.284,18.069,12.316,18.069,11.546z M19.889,7.686c0.039,0.286,0.06,0.593,0.06,0.924c0,0.912-0.171,1.938-0.684,3.22 l-2.746,7.94c2.673-1.558,4.47-4.454,4.47-7.771C20.991,10.436,20.591,8.967,19.889,7.686z M12,22C6.486,22,2,17.514,2,12 C2,6.486,6.486,2,12,2c5.514,0,10,4.486,10,10C22,17.514,17.514,22,12,22z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">WordPress</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:71:\"Footer with centered site title, tagline, social links and credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/paragraph,core/site-logo,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1532:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"40vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:site-logo {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"6px\"}}}} /-->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"medium\"} -->\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"12px\",\"left\":\"12px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"wordpress\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:31;O:8:\"stdClass\":7:{s:2:\"id\";i:229147;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"Fullwidth footer with navigation, credit, and social\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4597:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignfull has-small-font-size is-content-justification-space-between is-nowrap is-layout-flex wp-container-186 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size wp-container-content-181\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<div class=\"wp-block-group wp-container-content-182 is-vertical is-content-justification-center is-layout-flex wp-container-183 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only wp-container-content-184 is-content-justification-right is-nowrap is-layout-flex wp-container-185 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:87:\"Footer with site title on the left, credit in the middle and social links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:76:\"core/group,core/paragraph,core/site-title,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1869:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"nowrap\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group alignfull has-small-font-size\"><!-- wp:site-title {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"12px\"}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:32;O:8:\"stdClass\":7:{s:2:\"id\";i:229151;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:19:\"Left-aligned footer\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2835:\"\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-196 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group wp-container-content-188 is-vertical is-layout-flex wp-container-189 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-layout-flex wp-container-195 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-192 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-left is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-nowrap is-layout-flex wp-container-191 wp-block-navigation-is-layout-flex\" aria-label=\"\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-left is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-194 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Social</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-left is-layout-flex wp-container-193 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:44:\"Left-aligned footer with just a credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:69:\"core/group,core/navigation,core/paragraph,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2939:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|50\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:33;O:8:\"stdClass\":7:{s:2:\"id\";i:201;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Three columns with offset images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1330:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-200 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:45%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n\n\n\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:33:\"Three columns with offset images.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:47:\"core/column,core/columns,core/image,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1753:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:spacer {\"height\":500} -->\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:spacer {\"height\":150} -->\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:45%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":285} -->\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:34;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1078:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-204 wp-block-columns-is-layout-flex\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:35;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3496:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-205 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-213 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-209 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-212 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:5:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:7:\"gallery\";i:3;s:6:\"images\";i:4;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5124:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:36;O:8:\"stdClass\":7:{s:2:\"id\";i:197;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:39:\"Two columns of text with offset heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2240:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f2f0e9\">\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-217 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-221 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n</div>\n</div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:43:\"Two columns of text with an offset heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:77:\"core/column,core/columns,core/group,core/paragraph,core/separator,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2837:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f2f0e9\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f2f0e9\"><!-- wp:spacer {\"height\":70} -->\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":40} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:37;O:8:\"stdClass\":7:{s:2:\"id\";i:196;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Media and text in a full height container\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1445:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What&#8217;s the problem?</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n</div>\n</div></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Media and text block with image to the left and text and button to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:79:\"core/button,core/buttons,core/cover,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2015:\"<!-- wp:cover {\"customOverlayColor\":\"#ffffff\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:media-text {\"mediaLink\":\"https://s.w.org/images/core/5.8/soil.jpg\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"imageFill\":true} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What\'s the problem?</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:media-text --></div></div>\n<!-- /wp:cover -->\";}i:38;O:8:\"stdClass\":7:{s:2:\"id\";i:195;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Media and text with image on the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:719:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the right and text to the left.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1155:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaLink\":\"#\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"className\":\"is-style-default\"} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"17px\"},\"color\":{\"text\":\"#636363\"}}} -->\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n<!-- /wp:paragraph --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n<!-- /wp:media-text -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:39;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:40;O:8:\"stdClass\":7:{s:2:\"id\";i:186;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with text and a button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1508:\"\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-228 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:60%\">\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:62:\"Large header with background image and text and button on top.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:88:\"core/button,core/buttons,core/column,core/columns,core/cover,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2053:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/art-01.jpg\",\"hasParallax\":true,\"dimRatio\":40,\"customOverlayColor\":\"#000000\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.2\"}},\"className\":\"alignwide has-white-color has-text-color\"} -->\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ffffff\",\"background\":\"#000000\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:41;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1321:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-232 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:42;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}i:43;O:8:\"stdClass\":7:{s:2:\"id\";i:27;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Quote\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:688:\"\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n\n\n\n<figure class=\"wp-block-image aligncenter size-large is-resized is-style-rounded\"><img decoding=\"async\" loading=\"lazy\" src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure>\n\n\n\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\">\n<p>&#8220;Contributing makes me feel like I&#8217;m being useful to the planet.&#8221;</p>\n<cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/quote\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:51:\"core/image,core/paragraph,core/quote,core/separator\";}s:14:\"category_slugs\";a:2:{i:0;s:12:\"testimonials\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1102:\"<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n<!-- /wp:separator -->\n\n<!-- wp:image {\"align\":\"center\",\"width\":150,\"height\":150,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-rounded\"} -->\n<figure class=\"wp-block-image aligncenter size-large is-resized is-style-rounded\"><img src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:quote {\"align\":\"center\",\"className\":\"is-style-large\"} -->\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\"><!-- wp:paragraph -->\n<p>\"Contributing makes me feel like I\'m being useful to the planet.\"</p>\n<!-- /wp:paragraph --><cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n<!-- /wp:separator -->\";}i:44;O:8:\"stdClass\":7:{s:2:\"id\";i:29;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Two columns of text and title\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1518:\"\n<h2 class=\"wp-block-heading\" style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-236 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband&#8217;s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:47:\"Two columns of text preceded by a long heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1711:\"<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":38,\"lineHeight\":\"1.4\"}}} -->\n<h2 style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband\'s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:45;O:8:\"stdClass\":7:{s:2:\"id\";i:19;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:23:\"Two images side by side\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:572:\"\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped wp-block-gallery-237 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n</figure>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:41:\"An image gallery with two example images.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:23:\"core/gallery,core/image\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:704:\"<!-- wp:gallery {\"linkTo\":\"none\",\"align\":\"wide\"} -->\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n<!-- /wp:image --></figure>\n<!-- /wp:gallery -->\";}}", "no");
INSERT INTO `wp_options` VALUES("872", "_site_transient_timeout_wp_remote_block_patterns_9878e052535700697ff756158aa990b2", "1692917596", "no");
INSERT INTO `wp_options` VALUES("873", "_site_transient_wp_remote_block_patterns_9878e052535700697ff756158aa990b2", "a:14:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:207567;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:11:\"Link in Bio\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6630:\"\n<div class=\"wp-block-group has-white-background-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"has-text-align-center wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"has-text-align-center wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p>\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-1 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-content-justification-center is-layout-flex wp-container-2 wp-block-social-links-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-instagram has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-bandcamp has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M15.27 17.289 3 17.289 8.73 6.711 21 6.711 15.27 17.289\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Bandcamp</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitter has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitch has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M16.499,8.089h-1.636v4.91h1.636V8.089z M12,8.089h-1.637v4.91H12V8.089z M4.228,3.178L3,6.451v13.092h4.499V22h2.456 l2.454-2.456h3.681L21,14.636V3.178H4.228z M19.364,13.816l-2.864,2.865H12l-2.453,2.453V16.68H5.863V4.814h13.501V13.816z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitch</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:116:\"core/button,core/buttons,core/group,core/site-tagline,core/site-title,core/social-link,core/social-links,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2665:\"<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|80\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|80\",\"left\":\"0\"}}},\"backgroundColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-white-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"center\"} /-->\n\n<!-- wp:spacer {\"height\":\"20px\"} -->\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100,\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"bandcamp\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitch\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:732;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Simple call to action\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:961:\"\n<div class=\"wp-block-group alignfull has-text-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#ffffff;color:#000000\">\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n\n\n\n<h2 class=\"has-text-align-center wp-block-heading\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-4 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n</div>\n\n\n\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:89:\"A container with a white background. Inside is a centered paragraph, heading, and button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/group,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"buttons\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1506:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-group alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"lineHeight\":\".9\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":59,\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"has-text-align-center\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":50,\"style\":{\"color\":{\"background\":\"#000000\",\"text\":\"#ffffff\"},\"border\":{\"radius\":\"50px\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:678;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Three column pricing table\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3717:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-12 wp-block-columns-is-layout-flex\" style=\"margin-bottom:0\">\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-2ae1b943d87d6b5cbc827b8e7de5c343 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n\n\n\n<ul class=\"has-normal-font-size\">\n<li>General admission and member discounts for one adult</li>\n\n\n\n<li>One free ticket per special exhibition</li>\n\n\n\n<li>Two single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-6 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-c860b6260b3b3b7bae640a65db9c9aec is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Four free tickets per special exhibition</li>\n\n\n\n<li>Four single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-8 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-4a86cd4fa1de9230a73a90c7ad305893 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Five free tickets per special exhibition</li>\n\n\n\n<li>Six single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-10 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:272:\"Three equal-width columns set up as a pricing table. The left column has a yellow background, the middle column has a light purple background, and the right column has a light blue background. Each column contains a heading, subheading, separator, list, and then a button.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:117:\"core/button,core/buttons,core/column,core/columns,core/heading,core/list,core/list-item,core/paragraph,core/separator\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:6125:\"<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"margin-bottom:0\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#ffe97d\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"single\"} -->\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"style\":{\"color\":{\"background\":\"#000000\"}},\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for one adult</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>One free ticket per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Two single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#d1d1e1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"family\"} -->\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#c0ebf1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"patron\"} -->\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Five free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Six single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:669;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Image and quote on a background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2281:\"\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-1-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-1-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-1-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-1.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Terry a O&#8217;Neal</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-half-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-half-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-half-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-half.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Molière</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:221:\"Two media and text blocks. The top one has a pale green background. The text is on the left and contains a quote, and the image is on the right. The next block underneath has the image on the left, and quote on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2404:\"<!-- wp:media-text {\"mediaPosition\":\"right\",\"mediaId\":5263,\"mediaLink\":\"https://wordpress.org/patterns/pattern/image-and-quote-on-a-background/pear-3/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f1f5c7\"}}} -->\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Terry a O\'Neal</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\n\n<!-- wp:media-text {\"mediaId\":673,\"mediaLink\":\"https://wordpress.org/patterns/pear-half/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#fffdea\"}}} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Molière</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:591;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Event\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1687:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color wp-elements-5fce4e677a9b9d7d0cae0196c9d74d97\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group has-link-color wp-elements-71b4a847bbd96313422a1303e9ba41f3 is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n\n\n\n<p class=\"has-text-color has-link-color wp-elements-0860918d5b16b9e1778b1966b333b980\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n</div>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1536x1536.jpg 1536w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1.jpg 1572w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:54:\"core/group,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1617:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaId\":590,\"mediaLink\":\"https://wordpress.org/patterns/image-from-rawpixel-id-430289-jpeg-1/\",\"mediaType\":\"image\",\"mediaWidth\":60,\"verticalAlignment\":\"top\",\"style\":{\"color\":{\"background\":\"#121c1c\",\"text\":\"#fffdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-group has-link-color\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontWeight\":\"700\",\"fontSize\":\"48px\",\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}},\"color\":{\"text\":\"#fffdc7\"}}} -->\n<p class=\"has-text-color has-link-color\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" /></figure></div>\n<!-- /wp:media-text -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:573;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Image on solid color with description\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1830:\"\n<div class=\"wp-block-columns alignfull is-layout-flex wp-container-21 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img decoding=\"async\" loading=\"lazy\" width=\"263\" height=\"300\" src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" srcset=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg 263w, https://s.w.org/patterns/files/2021/06/wire-sculpture-898x1024.jpg 898w, https://s.w.org/patterns/files/2021/06/wire-sculpture-768x875.jpg 768w, https://s.w.org/patterns/files/2021/06/wire-sculpture-1347x1536.jpg 1347w, https://s.w.org/patterns/files/2021/06/wire-sculpture.jpg 1658w\" sizes=\"(max-width: 263px) 100vw, 263px\" /></figure></div>\n</div></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\">\n<div class=\"wp-block-columns is-layout-flex wp-container-19 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:320px\">\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n\n\n\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:38:\"Image on solid color with description.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:61:\"core/column,core/columns,core/cover,core/image,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1826:\"<!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:cover {\"customOverlayColor\":\"#f6f6f6\",\"minHeight\":600} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":571,\"sizeSlug\":\"medium\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" /></figure></div>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"1em\",\"right\":\"1em\",\"bottom\":\"1em\",\"left\":\"1em\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"320px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:320px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:526;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Offset images with descriptions\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2907:\"\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top is-layout-flex wp-container-31 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-24 is-vertical is-content-justification-left is-nowrap is-layout-flex wp-container-25 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<figure class=\"wp-block-image size-large wp-container-content-22\"><img decoding=\"async\" loading=\"lazy\" width=\"793\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" srcset=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg 793w, https://s.w.org/patterns/files/2021/06/Iris-232x300.jpg 232w, https://s.w.org/patterns/files/2021/06/Iris-768x992.jpg 768w, https://s.w.org/patterns/files/2021/06/Iris-1189x1536.jpg 1189w, https://s.w.org/patterns/files/2021/06/Iris-1586x2048.jpg 1586w, https://s.w.org/patterns/files/2021/06/Iris.jpg 1920w\" sizes=\"(max-width: 793px) 100vw, 793px\" /></figure>\n\n\n\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-23 wp-block-group-is-layout-flex\">\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-28 is-vertical is-layout-flex wp-container-29 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-27 wp-block-group-is-layout-flex\">\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img decoding=\"async\" loading=\"lazy\" width=\"707\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" srcset=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg 707w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-207x300.jpg 207w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-768x1112.jpg 768w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1061x1536.jpg 1061w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1414x2048.jpg 1414w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-scaled.jpg 1768w\" sizes=\"(max-width: 707px) 100vw, 707px\" /></figure>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:58:\"Two offset columns with images and titles within each one.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:73:\"core/column,core/columns,core/group,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2930:\"<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\"><!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:image {\"id\":525,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"80px\"} -->\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"id\":524,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:521;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Image with description below and to the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1665:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-36 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1.jpg 1510w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-39 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:46:\"Image with description below and to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:50:\"core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1241:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":522,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:502;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Event details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1684:\"\n<figure class=\"wp-block-image alignwide size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"2560\" height=\"1227\" src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" srcset=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg 2560w, https://s.w.org/patterns/files/2021/06/Group-17-300x144.jpg 300w, https://s.w.org/patterns/files/2021/06/Group-17-1024x491.jpg 1024w, https://s.w.org/patterns/files/2021/06/Group-17-768x368.jpg 768w, https://s.w.org/patterns/files/2021/06/Group-17-1536x736.jpg 1536w, https://s.w.org/patterns/files/2021/06/Group-17-2048x981.jpg 2048w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></figure>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-44 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:14:\"Event details.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1642:\"<!-- wp:image {\"align\":\"wide\",\"id\":501,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignwide size-full\"><img src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100,\"style\":{\"color\":{\"background\":\"#262626\",\"text\":\"#efefef\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1077:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-48 wp-block-columns-is-layout-flex\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3492:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-49 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-57 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-53 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-56 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:5:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:7:\"gallery\";i:3;s:6:\"images\";i:4;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5124:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1320:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-61 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}}", "no");
INSERT INTO `wp_options` VALUES("876", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1692925928", "no");
INSERT INTO `wp_options` VALUES("877", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:6145;}s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4821;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2788;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2680;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:2057;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1925;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1912;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1653;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1568;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1563;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1549;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1514;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1504;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1492;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1375;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1316;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1277;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1175;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1156;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1153;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:1068;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:1031;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:1001;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:970;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:906;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:904;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:884;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:883;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:879;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:875;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:873;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:837;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:819;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:794;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:782;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:780;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:775;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:762;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:749;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:732;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:731;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:729;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:727;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:691;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:686;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:684;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:677;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:668;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:634;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:629;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:620;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:616;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:610;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:607;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:599;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:596;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:592;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:592;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:579;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:574;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:570;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:570;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:570;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:559;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:557;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:542;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:542;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:533;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:533;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:532;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:532;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:520;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:511;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:510;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:510;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:508;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:488;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:479;}s:6:\"blocks\";a:3:{s:4:\"name\";s:6:\"blocks\";s:4:\"slug\";s:6:\"blocks\";s:5:\"count\";i:478;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:469;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:450;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:448;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:448;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:438;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:433;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:426;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:426;}s:7:\"gateway\";a:3:{s:4:\"name\";s:7:\"gateway\";s:4:\"slug\";s:7:\"gateway\";s:5:\"count\";i:426;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:424;}s:8:\"payments\";a:3:{s:4:\"name\";s:8:\"payments\";s:4:\"slug\";s:8:\"payments\";s:5:\"count\";i:423;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:422;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:420;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:420;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:413;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:409;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:400;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:396;}s:8:\"checkout\";a:3:{s:4:\"name\";s:8:\"checkout\";s:4:\"slug\";s:8:\"checkout\";s:5:\"count\";i:396;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:394;}s:4:\"meta\";a:3:{s:4:\"name\";s:4:\"meta\";s:4:\"slug\";s:4:\"meta\";s:5:\"count\";i:390;}}", "no");
INSERT INTO `wp_options` VALUES("879", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1692915143;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:3:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:3:\"5.2\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/akismet.5.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:60:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=2818463\";s:2:\"1x\";s:60:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=2818463\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/akismet/assets/banner-1544x500.png?rev=2900731\";s:2:\"1x\";s:62:\"https://ps.w.org/akismet/assets/banner-772x250.png?rev=2900731\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.8\";}s:41:\"create-block-theme/create-block-theme.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:32:\"w.org/plugins/create-block-theme\";s:4:\"slug\";s:18:\"create-block-theme\";s:6:\"plugin\";s:41:\"create-block-theme/create-block-theme.php\";s:11:\"new_version\";s:6:\"1.13.2\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/create-block-theme/\";s:7:\"package\";s:68:\"https://downloads.wordpress.org/plugin/create-block-theme.1.13.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-256x256.png?rev=2777957\";s:2:\"1x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-128x128.png?rev=2777957\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:74:\"https://ps.w.org/create-block-theme/assets/banner-1544x500.png?rev=2777957\";s:2:\"1x\";s:73:\"https://ps.w.org/create-block-theme/assets/banner-772x250.png?rev=2777957\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:7:\"1.5.5.1\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/duplicator.1.5.5.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2906985\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2906985\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/duplicator/assets/banner-1544x500.png?rev=2906985\";s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2906985\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.0\";}}s:7:\"checked\";a:3:{s:19:\"akismet/akismet.php\";s:3:\"5.2\";s:41:\"create-block-theme/create-block-theme.php\";s:6:\"1.13.2\";s:25:\"duplicator/duplicator.php\";s:7:\"1.5.5.1\";}}", "no");
INSERT INTO `wp_options` VALUES("881", "theme_mods_kmc", "a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:6:{s:12:\"blog-sidebar\";a:11:{s:4:\"name\";s:7:\"Sidebar\";s:2:\"id\";s:12:\"blog-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:12:\"shop-sidebar\";a:11:{s:4:\"name\";s:12:\"Shop Sidebar\";s:2:\"id\";s:12:\"shop-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-one-widgets\";a:11:{s:4:\"name\";s:10:\"Footer One\";s:2:\"id\";s:18:\"footer-one-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-two-widgets\";a:11:{s:4:\"name\";s:10:\"Footer Two\";s:2:\"id\";s:18:\"footer-two-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:20:\"footer-three-widgets\";a:11:{s:4:\"name\";s:12:\"Footer Three\";s:2:\"id\";s:20:\"footer-three-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:19:\"footer-four-widgets\";a:11:{s:4:\"name\";s:11:\"Footer Four\";s:2:\"id\";s:19:\"footer-four-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1692915236;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("883", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1692915250;s:7:\"checked\";a:1:{s:17:\"twentytwentythree\";s:3:\"1.2\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:1:{s:17:\"twentytwentythree\";a:6:{s:5:\"theme\";s:17:\"twentytwentythree\";s:11:\"new_version\";s:3:\"1.2\";s:3:\"url\";s:47:\"https://wordpress.org/themes/twentytwentythree/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/twentytwentythree.1.2.zip\";s:8:\"requires\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("884", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-08-24 22:15:30\";s:7:\"Version\";s:7:\"1.5.5.1\";s:9:\"VersionWP\";s:3:\"6.3\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:35:\"20230824_irishpassport_starter_wp63\";s:4:\"Hash\";s:35:\"58f843d7af49382b6473_20230824221530\";s:8:\"NameHash\";s:71:\"20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:81:\"20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:69:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:496;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:3829;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Size\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-08-24 22:15:30\";s:7:\"Version\";s:7:\"1.5.5.1\";s:9:\"VersionWP\";s:3:\"6.3\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:35:\"20230824_irishpassport_starter_wp63\";s:4:\"Hash\";s:35:\"58f843d7af49382b6473_20230824221530\";s:8:\"NameHash\";s:71:\"20230824_irishpassport_starter_wp63_58f843d7af49382b6473_20230824221530\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:83:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:19:\"sameNameTableExists\";N;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:78:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-admin\";i:1;s:81:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-includes\";i:2;s:90:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:69:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series\";i:1;s:69:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series\";i:2;s:80:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content\";i:3;s:88:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/uploads\";i:4;s:88:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/plugins\";i:5;s:91:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/mu-plugins\";i:6;s:87:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:101:\"/Applications/MAMP/htdocs/VIDEOS/irish-passport-video-solution-series/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}", "yes");
INSERT INTO `wp_options` VALUES("885", "duplicator_settings", "a:17:{s:7:\"version\";s:7:\"1.5.5.1\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:5;i:0;b:0;}", "yes");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3", "5", "_wp_attached_file", "2023/06/christophe-rollando-qjwd5VipY64-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("4", "5", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:52:\"2023/06/christophe-rollando-qjwd5VipY64-unsplash.jpg\";s:8:\"filesize\";i:285644;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:52:\"christophe-rollando-qjwd5VipY64-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9494;}s:5:\"large\";a:5:{s:4:\"file\";s:53:\"christophe-rollando-qjwd5VipY64-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61371;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:52:\"christophe-rollando-qjwd5VipY64-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4091;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:52:\"christophe-rollando-qjwd5VipY64-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39426;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-qjwd5VipY64-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:119597;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-qjwd5VipY64-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:190130;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7", "7", "_edit_lock", "1691690035:1");
INSERT INTO `wp_postmeta` VALUES("9", "7", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("11", "7", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("13", "9", "_thumbnail_id", "165");
INSERT INTO `wp_postmeta` VALUES("15", "9", "_dp_original", "7");
INSERT INTO `wp_postmeta` VALUES("16", "10", "_thumbnail_id", "5");
INSERT INTO `wp_postmeta` VALUES("19", "10", "_dp_original", "9");
INSERT INTO `wp_postmeta` VALUES("20", "11", "_thumbnail_id", "164");
INSERT INTO `wp_postmeta` VALUES("23", "11", "_dp_original", "10");
INSERT INTO `wp_postmeta` VALUES("24", "11", "_edit_lock", "1691690024:1");
INSERT INTO `wp_postmeta` VALUES("25", "10", "_edit_lock", "1691690351:1");
INSERT INTO `wp_postmeta` VALUES("26", "11", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("28", "9", "_edit_lock", "1691790595:1");
INSERT INTO `wp_postmeta` VALUES("29", "9", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("35", "15", "_thumbnail_id", "166");
INSERT INTO `wp_postmeta` VALUES("38", "15", "_dp_original", "9");
INSERT INTO `wp_postmeta` VALUES("39", "16", "_thumbnail_id", "168");
INSERT INTO `wp_postmeta` VALUES("41", "16", "_dp_original", "11");
INSERT INTO `wp_postmeta` VALUES("42", "17", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("45", "17", "_dp_original", "10");
INSERT INTO `wp_postmeta` VALUES("46", "18", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("47", "18", "_dp_original", "7");
INSERT INTO `wp_postmeta` VALUES("48", "19", "_thumbnail_id", "5");
INSERT INTO `wp_postmeta` VALUES("51", "19", "_dp_original", "15");
INSERT INTO `wp_postmeta` VALUES("52", "20", "_thumbnail_id", "305");
INSERT INTO `wp_postmeta` VALUES("54", "20", "_dp_original", "16");
INSERT INTO `wp_postmeta` VALUES("58", "21", "_dp_original", "17");
INSERT INTO `wp_postmeta` VALUES("61", "22", "_dp_original", "18");
INSERT INTO `wp_postmeta` VALUES("62", "23", "_thumbnail_id", "170");
INSERT INTO `wp_postmeta` VALUES("65", "23", "_dp_original", "9");
INSERT INTO `wp_postmeta` VALUES("66", "24", "_thumbnail_id", "169");
INSERT INTO `wp_postmeta` VALUES("68", "24", "_dp_original", "11");
INSERT INTO `wp_postmeta` VALUES("69", "25", "_thumbnail_id", "168");
INSERT INTO `wp_postmeta` VALUES("72", "25", "_dp_original", "10");
INSERT INTO `wp_postmeta` VALUES("73", "26", "_thumbnail_id", "167");
INSERT INTO `wp_postmeta` VALUES("74", "26", "_dp_original", "7");
INSERT INTO `wp_postmeta` VALUES("75", "19", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("77", "20", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("78", "21", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("80", "22", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("81", "23", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("83", "24", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("84", "25", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("86", "26", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("87", "15", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("89", "16", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("90", "17", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("92", "18", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("94", "10", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("105", "41", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("106", "41", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("107", "41", "_menu_item_object_id", "2");
INSERT INTO `wp_postmeta` VALUES("108", "41", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("109", "41", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("110", "41", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("111", "41", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("112", "41", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("113", "41", "_menu_item_orphaned", "1686379313");
INSERT INTO `wp_postmeta` VALUES("164", "25", "_edit_lock", "1691689938:1");
INSERT INTO `wp_postmeta` VALUES("166", "26", "_edit_lock", "1691689973:1");
INSERT INTO `wp_postmeta` VALUES("211", "10", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("214", "7", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("216", "9", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("218", "10", "_wp_old_date", "2022-06-10");
INSERT INTO `wp_postmeta` VALUES("220", "11", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("222", "15", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("224", "16", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("226", "17", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("228", "18", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("230", "19", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("232", "20", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("234", "21", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("236", "22", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("238", "23", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("240", "24", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("242", "25", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("244", "26", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("279", "160", "_wp_attached_file", "2023/06/a65-design-XKqbBmCcJPg-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("280", "160", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:43:\"2023/06/a65-design-XKqbBmCcJPg-unsplash.jpg\";s:8:\"filesize\";i:358634;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"a65-design-XKqbBmCcJPg-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11481;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"a65-design-XKqbBmCcJPg-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83821;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"a65-design-XKqbBmCcJPg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5359;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"a65-design-XKqbBmCcJPg-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51431;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"a65-design-XKqbBmCcJPg-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:170876;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:45:\"a65-design-XKqbBmCcJPg-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:281093;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("281", "161", "_wp_attached_file", "2023/06/dada_design-o5GiFSl5iYw-unsplash-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("282", "161", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1440;s:4:\"file\";s:51:\"2023/06/dada_design-o5GiFSl5iYw-unsplash-scaled.jpg\";s:8:\"filesize\";i:215153;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"dada_design-o5GiFSl5iYw-unsplash-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5076;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"dada_design-o5GiFSl5iYw-unsplash-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36243;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"dada_design-o5GiFSl5iYw-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2884;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"dada_design-o5GiFSl5iYw-unsplash-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22035;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"dada_design-o5GiFSl5iYw-unsplash-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76962;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"dada_design-o5GiFSl5iYw-unsplash-2048x1152.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:135605;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:36:\"dada_design-o5GiFSl5iYw-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("283", "162", "_wp_attached_file", "2023/06/dada_design-vWyq7C2lfFg-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("284", "162", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/dada_design-vWyq7C2lfFg-unsplash.jpg\";s:8:\"filesize\";i:196352;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"dada_design-vWyq7C2lfFg-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6527;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"dada_design-vWyq7C2lfFg-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:45851;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"dada_design-vWyq7C2lfFg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3166;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"dada_design-vWyq7C2lfFg-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27254;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"dada_design-vWyq7C2lfFg-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94968;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"dada_design-vWyq7C2lfFg-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:159832;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("285", "163", "_wp_attached_file", "2023/06/filip-baotic-4go5Rx5ivWE-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("286", "163", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:45:\"2023/06/filip-baotic-4go5Rx5ivWE-unsplash.jpg\";s:8:\"filesize\";i:258877;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"filip-baotic-4go5Rx5ivWE-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7324;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"filip-baotic-4go5Rx5ivWE-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55450;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"filip-baotic-4go5Rx5ivWE-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3621;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"filip-baotic-4go5Rx5ivWE-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32862;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:47:\"filip-baotic-4go5Rx5ivWE-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:117739;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:47:\"filip-baotic-4go5Rx5ivWE-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:198796;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("287", "164", "_wp_attached_file", "2023/06/guven-gunes-FkFJ5587Hzk-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("288", "164", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/guven-gunes-FkFJ5587Hzk-unsplash.jpg\";s:8:\"filesize\";i:113501;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"guven-gunes-FkFJ5587Hzk-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5112;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"guven-gunes-FkFJ5587Hzk-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30420;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"guven-gunes-FkFJ5587Hzk-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2499;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"guven-gunes-FkFJ5587Hzk-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19663;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"guven-gunes-FkFJ5587Hzk-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59207;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"guven-gunes-FkFJ5587Hzk-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93394;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("289", "165", "_wp_attached_file", "2023/06/guven-gunes-Iy3GN4iPLW8-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("290", "165", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/guven-gunes-Iy3GN4iPLW8-unsplash.jpg\";s:8:\"filesize\";i:317185;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"guven-gunes-Iy3GN4iPLW8-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7509;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"guven-gunes-Iy3GN4iPLW8-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60883;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"guven-gunes-Iy3GN4iPLW8-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3483;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"guven-gunes-Iy3GN4iPLW8-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35421;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"guven-gunes-Iy3GN4iPLW8-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131842;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"guven-gunes-Iy3GN4iPLW8-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:227257;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("291", "166", "_wp_attached_file", "2023/06/medhat-aiad-eE3Dl0zrDPI-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("292", "166", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/medhat-aiad-eE3Dl0zrDPI-unsplash.jpg\";s:8:\"filesize\";i:626488;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"medhat-aiad-eE3Dl0zrDPI-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17360;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"medhat-aiad-eE3Dl0zrDPI-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:157316;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"medhat-aiad-eE3Dl0zrDPI-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6912;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"medhat-aiad-eE3Dl0zrDPI-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94666;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"medhat-aiad-eE3Dl0zrDPI-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:309840;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"medhat-aiad-eE3Dl0zrDPI-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:482973;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("293", "167", "_wp_attached_file", "2023/06/muhammad-ilyas-3f8vysI8ITE-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("294", "167", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:47:\"2023/06/muhammad-ilyas-3f8vysI8ITE-unsplash.jpg\";s:8:\"filesize\";i:313761;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"muhammad-ilyas-3f8vysI8ITE-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11561;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"muhammad-ilyas-3f8vysI8ITE-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:77364;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"muhammad-ilyas-3f8vysI8ITE-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5265;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"muhammad-ilyas-3f8vysI8ITE-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48708;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"muhammad-ilyas-3f8vysI8ITE-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:148843;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:49:\"muhammad-ilyas-3f8vysI8ITE-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:233014;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("295", "168", "_wp_attached_file", "2023/06/planet-volumes-oUrqWiOz_sg-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("296", "168", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:47:\"2023/06/planet-volumes-oUrqWiOz_sg-unsplash.jpg\";s:8:\"filesize\";i:242175;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"planet-volumes-oUrqWiOz_sg-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8655;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"planet-volumes-oUrqWiOz_sg-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57669;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"planet-volumes-oUrqWiOz_sg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4190;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"planet-volumes-oUrqWiOz_sg-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36426;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"planet-volumes-oUrqWiOz_sg-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:112782;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:49:\"planet-volumes-oUrqWiOz_sg-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:180762;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("297", "169", "_wp_attached_file", "2023/06/raspopova-marina-62-SHh-VxBQ-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("298", "169", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:49:\"2023/06/raspopova-marina-62-SHh-VxBQ-unsplash.jpg\";s:8:\"filesize\";i:377740;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:49:\"raspopova-marina-62-SHh-VxBQ-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10230;}s:5:\"large\";a:5:{s:4:\"file\";s:50:\"raspopova-marina-62-SHh-VxBQ-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76795;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:49:\"raspopova-marina-62-SHh-VxBQ-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5060;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:49:\"raspopova-marina-62-SHh-VxBQ-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46692;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:51:\"raspopova-marina-62-SHh-VxBQ-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:163335;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:51:\"raspopova-marina-62-SHh-VxBQ-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:279130;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("299", "170", "_wp_attached_file", "2023/06/thestandingdesk-JoHD6SSI_Ig-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("300", "170", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:48:\"2023/06/thestandingdesk-JoHD6SSI_Ig-unsplash.jpg\";s:8:\"filesize\";i:552555;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"thestandingdesk-JoHD6SSI_Ig-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13081;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"thestandingdesk-JoHD6SSI_Ig-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106237;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"thestandingdesk-JoHD6SSI_Ig-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5300;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"thestandingdesk-JoHD6SSI_Ig-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:64618;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:50:\"thestandingdesk-JoHD6SSI_Ig-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:223027;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:50:\"thestandingdesk-JoHD6SSI_Ig-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:370894;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("301", "23", "_edit_lock", "1691689891:1");
INSERT INTO `wp_postmeta` VALUES("302", "24", "_edit_lock", "1691689906:1");
INSERT INTO `wp_postmeta` VALUES("303", "20", "_edit_lock", "1691690076:1");
INSERT INTO `wp_postmeta` VALUES("304", "21", "_edit_lock", "1691690108:1");
INSERT INTO `wp_postmeta` VALUES("305", "15", "_edit_lock", "1691690139:1");
INSERT INTO `wp_postmeta` VALUES("306", "19", "_edit_lock", "1691690153:1");
INSERT INTO `wp_postmeta` VALUES("307", "16", "_edit_lock", "1691690174:1");
INSERT INTO `wp_postmeta` VALUES("308", "18", "_edit_lock", "1691690327:1");
INSERT INTO `wp_postmeta` VALUES("309", "17", "_edit_lock", "1691690364:1");
INSERT INTO `wp_postmeta` VALUES("469", "22", "_edit_lock", "1691689830:1");
INSERT INTO `wp_postmeta` VALUES("474", "239", "_wp_attached_file", "2023/06/ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747.jpg");
INSERT INTO `wp_postmeta` VALUES("475", "239", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1683;s:4:\"file\";s:65:\"2023/06/ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747.jpg\";s:8:\"filesize\";i:462007;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:65:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-300x197.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:197;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12527;}s:5:\"large\";a:5:{s:4:\"file\";s:66:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1024x673.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:673;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97576;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:65:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5623;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:65:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-768x505.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:505;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60272;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:67:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1536x1010.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1010;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:191605;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:67:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-2048x1346.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1346;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:301817;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:66:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1200x789.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:789;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:126901;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:67:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1980x1302.jpg\";s:5:\"width\";i:1980;s:6:\"height\";i:1302;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:286564;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:35:\"ian-dooley-_-JR5TxKNSo-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("476", "240", "_wp_attached_file", "2023/06/felipepelaquim-1qvUsVrKrMI-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("477", "240", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:47:\"2023/06/felipepelaquim-1qvUsVrKrMI-unsplash.jpg\";s:8:\"filesize\";i:368536;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"felipepelaquim-1qvUsVrKrMI-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11663;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"felipepelaquim-1qvUsVrKrMI-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83684;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"felipepelaquim-1qvUsVrKrMI-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5241;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"felipepelaquim-1qvUsVrKrMI-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51741;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"felipepelaquim-1qvUsVrKrMI-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167403;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:49:\"felipepelaquim-1qvUsVrKrMI-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:272573;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("478", "241", "_wp_attached_file", "2023/06/sidekix-media-d5vYKvzD_kw-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("479", "241", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-d5vYKvzD_kw-unsplash.jpg\";s:8:\"filesize\";i:404574;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-d5vYKvzD_kw-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12365;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-d5vYKvzD_kw-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:95781;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-d5vYKvzD_kw-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5435;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-d5vYKvzD_kw-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59096;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-d5vYKvzD_kw-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:188056;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-d5vYKvzD_kw-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:298417;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("480", "242", "_wp_attached_file", "2023/06/sophia-kunkel-F84XvXyEYk4-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("481", "242", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sophia-kunkel-F84XvXyEYk4-unsplash.jpg\";s:8:\"filesize\";i:650094;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sophia-kunkel-F84XvXyEYk4-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16801;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sophia-kunkel-F84XvXyEYk4-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:133766;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sophia-kunkel-F84XvXyEYk4-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6950;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sophia-kunkel-F84XvXyEYk4-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81413;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sophia-kunkel-F84XvXyEYk4-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:272985;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sophia-kunkel-F84XvXyEYk4-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:456554;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("482", "243", "_wp_attached_file", "2023/06/becca-tapert-p6h5U-ns9o0-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("483", "243", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:45:\"2023/06/becca-tapert-p6h5U-ns9o0-unsplash.jpg\";s:8:\"filesize\";i:400640;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"becca-tapert-p6h5U-ns9o0-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8932;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"becca-tapert-p6h5U-ns9o0-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70514;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"becca-tapert-p6h5U-ns9o0-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4003;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"becca-tapert-p6h5U-ns9o0-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41834;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:47:\"becca-tapert-p6h5U-ns9o0-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:161928;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:47:\"becca-tapert-p6h5U-ns9o0-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:295758;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("484", "244", "_wp_attached_file", "2023/06/guven-gunes-1P1f8zPF4PM-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("485", "244", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/guven-gunes-1P1f8zPF4PM-unsplash.jpg\";s:8:\"filesize\";i:309927;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"guven-gunes-1P1f8zPF4PM-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10357;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"guven-gunes-1P1f8zPF4PM-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69373;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"guven-gunes-1P1f8zPF4PM-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4704;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"guven-gunes-1P1f8zPF4PM-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44091;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"guven-gunes-1P1f8zPF4PM-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:135573;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"guven-gunes-1P1f8zPF4PM-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:214786;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("486", "245", "_wp_attached_file", "2023/06/sidekix-media-zLT3VqWEgOQ-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("487", "245", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-zLT3VqWEgOQ-unsplash.jpg\";s:8:\"filesize\";i:593991;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-zLT3VqWEgOQ-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14326;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-zLT3VqWEgOQ-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122660;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-zLT3VqWEgOQ-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6087;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-zLT3VqWEgOQ-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:72661;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-zLT3VqWEgOQ-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:257358;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-zLT3VqWEgOQ-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:423218;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("488", "246", "_wp_attached_file", "2023/06/sidekix-media-lrk0l9w8rI0-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("489", "246", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-lrk0l9w8rI0-unsplash.jpg\";s:8:\"filesize\";i:650751;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-lrk0l9w8rI0-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13770;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-lrk0l9w8rI0-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122094;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-lrk0l9w8rI0-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5852;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-lrk0l9w8rI0-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70980;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-lrk0l9w8rI0-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:263394;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-lrk0l9w8rI0-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:437360;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("490", "247", "_wp_attached_file", "2023/06/sidekix-media-l6u4GIKvxBs-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("491", "247", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-l6u4GIKvxBs-unsplash.jpg\";s:8:\"filesize\";i:487316;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-l6u4GIKvxBs-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13016;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-l6u4GIKvxBs-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101492;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-l6u4GIKvxBs-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6112;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-l6u4GIKvxBs-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61114;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-l6u4GIKvxBs-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:209537;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-l6u4GIKvxBs-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:339301;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("492", "248", "_wp_attached_file", "2023/06/angelo-pantazis-N4wUsqIbMAM-unsplash-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("493", "248", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:55:\"2023/06/angelo-pantazis-N4wUsqIbMAM-unsplash-scaled.jpg\";s:8:\"filesize\";i:363923;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"angelo-pantazis-N4wUsqIbMAM-unsplash-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9860;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"angelo-pantazis-N4wUsqIbMAM-unsplash-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73945;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"angelo-pantazis-N4wUsqIbMAM-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3997;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"angelo-pantazis-N4wUsqIbMAM-unsplash-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44707;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:50:\"angelo-pantazis-N4wUsqIbMAM-unsplash-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145375;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:50:\"angelo-pantazis-N4wUsqIbMAM-unsplash-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:241746;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:40:\"angelo-pantazis-N4wUsqIbMAM-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("494", "249", "_edit_lock", "1691790901:1");
INSERT INTO `wp_postmeta` VALUES("497", "249", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("499", "249", "_thumbnail_id", "247");
INSERT INTO `wp_postmeta` VALUES("502", "252", "_thumbnail_id", "245");
INSERT INTO `wp_postmeta` VALUES("504", "252", "_dp_original", "249");
INSERT INTO `wp_postmeta` VALUES("505", "253", "_thumbnail_id", "243");
INSERT INTO `wp_postmeta` VALUES("508", "253", "_dp_original", "252");
INSERT INTO `wp_postmeta` VALUES("509", "254", "_thumbnail_id", "247");
INSERT INTO `wp_postmeta` VALUES("512", "254", "_dp_original", "253");
INSERT INTO `wp_postmeta` VALUES("513", "255", "_thumbnail_id", "241");
INSERT INTO `wp_postmeta` VALUES("516", "255", "_dp_original", "254");
INSERT INTO `wp_postmeta` VALUES("517", "256", "_thumbnail_id", "242");
INSERT INTO `wp_postmeta` VALUES("520", "256", "_dp_original", "253");
INSERT INTO `wp_postmeta` VALUES("521", "257", "_thumbnail_id", "244");
INSERT INTO `wp_postmeta` VALUES("524", "257", "_dp_original", "252");
INSERT INTO `wp_postmeta` VALUES("525", "258", "_thumbnail_id", "304");
INSERT INTO `wp_postmeta` VALUES("528", "258", "_dp_original", "255");
INSERT INTO `wp_postmeta` VALUES("529", "259", "_thumbnail_id", "299");
INSERT INTO `wp_postmeta` VALUES("532", "259", "_dp_original", "256");
INSERT INTO `wp_postmeta` VALUES("533", "260", "_thumbnail_id", "240");
INSERT INTO `wp_postmeta` VALUES("536", "260", "_dp_original", "257");
INSERT INTO `wp_postmeta` VALUES("537", "258", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("538", "258", "_wp_old_date", "2023-06-11");
INSERT INTO `wp_postmeta` VALUES("539", "258", "_edit_lock", "1691689857:1");
INSERT INTO `wp_postmeta` VALUES("540", "252", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("541", "252", "_edit_lock", "1691689733:1");
INSERT INTO `wp_postmeta` VALUES("542", "253", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("543", "253", "_edit_lock", "1691690404:1");
INSERT INTO `wp_postmeta` VALUES("544", "254", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("545", "254", "_edit_lock", "1691689869:1");
INSERT INTO `wp_postmeta` VALUES("546", "257", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("547", "257", "_edit_lock", "1691689793:1");
INSERT INTO `wp_postmeta` VALUES("548", "256", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("549", "256", "_edit_lock", "1691689781:1");
INSERT INTO `wp_postmeta` VALUES("550", "255", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("551", "255", "_edit_lock", "1691690068:1");
INSERT INTO `wp_postmeta` VALUES("552", "260", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("553", "260", "_edit_lock", "1691689840:1");
INSERT INTO `wp_postmeta` VALUES("554", "259", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("555", "259", "_edit_lock", "1691790660:1");
INSERT INTO `wp_postmeta` VALUES("606", "296", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("608", "239", "_wp_attachment_backup_sizes", "a:7:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:42:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled.jpg\";}s:14:\"thumbnail-orig\";a:5:{s:4:\"file\";s:43:\"ian-dooley-_-JR5TxKNSo-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5514;}s:11:\"medium-orig\";a:5:{s:4:\"file\";s:43:\"ian-dooley-_-JR5TxKNSo-unsplash-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12491;}s:17:\"medium_large-orig\";a:5:{s:4:\"file\";s:43:\"ian-dooley-_-JR5TxKNSo-unsplash-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60910;}s:10:\"large-orig\";a:5:{s:4:\"file\";s:44:\"ian-dooley-_-JR5TxKNSo-unsplash-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:100060;}s:14:\"1536x1536-orig\";a:5:{s:4:\"file\";s:45:\"ian-dooley-_-JR5TxKNSo-unsplash-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:196588;}s:14:\"2048x2048-orig\";a:5:{s:4:\"file\";s:45:\"ian-dooley-_-JR5TxKNSo-unsplash-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:318241;}}");
INSERT INTO `wp_postmeta` VALUES("609", "297", "_wp_attached_file", "2023/06/image-1.webp");
INSERT INTO `wp_postmeta` VALUES("610", "297", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-1.webp\";s:8:\"filesize\";i:288156;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-1-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3112;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-1-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:31506;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-1-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1864;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-1-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:15240;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-1-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:84262;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-1-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:146440;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-1-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52700;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-1-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:138746;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("611", "298", "_wp_attached_file", "2023/06/image-2.webp");
INSERT INTO `wp_postmeta` VALUES("612", "298", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-2.webp\";s:8:\"filesize\";i:270136;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-2-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5372;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-2-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46632;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2220;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-2-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:27736;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-2-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:110584;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-2-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:182492;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-2-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:73598;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-2-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:173166;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("613", "299", "_wp_attached_file", "2023/06/image-3.webp");
INSERT INTO `wp_postmeta` VALUES("614", "299", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-3.webp\";s:8:\"filesize\";i:84062;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-3-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2804;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-3-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:17676;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-3-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1290;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-3-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10928;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-3-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:34032;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-3-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:53684;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-3-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:24076;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-3-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52504;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("615", "300", "_wp_attached_file", "2023/06/image-8.webp");
INSERT INTO `wp_postmeta` VALUES("616", "300", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-8.webp\";s:8:\"filesize\";i:342304;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-8-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10276;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-8-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:78936;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-8-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5192;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-8-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:47922;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-8-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:157052;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-8-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:245576;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-8-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:109668;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-8-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:234728;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("617", "301", "_wp_attached_file", "2023/06/image-13.webp");
INSERT INTO `wp_postmeta` VALUES("618", "301", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-13.webp\";s:8:\"filesize\";i:300806;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-13-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:9564;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-13-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:66832;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-13-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4364;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-13-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:41874;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-13-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:127670;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-13-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:195262;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-13-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:90678;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-13-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:186272;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("619", "302", "_wp_attached_file", "2023/06/image-15.webp");
INSERT INTO `wp_postmeta` VALUES("620", "302", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-15.webp\";s:8:\"filesize\";i:318078;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-15-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10176;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-15-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:59712;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-15-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4780;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-15-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:39774;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-15-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:107440;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-15-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:168928;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-15-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:79224;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-15-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:159318;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("621", "303", "_wp_attached_file", "2023/06/image-16.webp");
INSERT INTO `wp_postmeta` VALUES("622", "303", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-16.webp\";s:8:\"filesize\";i:227012;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-16-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5070;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-16-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:29116;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-16-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2794;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-16-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:18420;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-16-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:60762;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-16-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:105706;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-16-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:40680;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-16-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:99544;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("623", "304", "_wp_attached_file", "2023/06/image-18.webp");
INSERT INTO `wp_postmeta` VALUES("624", "304", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-18.webp\";s:8:\"filesize\";i:187502;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-18-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5124;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-18-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:34968;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-18-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2926;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-18-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:21650;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-18-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:69176;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-18-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:115202;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-18-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:50264;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-18-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:108570;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("625", "305", "_wp_attached_file", "2023/06/image-20.webp");
INSERT INTO `wp_postmeta` VALUES("626", "305", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-20.webp\";s:8:\"filesize\";i:239318;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-20-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2712;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-20-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:29904;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-20-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1240;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-20-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:14690;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-20-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:82738;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-20-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:150336;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-20-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52814;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-20-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:141050;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("627", "306", "_wp_attached_file", "2023/06/image-23.webp");
INSERT INTO `wp_postmeta` VALUES("628", "306", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-23.webp\";s:8:\"filesize\";i:170792;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-23-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4588;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-23-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:32490;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-23-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2286;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-23-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:19538;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-23-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:67052;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-23-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:107622;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-23-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46288;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-23-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:101470;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("629", "307", "_wp_attached_file", "2023/06/christophe-rollando-UqJ9r4ptgQ8-unsplash-1.jpg");
INSERT INTO `wp_postmeta` VALUES("630", "307", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:54:\"2023/06/christophe-rollando-UqJ9r4ptgQ8-unsplash-1.jpg\";s:8:\"filesize\";i:636180;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12525;}s:5:\"large\";a:5:{s:4:\"file\";s:55:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103319;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4096;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61551;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:56:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:216224;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:56:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:357091;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:55:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1200x841.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145964;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:56:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1980x1388.jpg\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:337504;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("632", "22", "_thumbnail_id", "307");
INSERT INTO `wp_postmeta` VALUES("639", "21", "_thumbnail_id", "297");
INSERT INTO `wp_postmeta` VALUES("721", "253", "_wp_old_date", "2023-06-11");
INSERT INTO `wp_postmeta` VALUES("722", "444", "_wp_attached_file", "2023/08/Q-Duck-Logo-Trans.png");
INSERT INTO `wp_postmeta` VALUES("723", "444", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:29:\"2023/08/Q-Duck-Logo-Trans.png\";s:8:\"filesize\";i:37771;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"Q-Duck-Logo-Trans-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2873;}s:5:\"large\";a:5:{s:4:\"file\";s:31:\"Q-Duck-Logo-Trans-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15986;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"Q-Duck-Logo-Trans-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1333;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"Q-Duck-Logo-Trans-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10044;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("724", "445", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("725", "447", "_wp_attached_file", "2023/08/DuckLogo.png");
INSERT INTO `wp_postmeta` VALUES("726", "447", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:446;s:6:\"height\";i:362;s:4:\"file\";s:20:\"2023/08/DuckLogo.png\";s:8:\"filesize\";i:14416;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"DuckLogo-300x243.png\";s:5:\"width\";i:300;s:6:\"height\";i:243;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8254;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"DuckLogo-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4144;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("746", "9", "_wp_old_date", "2021-06-10");
INSERT INTO `wp_postmeta` VALUES("748", "259", "_wp_old_date", "2023-06-01");
INSERT INTO `wp_postmeta` VALUES("750", "249", "_wp_old_date", "2023-06-11");
INSERT INTO `wp_postmeta` VALUES("753", "249", "_wp_old_date", "2023-08-11");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("2", "1", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "<!-- wp:paragraph -->\n<p>This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...or something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>As a new WordPress user, you should go to <a href=\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!</p>\n<!-- /wp:paragraph -->", "Sample Page", "", "publish", "closed", "open", "", "sample-page", "", "", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("3", "1", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "<!-- wp:heading --><h2>Who we are</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Our website address is: http://localhost:8888/exams/midterms-summer-2023/first-attempt.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Comments</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&#8217;s IP address and browser user agent string to help spam detection.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: https://automattic.com/privacy/. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Media</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Cookies</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment on our site you may opt-in to saving your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you visit our login page, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &quot;Remember Me&quot;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Embedded content from other websites</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracking your interaction with the embedded content if you have an account and are logged in to that website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Who we share your data with</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you request a password reset, your IP address will be included in the reset email.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>How long we retain your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment, the comment and its metadata are retained indefinitely. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>What rights you have over your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you have an account on this site, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Where your data is sent</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Visitor comments may be checked through an automated spam detection service.</p><!-- /wp:paragraph -->", "Privacy Policy", "", "draft", "closed", "open", "", "privacy-policy", "", "", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("5", "1", "2023-06-10 06:30:05", "2023-06-10 06:30:05", "", "christophe-rollando-qjwd5VipY64-unsplash", "", "inherit", "open", "closed", "", "christophe-rollando-qjwd5vipy64-unsplash", "", "", "2023-06-10 06:30:05", "2023-06-10 06:30:05", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/christophe-rollando-qjwd5VipY64-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7", "3", "2021-06-10 06:38:40", "2021-06-10 06:38:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Gloomy Sunday", "", "publish", "open", "open", "", "quo-ratione-aspernatur", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=7", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2023-06-10 06:38:40", "2023-06-10 06:38:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-06-10 06:38:40", "2023-06-10 06:38:40", "", "7", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=8", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("9", "2", "2023-08-10 11:40:30", "2023-08-10 11:40:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Foggy Dew", "", "publish", "open", "open", "", "quo-ratione-aspernatur-3", "", "", "2023-08-11 21:49:55", "2023-08-11 21:49:55", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=9", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("10", "2", "2021-06-10 06:41:02", "2021-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "By the Rivers of Babylon", "", "publish", "open", "open", "", "quo-ratione-aspernatur-16", "", "", "2023-08-10 17:59:11", "2023-08-10 17:59:11", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=10", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("11", "2", "2021-06-10 06:40:15", "2021-06-10 06:40:15", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Success Has Made a Failure of Our Home", "", "publish", "open", "open", "", "quo-ratione-aspernatur-2", "", "", "2023-08-10 17:53:44", "2023-08-10 17:53:44", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=11", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("12", "1", "2023-06-10 06:40:15", "2023-06-10 06:40:15", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2023-06-10 06:40:15", "2023-06-10 06:40:15", "", "11", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=12", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("13", "1", "2023-06-10 06:40:30", "2023-06-10 06:40:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-06-10 06:40:30", "2023-06-10 06:40:30", "", "9", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=13", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("15", "2", "2018-06-10 06:41:02", "2018-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "This is a Rebel Song", "", "publish", "open", "open", "", "quo-ratione-aspernatur-12", "", "", "2023-08-10 17:55:39", "2023-08-10 17:55:39", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=15", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("16", "3", "2017-06-10 06:41:02", "2017-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Just Call Me Joe", "", "publish", "open", "open", "", "quo-ratione-aspernatur-13", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=16", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("17", "3", "2016-06-10 06:41:02", "2016-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Emma\'s Song", "", "publish", "open", "open", "", "quo-ratione-aspernatur-14", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=17", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("18", "2", "2017-06-10 06:41:02", "2017-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Never Get Old", "", "publish", "open", "open", "", "quo-ratione-aspernatur-15", "", "", "2023-08-10 17:58:47", "2023-08-10 17:58:47", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=18", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("19", "3", "2018-06-10 06:41:01", "2018-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Lamb\'s Book of Life", "", "publish", "open", "open", "", "quo-ratione-aspernatur-4", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=19", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("20", "2", "2019-06-10 06:41:01", "2019-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Fire on Babylon", "", "publish", "open", "open", "", "quo-ratione-aspernatur-5", "", "", "2023-08-10 17:54:36", "2023-08-10 17:54:36", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=20", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("21", "3", "2019-06-10 06:41:01", "2019-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "I\'ll Tell Me Ma", "", "publish", "open", "open", "", "quo-ratione-aspernatur-6", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=21", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("22", "3", "2022-06-10 06:41:01", "2022-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "In This Heart", "", "publish", "open", "open", "", "quo-ratione-aspernatur-7", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=22", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("23", "3", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "4th and Vine", "", "publish", "open", "open", "", "quo-ratione-aspernatur-8", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=23", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("24", "2", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Jump In The River", "", "publish", "open", "open", "", "quo-ratione-aspernatur-9", "", "", "2023-08-10 17:51:46", "2023-08-10 17:51:46", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=24", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("25", "3", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Wolf is Getting Married", "", "publish", "open", "open", "", "quo-ratione-aspernatur-10", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=25", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("26", "3", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Troy", "", "publish", "open", "open", "", "quo-ratione-aspernatur-11", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=26", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("27", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "19-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "19", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=27", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("28", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "20-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "20", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=28", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("29", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "21", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=29", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("30", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "22-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "22", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=30", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("31", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "23", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=31", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("32", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "24", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=32", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("33", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "25", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=33", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "26-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "26", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=34", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("35", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "15", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=35", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "16-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "16", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=36", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("37", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "17-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "17", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=37", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "18-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "18", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=38", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("39", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "10", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=39", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2023-06-10 06:41:53", "0000-00-00 00:00:00", " ", "", "", "draft", "closed", "closed", "", "", "", "", "2023-06-10 06:41:53", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=41", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2023-06-10 07:35:24", "2023-06-10 07:35:24", "<!-- wp:navigation-link {\"label\":\"Food\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/food/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Movies\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/movies/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/music/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":2,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/politics/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Main Menu", "", "publish", "closed", "closed", "", "main-menu", "", "", "2023-08-11 22:27:04", "2023-08-11 22:27:04", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/2023/06/10/main-menu/", "0", "wp_navigation", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Accusantium doloribus autem", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "7", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=75", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("76", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Recusandae quis nam", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "9", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=76", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("77", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Et nihil pariatur", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "10", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=77", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Veniam iste obcaecati", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "11", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=78", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Et ducimus eum", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "15", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=79", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Eveniet excepturi illo", "", "inherit", "closed", "closed", "", "16-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "16", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=80", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Fugiat eius nulla", "", "inherit", "closed", "closed", "", "17-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "17", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=81", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Obcaecati numquam nihil", "", "inherit", "closed", "closed", "", "18-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "18", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=82", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("83", "1", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Odio doloremque numquam", "", "inherit", "closed", "closed", "", "20-revision-v1", "", "", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "", "20", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=83", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("84", "1", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Omnis voluptate itaque", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "", "21", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=84", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("85", "1", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Minus impedit vel", "", "inherit", "closed", "closed", "", "22-revision-v1", "", "", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "", "22", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=85", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("86", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Temporibus placeat illum", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "23", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=86", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("87", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Recusandae perspiciatis? Quam", "", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "24", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=87", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("88", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quas perferendis incidunt", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "25", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=88", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("89", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Consectetur nulla soluta", "", "inherit", "closed", "closed", "", "26-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "26", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=89", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "", "generatepress", "", "publish", "closed", "closed", "", "generatepress", "", "", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/2023/06/10/generatepress/", "0", "custom_css", "", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "\nhome.page-template-default .entry-title {\n	display: none;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=119", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("122", "1", "2023-06-10 21:12:50", "2023-06-10 21:12:50", "\n.home.page-template-default  .entry-title {\n	display: none;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-10 21:12:50", "2023-06-10 21:12:50", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=122", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("160", "1", "2023-06-10 23:45:27", "2023-06-10 23:45:27", "", "a65-design-XKqbBmCcJPg-unsplash", "", "inherit", "open", "closed", "", "a65-design-xkqbbmccjpg-unsplash", "", "", "2023-06-10 23:45:27", "2023-06-10 23:45:27", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/a65-design-XKqbBmCcJPg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2023-06-10 23:45:29", "2023-06-10 23:45:29", "", "dada_design-o5GiFSl5iYw-unsplash", "", "inherit", "open", "closed", "", "dada_design-o5gifsl5iyw-unsplash", "", "", "2023-06-10 23:45:29", "2023-06-10 23:45:29", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/dada_design-o5GiFSl5iYw-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("162", "1", "2023-06-10 23:45:32", "2023-06-10 23:45:32", "", "dada_design-vWyq7C2lfFg-unsplash", "", "inherit", "open", "closed", "", "dada_design-vwyq7c2lffg-unsplash", "", "", "2023-06-10 23:45:32", "2023-06-10 23:45:32", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/dada_design-vWyq7C2lfFg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("163", "1", "2023-06-10 23:45:34", "2023-06-10 23:45:34", "", "filip-baotic-4go5Rx5ivWE-unsplash", "", "inherit", "open", "closed", "", "filip-baotic-4go5rx5ivwe-unsplash", "", "", "2023-06-10 23:45:34", "2023-06-10 23:45:34", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/filip-baotic-4go5Rx5ivWE-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("164", "1", "2023-06-10 23:45:35", "2023-06-10 23:45:35", "", "guven-gunes-FkFJ5587Hzk-unsplash", "", "inherit", "open", "closed", "", "guven-gunes-fkfj5587hzk-unsplash", "", "", "2023-06-10 23:45:35", "2023-06-10 23:45:35", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/guven-gunes-FkFJ5587Hzk-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("165", "1", "2023-06-10 23:45:37", "2023-06-10 23:45:37", "", "guven-gunes-Iy3GN4iPLW8-unsplash", "", "inherit", "open", "closed", "", "guven-gunes-iy3gn4iplw8-unsplash", "", "", "2023-06-10 23:45:37", "2023-06-10 23:45:37", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/guven-gunes-Iy3GN4iPLW8-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("166", "1", "2023-06-10 23:45:39", "2023-06-10 23:45:39", "", "medhat-aiad-eE3Dl0zrDPI-unsplash", "", "inherit", "open", "closed", "", "medhat-aiad-ee3dl0zrdpi-unsplash", "", "", "2023-06-10 23:45:39", "2023-06-10 23:45:39", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/medhat-aiad-eE3Dl0zrDPI-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2023-06-10 23:45:41", "2023-06-10 23:45:41", "", "muhammad-ilyas-3f8vysI8ITE-unsplash", "", "inherit", "open", "closed", "", "muhammad-ilyas-3f8vysi8ite-unsplash", "", "", "2023-06-10 23:45:41", "2023-06-10 23:45:41", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/muhammad-ilyas-3f8vysI8ITE-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2023-06-10 23:45:44", "2023-06-10 23:45:44", "", "planet-volumes-oUrqWiOz_sg-unsplash", "", "inherit", "open", "closed", "", "planet-volumes-ourqwioz_sg-unsplash", "", "", "2023-06-10 23:45:44", "2023-06-10 23:45:44", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/planet-volumes-oUrqWiOz_sg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2023-06-10 23:45:46", "2023-06-10 23:45:46", "", "raspopova-marina-62-SHh-VxBQ-unsplash", "", "inherit", "open", "closed", "", "raspopova-marina-62-shh-vxbq-unsplash", "", "", "2023-06-10 23:45:46", "2023-06-10 23:45:46", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/raspopova-marina-62-SHh-VxBQ-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2023-06-10 23:45:48", "2023-06-10 23:45:48", "", "thestandingdesk-JoHD6SSI_Ig-unsplash", "", "inherit", "open", "closed", "", "thestandingdesk-johd6ssi_ig-unsplash", "", "", "2023-06-10 23:45:48", "2023-06-10 23:45:48", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/thestandingdesk-JoHD6SSI_Ig-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("176", "1", "2023-06-10 23:59:30", "2023-06-10 23:59:30", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.archive .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-10 23:59:30", "2023-06-10 23:59:30", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=176", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("178", "1", "2023-06-11 00:00:00", "2023-06-11 00:00:00", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:00:00", "2023-06-11 00:00:00", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=178", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2023-06-11 00:05:34", "2023-06-11 00:05:34", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive .post .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:05:34", "2023-06-11 00:05:34", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=180", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("182", "1", "2023-06-11 00:05:55", "2023-06-11 00:05:55", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:05:55", "2023-06-11 00:05:55", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=182", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("184", "1", "2023-06-11 00:06:17", "2023-06-11 00:06:17", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive .entry-meta {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:06:17", "2023-06-11 00:06:17", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=184", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2023-06-11 00:06:47", "2023-06-11 00:06:47", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:06:47", "2023-06-11 00:06:47", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=186", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2023-06-11 00:35:27", "2023-06-11 00:35:27", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:35:27", "2023-06-11 00:35:27", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=202", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2023-06-11 00:37:15", "2023-06-11 00:37:15", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary {\n	margin-left: unset;\n}\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:37:15", "2023-06-11 00:37:15", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=204", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2023-06-11 00:41:09", "2023-06-11 00:41:09", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary {\n	margin-left: unset;\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 20px solid #ddd;\n	width: 50px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:41:09", "2023-06-11 00:41:09", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=206", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("211", "1", "2023-06-11 01:01:13", "2023-06-11 01:01:13", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary {\n	margin-left: unset;\n}\n\n\n@media screen and (min-width: 900px) {\n	.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	margin-right: unset;\n}\n}\n\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 20px solid #eee;\n	width: 500px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:01:13", "2023-06-11 01:01:13", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=211", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("213", "1", "2023-06-11 01:04:45", "2023-06-11 01:04:45", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n}\n\n\n@media screen and (min-width: 900px) {\n	.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	margin-right: unset;\n}\n}\n\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:04:45", "2023-06-11 01:04:45", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=213", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("215", "1", "2023-06-11 01:07:14", "2023-06-11 01:07:14", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n}\n\n\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:07:14", "2023-06-11 01:07:14", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=215", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2023-06-11 01:10:41", "2023-06-11 01:10:41", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n		background: pink;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:10:41", "2023-06-11 01:10:41", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=217", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("219", "1", "2023-06-11 01:10:55", "2023-06-11 01:10:55", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:10:55", "2023-06-11 01:10:55", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=219", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("222", "1", "2023-06-11 01:52:46", "2023-06-11 01:52:46", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid hotpink;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:52:46", "2023-06-11 01:52:46", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=222", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("224", "1", "2023-06-11 01:53:43", "2023-06-11 01:53:43", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n	margin: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid hotpink;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:53:43", "2023-06-11 01:53:43", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=224", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2023-06-11 01:54:44", "2023-06-11 01:54:44", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:54:44", "2023-06-11 01:54:44", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=226", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("228", "1", "2023-06-11 02:23:42", "2023-06-11 02:23:42", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n\n\n.post-image img {\n    height: 360px;\n    object-fit: cover;\n    object-position: center;\n}\n\n\n\n\n\n\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 02:23:42", "2023-06-11 02:23:42", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=228", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("233", "1", "2023-06-11 02:50:08", "2023-06-11 02:50:08", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n\n\n.post-image img {\n    height: 360px;\n    object-fit: cover;\n    object-position: center;\n}\n\n\n\n\n.main-navigation .main-nav ul li a {\n	padding-right: 0;\n}\n\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 02:50:08", "2023-06-11 02:50:08", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=233", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("239", "1", "2023-06-11 17:22:03", "2023-06-11 17:22:03", "", "ian-dooley-_-JR5TxKNSo-unsplash", "", "inherit", "open", "closed", "", "ian-dooley-_-jr5txknso-unsplash", "", "", "2023-06-11 17:22:03", "2023-06-11 17:22:03", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/ian-dooley-_-JR5TxKNSo-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("240", "1", "2023-06-11 17:22:11", "2023-06-11 17:22:11", "", "felipepelaquim-1qvUsVrKrMI-unsplash", "", "inherit", "open", "closed", "", "felipepelaquim-1qvusvrkrmi-unsplash", "", "", "2023-06-11 17:22:11", "2023-06-11 17:22:11", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/felipepelaquim-1qvUsVrKrMI-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("241", "1", "2023-06-11 17:22:13", "2023-06-11 17:22:13", "", "sidekix-media-d5vYKvzD_kw-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-d5vykvzd_kw-unsplash", "", "", "2023-06-11 17:22:13", "2023-06-11 17:22:13", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/sidekix-media-d5vYKvzD_kw-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2023-06-11 17:22:15", "2023-06-11 17:22:15", "", "sophia-kunkel-F84XvXyEYk4-unsplash", "", "inherit", "open", "closed", "", "sophia-kunkel-f84xvxyeyk4-unsplash", "", "", "2023-06-11 17:22:15", "2023-06-11 17:22:15", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/sophia-kunkel-F84XvXyEYk4-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("243", "1", "2023-06-11 17:22:17", "2023-06-11 17:22:17", "", "becca-tapert-p6h5U-ns9o0-unsplash", "", "inherit", "open", "closed", "", "becca-tapert-p6h5u-ns9o0-unsplash", "", "", "2023-06-11 17:22:17", "2023-06-11 17:22:17", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/becca-tapert-p6h5U-ns9o0-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("244", "1", "2023-06-11 17:22:19", "2023-06-11 17:22:19", "", "guven-gunes-1P1f8zPF4PM-unsplash", "", "inherit", "open", "closed", "", "guven-gunes-1p1f8zpf4pm-unsplash", "", "", "2023-06-11 17:22:19", "2023-06-11 17:22:19", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/guven-gunes-1P1f8zPF4PM-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("245", "1", "2023-06-11 17:22:21", "2023-06-11 17:22:21", "", "sidekix-media-zLT3VqWEgOQ-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-zlt3vqwegoq-unsplash", "", "", "2023-06-11 17:22:21", "2023-06-11 17:22:21", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/sidekix-media-zLT3VqWEgOQ-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("246", "1", "2023-06-11 17:22:23", "2023-06-11 17:22:23", "", "sidekix-media-lrk0l9w8rI0-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-lrk0l9w8ri0-unsplash", "", "", "2023-06-11 17:22:23", "2023-06-11 17:22:23", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/sidekix-media-lrk0l9w8rI0-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("247", "1", "2023-06-11 17:22:25", "2023-06-11 17:22:25", "", "sidekix-media-l6u4GIKvxBs-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-l6u4gikvxbs-unsplash", "", "", "2023-06-11 17:22:25", "2023-06-11 17:22:25", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/sidekix-media-l6u4GIKvxBs-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2023-06-11 17:22:27", "2023-06-11 17:22:27", "", "angelo-pantazis-N4wUsqIbMAM-unsplash", "", "inherit", "open", "closed", "", "angelo-pantazis-n4wusqibmam-unsplash", "", "", "2023-06-11 17:22:27", "2023-06-11 17:22:27", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/angelo-pantazis-N4wUsqIbMAM-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("249", "3", "2023-08-10 12:00:08", "2023-08-10 12:00:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "I Am Stretched on Your Grave", "", "publish", "open", "open", "", "non-asperiores", "", "", "2023-08-11 21:55:01", "2023-08-11 21:55:01", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=249", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2023-06-11 17:24:08", "2023-06-11 17:24:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Non asperiores", "", "inherit", "closed", "closed", "", "249-revision-v1", "", "", "2023-06-11 17:24:08", "2023-06-11 17:24:08", "", "249", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=251", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("252", "2", "2023-06-11 17:25:02", "2023-06-11 17:25:02", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Drink Before the War", "", "publish", "open", "open", "", "rerum-illo-aut", "", "", "2023-08-10 17:48:53", "2023-08-10 17:48:53", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=252", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("253", "2", "2022-06-11 17:25:05", "2022-06-11 17:25:05", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Molly Malone", "", "publish", "open", "open", "", "eum-alias-cupiditate", "", "", "2023-08-10 18:00:04", "2023-08-10 18:00:04", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=253", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("254", "3", "2021-06-11 17:25:14", "2021-06-11 17:25:14", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "My Special Child", "", "publish", "open", "open", "", "quod-molestiae-qui", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=254", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("255", "2", "2020-06-11 17:25:23", "2020-06-11 17:25:23", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "He Moved Through the Fair", "", "publish", "open", "open", "", "ut-earum-consequatur", "", "", "2023-08-10 17:54:28", "2023-08-10 17:54:28", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=255", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("256", "3", "2023-02-11 17:25:23", "2023-02-11 17:25:23", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "The Last Day of Our Acquaintance", "", "publish", "open", "open", "", "aut-internos", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=256", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("257", "2", "2022-06-11 17:25:23", "2022-06-11 17:25:23", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "The Emperor\'s New Clothes", "", "publish", "open", "open", "", "est-voluptatum-incidunt", "", "", "2023-08-10 17:49:53", "2023-08-10 17:49:53", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=257", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("258", "2", "2021-06-11 17:25:34", "2021-06-11 17:25:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "No Man\'s Woman", "", "publish", "open", "open", "", "non-asperiores-2", "", "", "2023-08-10 17:50:57", "2023-08-10 17:50:57", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=258", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("259", "2", "2023-08-11 01:25:34", "2023-08-11 01:25:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Whomsoever Dwells", "", "publish", "open", "open", "", "ut-praesentium-animi", "", "", "2023-08-11 21:51:00", "2023-08-11 21:51:00", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=259", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("260", "3", "2022-02-11 17:25:34", "2022-02-11 17:25:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Feel So Different", "", "publish", "open", "open", "", "quo-modi-laudantium", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=260", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("261", "1", "2023-06-11 17:26:02", "2023-06-11 17:26:02", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Non asperiores", "", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2023-06-11 17:26:02", "2023-06-11 17:26:02", "", "258", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=261", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("262", "1", "2023-06-11 17:26:27", "2023-06-11 17:26:27", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Rerum illo aut", "", "inherit", "closed", "closed", "", "252-revision-v1", "", "", "2023-06-11 17:26:27", "2023-06-11 17:26:27", "", "252", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=262", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("263", "1", "2023-06-11 17:26:42", "2023-06-11 17:26:42", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Eum alias cupiditate", "", "inherit", "closed", "closed", "", "253-revision-v1", "", "", "2023-06-11 17:26:42", "2023-06-11 17:26:42", "", "253", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=263", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("264", "1", "2023-06-11 17:27:10", "2023-06-11 17:27:10", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quod molestiae qui", "", "inherit", "closed", "closed", "", "254-revision-v1", "", "", "2023-06-11 17:27:10", "2023-06-11 17:27:10", "", "254", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=264", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("265", "1", "2023-06-11 17:27:29", "2023-06-11 17:27:29", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Est voluptatum incidunt", "", "inherit", "closed", "closed", "", "257-revision-v1", "", "", "2023-06-11 17:27:29", "2023-06-11 17:27:29", "", "257", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=265", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("266", "1", "2023-06-11 17:27:47", "2023-06-11 17:27:47", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Aut internos", "", "inherit", "closed", "closed", "", "256-revision-v1", "", "", "2023-06-11 17:27:47", "2023-06-11 17:27:47", "", "256", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=266", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("267", "1", "2023-06-11 17:29:11", "2023-06-11 17:29:11", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Ut earum consequatur", "", "inherit", "closed", "closed", "", "255-revision-v1", "", "", "2023-06-11 17:29:11", "2023-06-11 17:29:11", "", "255", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=267", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("268", "1", "2023-06-11 17:29:34", "2023-06-11 17:29:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quo modi laudantium", "", "inherit", "closed", "closed", "", "260-revision-v1", "", "", "2023-06-11 17:29:34", "2023-06-11 17:29:34", "", "260", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=268", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("269", "1", "2023-06-11 17:29:57", "2023-06-11 17:29:57", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Ut praesentium animi", "", "inherit", "closed", "closed", "", "259-revision-v1", "", "", "2023-06-11 17:29:57", "2023-06-11 17:29:57", "", "259", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=269", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("270", "1", "2023-06-11 17:30:17", "2023-06-11 17:30:17", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quod dolorum eum", "", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2023-06-11 17:30:17", "2023-06-11 17:30:17", "", "258", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=270", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("285", "1", "2023-06-11 19:11:08", "2023-06-11 19:11:08", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n\n.featured-image img,\n.post-image img {\n    height: 360px;\n    object-fit: cover;\n    object-position: center;\n}\n\n\n\n\n.main-navigation .main-nav ul li a {\n	padding-right: 0;\n}\n\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 19:11:08", "2023-06-11 19:11:08", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=285", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("295", "1", "2023-06-11 22:00:42", "2023-06-11 22:00:42", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentythree", "", "", "2023-06-11 22:00:42", "2023-06-11 22:00:42", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/2023/06/11/wp-global-styles-twentytwentythree/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("296", "1", "2023-06-11 22:01:42", "2023-06-11 22:01:42", "<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:site-title {\"level\":0} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Header", "", "publish", "closed", "closed", "", "header", "", "", "2023-06-11 22:01:42", "2023-06-11 22:01:42", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/2023/06/11/header/", "0", "wp_template_part", "", "0");
INSERT INTO `wp_posts` VALUES("297", "1", "2023-06-12 20:44:24", "2023-06-12 20:44:24", "", "image-1", "", "inherit", "open", "closed", "", "image-1", "", "", "2023-06-12 20:44:24", "2023-06-12 20:44:24", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-1.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("298", "1", "2023-06-12 20:44:32", "2023-06-12 20:44:32", "", "image-2", "", "inherit", "open", "closed", "", "image-2", "", "", "2023-06-12 20:44:32", "2023-06-12 20:44:32", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("299", "1", "2023-06-12 20:44:40", "2023-06-12 20:44:40", "", "image-3", "", "inherit", "open", "closed", "", "image-3", "", "", "2023-06-12 20:44:40", "2023-06-12 20:44:40", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-3.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("300", "1", "2023-06-12 20:44:47", "2023-06-12 20:44:47", "", "image-8", "", "inherit", "open", "closed", "", "image-8", "", "", "2023-06-12 20:44:47", "2023-06-12 20:44:47", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-8.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("301", "1", "2023-06-12 20:44:54", "2023-06-12 20:44:54", "", "image-13", "", "inherit", "open", "closed", "", "image-13", "", "", "2023-06-12 20:44:54", "2023-06-12 20:44:54", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-13.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("302", "1", "2023-06-12 20:45:01", "2023-06-12 20:45:01", "", "image-15", "", "inherit", "open", "closed", "", "image-15", "", "", "2023-06-12 20:45:01", "2023-06-12 20:45:01", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-15.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("303", "1", "2023-06-12 20:45:08", "2023-06-12 20:45:08", "", "image-16", "", "inherit", "open", "closed", "", "image-16", "", "", "2023-06-12 20:45:08", "2023-06-12 20:45:08", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-16.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("304", "1", "2023-06-12 20:45:15", "2023-06-12 20:45:15", "", "image-18", "", "inherit", "open", "closed", "", "image-18", "", "", "2023-06-12 20:45:15", "2023-06-12 20:45:15", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-18.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("305", "1", "2023-06-12 20:45:21", "2023-06-12 20:45:21", "", "image-20", "", "inherit", "open", "closed", "", "image-20", "", "", "2023-06-12 20:45:21", "2023-06-12 20:45:21", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-20.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("306", "1", "2023-06-12 20:45:28", "2023-06-12 20:45:28", "", "image-23", "", "inherit", "open", "closed", "", "image-23", "", "", "2023-06-12 20:45:28", "2023-06-12 20:45:28", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/image-23.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("307", "1", "2023-06-12 20:46:41", "2023-06-12 20:46:41", "", "christophe-rollando-UqJ9r4ptgQ8-unsplash", "", "inherit", "open", "closed", "", "christophe-rollando-uqj9r4ptgq8-unsplash-2", "", "", "2023-06-12 20:46:41", "2023-06-12 20:46:41", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/06/christophe-rollando-UqJ9r4ptgQ8-unsplash-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("309", "1", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "118", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=309", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("310", "1", "2023-08-03 04:00:35", "2023-08-03 04:00:35", "{\"styles\":{\"css\":\"\",\"elements\":{\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-irishpassport", "", "", "2023-08-10 20:00:38", "2023-08-10 20:00:38", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/2023/08/03/wp-global-styles-irishpassport/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("313", "1", "2023-08-03 04:18:55", "2023-08-03 04:18:55", "{\"styles\":{\"typography\":{\"lineHeight\":1.5}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 04:18:55", "2023-08-03 04:18:55", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=313", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("318", "1", "2023-08-03 04:20:43", "2023-08-03 04:20:43", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 04:20:43", "2023-08-03 04:20:43", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=318", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("324", "1", "2023-08-03 05:12:13", "2023-08-03 05:12:13", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:12:13", "2023-08-03 05:12:13", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=324", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("325", "1", "2023-08-03 05:13:20", "2023-08-03 05:13:20", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:13:20", "2023-08-03 05:13:20", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=325", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("326", "1", "2023-08-03 05:14:11", "2023-08-03 05:14:11", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nmargin-left: 210px;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:14:11", "2023-08-03 05:14:11", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=326", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("327", "1", "2023-08-03 05:15:02", "2023-08-03 05:15:02", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft; 210px;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:15:02", "2023-08-03 05:15:02", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=327", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("328", "1", "2023-08-03 05:17:51", "2023-08-03 05:17:51", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:17:51", "2023-08-03 05:17:51", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=328", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("330", "1", "2023-08-03 05:36:45", "2023-08-03 05:36:45", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:36:45", "2023-08-03 05:36:45", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=330", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("333", "1", "2023-08-03 05:43:09", "2023-08-03 05:43:09", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:43:09", "2023-08-03 05:43:09", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=333", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("335", "1", "2023-08-03 05:44:35", "2023-08-03 05:44:35", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:44:35", "2023-08-03 05:44:35", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=335", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("336", "1", "2023-08-03 05:46:07", "2023-08-03 05:46:07", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n.sidebar-header {\\n\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:46:07", "2023-08-03 05:46:07", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=336", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("337", "1", "2023-08-03 05:47:32", "2023-08-03 05:47:32", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n.sidebar-header {\\n   position: fixed\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:47:32", "2023-08-03 05:47:32", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=337", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("338", "1", "2023-08-03 05:48:36", "2023-08-03 05:48:36", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n.sidebar-header {\\n   position: fixed;\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:48:36", "2023-08-03 05:48:36", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=338", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("339", "1", "2023-08-03 05:48:54", "2023-08-03 05:48:54", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:48:54", "2023-08-03 05:48:54", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=339", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("342", "1", "2023-08-03 05:53:45", "2023-08-03 05:53:45", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\",\"spacing\":{\"padding\":{\"top\":\"4.12rem\",\"right\":\"4.12rem\",\"bottom\":\"4.12rem\",\"left\":\"4.12rem\"}}},\"settings\":{\"layout\":{\"contentSize\":\"100%\",\"wideSize\":\"1000%\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:53:45", "2023-08-03 05:53:45", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=342", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("343", "1", "2023-08-03 06:43:19", "2023-08-03 06:43:19", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|sora\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\",\"spacing\":{\"padding\":{\"top\":\"4.12rem\",\"right\":\"4.12rem\",\"bottom\":\"4.12rem\",\"left\":\"4.12rem\"}}},\"settings\":{\"layout\":{\"contentSize\":\"100%\",\"wideSize\":\"1000%\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:43:19", "2023-08-03 06:43:19", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=343", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("344", "1", "2023-08-03 06:48:07", "2023-08-03 06:48:07", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|sora\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\",\"spacing\":{\"padding\":{\"top\":\"4.12rem\",\"right\":\"4.12rem\",\"bottom\":\"4.12rem\",\"left\":\"4.12rem\"}},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|volkhov\"}}}},\"settings\":{\"layout\":{\"contentSize\":\"100%\",\"wideSize\":\"1000%\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:48:07", "2023-08-03 06:48:07", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=344", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("345", "1", "2023-08-03 06:48:28", "2023-08-03 06:48:28", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|volkhov\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\",\"spacing\":{\"padding\":{\"top\":\"4.12rem\",\"right\":\"4.12rem\",\"bottom\":\"4.12rem\",\"left\":\"4.12rem\"}},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|sora\"}}}},\"settings\":{\"layout\":{\"contentSize\":\"100%\",\"wideSize\":\"1000%\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:48:28", "2023-08-03 06:48:28", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=345", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("347", "1", "2023-08-03 06:50:20", "2023-08-03 06:50:20", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:50:20", "2023-08-03 06:50:20", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=347", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("349", "1", "2023-08-03 06:51:04", "2023-08-03 06:51:04", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"}}}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:51:04", "2023-08-03 06:51:04", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=349", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("350", "1", "2023-08-03 06:51:46", "2023-08-03 06:51:46", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:51:46", "2023-08-03 06:51:46", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=350", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("352", "1", "2023-08-03 06:52:56", "2023-08-03 06:52:56", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:52:56", "2023-08-03 06:52:56", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=352", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("356", "1", "2023-08-03 15:37:02", "2023-08-03 15:37:02", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"}}},\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 15:37:02", "2023-08-03 15:37:02", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=356", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("357", "1", "2023-08-03 15:37:57", "2023-08-03 15:37:57", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"}}},\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 15:37:57", "2023-08-03 15:37:57", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=357", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("358", "1", "2023-08-03 15:38:14", "2023-08-03 15:38:14", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"}}},\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 15:38:14", "2023-08-03 15:38:14", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=358", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("362", "1", "2023-08-04 20:54:38", "2023-08-04 20:54:38", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 20:54:38", "2023-08-04 20:54:38", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=362", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("366", "1", "2023-08-04 21:16:15", "2023-08-04 21:16:15", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:16:15", "2023-08-04 21:16:15", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=366", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("367", "1", "2023-08-04 21:17:05", "2023-08-04 21:17:05", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:17:05", "2023-08-04 21:17:05", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=367", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("368", "1", "2023-08-04 21:23:34", "2023-08-04 21:23:34", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title {\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:23:34", "2023-08-04 21:23:34", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=368", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("369", "1", "2023-08-04 21:28:48", "2023-08-04 21:28:48", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n\\n\\n\\nh1.wp-block-query-title {\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:28:48", "2023-08-04 21:28:48", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=369", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("370", "1", "2023-08-04 21:29:21", "2023-08-04 21:29:21", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title span {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title {\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:29:21", "2023-08-04 21:29:21", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=370", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("371", "1", "2023-08-04 21:30:00", "2023-08-04 21:30:00", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:30:00", "2023-08-04 21:30:00", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=371", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("373", "1", "2023-08-04 21:36:33", "2023-08-04 21:36:33", "<!-- wp:navigation-link {\"label\":\"Food\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/food/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Movies\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/movies/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/music/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":2,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/politics/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Main Menu", "", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2023-08-04 21:36:33", "2023-08-04 21:36:33", "", "62", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=373", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("388", "1", "2023-08-05 18:58:04", "2023-08-05 18:58:04", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\n@media screen and (min-width: 600px) {\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-05 18:58:04", "2023-08-05 18:58:04", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=388", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("395", "1", "2023-08-10 17:48:53", "2023-08-10 17:48:53", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Drink Before the War", "", "inherit", "closed", "closed", "", "252-revision-v1", "", "", "2023-08-10 17:48:53", "2023-08-10 17:48:53", "", "252", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=395", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("396", "1", "2023-08-10 17:49:12", "2023-08-10 17:49:12", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "I Am Stretched on Your Grave", "", "inherit", "closed", "closed", "", "249-revision-v1", "", "", "2023-08-10 17:49:12", "2023-08-10 17:49:12", "", "249", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=396", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("397", "1", "2023-08-10 17:49:26", "2023-08-10 17:49:26", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Whomsoever Dwells", "", "inherit", "closed", "closed", "", "259-revision-v1", "", "", "2023-08-10 17:49:26", "2023-08-10 17:49:26", "", "259", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=397", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("398", "1", "2023-08-10 17:49:40", "2023-08-10 17:49:40", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "The Last Day of Our Acquaintance", "", "inherit", "closed", "closed", "", "256-revision-v1", "", "", "2023-08-10 17:49:40", "2023-08-10 17:49:40", "", "256", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=398", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("399", "1", "2023-08-10 17:49:53", "2023-08-10 17:49:53", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "The Emperor\'s New Clothes", "", "inherit", "closed", "closed", "", "257-revision-v1", "", "", "2023-08-10 17:49:53", "2023-08-10 17:49:53", "", "257", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=399", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("400", "1", "2023-08-10 17:50:30", "2023-08-10 17:50:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "In This Heart", "", "inherit", "closed", "closed", "", "22-revision-v1", "", "", "2023-08-10 17:50:30", "2023-08-10 17:50:30", "", "22", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=400", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("401", "1", "2023-08-10 17:50:40", "2023-08-10 17:50:40", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Feel So Different", "", "inherit", "closed", "closed", "", "260-revision-v1", "", "", "2023-08-10 17:50:40", "2023-08-10 17:50:40", "", "260", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=401", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("402", "1", "2023-08-10 17:50:57", "2023-08-10 17:50:57", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "No Man\'s Woman", "", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2023-08-10 17:50:57", "2023-08-10 17:50:57", "", "258", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=402", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("403", "1", "2023-08-10 17:51:09", "2023-08-10 17:51:09", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "My Special Child", "", "inherit", "closed", "closed", "", "254-revision-v1", "", "", "2023-08-10 17:51:09", "2023-08-10 17:51:09", "", "254", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=403", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("404", "1", "2023-08-10 17:51:21", "2023-08-10 17:51:21", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "By the Rivers of Babylon", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2023-08-10 17:51:21", "2023-08-10 17:51:21", "", "10", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=404", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("405", "1", "2023-08-10 17:51:31", "2023-08-10 17:51:31", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "4th and Vine", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-08-10 17:51:31", "2023-08-10 17:51:31", "", "23", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=405", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("406", "1", "2023-08-10 17:51:46", "2023-08-10 17:51:46", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Jump In The River", "", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2023-08-10 17:51:46", "2023-08-10 17:51:46", "", "24", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=406", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("407", "1", "2023-08-10 17:52:18", "2023-08-10 17:52:18", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Wolf is Getting Married", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2023-08-10 17:52:18", "2023-08-10 17:52:18", "", "25", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=407", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("408", "1", "2023-08-10 17:52:40", "2023-08-10 17:52:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Foggy Dw", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-08-10 17:52:40", "2023-08-10 17:52:40", "", "9", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=408", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("409", "1", "2023-08-10 17:52:53", "2023-08-10 17:52:53", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Troy", "", "inherit", "closed", "closed", "", "26-revision-v1", "", "", "2023-08-10 17:52:53", "2023-08-10 17:52:53", "", "26", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=409", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("410", "1", "2023-08-10 17:52:59", "2023-08-10 17:52:59", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Foggy Dew", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-08-10 17:52:59", "2023-08-10 17:52:59", "", "9", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=410", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("411", "1", "2023-08-10 17:53:44", "2023-08-10 17:53:44", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Success Has Made a Failure of Our Home", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2023-08-10 17:53:44", "2023-08-10 17:53:44", "", "11", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=411", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("412", "1", "2023-08-10 17:53:55", "2023-08-10 17:53:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Gloomy Sunday", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-08-10 17:53:55", "2023-08-10 17:53:55", "", "7", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=412", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("413", "1", "2023-08-10 17:54:28", "2023-08-10 17:54:28", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "He Moved Through the Fair", "", "inherit", "closed", "closed", "", "255-revision-v1", "", "", "2023-08-10 17:54:28", "2023-08-10 17:54:28", "", "255", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=413", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("414", "1", "2023-08-10 17:54:36", "2023-08-10 17:54:36", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Fire on Babylon", "", "inherit", "closed", "closed", "", "20-revision-v1", "", "", "2023-08-10 17:54:36", "2023-08-10 17:54:36", "", "20", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=414", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("415", "1", "2023-08-10 17:55:08", "2023-08-10 17:55:08", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "I\'ll Tell Me Ma", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2023-08-10 17:55:08", "2023-08-10 17:55:08", "", "21", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=415", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("416", "1", "2023-08-10 17:55:39", "2023-08-10 17:55:39", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "This is a Rebel Song", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2023-08-10 17:55:39", "2023-08-10 17:55:39", "", "15", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=416", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("417", "1", "2023-08-10 17:55:53", "2023-08-10 17:55:53", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Lamb\'s Book of Life", "", "inherit", "closed", "closed", "", "19-revision-v1", "", "", "2023-08-10 17:55:53", "2023-08-10 17:55:53", "", "19", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=417", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("418", "1", "2023-08-10 17:56:14", "2023-08-10 17:56:14", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Just Call Me Joe", "", "inherit", "closed", "closed", "", "16-revision-v1", "", "", "2023-08-10 17:56:14", "2023-08-10 17:56:14", "", "16", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=418", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("419", "1", "2023-08-10 17:58:47", "2023-08-10 17:58:47", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Never Get Old", "", "inherit", "closed", "closed", "", "18-revision-v1", "", "", "2023-08-10 17:58:47", "2023-08-10 17:58:47", "", "18", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=419", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("420", "1", "2023-08-10 17:59:24", "2023-08-10 17:59:24", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Emma\'s Song", "", "inherit", "closed", "closed", "", "17-revision-v1", "", "", "2023-08-10 17:59:24", "2023-08-10 17:59:24", "", "17", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=420", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("421", "1", "2023-08-10 17:59:56", "2023-08-10 17:59:56", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Molly Malone", "", "inherit", "closed", "closed", "", "253-revision-v1", "", "", "2023-08-10 17:59:56", "2023-08-10 17:59:56", "", "253", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=421", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("422", "1", "2023-08-10 18:14:43", "2023-08-10 18:14:43", "{\"styles\":{\"css\":\"\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 18:14:43", "2023-08-10 18:14:43", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=422", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("424", "1", "2023-08-10 18:15:07", "2023-08-10 18:15:07", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\n@media screen and (min-width: 600px) {\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 18:15:07", "2023-08-10 18:15:07", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=424", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("444", "1", "2023-08-10 18:54:12", "2023-08-10 18:54:12", "", "Q-Duck-Logo-Trans", "", "inherit", "open", "closed", "", "q-duck-logo-trans", "", "", "2023-08-10 18:54:12", "2023-08-10 18:54:12", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/08/Q-Duck-Logo-Trans.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("445", "1", "2023-08-10 18:54:22", "2023-08-10 18:54:22", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "publish", "closed", "closed", "", "footer", "", "", "2023-08-10 19:23:27", "2023-08-10 19:23:27", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/2023/08/10/footer/", "0", "wp_template_part", "", "0");
INSERT INTO `wp_posts` VALUES("446", "1", "2023-08-10 18:55:00", "2023-08-10 18:55:00", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:site-logo {\"shouldSyncIcon\":false,\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#ffffff\"]}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "inherit", "closed", "closed", "", "445-revision-v1", "", "", "2023-08-10 18:55:00", "2023-08-10 18:55:00", "", "445", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=446", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("447", "1", "2023-08-10 19:20:53", "2023-08-10 19:20:53", "", "DuckLogo", "", "inherit", "open", "closed", "", "ducklogo", "", "", "2023-08-10 19:20:53", "2023-08-10 19:20:53", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/wp-content/uploads/2023/08/DuckLogo.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("448", "1", "2023-08-10 19:21:36", "2023-08-10 19:21:36", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:site-logo {\"shouldSyncIcon\":false,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#ffffff\"]}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "inherit", "closed", "closed", "", "445-revision-v1", "", "", "2023-08-10 19:21:36", "2023-08-10 19:21:36", "", "445", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=448", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("449", "1", "2023-08-10 19:22:51", "2023-08-10 19:22:51", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:site-logo {\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "inherit", "closed", "closed", "", "445-revision-v1", "", "", "2023-08-10 19:22:51", "2023-08-10 19:22:51", "", "445", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=449", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("451", "1", "2023-08-10 19:23:27", "2023-08-10 19:23:27", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "inherit", "closed", "closed", "", "445-revision-v1", "", "", "2023-08-10 19:23:27", "2023-08-10 19:23:27", "", "445", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=451", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("460", "1", "2023-08-10 19:54:04", "2023-08-10 19:54:04", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\n@media screen and (min-width: 600px) {\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\\n}\",\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 19:54:04", "2023-08-10 19:54:04", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=460", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("462", "1", "2023-08-10 19:54:29", "2023-08-10 19:54:29", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\n@media screen and (min-width: 600px) {\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\\n}\",\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 19:54:29", "2023-08-10 19:54:29", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=462", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("464", "1", "2023-08-10 20:00:38", "2023-08-10 20:00:38", "{\"styles\":{\"css\":\"\",\"elements\":{\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 20:00:38", "2023-08-10 20:00:38", "", "310", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=464", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("465", "1", "2023-08-11 19:06:05", "2023-08-11 19:06:05", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-irishpassport-ducky-saved", "", "", "2023-08-11 23:04:50", "2023-08-11 23:04:50", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/2023/08/11/wp-global-styles-irishpassport-ducky-saved/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("466", "1", "2023-08-11 19:09:54", "2023-08-11 19:09:54", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "465-revision-v1", "", "", "2023-08-11 19:09:54", "2023-08-11 19:09:54", "", "465", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=466", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("473", "1", "2023-08-11 19:46:20", "2023-08-11 19:46:20", "{\"styles\":[],\"settings\":{\"useRootPaddingAwareAlignments\":true,\"border\":{\"color\":true,\"radius\":true,\"style\":true,\"width\":true},\"shadow\":{\"presets\":{\"default\":[{\"name\":\"Natural\",\"slug\":\"natural\",\"shadow\":\"6px 6px 9px rgba(0, 0, 0, 0.2)\"},{\"name\":\"Deep\",\"slug\":\"deep\",\"shadow\":\"12px 12px 50px rgba(0, 0, 0, 0.4)\"},{\"name\":\"Sharp\",\"slug\":\"sharp\",\"shadow\":\"6px 6px 0px rgba(0, 0, 0, 0.2)\"},{\"name\":\"Outlined\",\"slug\":\"outlined\",\"shadow\":\"6px 6px 0px -3px rgba(255, 255, 255, 1), 6px 6px rgba(0, 0, 0, 1)\"},{\"name\":\"Crisp\",\"slug\":\"crisp\",\"shadow\":\"6px 6px 0px rgba(0, 0, 0, 1)\"}]},\"defaultPresets\":true},\"color\":{\"background\":true,\"button\":true,\"caption\":true,\"custom\":true,\"customDuotone\":true,\"customGradient\":true,\"defaultDuotone\":true,\"defaultGradients\":true,\"defaultPalette\":true,\"duotone\":{\"default\":[{\"name\":\"Dark grayscale\",\"colors\":[\"#000000\",\"#7f7f7f\"],\"slug\":\"dark-grayscale\"},{\"name\":\"Grayscale\",\"colors\":[\"#000000\",\"#ffffff\"],\"slug\":\"grayscale\"},{\"name\":\"Purple and yellow\",\"colors\":[\"#8c00b7\",\"#fcff41\"],\"slug\":\"purple-yellow\"},{\"name\":\"Blue and red\",\"colors\":[\"#000097\",\"#ff4747\"],\"slug\":\"blue-red\"},{\"name\":\"Midnight\",\"colors\":[\"#000000\",\"#00a5ff\"],\"slug\":\"midnight\"},{\"name\":\"Magenta and yellow\",\"colors\":[\"#c7005a\",\"#fff278\"],\"slug\":\"magenta-yellow\"},{\"name\":\"Purple and green\",\"colors\":[\"#a60072\",\"#67ff66\"],\"slug\":\"purple-green\"},{\"name\":\"Blue and orange\",\"colors\":[\"#1900d8\",\"#ffa96b\"],\"slug\":\"blue-orange\"}]},\"gradients\":{\"default\":[{\"name\":\"Vivid cyan blue to vivid purple\",\"gradient\":\"linear-gradient(135deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%)\",\"slug\":\"vivid-cyan-blue-to-vivid-purple\"},{\"name\":\"Light green cyan to vivid green cyan\",\"gradient\":\"linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%)\",\"slug\":\"light-green-cyan-to-vivid-green-cyan\"},{\"name\":\"Luminous vivid amber to luminous vivid orange\",\"gradient\":\"linear-gradient(135deg,rgba(252,185,0,1) 0%,rgba(255,105,0,1) 100%)\",\"slug\":\"luminous-vivid-amber-to-luminous-vivid-orange\"},{\"name\":\"Luminous vivid orange to vivid red\",\"gradient\":\"linear-gradient(135deg,rgba(255,105,0,1) 0%,rgb(207,46,46) 100%)\",\"slug\":\"luminous-vivid-orange-to-vivid-red\"},{\"name\":\"Very light gray to cyan bluish gray\",\"gradient\":\"linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%)\",\"slug\":\"very-light-gray-to-cyan-bluish-gray\"},{\"name\":\"Cool to warm spectrum\",\"gradient\":\"linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%)\",\"slug\":\"cool-to-warm-spectrum\"},{\"name\":\"Blush light purple\",\"gradient\":\"linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%)\",\"slug\":\"blush-light-purple\"},{\"name\":\"Blush bordeaux\",\"gradient\":\"linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%)\",\"slug\":\"blush-bordeaux\"},{\"name\":\"Luminous dusk\",\"gradient\":\"linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%)\",\"slug\":\"luminous-dusk\"},{\"name\":\"Pale ocean\",\"gradient\":\"linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%)\",\"slug\":\"pale-ocean\"},{\"name\":\"Electric grass\",\"gradient\":\"linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%)\",\"slug\":\"electric-grass\"},{\"name\":\"Midnight\",\"gradient\":\"linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%)\",\"slug\":\"midnight\"}]},\"heading\":true,\"link\":true,\"palette\":{\"default\":[{\"name\":\"Black\",\"slug\":\"black\",\"color\":\"#000000\"},{\"name\":\"Cyan bluish gray\",\"slug\":\"cyan-bluish-gray\",\"color\":\"#abb8c3\"},{\"name\":\"White\",\"slug\":\"white\",\"color\":\"#ffffff\"},{\"name\":\"Pale pink\",\"slug\":\"pale-pink\",\"color\":\"#f78da7\"},{\"name\":\"Vivid red\",\"slug\":\"vivid-red\",\"color\":\"#cf2e2e\"},{\"name\":\"Luminous vivid orange\",\"slug\":\"luminous-vivid-orange\",\"color\":\"#ff6900\"},{\"name\":\"Luminous vivid amber\",\"slug\":\"luminous-vivid-amber\",\"color\":\"#fcb900\"},{\"name\":\"Light green cyan\",\"slug\":\"light-green-cyan\",\"color\":\"#7bdcb5\"},{\"name\":\"Vivid green cyan\",\"slug\":\"vivid-green-cyan\",\"color\":\"#00d084\"},{\"name\":\"Pale cyan blue\",\"slug\":\"pale-cyan-blue\",\"color\":\"#8ed1fc\"},{\"name\":\"Vivid cyan blue\",\"slug\":\"vivid-cyan-blue\",\"color\":\"#0693e3\"},{\"name\":\"Vivid purple\",\"slug\":\"vivid-purple\",\"color\":\"#9b51e0\"}]},\"text\":true},\"dimensions\":{\"minHeight\":true},\"layout\":{\"contentSize\":\"98%\",\"wideSize\":\"1000%\"},\"position\":{\"sticky\":true},\"spacing\":{\"customSpacingSize\":true,\"spacingSizes\":{\"default\":[{\"name\":\"1\",\"slug\":\"20\",\"size\":\"0.44rem\"},{\"name\":\"2\",\"slug\":\"30\",\"size\":\"0.67rem\"},{\"name\":\"3\",\"slug\":\"40\",\"size\":\"1rem\"},{\"name\":\"4\",\"slug\":\"50\",\"size\":\"1.5rem\"},{\"name\":\"5\",\"slug\":\"60\",\"size\":\"2.25rem\"},{\"name\":\"6\",\"slug\":\"70\",\"size\":\"3.38rem\"},{\"name\":\"7\",\"slug\":\"80\",\"size\":\"5.06rem\"}]},\"spacingScale\":{\"operator\":\"*\",\"increment\":1.5,\"steps\":7,\"mediumStep\":1.5,\"unit\":\"rem\"},\"blockGap\":true,\"margin\":true,\"padding\":true,\"units\":[\"%\",\"px\",\"em\",\"rem\",\"vh\",\"vw\"]},\"typography\":{\"customFontSize\":true,\"dropCap\":true,\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"},{\"fontFace\":[{\"fontFamily\":\"Sora\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/sora_normal_700.ttf\"]},{\"fontFamily\":\"Sora\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/sora_normal_400.ttf\"]}],\"fontFamily\":\"Sora\",\"slug\":\"sora\"},{\"fontFace\":[{\"fontFamily\":\"Volkhov\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/volkhov_normal_400.ttf\"]},{\"fontFamily\":\"Volkhov\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/volkhov_normal_700.ttf\"]}],\"fontFamily\":\"Volkhov\",\"slug\":\"volkhov\"},{\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins_normal_400.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStyle\":\"italic\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins_italic_900.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins_normal_400.ttf\"]}],\"fontFamily\":\"Poppins\",\"slug\":\"poppins\"}]},\"fontSizes\":{\"default\":[{\"name\":\"Small\",\"slug\":\"small\",\"size\":\"13px\"},{\"name\":\"Medium\",\"slug\":\"medium\",\"size\":\"20px\"},{\"name\":\"Large\",\"slug\":\"large\",\"size\":\"36px\"},{\"name\":\"Extra Large\",\"slug\":\"x-large\",\"size\":\"42px\"}]},\"fontStyle\":true,\"fontWeight\":true,\"letterSpacing\":true,\"lineHeight\":true,\"textDecoration\":true,\"textTransform\":true}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "465-revision-v1", "", "", "2023-08-11 19:46:20", "2023-08-11 19:46:20", "", "465", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=473", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("476", "1", "2023-08-11 19:49:43", "2023-08-11 19:49:43", "<!-- wp:navigation-link {\"label\":\"Food\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/food/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Movies\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/movies/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link /-->\n\n<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/music/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":2,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/politics/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Main Menu", "", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2023-08-11 19:49:43", "2023-08-11 19:49:43", "", "62", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=476", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("492", "1", "2023-08-11 22:27:04", "2023-08-11 22:27:04", "<!-- wp:navigation-link {\"label\":\"Food\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/food/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Movies\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/movies/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/music/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":2,\"url\":\"http://localhost:8888/VIDEOS/irish-passport-video-solution-series/category/politics/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Main Menu", "", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2023-08-11 22:27:04", "2023-08-11 22:27:04", "", "62", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=492", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("493", "1", "2023-08-11 23:01:07", "2023-08-11 23:01:07", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "465-revision-v1", "", "", "2023-08-11 23:01:07", "2023-08-11 23:01:07", "", "465", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=493", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("494", "1", "2023-08-24 06:36:10", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2023-08-24 06:36:10", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series/?p=494", "0", "post", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("7", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("9", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("10", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("11", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("15", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("16", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("17", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("18", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("19", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("20", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("21", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("22", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("23", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("24", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("25", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("26", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("249", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("252", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("253", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("254", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("255", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("256", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("257", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("258", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("259", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("260", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("295", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("296", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("296", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("310", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("445", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("445", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("465", "12", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "category", "", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "category", "", "0", "6");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "category", "", "0", "6");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "category", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "wp_theme", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "wp_template_part_area", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("9", "9", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("10", "10", "wp_theme", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("11", "11", "wp_template_part_area", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("12", "12", "wp_theme", "", "0", "1");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("2", "Politics", "politics", "0");
INSERT INTO `wp_terms` VALUES("3", "Music", "music", "0");
INSERT INTO `wp_terms` VALUES("4", "Movies", "movies", "0");
INSERT INTO `wp_terms` VALUES("5", "Food", "food", "0");
INSERT INTO `wp_terms` VALUES("7", "twentytwentythree", "twentytwentythree", "0");
INSERT INTO `wp_terms` VALUES("8", "header", "header", "0");
INSERT INTO `wp_terms` VALUES("9", "Uncategorized", "uncategorized", "0");
INSERT INTO `wp_terms` VALUES("10", "irishpassport", "irishpassport", "0");
INSERT INTO `wp_terms` VALUES("11", "footer", "footer", "0");
INSERT INTO `wp_terms` VALUES("12", "irishpassport-ducky-saved", "irishpassport-ducky-saved", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "kevinmcmillan");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "0");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_dashboard_quick_press_last_post_id", "494");
INSERT INTO `wp_usermeta` VALUES("18", "1", "wp_user-settings", "libraryContent=browse&posts_list_mode=list");
INSERT INTO `wp_usermeta` VALUES("19", "1", "wp_user-settings-time", "1691183122");
INSERT INTO `wp_usermeta` VALUES("20", "1", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:15:\"title-attribute\";i:2;s:11:\"css-classes\";i:3;s:3:\"xfn\";}");
INSERT INTO `wp_usermeta` VALUES("21", "1", "metaboxhidden_nav-menus", "a:2:{i:0;s:12:\"add-post_tag\";i:1;s:15:\"add-post_format\";}");
INSERT INTO `wp_usermeta` VALUES("22", "1", "wp_wpse_sheet_sessions", "a:1:{s:4:\"post\";a:0:{}}");
INSERT INTO `wp_usermeta` VALUES("23", "1", "wpse_has_saved_sheet", "1");
INSERT INTO `wp_usermeta` VALUES("24", "1", "generateblocks_onboarding", "a:1:{s:22:\"insert_inner_container\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "wp_persisted_preferences", "a:6:{s:14:\"core/edit-post\";a:16:{s:12:\"welcomeGuide\";b:0;s:16:\"hiddenBlockTypes\";a:0:{}s:10:\"editorMode\";s:6:\"visual\";s:24:\"preferredStyleVariations\";a:0:{}s:14:\"inactivePanels\";a:1:{i:0;s:16:\"discussion-panel\";}s:10:\"openPanels\";a:10:{i:0;s:23:\"taxonomy-panel-post_tag\";i:1;s:9:\"post-link\";i:2;s:23:\"taxonomy-panel-category\";i:3;s:15:\"page-attributes\";i:4;s:11:\"post-status\";i:5;s:24:\"yoast-seo/document-panel\";i:6;s:14:\"featured-image\";i:7;s:12:\"post-excerpt\";i:8;s:25:\"taxonomy-panel-song_genre\";i:9;s:20:\"taxonomy-panel-genre\";}s:23:\"isPublishSidebarEnabled\";b:0;s:9:\"focusMode\";b:1;s:14:\"fullscreenMode\";b:0;s:11:\"pinnedItems\";a:2:{s:32:\"kadence-control/kadence-controls\";b:1;s:55:\"spectra-page-level-settings/spectra-page-settings-panel\";b:1;}s:26:\"isComplementaryAreaVisible\";b:1;s:20:\"welcomeGuideTemplate\";b:0;s:30:\"disableEditorsKitColorsFormats\";b:1;s:33:\"disableEditorsKitHighlightFormats\";b:1;s:21:\"showListViewByDefault\";b:1;s:12:\"fixedToolbar\";b:1;}s:17:\"core/edit-widgets\";a:2:{s:12:\"welcomeGuide\";b:0;s:26:\"isComplementaryAreaVisible\";b:1;}s:22:\"core/customize-widgets\";a:2:{s:12:\"welcomeGuide\";b:0;s:12:\"fixedToolbar\";b:1;}s:14:\"core/edit-site\";a:7:{s:12:\"welcomeGuide\";b:0;s:18:\"welcomeGuideStyles\";b:0;s:12:\"fixedToolbar\";b:0;s:9:\"focusMode\";b:1;s:10:\"editorMode\";s:6:\"visual\";s:26:\"isComplementaryAreaVisible\";b:1;s:21:\"showListViewByDefault\";b:1;}s:9:\"_modified\";s:24:\"2023-08-24T21:55:49.690Z\";s:4:\"core\";a:1:{s:29:\"isTemplatePartMoveHintVisible\";b:0;}}");
INSERT INTO `wp_usermeta` VALUES("27", "1", "nav_menu_recently_edited", "6");
INSERT INTO `wp_usermeta` VALUES("29", "2", "nickname", "SInead O\'Connor");
INSERT INTO `wp_usermeta` VALUES("30", "2", "first_name", "Sinead");
INSERT INTO `wp_usermeta` VALUES("31", "2", "last_name", "O\'Connor");
INSERT INTO `wp_usermeta` VALUES("32", "2", "description", "");
INSERT INTO `wp_usermeta` VALUES("33", "2", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("34", "2", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("35", "2", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("36", "2", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("37", "2", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("38", "2", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("39", "2", "locale", "");
INSERT INTO `wp_usermeta` VALUES("40", "2", "wp_capabilities", "a:1:{s:6:\"author\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("41", "2", "wp_user_level", "2");
INSERT INTO `wp_usermeta` VALUES("42", "2", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("43", "1", "edit_post_per_page", "100");
INSERT INTO `wp_usermeta` VALUES("45", "3", "nickname", "Shuhada Sadaqat");
INSERT INTO `wp_usermeta` VALUES("46", "3", "first_name", "Shuhada");
INSERT INTO `wp_usermeta` VALUES("47", "3", "last_name", "Sadaqat");
INSERT INTO `wp_usermeta` VALUES("48", "3", "description", "");
INSERT INTO `wp_usermeta` VALUES("49", "3", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("50", "3", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("51", "3", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("52", "3", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("53", "3", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("54", "3", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("55", "3", "locale", "");
INSERT INTO `wp_usermeta` VALUES("56", "3", "wp_capabilities", "a:1:{s:6:\"author\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("57", "3", "wp_user_level", "2");
INSERT INTO `wp_usermeta` VALUES("58", "3", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("59", "1", "session_tokens", "a:7:{s:64:\"f35726b60b44ef59c6b2e84c6ad94776d88dcd8a8efef939e2eada48cc49e2d0\";a:4:{s:10:\"expiration\";i:1692988443;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36\";s:5:\"login\";i:1692815643;}s:64:\"25d98a966c19920f0b824f015c9a7c6fcd0485409271adae6aecd0bf425b586f\";a:4:{s:10:\"expiration\";i:1693015801;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36\";s:5:\"login\";i:1692843001;}s:64:\"ae03889a61646299a74b2f2885f740606b4bbd5d44eecc278f85bb55c39ba242\";a:4:{s:10:\"expiration\";i:1693015883;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36\";s:5:\"login\";i:1692843083;}s:64:\"d34310a10a7432d604313e342b9ece0a136a06356e141c94f0f59283ffb752c5\";a:4:{s:10:\"expiration\";i:1693015891;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36\";s:5:\"login\";i:1692843091;}s:64:\"e999cf4821fb0989df38dc170aebd78a45d79aaf7b2c65dd591913ba29b94144\";a:4:{s:10:\"expiration\";i:1693015901;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36\";s:5:\"login\";i:1692843101;}s:64:\"e59a5e8386e7d9ef1eabf8289c12eac7e63ca42d60beb98d65f1caceeb771211\";a:4:{s:10:\"expiration\";i:1693016029;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36\";s:5:\"login\";i:1692843229;}s:64:\"180b94cd01cfb62a30ce184febc06cfa253f5b74ba3c2713d0e3dda90c6f7fac\";a:4:{s:10:\"expiration\";i:1693031769;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36\";s:5:\"login\";i:1692858969;}}");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "kevinmcmillan", "$P$BnljY0x39PmpjyM6rJmWZNXFlZYrhh1", "kevinmcmillan", "kevinmc@shaw.ca", "http://localhost:8888/VIDEOS/irish-passport-video-solution-series", "2023-06-10 06:24:06", "", "0", "kevinmcmillan");
INSERT INTO `wp_users` VALUES("2", "SInead OConnor", "$P$BVLreNTrvz6UqaeKI4e8l6v.XNJV.70", "sinead-oconnor", "sineadoconnor@gmail.com", "", "2023-08-04 21:04:09", "1691183049:$P$BtNCdveFlxZQwY5Acc0IZg.bLQdrt80", "0", "Sinead O\'Connor");
INSERT INTO `wp_users` VALUES("3", "Shuhada Sadaqat", "$P$BzNAfH9jkq.HiBkOhcMvPjuX2eno2W1", "shuhada-sadaqat", "noone@nowhere.com", "", "2023-08-11 20:33:24", "", "0", "Shudada Sadaqat");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2023-08-24 22:16:16*/
/* DUPLICATOR_MYSQLDUMP_EOF */
